
DROP TABLE IF EXISTS `#__assets`;
CREATE TABLE `#__assets` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set parent.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `level` int(10) unsigned NOT NULL COMMENT 'The cached level in the nested tree.',
  `name` varchar(50) NOT NULL COMMENT 'The unique name for the asset.\n',
  `title` varchar(100) NOT NULL COMMENT 'The descriptive title for the asset.',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_asset_name` (`name`),
  KEY `idx_lft_rgt` (`lft`,`rgt`),
  KEY `idx_parent_id` (`parent_id`)
) ENGINE=InnoDB AUTO_INCREMENT=376 DEFAULT CHARSET=utf8;

INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(1, 0, 1, 808, 0, 'root.1', 'Root Asset', '{"core.login.site":{"6":1,"2":1},"core.login.admin":{"6":1},"core.login.offline":[],"core.admin":{"8":1},"core.manage":{"7":1},"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(2, 1, 2, 3, 1, 'com_admin', 'com_admin', '{}'),
(3, 1, 4, 11, 1, 'com_banners', 'com_banners', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(4, 1, 12, 13, 1, 'com_cache', 'com_cache', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(5, 1, 14, 15, 1, 'com_checkin', 'com_checkin', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(6, 1, 16, 17, 1, 'com_config', 'com_config', '{}'),
(7, 1, 18, 87, 1, 'com_contact', 'com_contact', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(8, 1, 88, 609, 1, 'com_content', 'com_content', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":[],"core.edit":{"4":1},"core.edit.state":{"5":1},"core.edit.own":[]}'),
(9, 1, 610, 611, 1, 'com_cpanel', 'com_cpanel', '{}'),
(10, 1, 612, 613, 1, 'com_installer', 'com_installer', '{"core.admin":[],"core.manage":{"7":0},"core.delete":{"7":0},"core.edit.state":{"7":0}}'),
(11, 1, 614, 615, 1, 'com_languages', 'com_languages', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(12, 1, 616, 617, 1, 'com_login', 'com_login', '{}'),
(13, 1, 618, 619, 1, 'com_mailto', 'com_mailto', '{}'),
(14, 1, 620, 621, 1, 'com_massmail', 'com_massmail', '{}'),
(15, 1, 622, 623, 1, 'com_media', 'com_media', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":{"3":1},"core.delete":{"5":1},"core.edit":[],"core.edit.state":[]}'),
(16, 1, 624, 625, 1, 'com_menus', 'com_menus', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(17, 1, 37, 38, 1, 'com_messages', 'com_messages', '{"core.admin":{"7":1},"core.manage":{"7":1}}'),
(18, 1, 628, 693, 1, 'com_modules', 'com_modules', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(19, 1, 694, 701, 1, 'com_newsfeeds', 'com_newsfeeds', '{"core.admin":{"7":1},"core.manage":{"6":1},"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(20, 1, 702, 703, 1, 'com_plugins', 'com_plugins', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(21, 1, 704, 705, 1, 'com_redirect', 'com_redirect', '{"core.admin":{"7":1},"core.manage":[]}'),
(22, 1, 706, 707, 1, 'com_search', 'com_search', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(23, 1, 708, 709, 1, 'com_templates', 'com_templates', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(24, 1, 710, 713, 1, 'com_users', 'com_users', '{"core.admin":{"7":1},"core.manage":[],"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(26, 1, 714, 715, 1, 'com_wrapper', 'com_wrapper', '{}'),
(33, 1, 776, 777, 1, 'com_finder', 'com_finder', '{"core.admin":{"7":1},"core.manage":{"6":1}}'),
(34, 8, 105, 114, 2, 'com_content.category.9', 'Uncategorised', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(35, 3, 7, 8, 2, 'com_banners.category.10', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(36, 7, 23, 24, 2, 'com_contact.category.11', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(37, 19, 697, 698, 2, 'com_newsfeeds.category.12', 'Uncategorised', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(39, 8, 115, 304, 2, 'com_content.category.14', 'Sample Data-Articles', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(40, 3, 9, 10, 2, 'com_banners.category.15', 'Sample Data-Banners', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(41, 7, 25, 86, 2, 'com_contact.category.16', 'Sample Data-Contact', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(42, 19, 699, 700, 2, 'com_newsfeeds.category.17', 'Sample Data-Newsfeeds', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(44, 39, 116, 253, 3, 'com_content.category.19', 'Joomla!', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(45, 44, 117, 230, 4, 'com_content.category.20', 'Extensions', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(46, 45, 118, 133, 5, 'com_content.category.21', 'Components', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(47, 45, 134, 195, 5, 'com_content.category.22', 'Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(48, 45, 196, 207, 5, 'com_content.category.23', 'Templates', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(49, 45, 208, 209, 5, 'com_content.category.24', 'Languages', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(50, 45, 210, 229, 5, 'com_content.category.25', 'Plugins', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(51, 39, 254, 285, 3, 'com_content.category.26', 'Park Site', '{"core.create":{"10":0,"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(52, 51, 255, 260, 4, 'com_content.category.27', 'Park Blog', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(53, 51, 261, 282, 4, 'com_content.category.28', 'Photo Gallery', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(54, 39, 286, 299, 3, 'com_content.category.29', 'Fruit Shop Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(55, 54, 287, 292, 4, 'com_content.category.30', 'Growers', '{"core.create":{"12":0},"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":{"10":1}}'),
(59, 41, 26, 27, 3, 'com_contact.category.34', 'Park Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(60, 41, 28, 85, 3, 'com_contact.category.35', 'Shop Site', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(61, 60, 29, 30, 4, 'com_contact.category.36', 'Staff', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(62, 60, 31, 84, 4, 'com_contact.category.37', 'Fruit Encyclopedia', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(63, 62, 32, 33, 5, 'com_contact.category.38', 'A', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(64, 62, 34, 35, 5, 'com_contact.category.39', 'B', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(65, 62, 36, 37, 5, 'com_contact.category.40', 'C', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(66, 62, 38, 39, 5, 'com_contact.category.41', 'D', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(67, 62, 40, 41, 5, 'com_contact.category.42', 'E', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(68, 62, 42, 43, 5, 'com_contact.category.43', 'F', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(69, 62, 44, 45, 5, 'com_contact.category.44', 'G', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(70, 62, 46, 47, 5, 'com_contact.category.45', 'H', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(71, 62, 48, 49, 5, 'com_contact.category.46', 'I', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(72, 62, 50, 51, 5, 'com_contact.category.47', 'J', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(73, 62, 52, 53, 5, 'com_contact.category.48', 'K', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(74, 62, 54, 55, 5, 'com_contact.category.49', 'L', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(75, 62, 56, 57, 5, 'com_contact.category.50', 'M', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(76, 62, 58, 59, 5, 'com_contact.category.51', 'N', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(77, 62, 60, 61, 5, 'com_contact.category.52', 'O', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(78, 62, 62, 63, 5, 'com_contact.category.53', 'P', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(79, 62, 64, 65, 5, 'com_contact.category.54', 'Q', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(80, 62, 66, 67, 5, 'com_contact.category.55', 'R', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(81, 62, 68, 69, 5, 'com_contact.category.56', 'S', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(82, 62, 70, 71, 5, 'com_contact.category.57', 'T', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(83, 62, 72, 73, 5, 'com_contact.category.58', 'U', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(84, 62, 74, 75, 5, 'com_contact.category.59', 'V', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(85, 62, 76, 77, 5, 'com_contact.category.60', 'W', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(86, 62, 78, 79, 5, 'com_contact.category.61', 'X', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(87, 62, 80, 81, 5, 'com_contact.category.62', 'Y', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(88, 62, 82, 83, 5, 'com_contact.category.63', 'Z', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(89, 46, 119, 120, 6, 'com_content.article.1', 'Administrator Components', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(90, 93, 136, 137, 7, 'com_content.article.2', 'Archive Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(91, 93, 138, 139, 7, 'com_content.article.3', 'Article Categories Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(92, 93, 140, 141, 7, 'com_content.article.4', 'Articles Category Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(93, 47, 135, 150, 6, 'com_content.category.64', 'Content Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(94, 47, 151, 158, 6, 'com_content.category.65', 'User Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(95, 47, 159, 172, 6, 'com_content.category.66', 'Display Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(96, 47, 173, 186, 6, 'com_content.category.67', 'Utility Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(97, 48, 197, 198, 6, 'com_content.category.68', 'Atomic', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(98, 48, 199, 200, 6, 'com_content.category.69', 'Beez 20', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(99, 48, 201, 202, 6, 'com_content.category.70', 'Beez5', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(100, 48, 203, 204, 6, 'com_content.category.71', 'Milky Way', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(101, 50, 211, 212, 6, 'com_content.article.5', 'Authentication', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(102, 51, 283, 284, 4, 'com_content.article.6', 'Australian Parks ', '{"core.delete":[],"core.edit":{"2":1},"core.edit.state":[]}'),
(103, 95, 160, 161, 7, 'com_content.article.7', 'Banner Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(104, 44, 231, 232, 4, 'com_content.article.8', 'Beginners', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(105, 46, 121, 122, 6, 'com_content.article.9', 'Contact', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(106, 46, 123, 124, 6, 'com_content.article.10', 'Content', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(107, 109, 273, 274, 6, 'com_content.article.11', 'Cradle Mountain', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(108, 53, 262, 271, 5, 'com_content.category.72', 'Animals', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(109, 53, 272, 281, 5, 'com_content.category.73', 'Scenery', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(110, 95, 162, 163, 7, 'com_content.article.12', 'Custom HTML Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(111, 54, 293, 294, 4, 'com_content.article.13', 'Directions', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(112, 50, 213, 214, 6, 'com_content.article.14', 'Editors', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(113, 50, 215, 216, 6, 'com_content.article.15', 'Editors-xtd', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(114, 95, 164, 165, 7, 'com_content.article.16', 'Feed Display', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(115, 52, 256, 257, 5, 'com_content.article.17', 'First Blog Post', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(116, 52, 258, 259, 5, 'com_content.article.18', 'Second Blog Post', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(117, 95, 166, 167, 7, 'com_content.article.19', 'Footer Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(118, 54, 295, 296, 4, 'com_content.article.20', 'Fruit Shop', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(119, 44, 233, 234, 4, 'com_content.article.21', 'Getting Help', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(120, 44, 235, 236, 4, 'com_content.article.22', 'Getting Started', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(121, 55, 288, 289, 5, 'com_content.article.23', 'Happy Orange Orchard', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(122, 44, 237, 238, 4, 'com_content.article.24', 'Joomla!', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(123, 108, 263, 264, 6, 'com_content.article.25', 'Koala', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(124, 96, 174, 175, 7, 'com_content.article.26', 'Language Switcher', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(125, 93, 142, 143, 7, 'com_content.article.27', 'Latest Articles Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(126, 94, 152, 153, 7, 'com_content.article.28', 'Login Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(127, 166, 190, 191, 7, 'com_content.article.29', 'Menu Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(128, 93, 144, 145, 7, 'com_content.article.30', 'Most Read Content', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(129, 93, 146, 147, 7, 'com_content.article.31', 'News Flash', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(130, 44, 239, 240, 4, 'com_content.article.32', 'Parameters', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(131, 108, 265, 266, 6, 'com_content.article.33', 'Phyllopteryx', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(132, 109, 275, 276, 6, 'com_content.article.34', 'Pinnacles', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(133, 44, 241, 242, 4, 'com_content.article.35', 'Professionals', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(134, 95, 168, 169, 7, 'com_content.article.36', 'Random Image Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(135, 93, 148, 149, 7, 'com_content.article.37', 'Related Items Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(136, 44, 243, 244, 4, 'com_content.article.38', 'Sample Sites', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(137, 46, 125, 126, 6, 'com_content.article.39', 'Search', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(138, 96, 176, 177, 7, 'com_content.article.40', 'Search Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(139, 50, 217, 218, 6, 'com_content.article.41', 'Search ', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(140, 39, 300, 301, 3, 'com_content.article.42', 'Site Map', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(141, 108, 267, 268, 6, 'com_content.article.43', 'Spotted Quoll', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(142, 96, 178, 179, 7, 'com_content.article.44', 'Statistics Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(143, 96, 180, 181, 7, 'com_content.article.45', 'Syndicate Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(144, 50, 219, 220, 6, 'com_content.article.46', 'System', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(145, 44, 245, 246, 4, 'com_content.article.47', 'The Joomla! Community', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(146, 44, 247, 248, 4, 'com_content.article.48', 'The Joomla! Project', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(147, 48, 205, 206, 6, 'com_content.article.49', 'Typography', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(148, 44, 249, 250, 4, 'com_content.article.50', 'Upgraders', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(149, 50, 221, 222, 6, 'com_content.article.51', 'User', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(150, 46, 127, 128, 6, 'com_content.article.52', 'Users', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(151, 44, 251, 252, 4, 'com_content.article.53', 'Using Joomla!', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(152, 46, 129, 130, 6, 'com_content.article.54', 'Weblinks', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(153, 95, 170, 171, 7, 'com_content.article.55', 'Weblinks Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(154, 94, 154, 155, 7, 'com_content.article.56', 'Who\'s Online', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(155, 108, 269, 270, 6, 'com_content.article.57', 'Wobbegone', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(156, 55, 290, 291, 5, 'com_content.article.58', 'Wonderful Watermelon', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(157, 96, 182, 183, 7, 'com_content.article.59', 'Wrapper Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(158, 46, 131, 132, 6, 'com_content.article.60', 'News Feeds', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(159, 166, 192, 193, 7, 'com_content.article.61', 'Breadcrumbs Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(160, 50, 223, 224, 6, 'com_content.article.62', 'Content', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(162, 109, 277, 278, 6, 'com_content.article.64', 'Blue Mountain Rain Forest', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(163, 109, 279, 280, 6, 'com_content.article.65', 'Ormiston Pound', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(165, 94, 156, 157, 7, 'com_content.article.66', 'Latest Users Module', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(166, 47, 189, 194, 6, 'com_content.category.75', 'Navigation Modules', '{"core.create":[],"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":[]}'),
(167, 54, 297, 298, 4, 'com_content.category.76', 'Recipes', '{"core.create":{"12":1,"10":1},"core.delete":[],"core.edit":[],"core.edit.state":[],"core.edit.own":{"12":1,"10":1}}'),
(168, 34, 106, 107, 3, 'com_content.article.67', 'What\'s New in 1.5?', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(169, 24, 711, 712, 2, 'com_users.category.77', 'Uncategorised', ''),
(170, 50, 225, 226, 6, 'com_content.article.68', 'Captcha', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(171, 50, 227, 228, 6, 'com_content.article.69', 'Quick Icons', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(172, 96, 184, 185, 7, 'com_content.article.70', 'Smart Search', '{"core.delete":[],"core.edit":[],"core.edit.state":[]}'),
(173, 1, 778, 779, 1, 'com_joomlaupdate', 'com_joomlaupdate', '{"core.admin":[],"core.manage":[],"core.delete":[],"core.edit.state":[]}'),
(175, 180, 341, 342, 4, 'com_content.article.71', '404 Page', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(176, 180, 343, 344, 4, 'com_content.article.72', 'Offline page', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(177, 180, 345, 346, 4, 'com_content.article.73', 'Typography', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(178, 179, 306, 339, 3, 'com_content.category.78', 'Joomla! Blog', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(179, 8, 305, 608, 2, 'com_content.category.79', 'Demo Contents', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(180, 179, 340, 351, 3, 'com_content.category.80', 'Other Pages', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(181, 180, 347, 348, 4, 'com_content.article.74', 'About Us', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(182, 188, 353, 366, 4, 'com_content.category.81', 'Sample Category 1', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(183, 188, 367, 378, 4, 'com_content.category.82', 'Sample Category 2', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(184, 188, 379, 390, 4, 'com_content.category.83', 'Sample Category 3', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(185, 188, 415, 426, 4, 'com_content.category.84', 'Sample Category 4', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(186, 188, 391, 402, 4, 'com_content.category.85', 'Sample Category 5', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(187, 188, 403, 414, 4, 'com_content.category.86', 'Sample Category 6', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(188, 179, 352, 427, 3, 'com_content.category.87', 'Joomla Categories', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(189, 221, 326, 327, 5, 'com_content.article.75', 'Joomla template with Bootrap 3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(190, 215, 310, 311, 5, 'com_content.article.76', 'Joomla 3 template for Corporate', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(191, 217, 318, 319, 5, 'com_content.article.77', 'Microsoft SmartGlass App Updated for Xbox One', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(192, 215, 308, 309, 5, 'com_content.article.78', '5 Ways to Spice Up Your Nike+ Experience', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(193, 215, 312, 313, 5, 'com_content.article.79', 'Joomla responsive template', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(194, 217, 316, 317, 5, 'com_content.article.80', 'App innovation - Patterns of innovation edicated ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(195, 182, 354, 355, 5, 'com_content.article.81', 'Congress Might Re-Legalize Cellphone Unlocking', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(196, 182, 356, 357, 5, 'com_content.article.82', 'Use These 10 Apps During Downtime', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(197, 182, 358, 359, 5, 'com_content.article.83', 'Report: Facebook bought 750 patents from IBM', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(198, 182, 360, 361, 5, 'com_content.article.84', 'Ringya App Transforms Paper Lists Into', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(199, 182, 362, 363, 5, 'com_content.article.85', 'SXSW 2013: What Do You Want to See?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(200, 182, 364, 365, 5, 'com_content.article.86', 'Windows Mobile 7 Theme SmartPhone ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(201, 183, 368, 369, 5, 'com_content.article.87', 'Curiosity Rover Recovering From Computer Glitch', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(202, 183, 370, 371, 5, 'com_content.article.88', 'Could Apple\'s iPhone Mini and Phablet Look Like This?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(203, 183, 372, 373, 5, 'com_content.article.89', 'Behind the Scenes at Singer Michael Bolton\'s ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(204, 183, 374, 375, 5, 'com_content.article.90', 'Outstanding joomla template for developing gadgets news', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(205, 183, 376, 377, 5, 'com_content.article.91', 'Facebook Bugs Made You Think People Right', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(206, 184, 380, 381, 5, 'com_content.article.92', 'Become a Graphics Pro for Free During Photoshop Week', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(207, 184, 382, 383, 5, 'com_content.article.93', '9 Apps Built by Self-Taught Coders', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(208, 184, 384, 385, 5, 'com_content.article.94', 'Bing\'s Social Sidebar Gets a Facelift', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(209, 184, 386, 387, 5, 'com_content.article.95', 'Google Play Marks Anniversary By Giving You Discounts', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(210, 184, 388, 389, 5, 'com_content.article.96', '29 SXSW 2013 Panels You Can\'t Miss', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(211, 179, 428, 441, 3, 'com_content.category.88', 'Our Services', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(212, 185, 416, 417, 5, 'com_content.article.97', '101 Typefaces Inspired by David Bowie', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(213, 185, 418, 419, 5, 'com_content.article.98', 'Apple Getting Sued for \'Planned Obsolescence\' of iPad 3', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(214, 185, 420, 421, 5, 'com_content.article.99', 'How to Safely Keep Java in Your Web Browser', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(215, 178, 307, 314, 4, 'com_content.category.89', 'Design', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(216, 211, 429, 430, 4, 'com_content.article.100', 'Website Development', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(217, 178, 315, 322, 4, 'com_content.category.90', 'Photography', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(218, 185, 422, 423, 5, 'com_content.article.101', 'Google+ Rolls Out Design Changes Ahead of Facebook', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(219, 211, 431, 432, 4, 'com_content.article.102', 'Graphic Design', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(220, 185, 424, 425, 5, 'com_content.article.103', 'Apple\'s \'iWatch\' Could Run iOS and Be Very Profitable', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(221, 178, 323, 330, 4, 'com_content.category.91', 'Travel', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(222, 178, 331, 338, 4, 'com_content.category.92', 'Rock', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(223, 211, 433, 434, 4, 'com_content.article.104', 'Practice makes perfect', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(224, 186, 392, 393, 5, 'com_content.article.105', 'Why Microsoft Couldn’t Care Less About $732 Million EU Fine', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(225, 186, 394, 395, 5, 'com_content.article.106', '10 Digital Dos and Don\'ts for the New Pope', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(226, 186, 396, 397, 5, 'com_content.article.107', 'Nokia Befriends Apple in Samsung Patent Trial', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(227, 186, 398, 399, 5, 'com_content.article.108', 'Yahoo Killing Message Boards Site and Other Products', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(228, 186, 400, 401, 5, 'com_content.article.109', 'Research In Motion No More - RIM Becomes BlackBerry', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(229, 187, 404, 405, 5, 'com_content.article.110', 'Twitter vs. Instagram: The Showdown in an Infographic', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(230, 187, 406, 407, 5, 'com_content.article.111', 'Responsive joomla template for technology news website', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(231, 187, 408, 409, 5, 'com_content.article.112', 'A few fundamental iOS 6 complaints', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(232, 187, 410, 411, 5, 'com_content.article.113', 'Revolutionary formation laboratory', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(233, 187, 412, 413, 5, 'com_content.article.114', 'Anticipation replacement ratio islands invariably', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(234, 222, 332, 333, 5, 'com_content.article.115', ' 7 Reasons Why You Should Use MailChimp', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(235, 221, 324, 325, 5, 'com_content.article.116', 'Chin survive adult trust planets', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(236, 217, 320, 321, 5, 'com_content.article.117', 'Crop distributed electricity gay pont neat', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(237, 221, 328, 329, 5, 'com_content.article.118', 'Producing salary bitter perfectly divorce', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(238, 222, 334, 335, 5, 'com_content.article.119', 'Insure bridget crises charlie sitter edges', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(239, 222, 336, 337, 5, 'com_content.article.120', 'Palace expressing meetings height recreation', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(240, 179, 442, 453, 3, 'com_content.category.93', 'Archive Articles', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(241, 240, 443, 444, 4, 'com_content.article.121', 'Democracy automobiles fled emergency', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(242, 240, 445, 446, 4, 'com_content.article.122', 'Tour Google\'s Swanky New Headquarters', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(243, 240, 447, 448, 4, 'com_content.article.123', 'Hulu\'s Uncertain Future', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(244, 240, 449, 450, 4, 'com_content.article.124', 'Contest impressive formal', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(245, 240, 451, 452, 4, 'com_content.article.125', 'Rev hearts ramey teams christ\'s', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(246, 179, 454, 559, 3, 'com_content.category.94', 'Our Projects', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(247, 246, 455, 456, 4, 'com_content.article.126', 'Quisque in ante laoreet arcu', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(248, 246, 457, 458, 4, 'com_content.article.127', 'Curabitur elementum tortor', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(249, 246, 459, 460, 4, 'com_content.article.128', 'Robot Chicken', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(250, 246, 461, 462, 4, 'com_content.article.129', 'Tree', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(251, 246, 463, 464, 4, 'com_content.article.130', 'Space Invaders', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(252, 179, 560, 581, 3, 'com_content.category.95', 'Blog style 2', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(253, 252, 561, 562, 4, 'com_content.article.131', ' 7 Reasons Why You Should Use MailChimp', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(254, 252, 563, 564, 4, 'com_content.article.132', 'Microsoft SmartGlass App Updated for Xbox One ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(255, 252, 565, 566, 4, 'com_content.article.133', 'Crop distributed electricity gay pont neat', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(256, 252, 567, 568, 4, 'com_content.article.134', 'Sample content', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(257, 252, 569, 570, 4, 'com_content.article.135', 'Savings parade refer motive', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(258, 252, 571, 572, 4, 'com_content.article.136', 'Microsoft announces new Skype app', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(259, 252, 573, 574, 4, 'com_content.article.137', 'Apple: over 500 million iOS devices sold', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(260, 252, 575, 576, 4, 'com_content.article.138', 'Battery Stretches to Three Times Its Size', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(261, 252, 577, 578, 4, 'com_content.article.139', 'New LED Light Bulb Looks and Lights', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(262, 252, 579, 580, 4, 'com_content.article.140', 'The Agony and the Ecstasy of the Chromebook Pixel', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(263, 246, 465, 466, 4, 'com_content.article.141', 'Fringilla nulla leo', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(264, 246, 467, 468, 4, 'com_content.article.142', 'Justo est at wisi semper', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(265, 246, 469, 470, 4, 'com_content.article.143', 'Nec leo Phasellus risus', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(266, 246, 471, 472, 4, 'com_content.article.144', 'Quis massa condimentum', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(267, 34, 108, 109, 3, 'com_content.article.145', 'Bonus pages', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(268, 180, 349, 350, 4, 'com_content.article.146', 'Pricing Table', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(269, 34, 110, 111, 3, 'com_content.article.147', 'Pofolio ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(270, 179, 582, 607, 3, 'com_content.category.96', 'Portfolio', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(271, 270, 583, 584, 4, 'com_content.article.148', 'Crop distributed electricity gay pont neat', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(272, 270, 585, 586, 4, 'com_content.article.149', 'Producing salary bitter perfectly divorce', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(273, 270, 587, 588, 4, 'com_content.article.150', 'Insure bridget crises charlie sitter edges', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(274, 270, 589, 590, 4, 'com_content.article.151', 'Palace expressing meetings height recreation', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(275, 270, 591, 592, 4, 'com_content.article.152', 'Author tendency cream', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(276, 270, 593, 594, 4, 'com_content.article.153', 'Racing asia returns', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(277, 270, 595, 596, 4, 'com_content.article.154', 'Democracy automobiles fled emergency', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(278, 270, 597, 598, 4, 'com_content.article.155', 'Tour Google\'s Swanky New Headquarters', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(279, 270, 599, 600, 4, 'com_content.article.156', 'Hulu\'s Uncertain Future', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(280, 270, 601, 602, 4, 'com_content.article.157', 'The Agony and the Ecstasy of the Chromebook Pixel', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(281, 270, 603, 604, 4, 'com_content.article.158', 'Contest impressive formal', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(282, 270, 605, 606, 4, 'com_content.article.159', 'Twitter\'s Updated Windows Phone App elections ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(283, 246, 473, 492, 4, 'com_content.category.97', 'Illustrations', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(284, 246, 493, 508, 4, 'com_content.category.98', 'Logo', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(285, 246, 509, 520, 4, 'com_content.category.99', 'Photography', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(286, 246, 521, 536, 4, 'com_content.category.100', 'Web', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(287, 246, 537, 558, 4, 'com_content.category.101', 'Video', '{"core.create":{"6":1,"3":1},"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"core.edit.own":{"6":1,"3":1}}'),
(288, 283, 474, 475, 5, 'com_content.article.160', 'Illustrations', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(289, 284, 494, 495, 5, 'com_content.article.161', 'Etiam euismod', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(290, 285, 510, 511, 5, 'com_content.article.162', 'Vivamus adipiscing', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(291, 286, 522, 523, 5, 'com_content.article.163', 'JA Decor', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(292, 287, 538, 539, 5, 'com_content.article.164', 'Pretium turpis', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(293, 283, 476, 477, 5, 'com_content.article.165', 'Aliquam nec enim dignissim', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(294, 283, 478, 479, 5, 'com_content.article.166', 'Nulla et sollicitudin nunc', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(295, 283, 480, 481, 5, 'com_content.article.167', 'Morbi volutpat', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(296, 283, 482, 483, 5, 'com_content.article.168', 'Suspendisse a vulputate', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(297, 283, 484, 485, 5, 'com_content.article.169', 'Sed quis erat leo', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(298, 286, 524, 525, 5, 'com_content.article.170', 'JA Beranis', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(299, 286, 526, 527, 5, 'com_content.article.171', 'JA Biz', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(300, 286, 528, 529, 5, 'com_content.article.172', 'Purity III', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(301, 286, 530, 531, 5, 'com_content.article.173', 'JA Obelisk', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(302, 286, 532, 533, 5, 'com_content.article.174', 'JM Crafts', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(303, 286, 534, 535, 5, 'com_content.article.175', 'JA Argo', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(304, 283, 486, 487, 5, 'com_content.article.176', 'Pellentesque facilisis', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(305, 283, 488, 489, 5, 'com_content.article.177', 'Interdum et malesuada', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(306, 283, 490, 491, 5, 'com_content.article.178', 'Sed libero quam', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(307, 285, 512, 513, 5, 'com_content.article.179', 'Etiam faucibus quam', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(308, 285, 514, 515, 5, 'com_content.article.180', 'Integer est tortor', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(309, 285, 516, 517, 5, 'com_content.article.181', 'Ut tempus urna in ante', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(310, 284, 496, 497, 5, 'com_content.article.182', 'Lorem egestas', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(311, 284, 498, 499, 5, 'com_content.article.183', 'Aliquam faucibus', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(312, 284, 500, 501, 5, 'com_content.article.184', 'Suspendisse laoreet', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(313, 284, 502, 503, 5, 'com_content.article.185', 'Amet tellus', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(314, 285, 518, 519, 5, 'com_content.article.186', 'Sapien sem feugiat nibh', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(315, 287, 540, 541, 5, 'com_content.article.187', 'Maecenas tortor', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(316, 287, 542, 543, 5, 'com_content.article.188', 'Nec id Curabitur', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(317, 287, 544, 545, 5, 'com_content.article.189', 'Ultrices turpis dui', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(318, 287, 546, 547, 5, 'com_content.article.190', 'Curabitur semper vitae', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(319, 287, 548, 549, 5, 'com_content.article.191', 'Vivamus risus adipiscing', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(320, 287, 550, 551, 5, 'com_content.article.192', 'Sed orci ligula', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(321, 287, 552, 553, 5, 'com_content.article.193', 'Fringilla nulla', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(322, 287, 554, 555, 5, 'com_content.article.194', 'Nam pretium', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(323, 287, 556, 557, 5, 'com_content.article.195', 'Orci egestas quis', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(324, 284, 504, 505, 5, 'com_content.article.196', 'Pretium turpis', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(325, 284, 506, 507, 5, 'com_content.article.197', 'Fringilla nulla', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(326, 211, 435, 436, 4, 'com_content.article.198', 'Photography', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(327, 211, 437, 438, 4, 'com_content.article.199', 'Creative', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(328, 211, 439, 440, 4, 'com_content.article.200', 'Consulting', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(329, 34, 112, 113, 3, 'com_content.article.201', 'Colors', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(330, 18, 629, 630, 2, 'com_modules.module.120', 'Portfolio Categories', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(331, 1, 782, 783, 1, '#__ucm_content.1', '#__ucm_content.1', '[]'),
(332, 1, 784, 785, 1, '#__ucm_content.2', '#__ucm_content.2', '[]'),
(333, 1, 786, 787, 1, '#__ucm_content.3', '#__ucm_content.3', '[]'),
(334, 1, 788, 789, 1, '#__ucm_content.4', '#__ucm_content.4', '[]'),
(335, 1, 790, 791, 1, '#__ucm_content.5', '#__ucm_content.5', '[]'),
(336, 1, 792, 793, 1, '#__ucm_content.6', '#__ucm_content.6', '[]'),
(337, 1, 794, 795, 1, '#__ucm_content.7', '#__ucm_content.7', '[]'),
(338, 18, 631, 632, 2, 'com_modules.module.102', 'Main Menu', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(339, 18, 633, 634, 2, 'com_modules.module.121', 'Popular Tags ', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(340, 18, 635, 636, 2, 'com_modules.module.106', 'Video Background', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1},"module.edit.frontend":[]}'),
(342, 18, 637, 638, 2, 'com_modules.module.111', 'JA Facebook Like Box Module', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(343, 18, 639, 640, 2, 'com_modules.module.92', 'JA Slideshow', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(344, 18, 641, 642, 2, 'com_modules.module.103', 'Testimonials', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(345, 18, 643, 644, 2, 'com_modules.module.119', 'JA Masshead', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(346, 18, 645, 646, 2, 'com_modules.module.69', 'Logo design, web design & more!', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(347, 18, 647, 648, 2, 'com_modules.module.100', 'Who are we?', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(348, 18, 649, 650, 2, 'com_modules.module.123', 'Fun facts', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(349, 18, 651, 652, 2, 'com_modules.module.124', 'Video Background', '{"core.delete":{"6":1},"core.edit":{"6":1,"4":1},"core.edit.state":{"6":1,"5":1}}'),
(350, 1, 796, 797, 1, 'com_tags', 'com_tags', '{}'),
(351, 1, 798, 799, 1, 'com_contenthistory', 'com_contenthistory', '{}'),
(352, 1, 800, 801, 1, 'com_ajax', 'com_ajax', '{}'),
(353, 1, 802, 803, 1, 'com_postinstall', 'com_postinstall', '{}');
INSERT INTO `#__assets` (`id`, `parent_id`, `lft`, `rgt`, `level`, `name`, `title`, `rules`) VALUES
(354, 18, 653, 654, 2, 'com_modules.module.125', 'EasyBlog - Biography Module', '{}'),
(355, 18, 655, 656, 2, 'com_modules.module.126', 'EasyBlog - Image Wall Module', '{}'),
(356, 18, 657, 658, 2, 'com_modules.module.127', 'EasyBlog - Latest Bloggers Module', '{}'),
(357, 18, 659, 660, 2, 'com_modules.module.128', 'EasyBlog - Latest Blogs Module', '{}'),
(358, 18, 661, 662, 2, 'com_modules.module.129', 'EasyBlog - Posts List', '{}'),
(359, 18, 663, 664, 2, 'com_modules.module.130', 'EasyBlog - Most Commented Post Module', '{}'),
(360, 18, 665, 666, 2, 'com_modules.module.131', 'EasyBlog - Most Popular Post Module', '{}'),
(361, 18, 667, 668, 2, 'com_modules.module.132', 'EasyBlog - Post Map Module', '{}'),
(362, 18, 669, 670, 2, 'com_modules.module.133', 'EasyBlog - Post Meta Module', '{}'),
(363, 18, 671, 672, 2, 'com_modules.module.134', 'EasyBlog - Quick Post Module', '{}'),
(364, 18, 673, 674, 2, 'com_modules.module.135', 'EasyBlog - Random Post Module', '{}'),
(365, 18, 675, 676, 2, 'com_modules.module.136', 'EasyBlog - Related Posts Module', '{}'),
(366, 18, 677, 678, 2, 'com_modules.module.137', 'EasyBlog - Search Blogs Module', '{}'),
(367, 18, 679, 680, 2, 'com_modules.module.138', 'EasyBlog - Showcase Module', '{}'),
(368, 18, 681, 682, 2, 'com_modules.module.139', 'EasyBlog - Subscribe Module', '{}'),
(369, 18, 683, 684, 2, 'com_modules.module.140', 'EasyBlog - Subscribers Listing Module', '{}'),
(370, 18, 685, 686, 2, 'com_modules.module.141', 'EasyBlog - Team Blogs Module', '{}'),
(371, 18, 687, 688, 2, 'com_modules.module.142', 'EasyBlog - Ticker Module', '{}'),
(372, 18, 689, 690, 2, 'com_modules.module.143', 'EasyBlog - Top Blogs Module', '{}'),
(373, 18, 691, 692, 2, 'com_modules.module.144', 'EasyBlog - Welcome Module', '{}'),
(374, 1, 804, 805, 1, 'com_fields', 'com_fields', '{}'),
(375, 1, 806, 807, 1, 'com_associations', 'com_associations', '{}');

DROP TABLE IF EXISTS `#__associations`;
CREATE TABLE `#__associations` (
  `id` int(11) NOT NULL COMMENT 'A reference to the associated item.',
  `context` varchar(50) NOT NULL COMMENT 'The context of the associated item.',
  `key` char(32) NOT NULL COMMENT 'The key for the association computed from an md5 on associated ids.',
  PRIMARY KEY (`context`,`id`),
  KEY `idx_key` (`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banner_clients`;
CREATE TABLE `#__banner_clients` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) NOT NULL DEFAULT '',
  `email` varchar(255) NOT NULL DEFAULT '',
  `extrainfo` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `metakey` mediumtext NOT NULL,
  `own_prefix` tinyint(4) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(255) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  PRIMARY KEY (`id`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100))
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8;

INSERT INTO `#__banner_clients` (`id`, `name`, `contact`, `email`, `extrainfo`, `state`, `checked_out`, `checked_out_time`, `metakey`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`) VALUES
(1, 'Joomla!', 'Administrator', 'email@email.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, -1, -1),
(2, 'Shop', 'Example', 'example@example.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, 0, 0),
(3, 'Bookstore', 'Bookstore Example', 'example@example.com', '', 1, 0, '0000-00-00 00:00:00', '', 0, '', -1, 0, 0);

DROP TABLE IF EXISTS `#__banner_tracks`;
CREATE TABLE `#__banner_tracks` (
  `track_date` datetime NOT NULL,
  `track_type` int(10) unsigned NOT NULL,
  `banner_id` int(10) unsigned NOT NULL,
  `count` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`track_date`,`track_type`,`banner_id`),
  KEY `idx_track_date` (`track_date`),
  KEY `idx_track_type` (`track_type`),
  KEY `idx_banner_id` (`banner_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__banners`;
CREATE TABLE `#__banners` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `imptotal` int(11) NOT NULL DEFAULT '0',
  `impmade` int(11) NOT NULL DEFAULT '0',
  `clicks` int(11) NOT NULL DEFAULT '0',
  `clickurl` varchar(200) NOT NULL DEFAULT '',
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `description` mediumtext NOT NULL,
  `custombannercode` varchar(2048) NOT NULL,
  `sticky` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` mediumtext NOT NULL,
  `params` mediumtext NOT NULL,
  `own_prefix` tinyint(1) NOT NULL DEFAULT '0',
  `metakey_prefix` varchar(400) NOT NULL DEFAULT '',
  `purchase_type` tinyint(4) NOT NULL DEFAULT '-1',
  `track_clicks` tinyint(4) NOT NULL DEFAULT '-1',
  `track_impressions` tinyint(4) NOT NULL DEFAULT '-1',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `reset` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `language` char(7) NOT NULL DEFAULT '',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_state` (`state`),
  KEY `idx_own_prefix` (`own_prefix`),
  KEY `idx_banner_catid` (`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_metakey_prefix` (`metakey_prefix`(100))
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__banners` (`id`, `cid`, `type`, `name`, `alias`, `imptotal`, `impmade`, `clicks`, `clickurl`, `state`, `catid`, `description`, `custombannercode`, `sticky`, `ordering`, `metakey`, `params`, `own_prefix`, `metakey_prefix`, `purchase_type`, `track_clicks`, `track_impressions`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `reset`, `created`, `language`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `version`) VALUES
(2, 3, 0, 'Shop 1', 'shop-1', 0, 107, 2, 'http://shop.joomla.org/amazoncom-bookstores.html', 1, 15, 'Get books about Joomla! at the Joomla! Book Shop.', '', 0, 1, '', '{"imageurl":"images\\/banners\\/white.png","width":"","height":"","alt":"Joomla! Books"}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2017-10-12 03:51:35', 'en-GB', 0, '', '0000-00-00 00:00:00', 0, 1),
(3, 2, 0, 'Shop 2', 'shop-2', 0, 157, 2, 'http://shop.joomla.org', 1, 15, 'T Shirts, caps and more from the Joomla! Shop.', '', 0, 2, '', '{"imageurl":"images\\/banners\\/white.png","width":"","height":"","alt":"Joomla! Shop"}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '2017-10-12 03:51:35', 'en-GB', 0, '', '0000-00-00 00:00:00', 0, 1),
(4, 1, 0, 'Support Joomla!', 'support-joomla', 0, 76, 1, 'http://contribute.joomla.org', 1, 15, 'Your contributions of time, talent and money make Joomla possible.', '', 0, 3, '', '{"imageurl":"images\\/banners\\/white.png","width":"","height":"","alt":""}', 0, '', -1, 0, 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 'en-GB', 0, '', '0000-00-00 00:00:00', 0, 1);

DROP TABLE IF EXISTS `#__categories`;
CREATE TABLE `#__categories` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(400) NOT NULL DEFAULT '',
  `extension` varchar(50) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` mediumtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `metadesc` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL DEFAULT '' COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `cat_idx` (`extension`,`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_language` (`language`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_alias` (`alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=102 DEFAULT CHARSET=utf8;

INSERT INTO `#__categories` (`id`, `asset_id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `extension`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `modified_user_id`, `modified_time`, `hits`, `language`, `version`) VALUES
(1, 0, 0, 0, 183, 0, '', 'system', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(9, 34, 1, 57, 58, 1, 'uncategorised', 'com_content', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(10, 35, 1, 179, 180, 1, 'uncategorised', 'com_banners', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(11, 36, 1, 175, 176, 1, 'uncategorised', 'com_contact', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(12, 37, 1, 111, 112, 1, 'uncategorised', 'com_newsfeeds', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(14, 39, 1, 9, 56, 1, 'sample-data-articles', 'com_content', 'Sample Data-Articles', 'sample-data-articles', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(15, 40, 1, 177, 178, 1, 'sample-data-banners', 'com_banners', 'Sample Data-Banners', 'sample-data-banners', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":"","foobar":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(16, 41, 1, 113, 174, 1, 'sample-data-contact', 'com_contact', 'Sample Data-Contact', 'sample-data-contact', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(17, 42, 1, 109, 110, 1, 'sample-data-newsfeeds', 'com_newsfeeds', 'Sample Data-Newsfeeds', 'sample-data-newsfeeds', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(19, 44, 14, 10, 39, 2, 'sample-data-articles/joomla', 'com_content', 'Joomla!', 'joomla', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(20, 45, 19, 11, 38, 3, 'sample-data-articles/joomla/extensions', 'com_content', 'Extensions', 'extensions', '', '<p>The Joomla! content management system lets you create webpages of various types using extensions. There are 5 basic types of extensions: components, modules, templates, languages, and plugins. Your website includes the extensions you need to create a basic website in English, but thousands of additional extensions of all types are available. The <a href="http://extensions.joomla.org" style="color: #1b57b1; text-decoration: none; font-weight: normal;">Joomla! Extensions Directory</a> is the largest directory of Joomla extensions.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(21, 46, 20, 12, 13, 4, 'sample-data-articles/joomla/extensions/components', 'com_content', 'Components', 'components', '', '<p><img class="image-left" src="administrator/templates/bluestork/images/header/icon-48-component.png" border="0" alt="Component Image" />Components are larger extensions that produce the major content for your site. Each component has one or more "views" that control how content is displayed. In the Joomla administrator there are additional extensions such as Menus, Redirection, and the extension managers.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(22, 47, 20, 14, 25, 4, 'sample-data-articles/joomla/extensions/modules', 'com_content', 'Modules', 'modules', '', '<p><img class="image-left" src="administrator/templates/bluestork/images/header/icon-48-module.png" border="0" alt="Media Image" />Modules are small blocks of content that can be displayed in positions on a web page. The menus on this site are displayed in modules. The core of Joomla! includes 24 separate modules ranging from login to search to random images. Each module has a name that starts mod_ but when it displays it has a title. In the descriptions in this section, the titles are the same as the names.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(23, 48, 20, 26, 33, 4, 'sample-data-articles/joomla/extensions/templates', 'com_content', 'Templates', 'templates', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-themes.png" border="0" alt="Media Image" align="left" />Templates give your site its look and feel. They determine layout, colours, typefaces, graphics and other aspects of design that make your site unique. Your installation of Joomla comes prepackaged with three front end templates and two backend templates. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Template_Manager_Templates">Help</a></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(24, 49, 20, 34, 35, 4, 'sample-data-articles/joomla/extensions/languages', 'com_content', 'Languages', 'languages', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-language.png" border="0" alt="Languages Image" align="left" />Joomla! installs in English, but translations of the interfaces, sample data and help screens are available in dozens of languages. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Language_Manager_Installed">Help</a></p>\r\n<p><a href="http://community.joomla.org/translations.html">Translation information</a></p>\r\n<p>If there is no language pack available for your language, instructions are available for creating your own translation, which you can also contribute to the community by starting a translation team to create an accredited translation. </p>\r\n<p>Translations of the interfaces are installed using the extensions manager in the site administrator and then managed using the language manager.</p>\r\n<p>If you have two or more languages installed you may enable the language switcher plugin and module. They should always be used together. If you create multilingual content and mark your content, menu items or modules as being in specific languages and follow <a href="http://docs.joomla.org/Language_Switcher_Tutorial_for_Joomla_1.6">the complete instructions</a> your users will be able to select a specific content language using the module. By default both the plugin and module are disabled.</p>\r\n<p>Joomla 2.5 installs with a language override manager that allows you to change the specific words (such as Edit or Search) used in the Joomla application.</p>\r\n<p>There are a number of extensions that can help you manage translations of content available in the<a href="http://extensions.joomla.org"> Joomla! Extensions Directory</a>.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(25, 50, 20, 36, 37, 4, 'sample-data-articles/joomla/extensions/plugins', 'com_content', 'Plugins', 'plugins', '', '<p><img src="administrator/templates/bluestork/images/header/icon-48-plugin.png" border="0" alt="Plugin Image" align="left" />Plugins are small task oriented extensions that enhance the Joomla! framework. Some are associated with particular extensions and others, such as editors, are used across all of Joomla. Most beginning users do not need to change any of the plugins that install with Joomla. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Plugin_Manager_Edit">Help</a></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(26, 51, 14, 40, 49, 2, 'sample-data-articles/park-site', 'com_content', 'Park Site', 'park-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, 'en-GB', 1),
(27, 52, 26, 41, 42, 3, 'sample-data-articles/park-site/park-blog', 'com_content', 'Park Blog', 'park-blog', '', '<p><span style="font-size: 12px;">Here is where I will blog all about the parks of Australia.</span></p>\r\n<p><em>You can make a blog on your website by creating a category to write your blog posts in (this one is called Park Blog). Each blog post will be an article in that category. If you make a category blog menu link with 1 column it will look like this page, if you display the category description then this part is displayed. </em></p>\r\n<p><em>To enhance your blog you may want to add extensions for <a href="http://extensions.joomla.org/extensions/contacts-and-feedback/articles-comments" style="color: #1b57b1; text-decoration: none; font-weight: normal;">comments</a>,<a href="http://extensions.joomla.org/extensions/social-web" style="color: #1b57b1; text-decoration: none; font-weight: normal;"> interacting with social network sites</a>, <a href="http://extensions.joomla.org/extensions/content-sharing" style="color: #1b57b1; text-decoration: none; font-weight: normal;">tagging</a>, and <a href="http://extensions.joomla.org/extensions/content-sharing" style="color: #1b57b1; text-decoration: none; font-weight: normal;">keeping in contact with your readers</a>. You can also enable the syndication that is included in Joomla (in the Integration Options set Show Feed Link to Show and make sure to display the syndication module on the page).</em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/sampledata\\/parks\\/banner_cradle.jpg"}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, 'en-GB', 1),
(28, 53, 26, 43, 48, 3, 'sample-data-articles/park-site/photo-gallery', 'com_content', 'Photo Gallery', 'photo-gallery', '', '<p><img src="images/sampledata/parks/banner_cradle.jpg" border="0" /></p>\r\n<p>These are my photos from parks I have visited (I didn\'t take them, they are all from <a href="http://commons.wikimedia.org/wiki/Main_Page">Wikimedia Commons</a>).</p>\r\n<p><em>This shows you how to make a simple image gallery using articles in com_content. </em></p>\r\n<p><em>In each article put a thumbnail image before a "readmore" and the full size image after it. Set the article to Show Intro Text: Hide. </em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, 'en-GB', 1),
(29, 54, 14, 50, 55, 2, 'sample-data-articles/fruit-shop-site', 'com_content', 'Fruit Shop Site', 'fruit-shop-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(30, 55, 29, 51, 52, 3, 'sample-data-articles/fruit-shop-site/growers', 'com_content', 'Growers', 'growers', '', '<p>We search the whole countryside for the best fruit growers.</p>\r\n<p><em>You can let each supplier have a page that he or she can edit. To see this in action you will need to create a user who is in the suppliers group.  </em></p>\r\n<p><em>Create one page in the growers category for that user and make that supplier the author of the page. That user will be able to edit his or her page. </em></p>\r\n<p><em>This illustrates the use of the Edit Own permission. </em></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(34, 59, 16, 114, 115, 2, 'sample-data-contact/park-site', 'com_contact', 'Park Site', 'park-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, 'en-GB', 1),
(35, 60, 16, 116, 173, 2, 'sample-data-contact/shop-site', 'com_contact', 'Shop Site', 'shop-site', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(36, 61, 35, 117, 118, 3, 'sample-data-contact/shop-site/staff', 'com_contact', 'Staff', 'staff', '', '<p>Please feel free to contact our staff at any time should you need assistance.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(37, 62, 35, 119, 172, 3, 'sample-data-contact/shop-site/fruit-encyclopedia', 'com_contact', 'Fruit Encyclopedia', 'fruit-encyclopedia', '', '<p> </p><p>Our directory of information about different kinds of fruit.</p><p>We love fruit and want the world to know more about all of its many varieties.</p><p>Although it is small now, we work on it whenever we have a chance.</p><p>All of the images can be found in <a href="http://commons.wikimedia.org/wiki/Main_Page">Wikimedia Commons</a>.</p><p><img src="images/sampledata/fruitshop/apple.jpg" border="0" alt="Apples" title="Apples" /></p><p><em>This encyclopedia is implemented using the contact component, each fruit a separate contact and a category for each letter. A CSS style is used to create the horizontal layout of the alphabet headings. </em></p><p><em>If you wanted to, you could allow some users (such as your growers) to have access to just this category in the contact component and let them help you to create new content for the encyclopedia.</em></p><p> </p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(38, 63, 37, 120, 121, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/a', 'com_contact', 'A', 'a', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(39, 64, 37, 122, 123, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/b', 'com_contact', 'B', 'b', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(40, 65, 37, 124, 125, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/c', 'com_contact', 'C', 'c', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(41, 66, 37, 126, 127, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/d', 'com_contact', 'D', 'd', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(42, 67, 37, 128, 129, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/e', 'com_contact', 'E', 'e', '', '', 0, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(43, 68, 37, 130, 131, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/f', 'com_contact', 'F', 'f', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(44, 69, 37, 132, 133, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/g', 'com_contact', 'G', 'g', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(45, 70, 37, 134, 135, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/h', 'com_contact', 'H', 'h', '', '', 0, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(46, 71, 37, 136, 137, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/i', 'com_contact', 'I', 'i', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(47, 72, 37, 138, 139, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/j', 'com_contact', 'J', 'j', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(48, 73, 37, 140, 141, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/k', 'com_contact', 'K', 'k', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(49, 74, 37, 142, 143, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/l', 'com_contact', 'L', 'l', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(50, 75, 37, 144, 145, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/m', 'com_contact', 'M', 'm', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(51, 76, 37, 146, 147, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/n', 'com_contact', 'N', 'n', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(52, 77, 37, 148, 149, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/o', 'com_contact', 'O', 'o', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(53, 78, 37, 150, 151, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/p', 'com_contact', 'P', 'p', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(54, 79, 37, 152, 153, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/q', 'com_contact', 'Q', 'q', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(55, 80, 37, 154, 155, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/r', 'com_contact', 'R', 'r', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(56, 81, 37, 156, 157, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/s', 'com_contact', 'S', 's', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(57, 82, 37, 158, 159, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/t', 'com_contact', 'T', 't', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(58, 83, 37, 160, 161, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/u', 'com_contact', 'U', 'u', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(59, 84, 37, 162, 163, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/v', 'com_contact', 'V', 'v', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(60, 85, 37, 164, 165, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/w', 'com_contact', 'W', 'w', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(61, 86, 37, 166, 167, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/x', 'com_contact', 'X', 'x', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(62, 87, 37, 168, 169, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/y', 'com_contact', 'Y', 'y', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(63, 88, 37, 170, 171, 4, 'sample-data-contact/shop-site/fruit-encyclopedia/z', 'com_contact', 'Z', 'z', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(64, 93, 22, 15, 16, 5, 'sample-data-articles/joomla/extensions/modules/articles-modules', 'com_content', 'Content Modules', 'articles-modules', '', '<p>Content modules display article and other information from the content component.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(65, 94, 22, 17, 18, 5, 'sample-data-articles/joomla/extensions/modules/user-modules', 'com_content', 'User Modules', 'user-modules', '', '<p>User modules interact with the user system, allowing users to login, show who is logged-in, and showing the most recently registered users.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(66, 95, 22, 19, 20, 5, 'sample-data-articles/joomla/extensions/modules/display-modules', 'com_content', 'Display Modules', 'display-modules', '', '<p>These modules display information from components other than content and user. These include weblinks, news feeds and the media manager.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(67, 96, 22, 21, 22, 5, 'sample-data-articles/joomla/extensions/modules/utility-modules', 'com_content', 'Utility Modules', 'utility-modules', '', '<p>Utility modules provide useful functionality such as search, syndication and statistics.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(68, 97, 23, 31, 32, 5, 'sample-data-articles/joomla/extensions/templates/atomic', 'com_content', 'Atomic', 'atomic', '', '<p><img src="templates/atomic/template_thumbnail.png" border="0" alt="The Atomic Template" style="border: 0; float: right;" /></p>\r\n<p>Atomic is a minimal template designed to be a skeleton for making your own template and to learn about Joomla! templating.</p>\r\n<ul>\r\n<li><a href="index.php?Itemid=285">Home Page</a></li>\r\n<li><a href="index.php?Itemid=316">Typography</a></li>\r\n</ul>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(69, 98, 23, 27, 28, 5, 'sample-data-articles/joomla/extensions/templates/beez-20', 'com_content', 'Beez 20', 'beez-20', '', '<p><img src="templates/beez_20/template_thumbnail.png" border="0" alt="Beez_20 thumbnail" align="right" style="float: right;" /></p>\r\n<p>Beez 2.0 is a versatile, easy to customise template that works for a variety of sites. It meets major accessibility standards and demonstrates a range of css and javascript techniques. It is the default template that installs with Joomla!</p>\r\n<ul>\r\n<li><a href="index.php?Itemid=424">Home Page</a></li>\r\n<li><a href="index.php?Itemid=423">Typography</a></li>\r\n</ul>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(70, 99, 23, 29, 30, 5, 'sample-data-articles/joomla/extensions/templates/beez-5', 'com_content', 'Beez 5', 'beez-5', '', '<p><img src="templates/beez5/template_thumbnail.png" border="0" alt="Beez5 Thumbnail" align="right" style="float: right;" /></p>\r\n<p>Beez 5 is an html5 implementation of a Joomla! template. It uses a number of html5 techniques to enhance the presentation of a site. It is used as the template for the Fruit Shop sample site.</p>\r\n<ul>\r\n<li><a href="index.php?Itemid=458">Home Page</a></li>\r\n<li><a href="index.php?Itemid=457">Typography</a></li>\r\n</ul>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(72, 108, 28, 44, 45, 4, 'sample-data-articles/park-site/photo-gallery/animals', 'com_content', 'Animals', 'animals', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, 'en-GB', 1),
(73, 109, 28, 46, 47, 4, 'sample-data-articles/park-site/photo-gallery/scenery', 'com_content', 'Scenery', 'scenery', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, 'en-GB', 1),
(75, 166, 22, 23, 24, 5, 'sample-data-articles/joomla/extensions/modules/navigation-modules', 'com_content', 'Navigation Modules', 'navigation-modules', '', '<p>Navigation modules help your visitors move through your site and find what they need.</p>\r\n<p>Menus provide your site with structure and help your visitors navigate your site.  Although they are all based on the same menu module, the variety of ways menus are used in the sample data show how flexible this module is.</p>\r\n<p>A menu can range from extremely simple (for example the top menu or the menu for the Australian Parks sample site) to extremely complex (for example the About Joomla! menu with its many levels). They can also be used for other types of presentation such as the site map linked from the "This Site" menu.</p>\r\n<p>Breadcrumbs provide users with information about where they are in a site.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(76, 167, 29, 53, 54, 3, 'sample-data-articles/fruit-shop-site/recipes', 'com_content', 'Recipes', 'recipes', '', '<p>Customers and suppliers can post their favorite recipes for fruit here.</p>\r\n<p>A good idea is to promote the use of metadata keywords to make finding other recipes for the same fruit easier.</p>\r\n<p><em>To see this in action, create a user assigned to the customer group and a user assigned to the suppliers group. These users will be able to create their own recipe pages and edit those pages. They will not be able to edit other users\' pages.</em><br /><br /></p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(77, 169, 1, 181, 182, 1, 'uncategorised', 'com_users', 'Uncategorised', 'uncategorised', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"target":"","image":""}', '', '', '{"page_title":"","author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', 0, '*', 1),
(78, 178, 79, 60, 69, 2, 'demo-contents/blog', 'com_content', 'Joomla! Blog', 'blog', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(79, 179, 1, 59, 106, 1, 'demo-contents', 'com_content', 'Demo Contents', 'demo-contents', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(80, 180, 79, 70, 71, 2, 'demo-contents/other-pages', 'com_content', 'Other Pages', 'other-pages', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(81, 182, 87, 73, 74, 3, 'demo-contents/joomla-categories/sample-category-1', 'com_content', 'Sample Category 1', 'sample-category-1', '', '<p>Aliquet enim consectetuer leo at at venenatis nunc eget nascetur libero. Ligula cursus aenean amet sodales pulvinar morbi</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/joomlart\\/demo\\/cat-1.jpg","t3_extrafields":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(82, 183, 87, 75, 76, 3, 'demo-contents/joomla-categories/sample-category-2', 'com_content', 'Sample Category 2', 'sample-category-2', '', '<p>Dolor ligula sed hendrerit justo dapibus vitae habitant in Lorem wisi. Lacinia risus orci ante cursus turpis sagittis</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/joomlart\\/demo\\/cat-2.jpg"}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(83, 184, 87, 77, 78, 3, 'demo-contents/joomla-categories/sample-category-3', 'com_content', 'Sample Category 3', 'sample-category-3', '', '<p>Laoreet dui nascetur Curabitur Sed lacinia semper pede sagittis at sociis. Tincidunt nibh dapibus nam vestibulum nisl</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/joomlart\\/demo\\/cat-3.jpg"}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(84, 185, 87, 79, 80, 3, 'demo-contents/joomla-categories/sample-category-4', 'com_content', 'Sample Category 4', 'sample-category-4', '', '<p>Mauris hendrerit neque ut quis urna pretium natoque consequat tellus consequat. Lorem Curabitur convallis nibh scelerisque elit.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/joomlart\\/demo\\/cat-4.jpg"}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(85, 186, 87, 81, 82, 3, 'demo-contents/joomla-categories/sample-category-5', 'com_content', 'Sample Category 5', 'sample-category-5', '', '<p>Vitae cursus Curabitur semper Phasellus hac tincidunt enim vel massa Phasellus. Quam ut nonummy in dui at lobortis sem.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/joomlart\\/demo\\/cat-5.jpg"}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(86, 187, 87, 83, 84, 3, 'demo-contents/joomla-categories/sample-category-6', 'com_content', 'Sample Category 6', 'sample-category-6', '', '<p>Suspendisse nec feugiat Aenean et Quisque id vel pretium consequat malesuada. Elit cursus feugiat.</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"images\\/joomlart\\/demo\\/cat-6.jpg"}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(87, 188, 79, 72, 85, 2, 'demo-contents/joomla-categories', 'com_content', 'Joomla Categories', 'joomla-categories', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(88, 211, 79, 86, 87, 2, 'demo-contents/our-services', 'com_content', 'Our Services', 'our-services', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(89, 215, 78, 61, 62, 3, 'demo-contents/blog/design', 'com_content', 'Design', 'design', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(90, 217, 78, 63, 64, 3, 'demo-contents/blog/photography', 'com_content', 'Photography', 'photography', '', 'Photography', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(91, 221, 78, 65, 66, 3, 'demo-contents/blog/travel', 'com_content', 'Travel', 'travel', '', 'Travel', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(92, 222, 78, 67, 68, 3, 'demo-contents/blog/rock', 'com_content', 'Rock', 'rock', '', 'Rock', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(93, 240, 79, 88, 89, 2, 'demo-contents/archive-articles', 'com_content', 'Archive Articles', 'archive-articles', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(94, 246, 79, 90, 101, 2, 'demo-contents/our-projects', 'com_content', 'Our Projects', 'our-projects', '', '<p>aaaaaaa</p>', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","t3_extrafields":"portfolio"}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(95, 252, 79, 102, 103, 2, 'demo-contents/blog-style-2', 'com_content', 'Blog style 2', 'blog-style-2', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(96, 270, 79, 104, 105, 2, 'demo-contents/portfolio', 'com_content', 'Portfolio', 'portfolio', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","t3_extrafields":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(97, 283, 94, 91, 92, 3, 'demo-contents/our-projects/illustrations', 'com_content', 'Illustrations', 'illustrations', '', '', 1, 42, '2014-04-24 07:07:49', 1, '{"category_layout":"","image":"","t3_extrafields":"portfolio"}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(98, 284, 94, 93, 94, 3, 'demo-contents/our-projects/logo', 'com_content', 'Logo', 'logo', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","t3_extrafields":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(99, 285, 94, 95, 96, 3, 'demo-contents/our-projects/photography', 'com_content', 'Photography', 'photography', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","t3_extrafields":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 0, '0000-00-00 00:00:00', 0, '*', 1),
(100, 286, 94, 97, 98, 3, 'demo-contents/our-projects/web', 'com_content', 'Web', 'web', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","t3_extrafields":"portfolio"}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1),
(101, 287, 94, 99, 100, 3, 'demo-contents/our-projects/video', 'com_content', 'Video', 'video', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{"category_layout":"","image":"","t3_extrafields":""}', '', '', '{"author":"","robots":""}', 42, '2017-10-12 03:51:35', 42, '2017-10-12 03:51:35', 0, '*', 1);

DROP TABLE IF EXISTS `#__contact_details`;
CREATE TABLE `#__contact_details` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL,
  `alias` varchar(400) binary NOT NULL,
  `con_position` varchar(255) DEFAULT NULL,
  `address` mediumtext,
  `suburb` varchar(100) DEFAULT NULL,
  `state` varchar(100) DEFAULT NULL,
  `country` varchar(100) DEFAULT NULL,
  `postcode` varchar(100) DEFAULT NULL,
  `telephone` varchar(255) DEFAULT NULL,
  `fax` varchar(255) DEFAULT NULL,
  `misc` longtext,
  `image` varchar(255) DEFAULT NULL,
  `email_to` varchar(255) DEFAULT NULL,
  `default_con` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` mediumtext NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT '0',
  `catid` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `mobile` varchar(255) NOT NULL DEFAULT '',
  `webpage` varchar(255) NOT NULL DEFAULT '',
  `sortname1` varchar(255) NOT NULL DEFAULT '',
  `sortname2` varchar(255) NOT NULL DEFAULT '',
  `sortname3` varchar(255) NOT NULL DEFAULT '',
  `language` varchar(7) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` mediumtext NOT NULL,
  `metadesc` mediumtext NOT NULL,
  `metadata` mediumtext NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

INSERT INTO `#__contact_details` (`id`, `name`, `alias`, `con_position`, `address`, `suburb`, `state`, `country`, `postcode`, `telephone`, `fax`, `misc`, `image`, `email_to`, `default_con`, `published`, `checked_out`, `checked_out_time`, `ordering`, `params`, `user_id`, `catid`, `access`, `mobile`, `webpage`, `sortname1`, `sortname2`, `sortname3`, `language`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `featured`, `xreference`, `publish_up`, `publish_down`, `version`, `hits`) VALUES
(1, 'Contact Name Here', 'name', 'Position', 'Christine Smith\r\n574 New London Turnpike\r\nNorwich CT 06360', 'London', 'State', 'US', 'Zip Code', '+ 123 456 789', '+ 123 456 789', '<p>Lorem ipsum dolor amet, consectetur adipiscing elit. Pellentesque ut lacus at velit consequat sodales.</p>', 'images/joomlart/demo/contact-us.jpg', 'no-reply@joomlart.com', 1, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"0","show_position":"0","show_email":"","show_street_address":"","show_suburb":"0","show_state":"0","show_postcode":"0","show_country":"0","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Twitter","linka":"http:\\/\\/twitter.com\\/joomla","linkb_name":"YouTube","linkb":"http:\\/\\/www.youtube.com\\/user\\/joomla","linkc_name":"Facebook","linkc":"http:\\/\\/www.facebook.com\\/joomla","linkd_name":"Linked-in","linkd":"http:\\/\\/friendfeed.com\\/joomla","linke_name":"","linke":"","contact_layout":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 16, 1, '', '', 'last', 'first', 'middle', 'en-GB', '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 6),
(2, 'Webmaster', 'webmaster', '', '', '', '', '', '', '', '', '', '', 'webmaster@example.com', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"","redirect":""}', 0, 34, 1, '', '', '', '', '', 'en-GB', '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(3, 'Owner', 'owner', '', '', '', '', '', '', '', '', '<p>I\'m the owner of this store.</p>', '', '', 0, 1, 0, '0000-00-00 00:00:00', 2, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 36, 1, '', '', '', '', '', '*', '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(4, 'Buyer', 'buyer', '', '', '', '', '', '', '', '', '<p>I am in charge of buying fruit. If you sell good fruit, contact me.</p>', '', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"0","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 36, 1, '', '', '', '', '', '*', '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(5, 'Bananas', 'bananas', 'Scientific Name: Musa', 'Image Credit: Enzik\r\nRights: Creative Commons Share Alike Unported 3.0\r\nSource: http://commons.wikimedia.org/wiki/File:Bananas_-_Morocco.jpg', '', 'Type: Herbaceous', 'Large Producers: India, China, Brasil', '', '', '', '<p>Bananas are a great source of potassium.</p>\r\n<p> </p>', 'images/sampledata/fruitshop/bananas_2.jpg', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"show_with_link","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"1","show_email":"","show_street_address":"","show_suburb":"","show_state":"1","show_postcode":"","show_country":"1","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Banana English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Banana","linkb_name":"Wikipedia:  \\u0939\\u093f\\u0928\\u094d\\u0926\\u0940 \\u0915\\u0947\\u0932\\u093e","linkb":"http:\\/\\/hi.wikipedia.org\\/wiki\\/%E0%A4%95%E0%A5%87%E0%A4%B2%E0%A4%BE","linkc_name":"Wikipedia:Banana Portugu\\u00eas","linkc":"http:\\/\\/pt.wikipedia.org\\/wiki\\/Banana","linkd_name":"Wikipedia: \\u0411\\u0430\\u043d\\u0430\\u043d  \\u0420\\u0443\\u0441\\u0441\\u043a\\u0438\\u0439","linkd":"http:\\/\\/ru.wikipedia.org\\/\\u0411\\u0430\\u043d\\u0430\\u043d","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 39, 1, '', '', '', '', '', '*', '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(6, 'Apples', 'apples', 'Scientific Name: Malus domestica', 'Image Credit: Fievet\r\nRights: Public Domain\r\nSource: http://commons.wikimedia.org/wiki/File:Pommes_vertes.JPG', '', 'Family: Rosaceae', 'Large: Producers: China, United States', '', '', '', '<p>Apples are a versatile fruit, used for eating, cooking, and preserving.</p>\r\n<p>There are more that 7500 different kinds of apples grown around the world.</p>', 'images/sampledata/fruitshop/apple.jpg', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Apples English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Apple","linkb_name":"Wikipedia: Manzana Espa\\u00f1ol ","linkb":"http:\\/\\/es.wikipedia.org\\/wiki\\/Manzana","linkc_name":"Wikipedia: \\u82f9\\u679c \\u4e2d\\u6587","linkc":"http:\\/\\/zh.wikipedia.org\\/zh\\/\\u82f9\\u679c","linkd_name":"Wikipedia: Tofaa Kiswahili","linkd":"http:\\/\\/sw.wikipedia.org\\/wiki\\/Tofaa","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 38, 1, '', '', '', '', '', '*', '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(7, 'Tamarind', 'tamarind', 'Scientific Name: Tamarindus indica', 'Image Credit: Franz Eugen Köhler, Köhler\'s Medizinal-Pflanzen \r\nRights: Public Domain\r\nSource:http://commons.wikimedia.org/wiki/File:Koeh-134.jpg', '', 'Family: Fabaceae', 'Large Producers: India, United States', '', '', '', '<p>Tamarinds are a versatile fruit used around the world. In its young form it is used in hot sauces; ripened it is the basis for many refreshing drinks.</p>\r\n<p> </p>', 'images/sampledata/fruitshop/tamarind.jpg', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"plain","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"1","linka_name":"Wikipedia: Tamarind English","linka":"http:\\/\\/en.wikipedia.org\\/wiki\\/Tamarind","linkb_name":"Wikipedia: \\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2  \\u09ac\\u09be\\u0982\\u09b2\\u09be  ","linkb":"http:\\/\\/bn.wikipedia.org\\/wiki\\/\\u09a4\\u09c7\\u0981\\u09a4\\u09c1\\u09b2 ","linkc_name":"Wikipedia: Tamarinier Fran\\u00e7ais","linkc":"http:\\/\\/fr.wikipedia.org\\/wiki\\/Tamarinier","linkd_name":"Wikipedia:Tamaline lea faka-Tonga","linkd":"http:\\/\\/to.wikipedia.org\\/wiki\\/Tamaline","linke_name":"","linke":"","contact_layout":"beez5:encyclopedia"}', 0, 57, 1, '', '', '', '', '', '*', '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, '', '', '{"robots":"","rights":""}', 0, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0),
(8, 'Shop Address', 'shop-address', '', '', 'Our City', 'Our Province', 'Our Country', '', '555-555-5555', '', '<p>Here are directions for how to get to our shop.</p>', '', '', 0, 1, 0, '0000-00-00 00:00:00', 1, '{"show_contact_category":"","show_contact_list":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_profile":"","show_links":"","linka_name":"","linka":"","linkb_name":"","linkb":"","linkc_name":"","linkc":"","linkd_name":"","linkd":"","linke_name":"","linke":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":""}', 0, 35, 1, '', '', '', '', '', '*', '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, '', '', '{"robots":"","rights":""}', 1, '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 0);

DROP TABLE IF EXISTS `#__content`;
CREATE TABLE `#__content` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `title` varchar(255) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `introtext` longtext NOT NULL,
  `fulltext` longtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` mediumtext NOT NULL,
  `urls` mediumtext NOT NULL,
  `attribs` varchar(5120) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `metakey` mediumtext NOT NULL,
  `metadesc` mediumtext NOT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `metadata` mediumtext NOT NULL,
  `featured` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Set if article is featured.',
  `language` char(7) NOT NULL COMMENT 'The language code for the article.',
  `xreference` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_featured_catid` (`featured`,`catid`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=202 DEFAULT CHARSET=utf8;

INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(1, 89, 'Administrator Components', 'administrator-components', '<p>All components are also used in the administrator area of your website. In addition to the ones listed here, there are components in the administrator that do not have direct front end displays, but do help shape your site. The most important ones for most users are</p>\r\n<ul>\r\n<li>Media Manager</li>\r\n<li>Extensions Manager</li>\r\n<li>Menu Manager</li>\r\n<li>Global Configuration</li>\r\n<li>Banners</li>\r\n<li>Redirect</li>\r\n</ul>\r\n<hr title="Media Manager" alt="Media Manager" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<p> </p>\r\n<h3>Media Manager</h3>\r\n<p>The media manager component lets you upload and insert images into content throughout your site. Optionally, you can enable the flash uploader which will allow you to to upload multiple images. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Content_Media_Manager">Help</a></p>\r\n<hr title="Extensions Manager" alt="Extensions Manager" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<h3>Extensions Manager</h3>\r\n<p>The extensions manager lets you install, update, uninstall and manage all of your extensions. The extensions manager has been extensively redesigned, although the core install and uninstall functionality remains the same as in Joomla! 1.5. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Extension_Manager_Install">Help</a></p>\r\n<hr title="Menu Manager" alt="Menu Manager" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<h3>Menu Manager</h3>\r\n<p>The menu manager lets you create the menus you see displayed on your site. It also allows you to assign modules and template styles to specific menu links. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Menus_Menu_Manager">Help</a></p>\r\n<hr title="Global Configuration" alt="Global Configuration" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<h3>Global Configuration</h3>\r\n<p>The global configuration is where the site administrator configures things such as whether search engine friendly urls are enabled, the site meta data (descriptive text used by search engines and indexers) and other functions. For many beginning users simply leaving the settings on default is a good way to begin, although when your site is ready for the public you will want to change the meta data to match its content. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Site_Global_Configuration">Help</a></p>\r\n<hr title="Banners" alt="Banners" class="system-pagebreak" style="color: gray; border: 1px dashed gray;" />\r\n<h3>Banners</h3>\r\n<p>The banners component provides a simple way to display a rotating image in a module and, if you wish to have advertising, a way to track the number of times an image is viewed and clicked. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Banners_Banners_Edit">Help</a></p>\r\n<hr title="Redirect" class="system-pagebreak" />\r\n<h3><br />Redirect</h3>\r\n<p>The redirect component is used to manage broken links that produce Page Not Found (404) errors. If enabled it will allow you to redirect broken links to specific pages. It can also be used to manage migration related URL changes. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Redirect_Manager">Help</a></p>', '', 1, 21, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 7, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(2, 90, 'Archive Module', 'archive-module', '<p>This module shows a list of the calendar months containing archived articles. After you have changed the status of an article to archived, this list will be automatically generated. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Archive" title="Archive Module">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_archive,Archived Articles}</div>', '', 1, 64, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 5, 5, 'modules, content', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(3, 91, 'Article Categories Module', 'article-categories-module', '<p>This module displays a list of categories from one parent category. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Categories" title="Categories Module">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_categories,Articles Categories}</div>\r\n<p> </p>', '', 1, 64, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 5, 6, 'modules, content', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(4, 92, 'Articles Category Module', 'articles-category-module', '<p>This module allows you to display the articles in a specific category. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Category">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_category,Articles Category}</div>', '', 1, 64, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 8, 7, '', 'articles,content', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(5, 101, 'Authentication', 'authentication', '<p>The authentication plugins operate when users login to your site or administrator. The Joomla! authentication plugin is in operation by default but you can enable Gmail or LDAP or install a plugin for a different system. An example is included that may be used to create a new authentication plugin.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Joomla <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Authentication_-_GMail">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>Gmail <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Authentication_-_GMail">Help</a></li>\r\n<li>LDAP <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Authentication_-_LDAP">Help</a></li>\r\n</ul>', '', 1, 25, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 3, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(6, 102, 'Australian Parks ', 'australian-parks', '<p><img src="images/sampledata/parks/banner_cradle.jpg" border="0" alt="Cradle Park Banner" /></p>\r\n<p>Welcome!</p>\r\n<p>This is a basic site about the beautiful and fascinating parks of Australia.</p>\r\n<p>On this site you can read all about my travels to different parks, see photos, and find links to park websites.</p>\r\n<p><em>This sample site is an example of using the core of Joomla! to create a basic website, whether a "brochure site,"  a personal blog, or as a way to present information on a topic you are interested in.</em></p>\r\n<p><em> Read more about the site in the About Parks module.</em></p>\r\n<p> </p>', '', 1, 26, '2017-10-12 03:51:35', 42, 'Parks Webmaster', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(7, 103, 'Banner Module', 'banner-module', '<p>The banner module is used to display the banners that are managed by the banners component in the site administrator. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Banners">Help</a>.</p>\r\n<div class="sample-module">{loadmodule banners,Banners}</div>', '', 1, 66, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 6, '', '', 1, 4, '', 0, '*', ''),
(8, 104, 'Beginners', 'beginners', '<p>If this is your first Joomla! site or your first web site, you have come to the right place. Joomla will help you get your website up and running quickly and easily.</p>\r\n<p>Start off using your site by logging in using the administrator account you created when you installed Joomla.</p>\r\n', '\r\n<p>Explore the articles and other resources right here on your site data to learn more about how Joomla works. (When you\'re done reading, you can delete or archive all of this.) You will also probably want to visit the Beginners\' Areas of the <a href="http://docs.joomla.org/Beginners">Joomla documentation</a> and <a href="http://forum.joomla.org">support forums</a>.</p>\r\n<p>You\'ll also want to sign up for the Joomla Security Mailing list and the Announcements mailing list. For inspiration visit the <a href="http://community.joomla.org/showcase/">Joomla! Site Showcase</a> to see an amazing array of ways people use Joomla to tell their stories on the web.</p>\r\n<p>The basic Joomla installation will let you get a great site up and running, but when you are ready for more features the power of Joomla is in the creative ways that developers have extended it to do all kinds of things. Visit the <a href="http://extensions.joomla.org/">Joomla! Extensions Directory</a> to see thousands of extensions that can do almost anything you could want on a website. Can\'t find what you need? You may want to find a Joomla professional in the <a href="http://resources.joomla.org/">Joomla! Resource Directory</a>.</p>\r\n<p>Want to learn more? Consider attending a <a href="http://community.joomla.org/events.html">Joomla! Day</a> or other event or joining a local <a href="http://community.joomla.org/user-groups.html">Joomla! Users Group</a>. Can\'t find one near you? Start one yourself.</p>', 1, 19, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 4, '', '', 1, 23, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(9, 105, 'Contacts', 'contact', '<p>The contact component provides a way to provide contact forms and information for your site or to create a complex directory that can be used for many different purposes. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Contacts_Contacts">Help</a></p>', '', 1, 21, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(10, 106, 'Content', 'content', '<p>The content component (com_content) is what you use to write articles. It is extremely flexible and has the largest number of built in views. Articles can be created and edited from the front end, making content the easiest component to use to create your site content. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Content_Article_Manager">Help</a></p>', '', 1, 21, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 1, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(11, 107, 'Cradle Mountain', 'cradle-mountain', '<p> </p>\r\n', '\r\n<p> </p>', 1, 73, '2017-10-12 03:51:35', 42, 'Parks Webmaster', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/landscape\\/250px_cradle_mountain_seen_from_barn_bluff.jpg","float_intro":"","image_intro_alt":"Cradle Mountain","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/landscape\\/800px_cradle_mountain_seen_from_barn_bluff.jpg","float_fulltext":"none","image_fulltext_alt":"Cradle Mountain","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Rainforest,bluemountainsNSW.jpg Author: Alan J.W.C. License: GNU Free Documentation License v . 1.2 or later"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(12, 110, 'Custom HTML Module', 'custom-html-module', '<p>This module allows you to create your own HTML Module using a WYSIWYG editor. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Custom_HTML" title="Custom HTML Module">Help</a></p>\r\n<div class="sample-module">{loadmodule custom,Custom HTML}</div>', '', 1, 66, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 13, 1, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(13, 111, 'Directions', 'directions', '<p>Here\'s how to find our shop.</p><p>By car</p><p>Drive along Main Street to the intersection with First Avenue.  Look for our sign.</p><p>By foot</p><p>From the center of town, walk north on Main Street until you see our sign.</p><p>By bus</p><p>Take the #73 Bus to the last stop. We are on the north east corner.</p>', '', 1, 29, '2017-10-12 03:51:35', 42, 'Fruit Shop Webmaster', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 2, '', '', 1, 0, '', 0, '*', ''),
(14, 112, 'Editors', 'editors', '<p>Editors are used thoughout Joomla! where content is created. TinyMCE is the default choice in most locations although CodeMirror is used in the template manager. No Editor provides a text box for html content.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>CodeMirror <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Editor_-_CodeMirror">Help</a></li>\r\n<li>TinyMCE<a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Editor_-_TinyMCE"> Help</a></li>\r\n<li>No Editor <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Editor_-_None">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>None</li>\r\n</ul>', '', 1, 25, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 5, '', '', 1, 0, '', 0, '*', ''),
(15, 113, 'Editors-xtd', 'editors-xtd', '<p>These plugins are the buttons found beneath your editor. They only run when an editor plugin runs.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Editor Button: Image<a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Button_-_Image"> Help</a></li>\r\n<li>Editor Button: Readmore <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Button_-_Readmore">Help</a></li>\r\n<li>Editor Button: Page Break <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Button_-_Pagebreak">Help</a></li>\r\n<li>Editor Button: Article <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Button_-_Article">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>None</li>\r\n</ul>', '', 1, 25, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 6, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(16, 114, 'Feed Display', 'feed-display', '<p>This module allows the displaying of a syndicated feed. <a href="http://docs.joomla.org/Help15:Screen.modulessite.edit.15#Feed_Display" title="Feed Display Module">Help</a></p>\r\n<div class="sample-module">{loadmodule feed,Feed Display}</div>', '', 1, 66, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 3, 2, '', '', 1, 3, '', 0, '*', ''),
(17, 115, 'First Blog Post', 'first-blog-post', '<p><em>Lorem Ipsum is filler text that is commonly used by designers before the content for a new site is ready.</em></p><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Sed faucibus purus vitae diam posuere nec eleifend elit dictum. Aenean sit amet erat purus, id fermentum lorem. Integer elementum tristique lectus, non posuere quam pretium sed. Quisque scelerisque erat at urna condimentum euismod. Fusce vestibulum facilisis est, a accumsan massa aliquam in. In auctor interdum mauris a luctus. Morbi euismod tempor dapibus. Duis dapibus posuere quam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. In eu est nec erat sollicitudin hendrerit. Pellentesque sed turpis nunc, sit amet laoreet velit. Praesent vulputate semper nulla nec varius. Aenean aliquam, justo at blandit sodales, mauris leo viverra orci, sed sodales mauris orci vitae magna.</p>', '<p>Quisque a massa sed libero tristique suscipit. Morbi tristique molestie metus, vel vehicula nisl ultrices pretium. Sed sit amet est et sapien condimentum viverra. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Phasellus viverra tortor porta orci convallis ac cursus erat sagittis. Vivamus aliquam, purus non luctus adipiscing, orci urna imperdiet eros, sed tincidunt neque sapien et leo. Cras fermentum, dolor id tempor vestibulum, neque lectus luctus mauris, nec congue tellus arcu nec augue. Nulla quis mi arcu, in bibendum quam. Sed placerat laoreet fermentum. In varius lobortis consequat. Proin vulputate felis ac arcu lacinia adipiscing. Morbi molestie, massa id sagittis luctus, sem sapien sollicitudin quam, in vehicula quam lectus quis augue. Integer orci lectus, bibendum in fringilla sit amet, rutrum eget enim. Curabitur at libero vitae lectus gravida luctus. Nam mattis, ligula sit amet vestibulum feugiat, eros sem sodales mi, nec dignissim ante elit quis nisi. Nulla nec magna ut leo convallis sagittis ac non erat. Etiam in augue nulla, sed tristique orci. Vestibulum quis eleifend sapien.</p><p>Nam ut orci vel felis feugiat posuere ut eu lorem. In risus tellus, sodales eu eleifend sed, imperdiet id nulla. Nunc at enim lacus. Etiam dignissim, arcu quis accumsan varius, dui dui faucibus erat, in molestie mauris diam ac lacus. Sed sit amet egestas nunc. Nam sollicitudin lacinia sapien, non gravida eros convallis vitae. Integer vehicula dui a elit placerat venenatis. Nullam tincidunt ligula aliquet dui interdum feugiat. Maecenas ultricies, lacus quis facilisis vehicula, lectus diam consequat nunc, euismod eleifend metus felis eu mauris. Aliquam dapibus, ipsum a dapibus commodo, dolor arcu accumsan neque, et tempor metus arcu ut massa. Curabitur non risus vitae nisl ornare pellentesque. Pellentesque nec ipsum eu dolor sodales aliquet. Vestibulum egestas scelerisque tincidunt. Integer adipiscing ultrices erat vel rhoncus.</p><p>Integer ac lectus ligula. Nam ornare nisl id magna tincidunt ultrices. Phasellus est nisi, condimentum at sollicitudin vel, consequat eu ipsum. In venenatis ipsum in ligula tincidunt bibendum id et leo. Vivamus quis purus massa. Ut enim magna, pharetra ut condimentum malesuada, auctor ut ligula. Proin mollis, urna a aliquam rutrum, risus erat cursus odio, a convallis enim lectus ut lorem. Nullam semper egestas quam non mattis. Vestibulum venenatis aliquet arcu, consectetur pretium erat pulvinar vel. Vestibulum in aliquet arcu. Ut dolor sem, pellentesque sit amet vestibulum nec, tristique in orci. Sed lacinia metus vel purus pretium sit amet commodo neque condimentum.</p><p>Aenean laoreet aliquet ullamcorper. Nunc tincidunt luctus tellus, eu lobortis sapien tincidunt sed. Donec luctus accumsan sem, at porttitor arcu vestibulum in. Sed suscipit malesuada arcu, ac porttitor orci volutpat in. Vestibulum consectetur vulputate eros ut porttitor. Aenean dictum urna quis erat rutrum nec malesuada tellus elementum. Quisque faucibus, turpis nec consectetur vulputate, mi enim semper mi, nec porttitor libero magna ut lacus. Quisque sodales, leo ut fermentum ullamcorper, tellus augue gravida magna, eget ultricies felis dolor vitae justo. Vestibulum blandit placerat neque, imperdiet ornare ipsum malesuada sed. Quisque bibendum quam porta diam molestie luctus. Sed metus lectus, ornare eu vulputate vel, eleifend facilisis augue. Maecenas eget urna velit, ac volutpat velit. Nam id bibendum ligula. Donec pellentesque, velit eu convallis sodales, nisi dui egestas nunc, et scelerisque lectus quam ut ipsum.</p>', 1, 27, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 2, '', '', 1, 0, '', 0, '*', ''),
(18, 116, 'Second Blog Post', 'second-blog-post', '<p><em>Lorem Ipsum is text that is traditionally used by designers when working on a site before the content is ready.</em></p><p>Pellentesque bibendum metus ut dolor fermentum ut pulvinar tortor hendrerit. Nam vel odio vel diam tempus iaculis in non urna. Curabitur scelerisque, nunc id interdum vestibulum, felis elit luctus dui, ac dapibus tellus mauris tempus augue. Duis congue facilisis lobortis. Phasellus neque erat, tincidunt non lacinia sit amet, rutrum vitae nunc. Sed placerat lacinia fermentum. Integer justo sem, cursus id tristique eget, accumsan vel sapien. Curabitur ipsum neque, elementum vel vestibulum ut, lobortis a nisl. Fusce malesuada mollis purus consectetur auctor. Morbi tellus nunc, dapibus sit amet rutrum vel, laoreet quis mauris. Aenean nec sem nec purus bibendum venenatis. Mauris auctor commodo libero, in adipiscing dui adipiscing eu. Praesent eget orci ac nunc sodales varius.</p>', '<p>Nam eget venenatis lorem. Vestibulum a interdum sapien. Suspendisse potenti. Quisque auctor purus nec sapien venenatis vehicula malesuada velit vehicula. Fusce vel diam dolor, quis facilisis tortor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Pellentesque libero nisi, pellentesque quis cursus sit amet, vehicula vitae nisl. Curabitur nec nunc ac sem tincidunt auctor. Phasellus in mattis magna. Donec consequat orci eget tortor ultricies rutrum. Mauris luctus vulputate molestie. Proin tincidunt vehicula euismod. Nam congue leo non erat cursus a adipiscing ipsum congue. Nulla iaculis purus sit amet turpis aliquam sit amet dapibus odio tincidunt. Ut augue diam, congue ut commodo pellentesque, fermentum mattis leo. Sed iaculis urna id enim dignissim sodales at a ipsum. Quisque varius lobortis mollis. Nunc purus magna, pellentesque pellentesque convallis sed, varius id ipsum. Etiam commodo mi mollis erat scelerisque fringilla. Nullam bibendum massa sagittis diam ornare rutrum.</p><p>Praesent convallis metus ut elit faucibus tempus in quis dui. Donec fringilla imperdiet nibh, sit amet fringilla velit congue et. Quisque commodo luctus ligula, vitae porttitor eros venenatis in. Praesent aliquet commodo orci id varius. Nulla nulla nibh, varius id volutpat nec, sagittis nec eros. Cras et dui justo. Curabitur malesuada facilisis neque, sed tempus massa tincidunt ut. Sed suscipit odio in lacus auctor vehicula non ut lacus. In hac habitasse platea dictumst. Sed nulla nisi, lacinia in viverra at, blandit vel tellus. Nulla metus erat, ultrices non pretium vel, varius nec sem. Morbi sollicitudin mattis lacus quis pharetra. Donec tincidunt mollis pretium. Proin non libero justo, vitae mattis diam. Integer vel elit in enim varius posuere sed vitae magna. Duis blandit tempor elementum. Vestibulum molestie dui nisi.</p><p>Curabitur volutpat interdum lorem sed tempus. Sed placerat quam non ligula lacinia sodales. Cras ultrices justo at nisi luctus hendrerit. Quisque sit amet placerat justo. In id sapien eu neque varius pharetra sed in sapien. Etiam nisl nunc, suscipit sed gravida sed, scelerisque ut nisl. Mauris quis massa nisl, aliquet posuere ligula. Etiam eget tortor mauris. Sed pellentesque vestibulum commodo. Mauris vitae est a libero dapibus dictum fringilla vitae magna.</p><p>Nulla facilisi. Praesent eget elit et mauris gravida lobortis ac nec risus. Ut vulputate ullamcorper est, volutpat feugiat lacus convallis non. Maecenas quis sem odio, et aliquam libero. Integer vel tortor eget orci tincidunt pulvinar interdum at erat. Integer ullamcorper consequat eros a pellentesque. Cras sagittis interdum enim in malesuada. Etiam non nunc neque. Fusce non ligula at tellus porta venenatis. Praesent tortor orci, fermentum sed tincidunt vel, varius vel dui. Duis pulvinar luctus odio, eget porta justo vulputate ac. Nulla varius feugiat lorem sed tempor. Phasellus pulvinar dapibus magna eget egestas. In malesuada lectus at justo pellentesque vitae rhoncus nulla ultrices. Proin ut sem sem. Donec eu suscipit ipsum. Cras eu arcu porttitor massa feugiat aliquet at quis nisl.</p>', 1, 27, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 1, '', '', 1, 0, '', 0, '*', ''),
(19, 117, 'Footer Module', 'footer-module', '<p>This module shows the Joomla! copyright information. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Footer" title="Footer Module">Help</a></p>\r\n<div class="sample-module">{loadmodule footer,Footer}</div>', '', 1, 66, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 3, '', '', 1, 4, '', 0, '*', ''),
(20, 118, 'Fruit Shop', 'fruit-shop', '<h2>Welcome to the Fruit Shop</h2>\r\n<p>We sell fruits from around the world. Please use our website to learn more about our business. We hope you will come to our shop and buy some fruit.</p>\r\n<p><em>This mini site will show you how you might want to set up a site for a business, in this example one selling fruit. It shows how to use access controls to manage your site content. If you were building a real site, you might want to extend it with e-commerce, a catalog, mailing lists or other enhancements, many of which are available through the</em><a href="http://extensions.joomla.org"><em> Joomla! Extensions Directory</em></a>.</p>\r\n<p><em>To understand this site you will probably want to make one user with group set to customer and one with group set to grower. By logging in with different privileges you can see how access control works.</em></p>', '', 1, 29, '2017-10-12 03:51:35', 42, 'Fruit Shop Webmaster', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(21, 119, 'Getting Help', 'getting-help', '<p>There are lots of places you can get help with Joomla!. In many places in your site administrator you will see the help icon. Click on this for more information about the options and functions of items on your screen. Other places to get help are:</p>\r\n<ul>\r\n<li><a href="http://forum.joomla.org">Support Forums</a></li>\r\n<li><a href="http://docs.joomla.org">Documentation</a></li>\r\n<li><a href="http://resources.joomla.org">Professionals</a></li>\r\n<li><a href="http://shop.joomla.org/amazoncom-bookstores.html">Books</a></li>\r\n</ul>', '', 1, 19, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 12, 8, '', '', 1, 18, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(22, 120, 'Getting Started', 'getting-started', '<p>It\'s easy to get started creating your website. Knowing some of the basics will help.</p>\r\n<h3>What is a Content Management System?</h3>\r\n<p>A content management system is software that allows you to create and manage webpages easily by separating the creation of your content from the mechanics required to present it on the web.</p>\r\n<p>In this site, the content is stored in a <em>database</em>. The look and feel are created by a <em>template</em>. The Joomla! software brings together the template and the content to create web pages.</p>\r\n<h3>Site and Administrator</h3>\r\n<p>Your site actually has two separate sites. The site (also called the front end) is what visitors to your site will see. The administrator (also called the back end) is only used by people managing your site. You can access the administrator by clicking the "Site Administrator" link on the "This Site" menu or by adding /administrator to the end of you domain name.</p>\r\n<p>Log in to the administrator using the username and password created during the installation of Joomla.</p>\r\n<h3>Logging in</h3>\r\n<p>To login to the front end of your site use the login form or the login menu link on the "This Site" menu. Use the user name and password that were created as part of the installation process. Once logged-in you will be able to create and edit articles.</p>\r\n<p>In managing your site, you will be able to create content that only logged-in users are able to see.</p>\r\n<h3>Creating an article</h3>\r\n<p>Once you are logged-in, a new menu will be visible. To create a new article, click on the "submit article" link on that menu.</p>\r\n<p>The new article interface gives you a lot of options, but all you need to do is add a title and put something in the content area. To make it easy to find, set the state to published and put it in the Joomla category.</p>\r\n<div>You can edit an existing article by clicking on the edit icon (this only displays to users who have the right to edit).</div>\r\n<h3>Learn more</h3>\r\n<p>There is much more to learn about how to use Joomla! to create the web site you envision. You can learn much more at the <a href="http://docs.joomla.org">Joomla! documentation site</a> and on the<a href="http://forum.joomla.org"> Joomla! forums</a>.</p>', '', 1, 19, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 9, '', '', 1, 47, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(23, 121, 'Happy Orange Orchard', 'happy-orange-orchard', '<p>At our orchard we grow the world\'s best oranges as well as other citrus fruit such as lemons and grapefruit. Our family has been tending this orchard for generations.</p>', '', 1, 30, '2017-10-12 03:51:35', 42, 'Fruit Shop Webmaster', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 2, '', '', 1, 0, '', 0, '*', ''),
(24, 122, 'Joomla!', 'joomla', '<p>Congratulations! You have a Joomla site! Joomla makes it easy to build a website just the way you want it and keep it simple to update and maintain.</p>\r\n<p>Joomla is a flexible and powerful platform, whether you are building a small site for yourself or a huge site with hundreds of thousands of visitors. Joomla is open source, which means you can make it work just the way you want it to.</p>', '', 1, 19, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 2, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(25, 123, 'Koala', 'koala', '<p> </p>\r\n<p> </p>\r\n<p> </p>\r\n<p> </p>\r\n<p> </p>\r\n', '\r\n<p> </p>', 1, 72, '2017-10-12 03:51:35', 42, 'Parks Webmaster', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/animals\\/180px_koala_ag1.jpg","float_intro":"","image_intro_alt":"Koala  Thumbnail","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/animals\\/800px_koala_ag1.jpg","float_fulltext":"","image_fulltext_alt":"Koala Climbing Tree","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Koala-ag1.jpg Author: Arnaud Gaillard License: Creative Commons Share Alike Attribution Generic 1.0"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 2, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(26, 124, 'Language Switcher', 'language-switcher', '<p>The language switcher module allows you to take advantage of the language tags that are available when content, modules and menu links are created.</p>\r\n<p>This module displays a list of available Content Languages for switching between them.</p>\r\n<p>When switching languages, it redirects to the Home page, or associated menu item, defined for the chosen language. Thereafter, the navigation will be the one defined for that language.</p>\r\n<p><strong>The language filter plugin must be enabled for this module to work properly.</strong></p>\r\n<p><strong></strong> <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Language_Switcher" title="Language Switcher Module">Help</a></p>\r\n<p>To view an example of the language switch moduler module, go to the site administrator and enable the language filter plugin and the language switcher module labelled "language switcher" and visit the fruit shop or park sample sites. Then follow<a href="http://docs.joomla.org/Language_Switcher_Tutorial_for_Joomla_1.6"> the instructions in this tutorial</a>.</p>', '', 1, 67, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 3, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(27, 125, 'Latest Articles Module', 'latest-articles-module', '<p>This module shows a list of the most recently published and current Articles. Some that are shown may have expired even though they are the most recent. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Latest_News" title="Latest Articles">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_latest,Latest News}</div>', '', 1, 64, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 9, 1, 'modules, content', '', 1, 15, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(28, 126, 'Login Module', 'login-module', '<p>This module displays a username and password login form. It also displays a link to retrieve a forgotten password. If user registration is enabled (in the Global Configuration settings), another link will be shown to enable self-registration for users. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Login" title="Login">Help</a></p>\r\n<div class="sample-module">{loadmodule login,login}</div>', '', 1, 65, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 2, '', '', 1, 5, '', 0, '*', ''),
(29, 127, 'Menu Module', 'menu-module', '<p>This module displays a menu on the site (frontend).  Menus can be displayed in a wide variety of ways by using the menu options and css menu styles. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Menu">Help</a></p>\r\n<div class="sample-module">{loadmodule mod_menu,Menu Example}</div>', '', 1, 75, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 8, 1, '', '', 1, 12, '', 0, '*', ''),
(30, 128, 'Most Read Content', 'most-read-content', '<p>This module shows a list of the currently published Articles which have the highest number of page views. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Most_Read" title="Most Read Content">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_popular,Articles Most Read}</div>', '', 1, 64, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 2, 'modules, content', '', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(31, 129, 'News Flash', 'news-flash', '<p>Displays a set number of articles from a category based on date or random selection. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Newsflash" title="News Flash Module">Help</a></p>\r\n<div class="sample-module">{loadmodule articles_news,News Flash}</div>', '', 1, 64, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","page_title":"","alternative_readmore":"","layout":""}', 4, 3, 'modules, content', '', 1, 10, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(32, 130, 'Options', 'options', '<p>As you make your Joomla! site you will control the details of the display using <em>options</em> also referred to as <em>parameter</em><strong>s</strong>. Options control everything from whether the author\'s name is displayed to who can view what to the number of items shown on a list.</p>\r\n<p>Default options for each component are changed using the Options button on the component toolbar.</p>\r\n<p>Options can also be set on an individual item, such as an article or contact and in menu links.</p>\r\n<p>If you are happy with how your site looks, it is fine to leave all of the options set to the defaults that were created when your site was installed. As you become more experienced with Joomla you will use options more.</p>\r\n<p> </p>', '', 1, 19, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 10, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(33, 131, 'Phyllopteryx', 'phyllopteryx', '<p> </p>\r\n', '\r\n<p> </p>', 1, 72, '2017-10-12 03:51:35', 42, 'Parks Webmaster', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/animals\\/200px_phyllopteryx_taeniolatus1.jpg","float_intro":"","image_intro_alt":"Phyllopteryx","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/animals\\/800px_phyllopteryx_taeniolatus1.jpg","float_fulltext":"","image_fulltext_alt":"Phyllopteryx","image_fulltext_caption":"Source: http:\\/\\/en.wikipedia.org\\/wiki\\/File:Phyllopteryx_taeniolatus1.jpg Author: Richard Ling License: GNU Free Documentation License v 1.2 or later"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(34, 132, 'Pinnacles', 'pinnacles', '<p> </p>\r\n', '\r\n<p> </p>', 1, 73, '2017-10-12 03:51:35', 42, 'Parks Webmaster', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/landscape\\/120px_pinnacles_western_australia.jpg","float_intro":"","image_intro_alt":"Kings Canyon","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/landscape\\/800px_pinnacles_western_australia.jpg","float_fulltext":"","image_fulltext_alt":"Kings Canyon","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Pinnacles_Western_Australia.jpg  Author: Martin Gloss  License: GNU Free Documentation license v 1.2 or later."}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 4, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(35, 133, 'Professionals', 'professionals', '<p>Joomla! 2.5 continues development of the Joomla Framework and CMS as a powerful and flexible way to bring your vision of the web to reality. With the administrator now fully MVC, the ability to control its look and the management of extensions is now complete.</p>\r\n', '\r\n<p>Working with multiple template styles and overrides for the same views, creating the design you want is easier than it has ever been. Limiting support to PHP 5.2.4 and above makes Joomla lighter and faster than ever. Languages files can now be overridden without having your changes lost during an upgrade.  With the proper xml your users update extensions with a single click.</p>\r\n<p>Access control lists are now incorporated using a new system developed for Joomla. The ACL system is designed with developers in mind, so it is easy to incorporate into your extensions. The new nested sets libraries allow you to incorporate infinitely deep categories but also to use nested sets in a variety of other ways.</p>\r\n<p>A new forms library makes creating all kinds of user interaction simple. MooTools 1.3 provides a highly flexible javascript framework that is a major advance over MooTools 1.0.</p>\r\n<p>New events throughout the core make integration of your plugins where you want them a snap.</p>\r\n<p>The separation of the Joomla! Platform project from the Joomla! CMS project makes continuous development of new, powerful APIs  and continuous improvement of existing APIs possible while maintaining the stability of the CMS that millions of webmasters and professionals rely upon.</p>\r\n<p>Learn about:</p>\r\n<ul>\r\n<li><a href="http://docs.joomla.org/What\'s_new_in_Joomla_1.6">Changes since 1.5</a></li>\r\n<li><a href="http://docs.joomla.org/ACL_Tutorial_for_Joomla_1.6">Working with ACL</a></li>\r\n<li><a href="http://docs.joomla.org/API16:JCategories">Working with nested categories</a></li>\r\n<li><a href="http://docs.joomla.org/API16:JForm">Forms library</a></li>\r\n<li><a href="http://docs.joomla.org/Working_with_Mootools_1.3">Working with Mootools 1.3</a></li>\r\n<li><a href="http://docs.joomla.org/Layout_Overrides_in_Joomla_1.6">Using new features of the override system</a></li>\r\n<li><a href="http://api.joomla.org">Joomla! API</a></li>\r\n<li><a href="http://docs.joomla.org/API16:JDatabaseQuery">Using JDatabaseQuery</a></li>\r\n<li><a href="http://docs.joomla.org/What\'s_new_in_Joomla_1.6#Events">New and updated events</a></li>\r\n<li><a href="http://docs.joomla.org/Xml-rpc_changes_in_Joomla!_1.6">Xmlrpc</a></li>\r\n<li><a href="http://docs.joomla.org/What\'s_new_in_Joomla_1.6#Extension_management">Installing and updating extensions</a></li>\r\n<li><a href="http://docs.joomla.org/Setting_up_your_workstation_for_Joomla!_development">Setting up your development environment</a></li>\r\n<li><a href="github.com/joomla">The Joomla! Platform Repository</a> </li>\r\n</ul>', 1, 19, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 16, 5, '', '', 1, 70, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(36, 134, 'Random Image Module', 'random-image-module', '<p>This module displays a random image from your chosen image directory. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Random_Image" title="Random Image Module">Help</a></p>\r\n<div class="sample-module">{loadmodule random_image,Random Image}</div>', '', 1, 66, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 4, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(37, 135, 'Related Items Module', 'related-items-module', '<p>This module displays other Articles that are related to the one currently being viewed. These relations are established by the Meta Keywords.  All the keywords of the current Article are searched against all the keywords of all other published articles. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Articles_Related" title="Related Items Module">Help</a></p>\r\n<div class="sample-module">{loadmodule related_items,Articles Related Items}</div>', '', 1, 64, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 4, 'modules, content', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(38, 136, 'Sample Sites', 'sample-sites', '<p>Your installation includes sample data, designed to show you some of the options you have for building your website. In addition to information about Joomla! there are two sample "sites within a site" designed to help you get started with building your own site.</p>\r\n<p>The first site is a simple site about <a href="index.php?Itemid=243">Australian Parks</a>. It shows how you can quickly and easily build a personal site with just the building blocks that are part of Joomla. It includes a personal blog, weblinks, and a very simple image gallery.</p>\r\n<p>The second site is slightly more complex and represents what you might do if you are building a site for a small business, in this case a <a href="index.php/welcome.html"></a><a href="index.php?Itemid=429">Fruit Shop</a>.</p>\r\n<p>In building either style site, or something completely different, you will probably want to add <a href="http://extensions.joomla.org">extensions</a> and either create or purchase your own template. Many Joomla users start by modifying the <a href="http://docs.joomla.org/How_do_you_modify_a_template%3F">templates</a> that come with the core distribution so that they include special images and other design elements that relate to their site\'s focus.</p>', '', 1, 19, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 11, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(39, 137, 'Search', 'search-component', '<p>Joomla! 2.5 offers two search options.</p>\r\n<p>The Basic Search component provides basic search functionality for the information contained in your core components. Many extensions can also be searched by the search component. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Search">Help</a></p>\r\n<p>The Smart Search component offers searching similar to that found in major search engines. Smart Search is disabled by default. If you choose to enable it you will need to take several steps. First, enable the Smart Search Plugin in the plugin manager. Then, if you are using the Basic Search Module replace it with the Smart Search Module. Finally, if you have already created content, go to the Smart Search component in your site administrator and click the Index icon. Once indexing of your content is complete, Smart Search will be ready to use. Help.</p>', '', 1, 21, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 3, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(40, 138, 'Search Module', 'search-module', '<p>This module will display a search box. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Search" title="Search">Help</a></p>\r\n<div class="sample-module">{loadmodule search,Search}</div>', '', 1, 67, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 4, '', '', 1, 6, '', 0, '*', ''),
(41, 139, 'Search ', 'search-plugin', '<p>The search component uses plugins to control which parts of your Joomla! site are searched. You may choose to turn off some areas to improve performance or for other reasons. Many third party Joomla! extensions have search plugins that extend where search takes place.</p>\r\n<p>Default On:</p>\r\n<ul>\r\n<li>Content <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Content">Help</a></li>\r\n<li>Contacts <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Contacts">Help</a></li>\r\n<li>Weblinks <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Weblinks">Help</a></li>\r\n<li>News Feeds <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Newsfeeds">Help</a></li>\r\n<li>Categories <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Search_-_Categories">Help</a></li>\r\n</ul>', '', 1, 25, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 3, 1, '', '', 1, 0, '', 0, '*', ''),
(42, 140, 'Site Map', 'site-map', '<p>{loadposition sitemapload}</p><p><em>By putting all of your content into nested categories you can give users and search engines access to everything using a menu.</em></p>', '', 1, 14, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 1, '', '', 1, 0, '', 0, '*', ''),
(43, 141, 'Spotted Quoll', 'spotted-quoll', '<p> </p>\r\n<p> </p>\r\n', '\r\n<p> </p>', 1, 72, '2017-10-12 03:51:35', 42, 'Parks Webmaster', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/animals\\/220px_spottedquoll_2005_seanmcclean.jpg","float_intro":"","image_intro_alt":"Spotted Quoll","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/animals\\/789px_spottedquoll_2005_seanmcclean.jpg","float_fulltext":"","image_fulltext_alt":"Spotted Quoll","image_fulltext_caption":"Source: http:\\/\\/en.wikipedia.org\\/wiki\\/File:SpottedQuoll_2005_SeanMcClean.jpg Author: Sean McClean License: GNU Free Documentation License v 1.2 or later"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(44, 142, 'Statistics Module', 'statistics', '<p>This module shows information about your server installation together with statistics on the Web site users, number of Articles in your database and the number of Web links you provide.</p>\r\n<div class="sample-module">{loadmodule mod_stats,Statistics}</div>', '', 1, 67, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 5, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(45, 143, 'Syndicate Module', 'syndicate-module', '<p>The syndicate module will display a link that allows users to take a feed from your site. It will only display on pages for which feeds are possible. That means it will not display on single article, contact or weblinks pages, such as this one. <a href="http://docs.joomla.org/Help15:Screen.modulessite.edit.15#Syndicate" title="Synicate Module">Help</a></p>\r\n<div class="sample-module">{loadposition syndicate,Syndicate}</div>', '', 1, 67, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 6, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(46, 144, 'System', 'system', '<p>System plugins operate every time a page on your site loads. They control such things as your URLS, whether users can check a "remember me" box on the login module, and whether caching is enabled. New is the redirect plugin that together with the redirect component will assist you in managing changes in URLs.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Remember me <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Remember_Me">Help</a></li>\r\n<li>SEF <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_SEF">Help</a></li>\r\n<li>Debug <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Debug">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>Cache <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Cache">Help</a></li>\r\n<li>Log <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Log">Help</a></li>\r\n<li>Redirect <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#System_-_Redirect">Help</a></li>\r\n</ul>', '', 1, 25, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 2, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(47, 145, 'The Joomla! Community', 'the-joomla-community', '<p>Joomla means All Together, and it is a community of people all working and having fun together that makes Joomla possible. Thousands of people each year participate in the Joomla community, and we hope you will be one of them.</p>\r\n<p>People with all kinds of skills, of all skill levels and from around the world are welcome to join in. Participate in the <a href="http://joomla.org">Joomla.org</a> family of websites (the<a href="http://forum.joomla.org"> forum </a>is a great place to start). Come to a <a href="http://community.joomla.org/events.html">Joomla! event</a>. Join or start a <a href="http://community.joomla.org/user-groups.html">Joomla! Users Group</a>. Whether you are a developer, site administrator, designer, end user or fan, there are ways for you to participate and contribute.</p>', '', 1, 19, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(48, 146, 'The Joomla! Project', 'the-joomla-project', '<p>The Joomla Project consists of all of the people who make and support the Joomla Web Platform and Content Management System.</p>\r\n<p>Our mission is to provide a flexible platform for digital publishing and collaboration.</p>\r\n<p>The core values are:</p>\r\n<ul>\r\n<li>Freedom</li>\r\n<li>Equality</li>\r\n<li>Trust</li>\r\n<li>Community</li>\r\n<li>Collaboration</li>\r\n<li>Usability</li>\r\n</ul>\r\n<p>In our vision, we see:</p>\r\n<ul>\r\n<li>People publishing and collaborating in their communities and around the world</li>\r\n<li>Software that is free, secure, and high-quality</li>\r\n<li>A community that is enjoyable and rewarding to participate in</li>\r\n<li>People around the world using their preferred languages</li>\r\n<li>A project that acts autonomously</li>\r\n<li>A project that is socially responsible</li>\r\n<li>A project dedicated to maintaining the trust of its users</li>\r\n</ul>\r\n<p>There are millions of users around the world and thousands of people who contribute to the Joomla Project. They work in three main groups: the Production Working Group, responsible for everything that goes into software and documentation; the Community Working Group, responsible for creating a nurturing the community; and Open Source Matters, the non profit organization responsible for managing legal, financial and organizational issues.</p>\r\n<p>Joomla is a free and open source project, which uses the GNU General Public License version 2 or later.</p>', '', 1, 19, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 68, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(49, 147, 'Typography', 'typography', '<h1>H1 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h1><h2>H2 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h2><h3>H3 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h3><h4>H4 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h4><h5>H5 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h5><h6>H6 ABCDEFGHIJKLMNOPQRSTUVWXYZ abcdefghijklmonpqrstuvwzyz</h6><p>P The quick brown fox ran over the lazy dog. THE QUICK BROWN FOX RAN OVER THE LAZY DOG.</p><ul><li>Item</li><li>Item</li><li>Item<br /> <ul><li>Item</li><li>Item</li><li>Item<br /> <ul><li>Item</li><li>Item</li><li>Item</li></ul></li></ul></li></ul><ol><li>tem</li><li>Item</li><li>Item<br /> <ol><li>Item</li><li>Item</li><li>Item<br /><ol><li>Item</li><li>Item</li><li>Item</li></ol></li></ol> </li></ol>', '', 1, 23, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 1, '', '', 1, 0, '', 0, '*', ''),
(50, 148, 'Upgraders', 'upgraders', '<p>If you are an experienced Joomla! 1.5 user, this Joomla site will seem very familiar. There are new templates and improved user interfaces, but most functionality is the same. The biggest changes are improved access control (ACL) and nested categories. This release of Joomla has strong continuity with Joomla! 1.7 while adding enhancements.</p>\r\n', '\r\n<p>The new user manager will let you manage who has access to what in your site. You can leave access groups exactly the way you had them in Joomla 1.5 or make them as complicated as you want. You can learn more about<a href="http://docs.joomla.org/ACL_Tutorial_for_Joomla_1.6"> how access control works</a> in on the <a href="http://docs.joomla.org">Joomla! Documentation site</a></p>\r\n<p>In Joomla 1.5 and 1.0 content was organized into sections and categories. From 1.6 forward sections are gone, and you can create categories within categories, going as deep as you want. The sample data provides many examples of the use of nested categories.</p>\r\n<p>All layouts have been redesigned to improve accessibility and flexibility. </p>\r\n<p>Updating your site and extensions when needed is easier than ever thanks to installer improvements.</p>\r\n<p> </p>', 1, 19, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 6, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 1, '*', ''),
(51, 149, 'User', 'user-plugins', '<p>Default on:</p>\r\n<ul>\r\n<li>Joomla <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#User_-_Joomla.21">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<p>Two new plugins are available but are disabled by default.</p>\r\n<ul>\r\n<li>Contact Creator <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#User_-_Contact_Creator">Help</a><br />Creates a new linked contact record for each new user created.</li>\r\n<li>Profile <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#User_-_Profile">Help</a><br />This example profile plugin allows you to insert additional fields into user registration and profile display. This is intended as an example of the types of extensions to the profile you might want to create.</li>\r\n</ul>', '', 1, 25, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(52, 150, 'Users', 'users-component', '<p>The users extension lets your site visitors register, login and logout, change their passwords and other information, and recover lost passwords. In the administrator it allows you to create, block and manage users and create user groups and access levels. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Users_User_Manager">Help</a></p>\r\n<p>Please note that some of the user views will not display if you are not logged-in to the site.</p>', '', 1, 21, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 5, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(53, 151, 'Using Joomla!', 'using-joomla', '<p>With Joomla you can create anything from a simple personal website to a complex ecommerce or social site with millions of visitors.</p>\r\n<p>This section of the sample data provides you with a brief introduction to Joomla concepts and reference material to help you understand how Joomla works.</p>\r\n<p><em>When you no longer need the sample data, you can can simply unpublish the sample data category found within each extension in the site administrator or you may completely delete each item and all of the categories. </em></p>', '', 1, 19, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 7, '', '', 1, 12, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(54, 152, 'Weblinks', 'weblinks', '<p>Weblinks (com_weblinks) is a component that provides a structured way to organize external links and present them in a visually attractive, consistent and informative way. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Weblinks_Links">Help</a></p>', '', 1, 21, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 2, 6, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(55, 153, 'Weblinks Module', 'weblinks-module', '<p>This module displays the list of weblinks in a category. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Weblinks" title="Weblinks Module">Help</a></p>\r\n<div class="sample-module">{loadmodule weblinks,Weblinks}</div>', '', 1, 66, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 7, 5, '', '', 1, 23, '', 0, '*', ''),
(56, 154, 'Who\'s Online', 'whos-online', '<p>The Who\'s Online Module displays the number of Anonymous Users (e.g. Guests) and Registered Users (ones logged-in) that are currently accessing the Web site. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Who_Online" title="Who\'s Online">Help</a></p>\r\n<div class="sample-module">{loadmodule whosonline,Who\'s Online}</div>', '', 1, 65, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 1, '', '', 1, 5, '', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(57, 155, 'Wobbegone', 'wobbegone', '<p> </p>\r\n', '\r\n<p> </p>', 1, 72, '2017-10-12 03:51:35', 42, 'Parks Webmaster', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/animals\\/180px_wobbegong.jpg","float_intro":"","image_intro_alt":"Wobbegon","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/animals\\/800px_wobbegong.jpg","float_fulltext":"","image_fulltext_alt":"Wobbegon","image_fulltext_caption":"Source: http:\\/\\/en.wikipedia.org\\/wiki\\/File:Wobbegong.jpg Author: Richard Ling Rights: GNU Free Documentation License v 1.2 or later"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(58, 156, 'Wonderful Watermelon', 'wonderful-watermelon', '<p>Watermelon is a wonderful and healthy treat. We grow the world\'s sweetest watermelon. We have the largest watermelon patch in our country.</p>', '', 1, 30, '2017-10-12 03:51:35', 42, 'Fruit Shop Webmaster', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 1, '', '', 1, 0, '', 0, '*', ''),
(59, 157, 'Wrapper Module', 'wrapper-module', '<p>This module shows an iFrame window to specified location. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Wrapper" title="Wrapper Module">Help</a></p>\r\n<div class="sample-module">{loadmodule wrapper,Wrapper}</div>', '', 1, 67, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 8, 1, '', '', 1, 15, '', 0, '*', ''),
(60, 158, 'News Feeds', 'news-feeds', '<p>News Feeds (com_newsfeeds) provides a way to organize and present news feeds. News feeds are a way that you present information from another site on your site. For example, the joomla.org website has numerous feeds that you can incorporate on your site. You an use menus to present a single feed, a list of feeds in a category, or a list of all feed categories. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Components_Newsfeeds_Feeds">Help</a></p>', '', 1, 21, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 4, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(61, 159, 'Breadcrumbs Module', 'breadcrumbs-module', '<p>Breadcrumbs provide a pathway for users to navigate through the site. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Breadcrumbs" title="Breacrumbs Module">Help</a></p>\r\n<div class="sample-module">{loadmodule breadcrumbs,breadcrumbs}</div>', '', 1, 75, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":""}', 5, 2, '', '', 1, 9, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(62, 160, 'Content', 'content-plugins', '<p>Content plugins run when specific kinds of pages are loaded. They do things ranging from protecting email addresses from harvesters to creating page breaks.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Email Cloaking <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Email_Cloaking">Help</a></li>\r\n<li>Load Module <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Load_Modules">Help</a></li>\r\n<li>Page Break <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Pagebreak">Help</a></li>\r\n<li>Page Navigation<a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Page_Navigation"> Help</a></li>\r\n<li>Vote <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Vote">Help</a></li>\r\n</ul>\r\n<p>Default off:</p>\r\n<ul>\r\n<li>Code Highlighter (GeSHi) <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit#Content_-_Code_Highlighter_.28GeSHi.29">Help</a></li>\r\n</ul>', '', 1, 25, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 2, 7, '', '', 1, 1, '', 0, '*', ''),
(64, 162, 'Blue Mountain Rain Forest', 'blue-mountain-rain-forest', '<p> </p>\r\n', '\r\n<p> </p>', 1, 73, '2017-10-12 03:51:35', 42, 'Parks Webmaster', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/landscape\\/120px_rainforest_bluemountainsnsw.jpg","float_intro":"none","image_intro_alt":"Rain Forest Blue Mountains","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/landscape\\/727px_rainforest_bluemountainsnsw.jpg","float_fulltext":"","image_fulltext_alt":"Rain Forest Blue Mountains","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Rainforest,bluemountainsNSW.jpg Author: Adam J.W.C. License: GNU Free Documentation License"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(65, 163, 'Ormiston Pound', 'ormiston-pound', '<p> </p>\r\n', '\r\n<p> </p>', 1, 73, '2017-10-12 03:51:35', 42, 'Parks Webmaster', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/sampledata\\/parks\\/landscape\\/180px_ormiston_pound.jpg","float_intro":"none","image_intro_alt":"Ormiston Pound","image_intro_caption":"","image_fulltext":"images\\/sampledata\\/parks\\/landscape\\/800px_ormiston_pound.jpg","float_fulltext":"","image_fulltext_alt":"Ormiston Pound","image_fulltext_caption":"Source: http:\\/\\/commons.wikimedia.org\\/wiki\\/File:Ormiston_Pound.JPG Author: License: GNU Free Public Documentation License"}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 3, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(66, 165, 'Latest Users Module', 'latest-users-module', '<p>This module displays the latest registered users. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;keyref=Help16:Extensions_Module_Manager_Latest_Users">Help</a></p>\r\n<div class="sample-module">{loadmodule users_latest,Users Latest}</div>', '', 1, 65, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"1","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 4, 3, '', '', 1, 6, '', 0, '*', ''),
(67, 168, 'What\'s New in 1.5?', 'whats-new-in-15', '<p>This article deliberately archived as an example.</p><p>As with previous releases, Joomla! provides a unified and easy-to-use framework for delivering content for Web sites of all kinds. To support the changing nature of the Internet and emerging Web technologies, Joomla! required substantial restructuring of its core functionality and we also used this effort to simplify many challenges within the current user interface. Joomla! 1.5 has many new features.</p>\r\n<p style="margin-bottom: 0in;">In Joomla! 1.5, you\'\'ll notice:</p>\r\n<ul>\r\n<li>Substantially improved usability, manageability, and scalability far beyond the original Mambo foundations</li>\r\n<li>Expanded accessibility to support internationalisation, double-byte characters and right-to-left support for Arabic, Farsi, and Hebrew languages among others</li>\r\n<li>Extended integration of external applications through Web services</li>\r\n<li>Enhanced content delivery, template and presentation capabilities to support accessibility standards and content delivery to any destination</li>\r\n<li>A more sustainable and flexible framework for Component and Extension developers</li>\r\n<li>Backward compatibility with previous releases of Components, Templates, Modules, and other Extensions</li>\r\n</ul>', '', 2, 9, '2017-10-12 03:51:35', 42, 'Joomla! 1.5', '2017-10-12 03:51:35', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_readmore":"","show_print_icon":"","show_email_icon":"","show_hits":"","page_title":"","alternative_readmore":"","layout":""}', 1, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(68, 170, 'Captcha', 'captcha', '<p>The Captcha plugins are used to prevent spam submissions on your forms such as registration, contact and login. You basic installation of Joomla includes one Captcha plugin which leverages the ReCaptcha® service but you may install other plugins connecting to different Captcha systems.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>ReCaptcha <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit">help</a></li>\r\n</ul>\r\n<p>Note: ReCaptcha is a the trademark of Google Inc. and is an independent product not associated with or endorsed by the Joomla Project. You will need to register and agree to the Terms of Service at Recaptcha.net to use this plugin. Complete instructions are available if you edit the ReCaptcha plugin in the Plugin Manager.</p>', '', 1, 25, '2017-10-12 03:51:35', 42, 'Joomla!', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(69, 171, 'Quick Icons', 'quick-icons', '<p> The Quick Icon plugin group is used to provide notification that updates to Joomla! or installed extensions are available and should be applied. These notifications display on your administrator control panel, which is the page you see when you first log in to your site administrator.</p>\r\n<p>Default on:</p>\r\n<ul>\r\n<li>Quick icon - Joomla! extensions updates notification <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit">Help</a>.</li>\r\n<li>Quick icon - Joomla! update notification <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help17:Extensions_Plugin_Manager_Edit">Help</a></li>\r\n</ul>', '', 1, 25, '2017-10-12 03:51:35', 42, 'Joomla!', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(70, 170, 'Smart Search', 'smart-search', '<p>This module provides search using the Smart Search component. You should only use it if you have indexed your content and either have enabled the Smart Search content plugin or are keeping the index of your site updated manually. <a href="http://help.joomla.org/proxy/index.php?option=com_help&amp;amp;keyref=Help25:Extensions_Module_Manager_Smart_Search">Help</a>.</p>\r\n<div class="sample-module">{loadmodule finder,Smart Search}</div>', '', 1, 67, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":"","urlatext":"","targeta":"","urlb":"","urlbtext":"","targetb":"","urlc":"","urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 0, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(71, 175, '404 Page', '404-page', '<div class="well" style="font-size: 13px; font-weight: 400;"><center>Each <strong>JA Joomla Template</strong> has its own matching 404 page. Below is the screenshot of <strong>404 page style</strong>.</center></div>\r\n<p align="center"><img src="images/joomlart/error-page.jpg" border="0" alt="Sample Image" /></p>', '', 1, 80, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 4, '', '', 1, 78, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(72, 176, 'Offline page', 'offline-page', '<div class="well" style="font-size: 13px; font-weight: 400;"><center>Each <strong>JA Joomla Template</strong> has its own matching Offline page. Below is the screenshot of <strong>Offline page style</strong>.</center></div>\r\n<p align="center"><img src="images/joomlart/offline-page.jpg" border="0" alt="Sample Image" /></p>', '', 1, 80, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 3, '', '', 1, 38, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(73, 177, 'Typography', 'typography', '<!-- CORE TYPOGRAPHY\r\n=======================================================-->\r\n<div class="docs-section">\r\n<div class="page-header">\r\n<h1 id="example-type">Core Typography</h1>\r\n</div>\r\n<!-- Headings -->\r\n<div class="row example-row example-type">\r\n<div class="col-lg-6">\r\n<h1>h1. Heading <small>Secondary text</small></h1>\r\n<h2>h2. Heading <small>Secondary text</small></h2>\r\n<h3>h3. Heading <small>Secondary text</small></h3>\r\n<h4>h4. Heading <small>Secondary text</small></h4>\r\n<h5>h5. Heading <small>Secondary text</small></h5>\r\n<h6>h6. Heading <small>Secondary text</small></h6>\r\n<div class="alert alert-warning">\r\n<p><strong>TIPS:</strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;</code> tag or the <code>.small</code> class.</p>\r\n</div>\r\n</div>\r\n<div class="col-lg-6">\r\n<h2>Example body text</h2>\r\n<p class="lead">This is a <strong>lead paragraph</strong>. Make a paragraph stand out by adding <code>.lead</code>.</p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.</p>\r\n<p>Nullam quis risus eget <a href="#">urna mollis ornare</a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n<p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n<p>An abbreviation of the word attribute is <abbr title="attribute">attr</abbr>.</p>\r\n</div>\r\n</div>\r\n<!-- //Headings --> <!-- Address & Emphasis -->\r\n<div class="row example-row example-type">\r\n<div class="col-lg-4">\r\n<h2>Address</h2>\r\n<address><strong>Company Name</strong><br /> 795 Folsom Ave, Suite 600<br /> San Francisco, CA 94107<br /> <abbr title="Phone">P:</abbr> (123) 456-7890</address><address><strong>Full Name</strong><br /> <abbr title="Phone">P:</abbr> (123) 456-7890<br /> <a href="mailto:">first.last@example.com</a></address></div>\r\n<div class="col-lg-4">\r\n<h2>Emphasis classes</h2>\r\n<p class="text-muted">This is a <code>.mute</code> paragraph.</p>\r\n<p class="text-primary">This is a <code>.text-primary</code> paragraph.</p>\r\n<p class="text-warning">This is a <code>.text-warning</code> paragraph.</p>\r\n<p class="text-danger">This is a <code>.text-danger</code> paragraph.</p>\r\n<p class="text-success">This is a <code>.text-success</code> paragraph.</p>\r\n<p class="text-info">This is a <code>.text-info</code> paragraph.</p>\r\n</div>\r\n<div class="col-lg-4">\r\n<h2>Alignment classes</h2>\r\n<p class="text-left">This is a left aligned text <code>.text-left</code></p>\r\n<p class="text-center">This is a center aligned text <code>.text-center</code></p>\r\n<p class="text-right">This is a right aligned text <code>.text-right</code></p>\r\n<p class="text-justify">This is a justify aligned text which is often used in Book Design, Magazine or special Typo Pages. Create a justify aligned text with <code>.text-justify</code> class.</p>\r\n</div>\r\n</div>\r\n<!-- //Address & Emphasis --> <!-- Blockquotes -->\r\n<h2>Blockquotes</h2>\r\n<div class="row example-row example-type">\r\n<div class="col-lg-12">\r\n<div class="well">\r\n<blockquote class="text-jutify" style="margin-bottom: 0;">\r\n<p>This is a <code>&lt;blockquote&gt;</code> in a <code>&lt;.well&gt;</code>.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n</div>\r\n<div class="row example-row example-type">\r\n<div class="col-lg-6">\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n\r\n<div class="col-lg-6">\r\n<blockquote class="pull-right">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n<!-- //Blockquotes --></div>\r\n<!-- //CORE TYPOGRAPHY -->\r\n\r\n<!-- COLOR SWATCHES\r\n=======================================================-->\r\n<div class="docs-section">\r\n<div class="page-header">\r\n<h1 id="example-colors">Color Swatches</h1>\r\n</div>\r\n<!-- Brand Colors -->\r\n<h2>Brand Colors</h2>\r\n<div class="row example-row example-colors">\r\n<div class="col-sm-6 col-md-4 col-lg-2" data-delay="0" data-animation="pop-up">\r\n<div class="swatch-item color-brand-primary"><dl><dt>#1bbc9b</dt><dd>Brand Primary</dd></dl></div>\r\n</div>\r\n<div class="col-sm-6 col-md-4 col-lg-2" data-delay="200" data-animation="pop-up">\r\n<div class="swatch-item color-brand-secondary"><dl><dt>#2c3e50</dt><dd>Brand Secondary</dd></dl></div>\r\n</div>\r\n<div class="col-sm-6 col-md-4 col-lg-2" data-delay="400" data-animation="pop-up">\r\n<div class="swatch-item color-brand-warning"><dl><dt>#f0ad4e</dt><dd>Brand Warning</dd></dl></div>\r\n</div>\r\n<div class="col-sm-6 col-md-4 col-lg-2" data-delay="600" data-animation="pop-up">\r\n<div class="swatch-item color-brand-danger"><dl><dt>#d9534f</dt><dd>Brand Danger</dd></dl></div>\r\n</div>\r\n<div class="col-sm-6 col-md-4 col-lg-2" data-delay="800" data-animation="pop-up">\r\n<div class="swatch-item color-brand-info"><dl><dt>#5bc0de</dt><dd>Brand Info</dd></dl></div>\r\n</div>\r\n<div class="col-sm-6 col-md-4 col-lg-2" data-delay="1000" data-animation="pop-up">\r\n<div class="swatch-item color-brand-success"><dl><dt>#5cb85c</dt><dd>Brand Success</dd></dl></div>\r\n</div>\r\n</div>\r\n<!-- Brand Colors --> <!-- Grayscale -->\r\n<h2>Grayscale Levels</h2>\r\n<div class="row example-row example-colors">\r\n<div class="col-sm-6 col-md-4 col-lg-2" data-delay="0" data-animation="pop-up">\r\n<div class="swatch-item color-gray-darker"><dl><dt>#222222</dt><dd>Gray Darker</dd></dl></div>\r\n</div>\r\n<div class="col-sm-6 col-md-4 col-lg-2" data-delay="200" data-animation="pop-up">\r\n<div class="swatch-item color-gray-dark"><dl><dt>#3333333</dt><dd>Gray Dark</dd></dl></div>\r\n</div>\r\n<div class="col-sm-6 col-md-4 col-lg-2" data-delay="400" data-animation="pop-up">\r\n<div class="swatch-item color-gray"><dl><dt>#666666</dt><dd>Gray</dd></dl></div>\r\n</div>\r\n<div class="col-sm-6 col-md-4 col-lg-2" data-delay="600" data-animation="pop-up">\r\n<div class="swatch-item color-gray-light"><dl><dt>#999999</dt><dd>Gray Light</dd></dl></div>\r\n</div>\r\n<div class="col-sm-6 col-md-4 col-lg-2" data-delay="800" data-animation="pop-up">\r\n<div class="swatch-item color-gray-lighter"><dl><dt>#eeeeee</dt><dd>Gray Lighter</dd></dl></div>\r\n</div>\r\n<div class="col-sm-6 col-md-4 col-lg-2" data-delay="1000" data-animation="pop-up">\r\n<div class="swatch-item color-gray-lightest"><dl><dt>#f7f7f7</dt><dd>Gray Lightest</dd></dl></div>\r\n</div>\r\n</div>\r\n<!-- //Grayscale --></div>\r\n<!-- //COLOR SWATCHES -->\r\n\r\n<!-- NAVIGATIONS\r\n================================================== -->\r\n<div class="docs-section">\r\n<div class="page-header">\r\n<h1 id=" example-navigation">Navigations</h1>\r\n</div>\r\n<!-- Tabs & Vertical Menus -->\r\n<div class="row example-row example-navigation"><!-- Tabs -->\r\n<div class="col-lg-8">\r\n<h2>Tabs</h2>\r\n<ul class="nav nav-tabs" style="margin-bottom: 15px;">\r\n<li class="active"><a href="#home" data-toggle="tab">Home</a></li>\r\n<li><a href="#profile" data-toggle="tab">Profile</a></li>\r\n<li class="disabled"><a>Disabled</a></li>\r\n<li class="dropdown"><a class="dropdown-toggle" href="#" data-toggle="dropdown"> Dropdown </a>\r\n<ul class="dropdown-menu">\r\n<li><a href="#dropdown1" data-toggle="tab">Action</a></li>\r\n<li><a href="#dropdown2" data-toggle="tab">Another action</a></li>\r\n<li><a href="#dropdown2" data-toggle="tab">Another action</a></li>\r\n</ul>\r\n</li>\r\n</ul>\r\n<div id="myTabContent" class="tab-content">\r\n<div id="home" class="tab-pane fade active in">\r\n<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n</div>\r\n<div id="profile" class="tab-pane fade">\r\n<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n</div>\r\n<div id="dropdown1" class="tab-pane fade">\r\n<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n</div>\r\n<div id="dropdown2" class="tab-pane fade">\r\n<p>In the area of graphical user interfaces (GUI), a <strong>tabbed document interface</strong> (TDI) or a Tab is one that allows multiple documents to be contained within a single window, using tabs as a navigational widget for switching between sets of documents. It is an interface style most commonly associated with web browsers, web applications, text editors, and preference panes.</p>\r\n<p>GUI tabs are modeled after traditional card tabs inserted in paper files or card indexes (in keeping with the desktop metaphor).</p>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- //Tabs --> <!-- Vertical Menus -->\r\n<div class="col-lg-4">\r\n<h2>Vertical Menus</h2>\r\n<ul class="nav nav-pills nav-stacked">\r\n<li class="active"><a href="#">Active Menu Item</a></li>\r\n<li><a href="#">Menu Item</a></li>\r\n<li><a href="#">Menu Item</a></li>\r\n<li class="disabled"><a href="#">Disabled Menu Item</a></li>\r\n<li class="dropdown"><a class="dropdown-toggle" href="#" data-toggle="dropdown"> Dropdown </a>\r\n<ul class="dropdown-menu">\r\n<li><a href="#">Action</a></li>\r\n<li><a href="#">Another action</a></li>\r\n<li><a href="#">Something else here</a></li>\r\n<li><a href="#">Separated link</a></li>\r\n</ul>\r\n</li>\r\n</ul>\r\n</div>\r\n<!-- Vertical Menus --></div>\r\n<!-- Tabs & Vertical Menus --></div>\r\n<!-- //NAVIGATIONS -->\r\n\r\n<!-- FORMS\r\n================================================== -->\r\n<div class="docs-section">\r\n<div class="page-header">\r\n<h1 id="example-forms">Forms</h1>\r\n</div>\r\n<!-- Buttons -->\r\n<h2>Buttons</h2>\r\n<div class="row example-row example-forms example-buttons">\r\n<div class="col-sm-6 col-lg-3"><a class="btn btn-block btn-lg btn-default" href="#">Default Button</a></div>\r\n<div class="col-sm-6 col-lg-3"><a class="btn btn-block btn-lg btn-primary" href="#">Primary Button</a></div>\r\n<div class="col-sm-6 col-lg-3"><a class="btn btn-block btn-lg btn-success" href="#">Success Button</a></div>\r\n<div class="col-sm-6 col-lg-3"><a class="btn btn-block btn-lg btn-inverse" href="#">Inverse Button</a></div>\r\n</div>\r\n<div class="row example-row example-forms example-buttons">\r\n<div class="col-sm-6 col-lg-3"><a class="btn btn-block btn-lg btn-info" href="#">Info Button</a></div>\r\n<div class="col-sm-6 col-lg-3"><a class="btn btn-block btn-lg btn-warning" href="#">Warning Button</a></div>\r\n<div class="col-sm-6 col-lg-3"><a class="btn btn-block btn-lg btn-danger" href="#">Danger Button</a></div>\r\n<div class="col-sm-6 col-lg-3"><a class="btn btn-block btn-lg btn-default disabled" href="#">Disabled Button</a></div>\r\n</div>\r\n<!-- //Buttons --> <!-- Inputs -->\r\n<h2>Inputs</h2>\r\n<div class="row example-row example-forms example-inputs">\r\n<div class="col-sm-6 col-lg-3">\r\n<div class="form-group has-success"><label class="control-label" for="inputSuccess">Input success</label> <input id="inputSuccess" class="form-control" type="text" /></div>\r\n</div>\r\n<div class="col-sm-6 col-lg-3">\r\n<div class="form-group has-error"><label class="control-label" for="inputError">Input error</label> <input id="inputError" class="form-control" type="text" /></div>\r\n</div>\r\n<div class="col-sm-6 col-lg-3">\r\n<div class="form-group has-warning"><label class="control-label" for="inputWarning">Input warning</label> <input id="inputWarning" class="form-control" type="text" /></div>\r\n</div>\r\n<div class="col-sm-6 col-lg-3">\r\n<div class="form-group"><label class="control-label" for="disabledInput">Disabled input</label> <input id="disabledInput" class="form-control" type="text" disabled="disabled" /></div>\r\n</div>\r\n</div>\r\n<!-- //Inputs --> <!-- Example Form -->\r\n<div class="row example-row example-forms">\r\n<div class="col-lg-12">\r\n<h2>Sample Basic Form</h2>\r\n<div class="well"><form class="form-horizontal"><fieldset><legend>Legend</legend>\r\n<div class="form-group"><label class="col-lg-2 control-label" for="inputEmail">Email</label>\r\n<div class="col-lg-10"><input id="inputEmail" class="form-control" type="text" /></div>\r\n</div>\r\n<div class="form-group"><label class="col-lg-2 control-label" for="inputPassword">Password</label>\r\n<div class="col-lg-10"><input id="inputPassword" class="form-control" type="password" />\r\n<div class="checkbox"><label> <input type="checkbox" /> Checkbox </label></div>\r\n</div>\r\n</div>\r\n<div class="form-group"><label class="col-lg-2 control-label" for="textArea">Textarea</label>\r\n<div class="col-lg-10"><textarea id="textArea" class="form-control" rows="3"></textarea> <span class="help-block">A longer block of help text that breaks onto a new line and may extend beyond one line.</span></div>\r\n</div>\r\n<div class="form-group"><label class="col-lg-2 control-label">Radios</label>\r\n<div class="col-lg-10">\r\n<div class="radio"><label> <input id="optionsRadios1" type="radio" name="optionsRadios" value="option1" checked="checked" /> Option one is this </label></div>\r\n<div class="radio"><label> <input id="optionsRadios2" type="radio" name="optionsRadios" value="option2" /> Option two can be something else </label></div>\r\n</div>\r\n</div>\r\n<div class="form-group"><label class="col-lg-2 control-label" for="select">Selects</label>\r\n<div class="col-lg-10"><select id="select" class="form-control">\r\n<option>1</option>\r\n<option>2</option>\r\n<option>3</option>\r\n<option>4</option>\r\n<option>5</option>\r\n</select><br /><select class="form-control" multiple="multiple">\r\n<option>1</option>\r\n<option>2</option>\r\n<option>3</option>\r\n<option>4</option>\r\n<option>5</option>\r\n</select></div>\r\n</div>\r\n<div class="form-group">\r\n<div class="col-lg-10 col-lg-offset-2"><button class="btn btn-default">Cancel</button> <button class="btn btn-primary" type="submit">Submit</button></div>\r\n</div>\r\n</fieldset></form></div>\r\n</div>\r\n</div>\r\n<!-- //Example Form --></div>\r\n<!-- //FORMS -->\r\n\r\n<!-- HERO UNITS\r\n=======================================================-->\r\n<div class="docs-section">\r\n<div class="page-header">\r\n<h1 id="example-herounit">Hero Units</h1>\r\n</div>\r\n<div class="row example-row example-herounit">\r\n<div class="col-lg-12">\r\n<div class="jumbotron">\r\n<h1>Jumbotron</h1>\r\n<p>This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>\r\n<p><a class="btn btn-primary btn-lg">Call to Action</a></p>\r\n</div>\r\n<div class="jumbotron jumbotron-primary">\r\n<h1>Primary Jumbotron</h1>\r\n<p>This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>\r\n<p><a class="btn btn-primary btn-lg">Call to Action</a></p>\r\n</div>\r\n<div class="jumbotron masthead">\r\n<h1>Masthead</h1>\r\n<p>This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>\r\n<p><a class="btn btn-primary btn-lg">Call to Action</a></p>\r\n</div>\r\n<div class="jumbotron jumbotron-primary masthead">\r\n<h1>Primary Masthead</h1>\r\n<p>This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>\r\n<p><a class="btn btn-primary btn-lg">Call to Action</a></p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- //HERO UNITS -->\r\n\r\n<!-- THUMBNAILS\r\n=======================================================-->\r\n<div class="docs-section">\r\n<div class="page-header">\r\n<h1 id="example-thumbnails">Thumbnails</h1>\r\n</div>\r\n<!-- Default Thumnails -->\r\n<p class="lead">Extend Bootstrap\'s <a href="../css/#grid">grid system</a> with the thumbnail component to easily display grids of images, videos, text, and more.</p>\r\n<h2>Default example</h2>\r\n<p>By default, Bootstrap\'s thumbnails are designed to showcase linked images with minimal required markup.</p>\r\n<div class="row example-row example-thumbnails">\r\n<div class="col-sm-6 col-md-3"><a class="thumbnail" href="#"> <img border="0" data-src="holder.js/100%x180" /> </a></div>\r\n<div class="col-sm-6 col-md-3"><a class="thumbnail" href="#"> <img border="0" data-src="holder.js/100%x180" /> </a></div>\r\n<div class="col-sm-6 col-md-3"><a class="thumbnail" href="#"> <img border="0" data-src="holder.js/100%x180" /> </a></div>\r\n<div class="col-sm-6 col-md-3"><a class="thumbnail" href="#"> <img border="0" data-src="holder.js/100%x180" /> </a></div>\r\n</div>\r\n<!-- //Default Thumnails --> <!-- Custom Content Thumnails -->\r\n<h2>Custom content</h2>\r\n<p>With a bit of extra markup, it\'s possible to add any kind of HTML content like headings, paragraphs, or buttons into thumbnails.</p>\r\n<div class="row example-row example-thumbnails">\r\n<div class="col-sm-6 col-md-4">\r\n<div class="thumbnail"><img border="0" data-src="holder.js/100%x220" />\r\n<div class="caption">\r\n<h3>Thumbnail label</h3>\r\n<p>Cras justo odio, dapibus ac facilisis in, egestas eget quam. Donec id elit non mi porta gravida at eget metus. Nullam id dolor id nibh ultricies vehicula ut id elit.</p>\r\n<p><a class="btn btn-primary" href="#">Button</a> <a class="btn btn-default" href="#">Button</a></p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class="col-sm-6 col-md-4">\r\n<div class="thumbnail"><img border="0" data-src="holder.js/100%x220" />\r\n<div class="caption">\r\n<h3>Thumbnail label</h3>\r\n<p>Cras justo odio, dapibus ac facilisis in, egestas eget quam. Donec id elit non mi porta gravida at eget metus. Nullam id dolor id nibh ultricies vehicula ut id elit.</p>\r\n<p><a class="btn btn-primary" href="#">Button</a> <a class="btn btn-default" href="#">Button</a></p>\r\n</div>\r\n</div>\r\n</div>\r\n<div class="col-sm-6 col-md-4">\r\n<div class="thumbnail"><img border="0" data-src="holder.js/100%x220" />\r\n<div class="caption">\r\n<h3>Thumbnail label</h3>\r\n<p>Cras justo odio, dapibus ac facilisis in, egestas eget quam. Donec id elit non mi porta gravida at eget metus. Nullam id dolor id nibh ultricies vehicula ut id elit.</p>\r\n<p><a class="btn btn-primary" href="#">Button</a> <a class="btn btn-default" href="#">Button</a></p>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<h2><!-- //Custom Content Thumnails --></h2>\r\n</div>\r\n<!-- MEDIA OBJECT\r\n=======================================================-->\r\n<div class="docs-section">\r\n<div class="page-header">\r\n<h1>Media Object</h1>\r\n</div>\r\n<div class="row example-row example-media">\r\n<div class="col-lg-12">\r\n<div class="media"><a class="pull-left" href="#"> <img class="media-object" border="0" data-src="holder.js/64x64" /> </a>\r\n<div class="media-body">\r\n<h4 class="media-heading">Media heading</h4>\r\nCras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin commodo. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.</div>\r\n</div>\r\n<div class="media"><a class="pull-left" href="#"> <img class="media-object" border="0" data-src="holder.js/64x64" /> </a>\r\n<div class="media-body">\r\n<h4 class="media-heading">Media heading</h4>\r\nCras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin commodo. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.\r\n<div class="media"><a class="pull-left" href="#"> <img class="media-object" border="0" data-src="holder.js/64x64" /> </a>\r\n<div class="media-body">\r\n<h4 class="media-heading">Nested media heading</h4>\r\nCras sit amet nibh libero, in gravida nulla. Nulla vel metus scelerisque ante sollicitudin commodo. Cras purus odio, vestibulum in vulputate at, tempus viverra turpis. Fusce condimentum nunc ac nisi vulputate fringilla. Donec lacinia congue felis in faucibus.\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- //MEDIA OBJECT -->\r\n\r\n<!-- TABLES\r\n================================================== -->\r\n<div class="docs-section">\r\n<div class="page-header">\r\n<h1 id="example-tables">Tables</h1>\r\n</div>\r\n<!-- Basic Tables -->\r\n<h2>Basic Tables</h2>\r\n<div class="row example-row example-tables">\r\n<div class="col-lg-6">\r\n<div class="table-responsive">\r\n<table class="table table-hover">\r\n<thead>\r\n<tr><th>#</th><th>Column heading</th><th>Column heading</th><th>Column heading</th></tr>\r\n</thead>\r\n<tbody>\r\n<tr>\r\n<td>1</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>2</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>3</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>4</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>5</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>6</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>7</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</div>\r\n</div>\r\n<div class="col-lg-6">\r\n<div class="table-responsive">\r\n<table class="table table-striped">\r\n<thead>\r\n<tr><th>#</th><th>Column heading</th><th>Column heading</th><th>Column heading</th></tr>\r\n</thead>\r\n<tbody>\r\n<tr>\r\n<td>1</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>2</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>3</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>4</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>5</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>6</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>7</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- Basic Tables --> <!-- Bordered Tables -->\r\n<h2>Bordered Tables</h2>\r\n<div class="row example-row example-tables">\r\n<div class="col-lg-6">\r\n<div class="example table-responsive">\r\n<table class="table table-bordered">\r\n<thead>\r\n<tr><th>#</th><th>Column heading</th><th>Column heading</th><th>Column heading</th></tr>\r\n</thead>\r\n<tbody>\r\n<tr class="active">\r\n<td>1</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>2</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr class="success">\r\n<td>3</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>4</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr class="warning">\r\n<td>5</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>6</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr class="danger">\r\n<td>7</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</div>\r\n</div>\r\n<div class="col-lg-6">\r\n<div class="table-responsive">\r\n<table class="table table-striped table-bordered table-hover">\r\n<thead>\r\n<tr><th>#</th><th>Column heading</th><th>Column heading</th><th>Column heading</th></tr>\r\n</thead>\r\n<tbody>\r\n<tr class="active">\r\n<td>1</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>2</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr class="success">\r\n<td>3</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>4</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr class="warning">\r\n<td>5</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr>\r\n<td>6</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n<tr class="danger">\r\n<td>7</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n<td>Column content</td>\r\n</tr>\r\n</tbody>\r\n</table>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- //Bordered Tables --></div>\r\n<!-- //TABLES -->\r\n\r\n<!-- INDICATORS\r\n================================================== -->\r\n<div class="docs-section">\r\n<div class="page-header">\r\n<h1 id="example-indicators">Indicators</h1>\r\n</div>\r\n<!-- Alerts -->\r\n<h2>Alerts and Notifications</h2>\r\n<div class="row example-row example-indicators">\r\n<div class="col-lg-6">\r\n<div class="alert  alert-danger"><button class="close" type="button" data-dismiss="alert">×</button> <strong>Oh snap!</strong> <a class="alert-link" href="#">Change a few things up</a> and try submitting again.</div>\r\n</div>\r\n<div class="col-lg-6">\r\n<div class="alert  alert-success"><button class="close" type="button" data-dismiss="alert">×</button> <strong>Well done!</strong> You successfully read <a class="alert-link" href="#">this important alert message</a>.</div>\r\n</div>\r\n</div>\r\n<div class="row example-row example-indicators">\r\n<div class="col-lg-6">\r\n<div class="alert  alert-info"><button class="close" type="button" data-dismiss="alert">×</button> <strong>Heads up!</strong> This <a class="alert-link" href="#">alert needs your attention</a>, but it\'s not super important.</div>\r\n</div>\r\n<div class="col-lg-6">\r\n<div class="alert  alert-warning"><button class="close" type="button" data-dismiss="alert">×</button> <strong>Warning!</strong> Best check yo self, you\'re not looking too good.</div>\r\n</div>\r\n</div>\r\n<!-- Alerts --> <!-- Labels & Badges -->\r\n<div class="row example-row example-indicators">\r\n<div class="col-lg-6">\r\n<h2>Badges</h2>\r\n<div class="example">\r\n<ul class="nav nav-pills">\r\n<li class="active"><a href="#">Home <span class="badge">42</span></a></li>\r\n<li><a href="#">Profile </a></li>\r\n<li><a href="#">Messages <span class="badge">25</span></a></li>\r\n<li><a href="#">Notices <span class="badge">2</span></a></li>\r\n</ul>\r\n</div>\r\n</div>\r\n<div class="col-lg-6">\r\n<h2>Labels</h2>\r\n<div class="example"><span class="label label-default">Default</span> <span class="label label-primary">Primary</span> <span class="label label-success">Success</span> <span class="label label-info">Info</span> <span class="label label-warning">Warning</span> <span class="label label-danger">Danger</span></div>\r\n</div>\r\n</div>\r\n<!-- Labels & Badges --></div>\r\n<!-- //INDICATORS -->\r\n\r\n<!-- MISC\r\n================================================== -->\r\n<div class="docs-section">\r\n<div class="page-header">\r\n<h1 id="example-misc">Other useful components</h1>\r\n</div>\r\n<!-- List Groups -->\r\n<h2>List groups</h2>\r\n<div class="row example-row example-misc">\r\n<div class="col-lg-4">\r\n<ul class="list-group">\r\n<li class="list-group-item"><span class="badge">14</span> Cras justo odio</li>\r\n<li class="list-group-item"><span class="badge">2</span> Dapibus ac facilisis in</li>\r\n<li class="list-group-item">Morbi leo risus</li>\r\n<li class="list-group-item"><span class="badge">1</span> Morbi leo risus</li>\r\n<li class="list-group-item"><span class="badge">2</span> Dapibus ac facilisis in</li>\r\n</ul>\r\n</div>\r\n<div class="col-lg-4">\r\n<div class="list-group"><a class="list-group-item active" href="#"><span class="badge">9</span> Cras justo odio</a> <a class="list-group-item" href="#">Dapibus ac facilisis in</a> <a class="list-group-item" href="#">Morbi leo risus</a> <a class="list-group-item" href="#">Porta ac consectetur ac</a> <a class="list-group-item" href="#">Vestibulum at eros</a></div>\r\n</div>\r\n<div class="col-lg-4">\r\n<div class="list-group">\r\n<h4 class="list-group-item-heading">List group item heading</h4>\r\n<p class="list-group-item-text">Donec id elit non mi porta gravida at eget metus risus varius blandit.</p>\r\n<h4 class="list-group-item-heading">List group item heading</h4>\r\n<p class="list-group-item-text">Donec id elit non mi porta gravida at eget metus.</p>\r\n<h4 class="list-group-item-heading">List group item heading</h4>\r\n<p class="list-group-item-text">Donec id elit non mi porta gravida at eget metus.</p>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- //List Groups --> <!-- Panels -->\r\n<h2>Panels</h2>\r\n<div class="row example-row example-misc">\r\n<div class="col-lg-4">\r\n<div class="panel panel-default">\r\n<div class="panel-heading">Panel heading</div>\r\n<div class="panel-body">Panel content</div>\r\n</div>\r\n<div class="panel panel-primary">\r\n<div class="panel-heading">\r\n<h3 class="panel-title">Panel primary</h3>\r\n</div>\r\n<div class="panel-body">Panel content</div>\r\n</div>\r\n</div>\r\n<div class="col-lg-4">\r\n<div class="panel panel-success">\r\n<div class="panel-heading">\r\n<h3 class="panel-title">Panel success</h3>\r\n</div>\r\n<div class="panel-body">Panel content</div>\r\n</div>\r\n<div class="panel panel-warning">\r\n<div class="panel-heading">\r\n<h3 class="panel-title">Panel warning</h3>\r\n</div>\r\n<div class="panel-body">Panel content</div>\r\n</div>\r\n</div>\r\n<div class="col-lg-4">\r\n<div class="panel panel-danger">\r\n<div class="panel-heading">\r\n<h3 class="panel-title">Panel danger</h3>\r\n</div>\r\n<div class="panel-body">Panel content</div>\r\n</div>\r\n<div class="panel panel-info">\r\n<div class="panel-heading">\r\n<h3 class="panel-title">Panel info</h3>\r\n</div>\r\n<div class="panel-body">Panel content</div>\r\n</div>\r\n</div>\r\n</div>\r\n<!-- //Panels --> <!-- Wells -->\r\n<h2>Wells</h2>\r\n<div class="row example-row example-misc">\r\n<div class="col-lg-4">\r\n<div class="well well-sm">Look, I\'m in a small well!</div>\r\n</div>\r\n<div class="col-lg-4">\r\n<div class="well">Look, I\'m in a well!</div>\r\n</div>\r\n<div class="col-lg-4">\r\n<div class="well well-lg">Look, I\'m in a large well!</div>\r\n</div>\r\n</div>\r\n<!-- //Wells --></div>\r\n<!-- // MISC -->', '', 1, 80, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 25, 2, '', '', 1, 335, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(74, 181, 'About Us', 'about-us', '<div class="about-us">\r\n\r\n  <div class="text-center" style="margin-bottom: 56px;">\r\n    <h2>Who We Are?</h2>\r\n    <div class="well">Lorem ipsum dolor sit amet, consectetur adipiscing elit. <br/>Morbi posuere, tortor non ultricies gravida, erat purus vehicula ipsum, eu laoreet ante elit sit amet mi. Proin ultricies nisi ac sem feugiat tristique.</div>\r\n  </div>\r\n\r\n  <div class="text-center">\r\n    <h2>Team leaders</h2>\r\n    <p>Ex pro eripuit nonumes, brute equidem ancillae. Morbi posuere, tortor non ultricies gravida, erat purus vehicula ipsum, eu laoreet ante elit sit amet mi. Proin ultricies nisi ac sem feugiat tristique.</p>\r\n  </div>\r\n\r\n\r\n\r\n\r\n<div class="section row member">\r\n	\r\n  <div class="col-md-4 col-sm-4">\r\n    <div class="thumbnail">\r\n      <div class="member-follow">\r\n        <a href="#"><img src="images/joomlart/about_page/staff-1.jpg" alt="Sample image" /></a>\r\n	  <div>\r\n	    <span>Follow:</span>\r\n	    <p class="member-info">		\r\n	      <a role="button" class="btn btn-facebook" href="#"><i class="fa fa-facebook"></i></a>\r\n	      <a role="button" class="btn btn-twitter" href="#"><i class="fa fa-twitter"></i></a>\r\n	      <a role="button" class="btn btn-google-plus" href="#"><i class="fa fa-google-plus"></i></a>\r\n	      <a role="button" class="btn btn-skype" href="#"><i class="fa fa-skype"></i></a>\r\n	      <a role="button" class="btn btn-linkedin" href="#"><i class="fa fa-linkedin"></i></a>\r\n	    </p>\r\n	</div>\r\n      </div>\r\n      <div class="caption">\r\n      <h5>Nicholas Mitchell</h5>\r\n      <p>CEO - Co Founder</p>\r\n      <p class="member-detail">\r\n        Ex sumo mucius per. An pri audire pertinacia, eros nostro veritus mea cu, usu no tota disputando. \r\n      </p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n	<div class="col-md-4 col-sm-4">\r\n		<div class="thumbnail">\r\n			<div class="member-follow">\r\n				<a href="#"><img src="images/joomlart/about_page/staff-2.jpg" alt="Sample image" /></a>\r\n				<div>\r\n					<span>Follow:</span>\r\n					<p class="member-info">		\r\n						<a role="button" class="btn btn-facebook" href="#"><i class="fa fa-facebook"></i></a>\r\n						<a role="button" class="btn btn-twitter" href="#"><i class="fa fa-twitter"></i></a>\r\n						<a role="button" class="btn btn-google-plus" href="#"><i class="fa fa-google-plus"></i></a>\r\n						<a role="button" class="btn btn-skype" href="#"><i class="fa fa-skype"></i></a>\r\n						<a role="button" class="btn btn-linkedin" href="#"><i class="fa fa-linkedin"></i></a>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="caption">\r\n				<h5>Sean Thomas</h5>\r\n				<p>Sale Manager</p>\r\n				<p class="member-detail">\r\n					Ex pro eripuit nonumes, eam an brute equidem ancillae, alii lorem ullamcorper at qui. \r\n				</p>\r\n			</div>\r\n		</div>\r\n	</div>\r\n\r\n	<div class="col-md-4 col-sm-4">\r\n		<div class="thumbnail">\r\n			<div class="member-follow">\r\n				<a href="#"><img src="images/joomlart/about_page/staff-3.jpg" alt="Sample image" /></a>\r\n				<div>\r\n					<span>Follow:</span>\r\n					<p class="member-info">		\r\n						<a role="button" class="btn btn-facebook" href="#"><i class="fa fa-facebook"></i></a>\r\n						<a role="button" class="btn btn-twitter" href="#"><i class="fa fa-twitter"></i></a>\r\n						<a role="button" class="btn btn-google-plus" href="#"><i class="fa fa-google-plus"></i></a>\r\n						<a role="button" class="btn btn-skype" href="#"><i class="fa fa-skype"></i></a>\r\n						<a role="button" class="btn btn-linkedin" href="#"><i class="fa fa-linkedin"></i></a>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="caption">\r\n				<h5>Bennie Moran</h5>\r\n				<p>Creative Director</p>\r\n				<p class="member-detail">\r\n					Lorem ipsum dolor sit amet, nostro placerat id cum, ut porro nonumes quaerendum ius.\r\n				</p>\r\n			</div>\r\n		</div>\r\n	</div>\r\n</div>\r\n	\r\n<div class="section row">\r\n	<div class="bs-callout-info show-team clearfix">\r\n		<div class="info-team">\r\n			Nam liber tempor cum soluta nobis eleifend option congue nihil imperdiet doming id quod mazim placerat facer possim assum.\r\n		</div>\r\n		<a href="#" class="btn btn-block btn-lg btn-primary">See our work</a>\r\n	</div>\r\n	\r\n</div>\r\n<div class="section row member ">\r\n\r\n	<div class="col-md-3 col-sm-6">\r\n		<div class="thumbnail">\r\n			<div class="member-follow">\r\n				<a href="#"><img src="images/joomlart/about_page/staff-4.jpg" alt="Sample image" /></a>\r\n				<div>\r\n					<span>Follow:</span>\r\n					<p class="member-info">		\r\n						<a role="button" class="btn btn-facebook" href="#"><i class="fa fa-facebook"></i></a>\r\n						<a role="button" class="btn btn-twitter" href="#"><i class="fa fa-twitter"></i></a>\r\n						<a role="button" class="btn btn-google-plus" href="#"><i class="fa fa-google-plus"></i></a>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="caption">\r\n				<h5>Nicholas Mitchell</h5>\r\n				<p>Designer.</p>\r\n				<p class="member-detail">\r\n					Ex sumo mucius per. An pri audire pertinacia, eros nostro veritus mea cu, usu no tota disputando. \r\n				</p>\r\n			</div>\r\n		</div>\r\n	</div>\r\n\r\n	<div class="col-md-3 col-sm-6">\r\n		<div class="thumbnail">\r\n			<div class="member-follow">\r\n				<a href="#"><img src="images/joomlart/about_page/staff-5.jpg" alt="Sample image" /></a>\r\n				<div>\r\n					<span>Follow:</span>\r\n					<p class="member-info">		\r\n						<a role="button" class="btn btn-facebook" href="#"><i class="fa fa-facebook"></i></a>\r\n						<a role="button" class="btn btn-twitter" href="#"><i class="fa fa-twitter"></i></a>\r\n						<a role="button" class="btn btn-google-plus" href="#"><i class="fa fa-google-plus"></i></a>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="caption">\r\n				<h5>Sean Thomas</h5>\r\n				<p>Tester</p>\r\n				<p class="member-detail">\r\n					Ex pro eripuit nonumes, eam an brute equidem ancillae, alii lorem ullamcorper at qui. \r\n				</p>\r\n			</div>\r\n		</div>\r\n	</div>\r\n\r\n	<div class="col-md-3 col-sm-6">\r\n		<div class="thumbnail">\r\n			<div class="member-follow">\r\n				<a href="#"><img src="images/joomlart/about_page/staff-6.jpg" alt="Sample image" /></a>\r\n				<div>\r\n					<span>Follow:</span>\r\n					<p class="member-info">		\r\n						<a role="button" class="btn btn-facebook" href="#"><i class="fa fa-facebook"></i></a>\r\n						<a role="button" class="btn btn-twitter" href="#"><i class="fa fa-twitter"></i></a>\r\n						<a role="button" class="btn btn-google-plus" href="#"><i class="fa fa-google-plus"></i></a>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			<div class="caption">\r\n				<h5>Bennie Moran</h5>\r\n				<p>Designer</p>\r\n				<p class="member-detail">\r\n					Lorem ipsum dolor sit amet, nostro placerat id cum, ut porro nonumes quaerendum ius.\r\n				</p>\r\n			</div>\r\n		</div>\r\n	</div>\r\n\r\n	<div class="col-md-3 col-sm-6">\r\n		<div class="thumbnail">\r\n			<div class="member-follow">\r\n				<a href="#"><img src="images/joomlart/about_page/staff-7.jpg" alt="Sample image" /></a>\r\n				<div>\r\n					<span>Follow:</span>\r\n					<p class="member-info">		\r\n						<a role="button" class="btn btn-facebook" href="#"><i class="fa fa-facebook"></i></a>\r\n						<a role="button" class="btn btn-twitter" href="#"><i class="fa fa-twitter"></i></a>\r\n						<a role="button" class="btn btn-google-plus" href="#"><i class="fa fa-google-plus"></i></a>\r\n					</p>\r\n				</div>\r\n			</div>\r\n			\r\n			<div class="caption">\r\n				<h5>Nicholas Mitchell</h5>\r\n				<p>Tester</p>\r\n				<p class="member-detail">\r\n					 Pro sonet omittam scribentur ad, at pro nisl assentior philosophia alia eleifend ei.\r\n				</p>\r\n			</div>\r\n		</div>\r\n	</div>\r\n\r\n	\r\n</div>\r\n\r\n</div>\r\n', '', 1, 80, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 53, 1, '', '', 1, 296, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(75, 189, 'Joomla template with Bootrap 3', 'joomla-template-with-bootrap-3', '<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien</p>\r\n', '\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<ul>\r\n<li><a href="#">Home</a></li>\r\n<li><a href="#">About</a></li>\r\n<li><a href="#">Clients</a></li>\r\n<li><a href="#">Contact Us</a></li>\r\n</ul>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>', 1, 91, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-9.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-9.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 2, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(76, 190, 'Joomla 3 template for Corporate', 'joomla-3-template-for-corporate', '<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, <a href="#" title="Sample link">tempor sit amet.</a></p>\r\n', '\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<ul>\r\n<li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n<li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.</li>\r\n<li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n<li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n</ul>', 1, 89, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 4, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(77, 191, 'Microsoft SmartGlass App Updated for Xbox One', 'microsoft-smartglass-app-updated-for-xbox-one', '<p>Praesent nec lectus eu neque fringilla volutpat. Nulla tristique ullamcorper quam, ut dapibus massa hendrerit ac. Etiam a tempus lectus. Proin nibh nisi, vehicula non enim sed, venenatis faucibus orci. Fusce ut elementum nunc, vel eleifend sem.</p>\r\n', '\r\n<p>Donec molestie nunc lacus, ut accumsan sem imperdiet eu. Maecenas semper erat vitae elit rutrum, ut imperdiet elit consectetur. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam eget ante massa. Donec eget ligula auctor, dapibus tellus et, pulvinar urna. Donec ultrices quam at nunc molestie convallis. Donec justo tellus, euismod a ante at, dignissim feugiat nunc. Sed nec ipsum at odio suscipit auctor. Cras quis quam dui. Vestibulum at urna condimentum, mattis dolor a, elementum velit.</p>\r\n<ul>\r\n<li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n<li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.</li>\r\n<li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n<li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n</ul>\r\n<hr title="Resistance is Futile. Hand Over All Your Documents" alt="Resistance is Futile. Hand Over All Your Documents" class="system-pagebreak" />\r\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n<hr title="The ‘Never Ending Pot’ That Feeds India’s Needy Children" alt="The ‘Never Ending Pot’ That Feeds India’s Needy Children" class="system-pagebreak" />\r\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis.</p>', 1, 90, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-10.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-10.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 2, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(78, 192, '5 Ways to Spice Up Your Nike+ Experience', '5-ways-to-spice-up-your-nike-experience', '<p>Cras non mauris ante. Etiam id urna at libero commodo volutpat. Donec lobortis ultricies neque nec eleifend. Fusce dolor diam, semper non pellentesque id, pharetra quis nibh. Donec ut dictum purus.</p>\r\n', '\r\n<p>Etiam aliquet tortor at vehicula lacinia. Pellentesque et molestie nisl; ut volutpat augue. Cras leo sem, luctus vitae gravida nec, facilisis vitae quam. Donec blandit felis dui, vitae consequat erat elementum non? Integer vitae nibh mauris. Sed aliquam a mi vel feugiat. Integer vitae tortor mollis, facilisis est ut, consectetur diam? Sed ipsum velit, accumsan sed dapibus ac, facilisis in metus. Etiam scelerisque urna varius lorem lacinia, ut fermentum ligula rutrum.</p>\r\n<p>Quisque tincidunt, nulla sit amet tempor tristique, libero ligula laoreet augue, ac rutrum purus nibh a diam. Cras commodo nisi at mattis faucibus. Pellentesque elementum hendrerit arcu non aliquet. Aenean vitae risus vitae erat euismod rhoncus pulvinar sit amet sapien. Vestibulum semper condimentum mi quis tristique! Maecenas mollis porttitor felis. Nullam cursus lorem nec leo faucibus, sit amet tincidunt velit accumsan! Suspendisse sed dui sodales, viverra arcu at, bibendum eros. Sed nec est quis elit luctus malesuada. Suspendisse at gravida mi, et tristique ante. Fusce arcu metus, faucibus nec elementum vitae, venenatis non neque. Quisque suscipit faucibus mi, vel imperdiet dui viverra quis. Vestibulum blandit ipsum nec enim tempor, at fermentum arcu gravida. Pellentesque et ultricies magna.</p>\r\n<div class="row example-row example-type">\r\n<div class="col-lg-6">\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n<div class="col-lg-6">\r\n<blockquote class="pull-right">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n<p>Morbi imperdiet euismod pulvinar. Praesent ac blandit nisi. Proin tempus nulla id ultricies rhoncus. Maecenas ipsum lectus, rutrum sit amet suscipit nec, dignissim a justo. Vivamus non sem mauris. Donec nisi odio, suscipit eu felis mollis, sollicitudin pulvinar nulla. In iaculis elit odio, sit amet venenatis arcu bibendum non. Vestibulum volutpat lorem et lorem semper volutpat. Aenean elit risus, euismod a nisl sed, fringilla viverra mi.</p>', 1, 89, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-1.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 2, '', '', 1, 75, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(79, 193, 'Joomla responsive template', 'joomla-responsive-template', '<blockquote class="big-quote">\r\n<p>Choose your corner, pick away at it carefully, intensely and to the best of your ability and that way you might change the world.</p>\r\n<small>Ray Eames <cite title="Source Title">Source Title</cite></small></blockquote>', '', 1, 89, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"0","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"0","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 15, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(80, 194, 'App innovation - Patterns of innovation edicated ', 'app-innovation-patterns-of-innovation-edicated', '<p>Suspendisse potenti. Pellentesque semper sapien metus, ac fringilla lacus lacinia eget. Sed eu tortor nec magna tincidunt malesuada! Suspendisse vel mi id mi congue consequat id vehicula tortor.</p>\r\n', '\r\n<p>Aliquam interdum eget quam sed auctor. Sed imperdiet odio eu sodales dapibus.</p>\r\n<p>Vivamus tristique aliquet ante a bibendum. Quisque aliquam consectetur magna, nec varius tortor tempor sit amet. Nunc metus odio; gravida ut viverra quis, convallis vel nibh. Aenean et arcu odio. Donec quis magna in tortor pretium laoreet quis vel enim. In hac habitasse platea dictumst. Morbi fringilla leo malesuada aliquet gravida.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Nam feugiat ipsum a est aliquet lacinia. Nunc blandit a enim vitae semper. Proin quis cursus mi! Ut enim erat, ultricies nec velit in, dignissim gravida erat. Donec pharetra pulvinar neque, eu tincidunt orci. Donec dapibus enim lacus, in tincidunt tellus cursus sit amet. Sed tincidunt velit ut tempus rhoncus. Quisque aliquam vel erat nec adipiscing. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Quisque facilisis lacus sapien, vitae blandit lacus congue at. Quisque non tincidunt sapien, ac sollicitudin massa. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent cursus accumsan quam, a posuere nulla vestibulum eget. Maecenas mollis purus leo, ut dapibus neque tempor sed.</p>', 1, 90, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 1, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(81, 195, 'Congress Might Re-Legalize Cellphone Unlocking', 'congress-might-re-legalize-cellphone-unlocking', '<img class="img-responsive" src="images/joomlart/demo/sam-6.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Praesent eget dui quam. Fusce id dolor a est venenatis fringilla id in erat. Sed eleifend lorem sit amet diam lacinia auctor. Aliquam sollicitudin nunc vel odio blandit commodo! Curabitur elementum ipsum eros, non semper nisl ultricies vehicula. <a href="#" title="Sample link">Vivamus pretium ornare est.</a></p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa.</p>\r\n\r\n', '\r\n\r\n<p>Suspendisse id odio id justo mattis varius vitae vel purus. Proin vel nulla lorem? Nunc bibendum congue dolor! Cras tempus risus est; vel pellentesque nisi eleifend vel.</p>\r\n<p>Phasellus in scelerisque lorem. Vestibulum pretium mattis dignissim? Nunc blandit lobortis semper. Suspendisse posuere sed justo vitae dictum. In quis auctor enim? Cras sed accumsan ligula. Proin fermentum nulla nisl, eget viverra neque hendrerit quis.</p>\r\n\r\n<p>Ut quis purus mauris. Integer sed libero a nulla posuere sollicitudin a quis justo. Etiam risus ligula, posuere vitae est id; pulvinar commodo dolor? In hac habitasse platea dictumst. In hac habitasse platea dictumst. Nam ac mi at erat commodo faucibus sit amet in tellus. Integer mollis eros porta sollicitudin porta. Curabitur vel risus porttitor eros iaculis dictum. Phasellus sed adipiscing diam? Quisque tincidunt nulla non dapibus laoreet.</p>\r\n\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>', 1, 81, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-24 09:54:25', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 5, '', '', 1, 11, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(82, 196, 'Use These 10 Apps During Downtime', 'use-these-10-apps-during-downtime', '<img class="img-responsive" src="images/joomlart/demo/sam-4.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Praesent a nunc et ligula sodales tempor. Sed lobortis lorem arcu, at cursus massa dignissim et? Vivamus sapien mauris, mattis ut rhoncus vehicula, pharetra ac lectus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam elementum porta erat, nec mattis justo eleifend nec!</p>\r\n\r\n<p><a href="#" title="Sample link">Quisque sit amet est et sapien.</a> Pellentesque habitant morbi tristique senectus et netus et malesuada fames.</p>\r\n\r\n', '\r\n\r\n<p>Sed vestibulum interdum turpis, sit amet convallis ipsum pulvinar a. Aliquam elementum porta erat, nec mattis justo eleifend nec! Cras et erat id neque consequat laoreet. Duis quis massa quis diam ultrices accumsan? Ut sem libero; congue nec elit sed, varius placerat risus. Morbi quis eleifend lectus?</p>\r\n<p>Donec vitae libero accumsan, pharetra mi vel, dictum sem. Nunc malesuada arcu tellus; sed venenatis turpis rutrum ut. Maecenas vitae urna augue. Praesent sagittis molestie nibh at consequat! Donec porta turpis nulla, eu varius lorem luctus quis. Sed sodales consequat lacus, tristique iaculis nisl placerat et. Nullam facilisis venenatis neque, sed tristique ligula ultricies nec. Sed accumsan risus in consequat consequat. Sed egestas blandit ligula, et scelerisque leo rhoncus vel. Vivamus ut justo id velit vehicula mollis at ut dolor. Mauris nec pellentesque urna, id vulputate sem? Aenean tincidunt lacinia tortor, auctor convallis odio faucibus nec. Aenean libero nibh, condimentum in nisl eu, lacinia vehicula eros. Donec elementum enim purus, quis dapibus lacus auctor nec.</p>\r\n\r\n<div class="row example-row example-type">\r\n<div class="col-lg-6">\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n<div class="col-lg-6">\r\n<blockquote class="pull-right">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n<p>Cras sagittis massa a nunc blandit facilisis. Nam semper tristique erat; sed faucibus nisl accumsan vel. Nunc nec sem nec leo condimentum semper a sit amet lacus. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Praesent volutpat justo eget tortor vulputate volutpat. Praesent ornare tincidunt sapien, ac feugiat quam dapibus id. Mauris pulvinar ligula a massa adipiscing, nec lobortis risus dapibus.</p>', 1, 81, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-24 09:56:41', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(83, 197, 'Report: Facebook bought 750 patents from IBM', 'report-facebook-bought-750-patents-from-ibm', '<img class="img-responsive" src="images/joomlart/demo/sam-5.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Sed vitae ligula consectetur, molestie enim nec, molestie nisi. Sed faucibus purus sed mauris rhoncus, non blandit mauris lobortis. Nunc fringilla hendrerit ligula vestibulum.</p>\r\n\r\n<p>Donec malesuada convallis nisl, vitae tempor leo hendrerit sed. Sed vestibulum in nisl sit amet consequat. Nam et venenatis enim, vel varius nibh. Nulla a dui quis ipsum commodo lacinia? <strong>Duis mi tellus,</strong> tristique ac gravida ac; sodales non ante.</p>\r\n\r\n', '\r\n\r\n<p>Nulla rutrum pharetra vestibulum. Nulla orci leo; sagittis eu elit non, semper sodales nibh. Vivamus vel euismod nulla. Praesent neque mi, consectetur quis scelerisque eget, ullamcorper non nibh? Vestibulum placerat magna dolor, vitae facilisis nisi tincidunt feugiat. In hac habitasse platea dictumst.</p>\r\n\r\n<ul>\r\n<li><a href="#">Home</a></li>\r\n<li><a href="#">About</a></li>\r\n<li><a href="#">Clients</a></li>\r\n<li><a href="#">Contact Us</a></li>\r\n</ul>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n<p>Donec malesuada convallis nisl, vitae tempor leo hendrerit sed. Sed vestibulum in nisl sit amet consequat. Nam et venenatis enim, vel varius nibh. Nulla a dui quis ipsum commodo lacinia? Duis mi tellus, tristique ac gravida ac; sodales non ante. Fusce fermentum urna justo, id bibendum dui lacinia eu. Aliquam dapibus id elit eget commodo? Maecenas vulputate leo nec nulla luctus fermentum. Ut vel enim sed nunc tincidunt blandit. Ut tincidunt vel libero sit amet mattis. Proin vitae nisi mattis, facilisis felis sed, laoreet ligula. Vivamus fringilla commodo enim et rutrum. Quisque et velit vel risus interdum vehicula sed sit amet augue! Curabitur mi nisi, ornare ac mattis ac, interdum eget neque. Sed sed sagittis turpis.</p>\r\n\r\n<p>Praesent tincidunt velit at nibh lacinia condimentum. Duis semper mi at libero ultrices mollis. Vivamus elementum ullamcorper ante non laoreet. Cras vehicula mauris ac tincidunt viverra. Vestibulum rutrum sollicitudin velit, vel sodales dui pulvinar eget? Mauris id nulla porttitor, condimentum lorem a, sollicitudin sapien! Phasellus vitae nulla nec turpis volutpat molestie.</p>', 1, 81, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-24 09:54:55', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 8, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(84, 198, 'Ringya App Transforms Paper Lists Into', 'ringya-app-transforms-paper-lists-into', '<img class="img-responsive" src="images/joomlart/demo/sam-3.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra, Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien</p>\r\n\r\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. <a href="#" title="Sample link">Mauris placerat eleifend leo.</a></p>\r\n\r\n', '\r\n\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h2>Vestibulum erat wisi</h2>\r\n\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>', 1, 81, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-24 09:55:37', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 7, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(85, 199, 'SXSW 2013: What Do You Want to See?', 'sxsw-2013-what-do-you-want-to-see', '<img class="img-responsive" src="images/joomlart/demo/sam-2.jpg" alt="Sample image" align="right" />\r\n\r\n<p>In ultricies adipiscing felis. Integer eu mauris arcu. Phasellus dapibus lorem leo, nec facilisis diam varius at. Quisque convallis lectus sit amet felis venenatis malesuada ac quis magna. Donec rhoncus neque felis, sed auctor tellus dignissim suscipit.</p>\r\n\r\n<p>Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus.</p>\r\n\r\n', '\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n\r\n<ul>\r\n<li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n<li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.</li>\r\n<li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n<li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n</ul>', 1, 81, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-24 09:56:07', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(86, 200, 'Windows Mobile 7 Theme SmartPhone ', 'windows-mobile-7-theme-smartphone', '<img class="img-responsive" src="images/joomlart/demo/sam-1.jpg" alt="Sample image" align="right" />\r\n\r\n<p><strong>Pellentesque habitant morbi tristique</strong> estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. <a href="#" title="Sample link">Quisque sit amet est et sapien.</a></p>\r\n\r\n', '\r\n\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<ul>\r\n<li><a href="#">Home</a></li>\r\n<li><a href="#">About</a></li>\r\n<li><a href="#">Clients</a></li>\r\n<li><a href="#">Contact Us</a></li>\r\n</ul>\r\n\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>', 1, 81, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-24 09:57:28', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, '', '', 1, 42, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(87, 201, 'Curiosity Rover Recovering From Computer Glitch', 'curiosity-rover-recovering-from-computer-glitch', '<img class="img-responsive" src="images/joomlart/demo/sam-15.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Vestibulum mattis est lacus, at semper massa vehicula aliquam. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis ut ultricies nulla? Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean mauris tortor, porta eget velit nec, euismod ullamcorper urna!</p>\r\n\r\n<p>Habitant morbi tristique estibulum tortor quam, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <a href="#" title="Sample link">Aenean ultricies mi vitae est.</a> Mauris placerat eleifend leo. Quisque sit amet est et </p>\r\n\r\n', '\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, commodo vitae, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus</p>\r\n<ul>\r\n<li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n<li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.</li>\r\n<li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n<li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n</ul>', 1, 82, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(88, 202, 'Could Apple\'s iPhone Mini and Phablet Look Like This?', 'could-apple-s-iphone-mini-and-phablet-look-like-this', '<img class="img-responsive" src="images/joomlart/demo/sam-1.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Donec eu libero sit amet quam egestas semper. Pellentesque habitant morbi tristique estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. <a href="#" title="Sample link">Aenean ultricies mi vitae est.</a> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo.</p>\r\n\r\n', '\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<ul>\r\n<li><a href="#">Home</a></li>\r\n<li><a href="#">About</a></li>\r\n<li><a href="#">Clients</a></li>\r\n<li><a href="#">Contact Us</a></li>\r\n</ul>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>', 1, 82, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(89, 203, 'Behind the Scenes at Singer Michael Bolton\'s ', 'behind-the-scenes-at-singer-michael-bolton-s', '<img class="img-responsive" src="images/joomlart/demo/sam-3.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Praesent nec lectus eu neque fringilla volutpat. Nulla tristique ullamcorper quam, ut dapibus massa hendrerit ac. Etiam a tempus lectus. Proin nibh nisi, vehicula non enim sed, venenatis faucibus orci. Fusce ut elementum nunc, vel eleifend sem.</p>\r\n\r\n<p>Donec eu libero sit amet quam egestas semper. Pellentesque habitant morbi tristique estibulum tortor quam, feugiat vitae <a href="#" title="Sample link">Aenean ultricies mi vitae est.</a></p>\r\n\r\n', '\r\n<p>Donec molestie nunc lacus, ut accumsan sem imperdiet eu. Maecenas semper erat vitae elit rutrum, ut imperdiet elit consectetur. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam eget ante massa. Donec eget ligula auctor, dapibus tellus et, pulvinar urna. Donec ultrices quam at nunc molestie convallis. Donec justo tellus, euismod a ante at, dignissim feugiat nunc. Sed nec ipsum at odio suscipit auctor. Cras quis quam dui. Vestibulum at urna condimentum, mattis dolor a, elementum velit.</p>\r\n<ul>\r\n<li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n<li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.</li>\r\n<li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n<li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n</ul>\r\n<hr title="Resistance is Futile. Hand Over All Your Documents" alt="Resistance is Futile. Hand Over All Your Documents" class="system-pagebreak" />\r\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n<hr title="The ‘Never Ending Pot’ That Feeds India’s Needy Children" alt="The ‘Never Ending Pot’ That Feeds India’s Needy Children" class="system-pagebreak" />\r\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis.</p>', 1, 82, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(90, 204, 'Outstanding joomla template for developing gadgets news', 'outstanding-joomla-template-for-developing-gadgets-news', '<img class="img-responsive" src="images/joomlart/demo/sam-13.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Pellentesque sit amet mollis eros, non viverra dui. Suspendisse adipiscing nisl ante, non faucibus neque malesuada eget. Etiam ut arcu quis nulla porttitor ultricies. Pellentesque dictum tempus neque.</p>\r\n\r\n<p><strong>Pellentesque habitant morbi tristique</strong> estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n', '\r\n<p>Curabitur aliquet facilisis tellus; quis laoreet nunc tincidunt id. Nullam semper orci sed sagittis tincidunt. Ut auctor, est a dignissim eleifend, justo dolor dignissim risus, quis pulvinar dolor sapien at massa. Curabitur interdum varius massa, a auctor tellus mattis ut. Nunc nibh velit, condimentum sed est in; vestibulum cursus ipsum. Sed aliquet sit amet mauris nec bibendum! Integer pulvinar lectus augue, sit amet mattis enim cursus quis. Vestibulum feugiat pulvinar magna, sit amet commodo purus suscipit a? Integer quis augue sit amet tortor porttitor pharetra. Nunc at dapibus arcu. Ut malesuada justo at lacinia auctor. Morbi dapibus eu purus non placerat.</p>\r\n<div class="row example-row example-type">\r\n<div class="col-lg-6">\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n<div class="col-lg-6">\r\n<blockquote class="pull-right">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n<p>Maecenas vitae tellus id tortor pretium aliquet at ac justo. Maecenas aliquam vehicula justo sed pellentesque. In eget leo magna. Phasellus consequat felis at tortor faucibus semper. Fusce venenatis mauris odio, ut pulvinar neque pellentesque scelerisque. Sed nec nulla felis. Phasellus sit amet dolor mollis, malesuada ligula ac, interdum metus. Duis sollicitudin nunc sed urna sagittis, aliquam commodo justo imperdiet. Ut tincidunt leo facilisis risus rutrum, nec posuere sapien convallis. Cras vitae tincidunt mi. Etiam sem risus, luctus vitae lacus vel, gravida consequat purus. Praesent sed magna id nulla rutrum rutrum. Maecenas varius pharetra metus, sit amet luctus lorem adipiscing a. Sed posuere ligula non vestibulum ullamcorper.</p>\r\n<p>Nulla in condimentum ante. Mauris neque nunc, malesuada at sagittis consectetur, ultrices eu dui. Pellentesque eget luctus sapien, sed scelerisque diam? Quisque blandit enim sapien. Sed elit ligula, pharetra ut laoreet et, fringilla vel sapien. Sed ac eros non dui imperdiet interdum? Maecenas at erat tempus, tincidunt risus vitae, euismod massa. Phasellus cursus egestas tellus et dapibus. Praesent eu posuere sapien. Cras iaculis mattis felis, nec convallis metus egestas ac. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Curabitur et nibh sit amet nisi elementum pulvinar. In eleifend justo in magna blandit feugiat. Sed at metus sed orci pulvinar adipiscing ac vitae risus!</p>', 1, 82, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(91, 205, 'Facebook Bugs Made You Think People Right', 'facebook-bugs-made-you-think-people-right', '<img class="img-responsive" src="images/joomlart/demo/sam-14.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Pellentesque habitant morbi tristique estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <a href="#" title="Sample link">Aenean ultricies mi vitae est.</a> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n<p>Pellentesque sit amet mollis eros, non viverra dui. Suspendisse adipiscing nisl ante, non faucibus neque malesuada eget. Etiam ut arcu quis nulla porttitor ultricies.</p>\r\n\r\n', '\r\n<p>Sed feugiat fringilla faucibus? Integer egestas neque eget orci cursus pretium. Nunc convallis vehicula massa, vitae auctor nisl aliquet consequat. Aenean a luctus sem. Nullam tempor tempus tellus, vel lacinia urna venenatis in. Duis id augue urna. Integer ut libero vitae nulla gravida commodo vel in justo. Donec fermentum nibh non bibendum iaculis. Vestibulum rutrum gravida tellus, tempor consectetur purus condimentum ac. Ut commodo at ante at congue. Nunc blandit dolor at laoreet scelerisque. Pellentesque accumsan ante augue, sit amet ultricies augue ultricies vel. Nullam quis consectetur est, at vehicula diam! Donec non magna in erat auctor iaculis. Aliquam pellentesque tristique metus, id lacinia libero pharetra vel.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Praesent sit amet nisl et risus lobortis gravida ac non tellus. Morbi rutrum, erat at fermentum porttitor, elit tellus facilisis leo, ac suscipit leo urna vel ligula. Quisque velit eros, laoreet eu gravida quis, aliquet sed arcu. Pellentesque malesuada fringilla purus, in dictum eros dictum id. In sed laoreet nisi, a scelerisque nisl. Proin eget semper mauris. Curabitur convallis vestibulum urna, sed varius erat suscipit vel. Ut lorem odio, faucibus vel dui sit amet, cursus hendrerit est. Etiam vehicula mauris vitae bibendum posuere. Interdum et malesuada fames ac ante ipsum primis in faucibus. Aliquam erat volutpat. Phasellus ut volutpat nisi!</p>\r\n<p>Phasellus blandit imperdiet lorem in consectetur. Nunc at odio auctor, fermentum nulla congue, vestibulum lectus. Etiam convallis rutrum metus, tincidunt accumsan dui. Sed metus nisi; sagittis et purus nec, accumsan aliquam libero. Ut arcu turpis, placerat ac mauris vitae, dignissim cursus mauris. Integer imperdiet tincidunt enim in ultrices. Pellentesque ornare mauris dui, pharetra tempor eros sodales nec. Maecenas accumsan quam eu mollis molestie. Phasellus posuere placerat quam. Aliquam libero purus, pulvinar non lacus sit amet, lobortis sagittis quam. Praesent nec consectetur tortor, vestibulum pharetra ipsum. Sed molestie bibendum ullamcorper. Mauris fringilla molestie pharetra. Maecenas vel felis tortor. Mauris varius ut elit sit amet feugiat.</p>', 1, 82, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(92, 206, 'Become a Graphics Pro for Free During Photoshop Week', 'become-a-graphics-pro-for-free-during-photoshop-week', '<img class="img-responsive" src="images/joomlart/demo/sam-9.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Aliquam tristique lacus lorem, a posuere urna accumsan nec. Cras non risus vel eros eleifend convallis. Nullam cursus nisi sed felis fringilla tempor. Duis arcu tortor, eleifend non consectetur non, hendrerit sit amet massa!</p>\r\n\r\n<p>Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus.</p>\r\n\r\n', '\r\n<p>Morbi at magna vel nulla imperdiet fermentum. Donec ullamcorper imperdiet dui, ut porta sem porttitor consequat. Sed neque lectus, accumsan at nibh ut; venenatis hendrerit ligula. Praesent et porta lorem. Praesent vel dictum lectus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Fusce lobortis commodo ante nec pharetra? Quisque convallis mi pretium suscipit commodo. Vivamus id justo lectus!</p>\r\n<ul>\r\n<li><a href="#nowhere" title="Lorum ipsum dolor sit amet">Lorem</a></li>\r\n<li><a href="#nowhere" title="Aliquam tincidunt mauris eu risus">Aliquam</a></li>\r\n<li><a href="#nowhere" title="Morbi in sem quis dui placerat ornare">Morbi</a></li>\r\n<li><a href="#nowhere" title="Praesent dapibus, neque id cursus faucibus">Praesent</a></li>\r\n<li><a href="#nowhere" title="Pellentesque fermentum dolor">Pellentesque</a></li>\r\n</ul>\r\n<p>Quisque porttitor quam eu vehicula volutpat? Phasellus vitae elit nec augue fermentum placerat vitae et magna! Praesent consectetur dictum elit, eget fermentum massa pretium eu. Aliquam id nunc sed nibh vehicula sollicitudin. Aenean ultricies urna augue, sit amet consequat purus feugiat in. Vestibulum malesuada volutpat lorem at volutpat. Quisque tempus condimentum quam, vitae tempor lacus sagittis in.</p>\r\n<p>Nunc non lacus sed augue ultrices vehicula! Proin mattis venenatis enim; porttitor volutpat mauris lobortis vitae. Cras ut semper orci, id aliquet massa. Aliquam nec sem nec leo aliquet scelerisque quis quis urna. Phasellus facilisis sapien erat, a ultrices neque consectetur nec. Aliquam dictum vulputate elit et blandit. Nullam quis massa vitae sem accumsan congue. Aliquam hendrerit odio vel nulla egestas, ut ullamcorper arcu malesuada. Nunc massa nulla, pulvinar id odio nec, pretium consectetur dui? Quisque placerat, risus in euismod cursus, nisl arcu mollis dui, at mattis justo tellus eget tortor. Duis fermentum non nunc pretium condimentum. Nunc et justo nisi! Mauris ultricies lectus sem, id euismod neque volutpat non. Nulla id magna ipsum. Vivamus erat tortor, fermentum at consectetur vitae, mollis sed mauris. Quisque porttitor, est ac faucibus aliquet, arcu sapien venenatis mauris, scelerisque blandit elit leo ut lacus.</p>', 1, 83, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(93, 207, '9 Apps Built by Self-Taught Coders', '9-apps-built-by-self-taught-coders', '<img class="img-responsive" src="images/joomlart/demo/sam-8.jpg" alt="Sample image" align="right" />\r\n\r\n<p>In ultricies adipiscing felis. <a href="#" title="Sample link">Integer eu mauris arcu.</a> Phasellus dapibus lorem leo, nec facilisis diam varius at. Quisque convallis lectus sit amet felis venenatis malesuada ac quis magna. Donec rhoncus neque felis, sed auctor tellus dignissim suscipit.</p>\r\n\r\n<p>Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus.</p>\r\n\r\n', '\r\n<p>Aliquam placerat tempor quam. Sed ut eleifend arcu, et malesuada libero. Sed sed tortor eu purus mollis imperdiet luctus vitae purus. Sed tempus, arcu et adipiscing rutrum, nibh purus convallis quam, sit amet dictum metus metus eget magna. Morbi tempor, est non dignissim scelerisque, nisl est ornare ipsum, sit amet euismod orci urna ac velit. Aenean sit amet aliquet orci, aliquet ullamcorper neque.</p>\r\n<p>Morbi tristique elit non tellus rhoncus, et mollis leo condimentum? Suspendisse at pharetra mi. Phasellus auctor imperdiet velit ac pharetra. Nunc ligula diam, luctus nec condimentum sed, auctor quis nunc. Sed malesuada eget neque nec euismod. Donec vitae pretium ante? Sed pretium libero eget arcu porta ultricies? Integer ipsum eros, scelerisque quis ullamcorper eu, convallis et ipsum. Vivamus id felis gravida, ultricies lacus ut; vestibulum turpis! Sed bibendum orci nec urna fermentum, eu pretium magna pellentesque. Nulla ut pharetra magna, nec venenatis lacus. Pellentesque ac sagittis nisl.</p>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<p>Morbi volutpat pharetra ultrices? Pellentesque aliquet ligula sed ligula accumsan, eget iaculis nisi vestibulum. Cras mollis turpis tellus, sed dapibus nunc euismod gravida. Vivamus eleifend ac quam ac pulvinar. Praesent aliquet sapien dui; sed aliquam purus gravida sit amet. Ut at vehicula dui. Nam et porttitor risus. Etiam feugiat nisl nec enim venenatis tincidunt. Vestibulum interdum, augue ac cursus condimentum, tortor enim elementum ipsum, eget mollis mauris sem eu diam. Phasellus ipsum leo, egestas vestibulum magna eu, pharetra ullamcorper lacus. Duis varius tortor vel neque volutpat tristique.</p>', 1, 83, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(94, 208, 'Bing\'s Social Sidebar Gets a Facelift', 'bing-s-social-sidebar-gets-a-facelift', '<img class="img-responsive" src="images/joomlart/demo/sam-10.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Donec eu libero sit amet quam egestas semper. Pellentesque habitant morbi tristique estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. <a href="#" title="Sample link">Aenean ultricies mi vitae est.</a> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien</p>\r\n\r\n', '\r\n<p>Pellentesque in sodales mauris. Ut quis nisi blandit, lacinia lorem sed, lacinia risus. In faucibus, justo at pulvinar dictum, dui mauris fermentum risus, vel semper ligula nisi elementum augue. Cras aliquam risus eu dolor mattis, ac mattis mi accumsan! In hendrerit, urna sit amet hendrerit tristique, ipsum felis semper felis, vel semper erat mi sed mi. Nam id neque in sem cursus scelerisque sit amet nec erat.</p>\r\n<ul>\r\n<li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n<li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.</li>\r\n<li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n<li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n</ul>\r\n<p>Ut placerat rutrum eleifend. Proin lobortis dolor ligula, in luctus mauris ullamcorper a. In et tincidunt lectus. Maecenas sit amet tristique odio. Aenean imperdiet nisl sit amet nunc scelerisque rutrum. Aliquam dictum sed velit eu fermentum! Sed lobortis lorem orci, in dignissim ipsum dignissim non. Suspendisse elit libero, hendrerit vitae dignissim non, feugiat lacinia nibh? Curabitur tincidunt arcu nec justo aliquam, vitae posuere nibh scelerisque. Phasellus arcu dui, blandit eget imperdiet eu, consectetur sit amet turpis. Cras ipsum nulla, pulvinar quis massa id, laoreet auctor magna?</p>\r\n<p>Ut ut mi non quam suscipit ullamcorper! In laoreet sed nisl nec gravida. Interdum et malesuada fames ac ante ipsum primis in faucibus. Nullam ac gravida tortor. Donec ullamcorper mi sit amet risus eleifend, sit amet euismod risus tempus. Donec at volutpat purus, quis mattis nisi. Mauris adipiscing urna at posuere tempus. Pellentesque libero leo, ultrices in dui vitae, rhoncus porttitor diam. Sed ullamcorper nisi id lacus imperdiet, eu pellentesque nibh tempus. Donec quis justo pellentesque; interdum augue porttitor; mollis est. Phasellus cursus congue arcu, eu viverra urna ultrices et. Aenean ut urna vitae diam laoreet ullamcorper! Ut gravida, risus eu commodo ultricies, dui quam laoreet turpis, nec ullamcorper urna erat at diam. Maecenas sit amet viverra tellus, eget dictum sem? Curabitur velit erat, dapibus eu sollicitudin at, tincidunt in ante. Quisque eu condimentum augue.</p>', 1, 83, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(95, 209, 'Google Play Marks Anniversary By Giving You Discounts', 'google-play-marks-anniversary-by-giving-you-discounts', '<img class="img-responsive" src="images/joomlart/demo/sam-11.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Donec eu libero sit amet quam egestas semper. Pellentesque habitant morbi tristique estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. <a href="#" title="Sample link">Aenean ultricies mi vitae est.</a> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien</p>\r\n\r\n', '\r\n<p>Nam ipsum felis, tristique eu iaculis at; fringilla eget velit. Nullam semper mi neque, id elementum urna malesuada vitae. Nullam nulla nisi, fermentum ac commodo ut, vulputate sit amet magna. Nulla in semper quam, et consequat lectus. Fusce vestibulum mauris lectus, in aliquet enim placerat nec?</p>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<ul>\r\n<li><a href="#">Home</a></li>\r\n<li><a href="#">About</a></li>\r\n<li><a href="#">Clients</a></li>\r\n<li><a href="#">Contact Us</a></li>\r\n</ul>\r\n<p>Maecenas interdum adipiscing tortor, quis volutpat nibh tempor vitae. Fusce convallis orci vel urna ornare, sed tempor libero dignissim. Quisque eget mauris vitae enim iaculis bibendum et non justo. Donec rhoncus pulvinar magna, facilisis rhoncus elit consectetur non. Fusce sagittis massa vitae nulla dapibus commodo! Sed mattis turpis a ante egestas mollis nec id augue. Phasellus in ornare nibh, vel ultrices arcu? Mauris lorem ante, imperdiet vel elementum id, pulvinar eget neque. Quisque at elit vehicula nisl tincidunt hendrerit. In sit amet nisi vel nunc imperdiet commodo. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec mollis lacus sit amet dolor dignissim dapibus. Mauris nec mauris at nibh consectetur malesuada sit amet non nisi. Nullam placerat dolor at nisl vestibulum, ut cursus nibh lacinia.</p>\r\n<p>In rhoncus risus scelerisque, pulvinar magna vitae, gravida dolor. Sed tristique justo sit amet dui tincidunt, non consequat neque tempus. Mauris condimentum, dui et condimentum varius, augue justo imperdiet urna, sit amet porttitor sapien augue id elit. Praesent venenatis quis diam quis ultricies. Duis placerat eu nunc at imperdiet. Quisque mattis lacus justo, non tempus leo tempus eget. Praesent ac arcu at ligula dictum lobortis. Maecenas consectetur eros felis, a pulvinar risus placerat a. Donec urna turpis, tincidunt et orci eu, vehicula commodo nunc.</p>', 1, 83, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(96, 210, '29 SXSW 2013 Panels You Can\'t Miss', '29-sxsw-2013-panels-you-can-t-miss', '<img class="img-responsive" src="images/joomlart/demo/sam-7.jpg" alt="Sample image" align="right" />\r\n\r\n<p>In ultricies adipiscing felis. Integer eu mauris arcu. Phasellus dapibus lorem leo, nec facilisis diam varius at. Quisque convallis lectus sit amet felis venenatis malesuada ac quis magna. Donec rhoncus neque felis, sed auctor tellus dignissim suscipit.</p>\r\n\r\n<p>Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus.</p>\r\n\r\n', '\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<ul>\r\n<li><a href="#">Home</a></li>\r\n<li><a href="#">About</a></li>\r\n<li><a href="#">Clients</a></li>\r\n<li><a href="#">Contact Us</a></li>\r\n</ul>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>', 1, 83, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(97, 212, '101 Typefaces Inspired by David Bowie', '101-typefaces-inspired-by-david-bowie', '<img class="img-responsive" src="images/joomlart/demo/sam-1.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Mauris placerat eleifend leo. Pellentesque habitant morbi tristique estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus <a href="#" title="Sample link">Quisque sit amet est et sapien.</a> Et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. </p>\r\n\r\n', '\r\n<p>Nullam laoreet lacus a enim sagittis, ac scelerisque urna dignissim. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Quisque porttitor laoreet justo eu sodales.</p>\r\n<div class="row example-row example-type">\r\n<div class="col-lg-6">\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n<div class="col-lg-6">\r\n<blockquote class="pull-right">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n<p>Sed consectetur, urna quis suscipit elementum, nisi sem volutpat lectus, sit amet sagittis augue quam a dolor. Proin lectus erat, facilisis id consequat nec, ornare nec sem. Pellentesque volutpat adipiscing bibendum. Mauris cursus dolor vel convallis volutpat. Donec ante enim, tristique nec facilisis eu, feugiat in nulla! Sed sit amet justo dolor. Vestibulum iaculis velit ut sagittis venenatis. Aliquam porttitor eros sapien, ut condimentum nibh semper quis. Aliquam scelerisque tempus augue, a sollicitudin lacus posuere sed.</p>\r\n<p>Suspendisse tempor neque ac enim porttitor, quis commodo mauris pulvinar. Donec felis mauris, commodo sed lacinia vel, vestibulum eu metus? Sed accumsan elit eget elit suscipit, at porttitor mi pulvinar. Quisque sodales vitae tellus sed malesuada. Etiam interdum blandit tortor? Sed volutpat est nunc, in vestibulum mauris tincidunt non. Aliquam erat volutpat. Nam mauris tortor, vestibulum eget augue ac, viverra ultrices lacus. Etiam eu diam molestie; facilisis purus a, blandit arcu. Curabitur commodo elementum interdum. Duis aliquet risus id libero iaculis feugiat. Etiam magna diam, accumsan sit amet risus non, mollis semper leo. Donec fermentum, nulla in vestibulum tristique, purus nisl varius nibh, ac molestie ligula dolor vel arcu. In hac habitasse platea dictumst. Curabitur suscipit sapien at turpis vehicula porttitor.</p>', 1, 84, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(98, 213, 'Apple Getting Sued for \'Planned Obsolescence\' of iPad 3', 'apple-getting-sued-for-planned-obsolescence-of-ipad-3', '<img class="img-responsive" src="images/joomlart/demo/sam-13.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Pellentesque habitant morbi tristique estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. <a href="#" title="Sample link">Quisque sit amet est et sapien ullamcorper pharetra.</a></p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac <em>turpis egestas,</em> auris placerat eleifend leo. Quisque sit amet est et sapien.</p>\r\n\r\n', '\r\n<p>Sed eros nunc, iaculis sit amet facilisis quis, cursus non urna. Suspendisse vulputate lobortis quam. Morbi in urna convallis, aliquet ipsum id, pulvinar dolor. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec faucibus arcu nec posuere eleifend. Duis quis dictum nunc; vel pulvinar sapien? Interdum et malesuada fames ac ante ipsum primis in faucibus. Donec id elit non ante elementum euismod. Quisque condimentum velit nec elit gravida; eget eleifend mauris pulvinar? Pellentesque sem erat, viverra vitae aliquet nec, volutpat at quam. Duis tempor dui non dolor dapibus tincidunt.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Etiam fringilla hendrerit tellus ac venenatis! Vestibulum sit amet dui dui. Suspendisse ac tortor enim. Nunc vel est nulla! Vivamus pharetra ipsum odio, eu pretium sem consectetur id. Morbi sagittis mollis sapien a ornare. Etiam ultrices odio ipsum, at imperdiet arcu mollis eu. Proin non dignissim tortor, quis interdum metus. Aenean vulputate, arcu at tincidunt molestie, eros libero viverra urna, sed fermentum erat elit at tortor. Nullam eleifend arcu ac ligula tempor, quis ultricies mauris luctus. Interdum et malesuada fames ac ante ipsum primis in faucibus. Cras eu libero sit amet ante placerat pretium vitae et velit. Donec sodales faucibus sem non consectetur. Sed porttitor fermentum nisl, nec commodo justo dictum non. Phasellus nec dui vitae leo congue lacinia vitae nec dui. Sed nisi massa; lobortis vitae libero nec, feugiat lacinia nisi.</p>\r\n<p>Pellentesque sollicitudin lectus placerat lorem dignissim, a tincidunt tellus mollis. Pellentesque sed bibendum augue, sed tempus lectus. Sed a porttitor mi! Etiam ut facilisis mauris. Nulla cursus orci eget viverra ullamcorper. Etiam vehicula dolor nec leo auctor, et volutpat magna dignissim! Aenean sit amet velit non velit commodo dictum? Sed rutrum risus vitae ultricies aliquam. Vestibulum ac tempor dolor, eu suscipit arcu. Integer fermentum enim eros, et porttitor arcu iaculis vel? Donec condimentum sit amet nibh id suscipit! Ut quis dui at magna tincidunt blandit quis sed tellus.</p>', 1, 84, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(99, 214, 'How to Safely Keep Java in Your Web Browser', 'how-to-safely-keep-java-in-your-web-browser', '<img class="img-responsive" src="images/joomlart/demo/sam-10.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Praesent a nunc et ligula sodales tempor. Sed lobortis lorem arcu, at cursus massa dignissim et? Vivamus sapien mauris, mattis ut rhoncus vehicula, pharetra ac lectus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam elementum porta erat, nec mattis justo eleifend nec!</p>\r\n\r\n<p><a href="#" title="Sample link">Quisque sit amet est et sapien.</a> Pellentesque habitant morbi tristique senectus et netus et malesuada fames.</p>\r\n\r\n', '\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Maecenas porta nisl ipsum, quis blandit ipsum pretium ac. Nulla laoreet mollis dolor id faucibus.</p>\r\n<p>Suspendisse vel consequat felis. Vestibulum nec condimentum lorem. Suspendisse sit amet tellus eu tellus sodales ultricies. Vestibulum eu tincidunt arcu; ac faucibus nisl. Mauris non tellus dignissim, blandit ligula in, faucibus mauris. Pellentesque eu odio felis. Aenean scelerisque augue quis accumsan porttitor! Donec id sagittis urna. Duis lorem sapien, pulvinar sed tincidunt lobortis, convallis ac mi? Lorem ipsum dolor sit amet, consectetur adipiscing elit. In eu elit ultrices, varius velit vel, dignissim lorem.</p>\r\n<ul>\r\n<li><a href="#nowhere" title="Lorum ipsum dolor sit amet">Lorem</a></li>\r\n<li><a href="#nowhere" title="Aliquam tincidunt mauris eu risus">Aliquam</a></li>\r\n<li><a href="#nowhere" title="Morbi in sem quis dui placerat ornare">Morbi</a></li>\r\n<li><a href="#nowhere" title="Praesent dapibus, neque id cursus faucibus">Praesent</a></li>\r\n<li><a href="#nowhere" title="Pellentesque fermentum dolor">Pellentesque</a></li>\r\n</ul>\r\n<p>Nam id sem sed elit facilisis tempor. Mauris sapien felis, lacinia id nibh id, euismod gravida elit. Vestibulum eu tristique ante, non hendrerit nunc. In at nulla non lectus consequat rutrum. Nullam tellus ante, facilisis sed rutrum quis, commodo vel enim. Aenean sed sem eu est sodales consequat! Donec lacinia turpis eu lectus aliquet, eget facilisis nisl lacinia. Sed sed lobortis est, non lacinia tortor. Sed non hendrerit diam. Nulla pellentesque vulputate felis, non iaculis libero sodales eu. Curabitur vel lacus elit? Phasellus pellentesque sapien sem, eget ultricies felis pharetra sed? Nunc cursus aliquet ligula. Proin commodo convallis tortor eu faucibus.</p>', 1, 84, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(100, 216, 'Website Development', 'website-development', '<p>Nunc fringilla tincidunt interdum egestas et id morbi tempus condimentum laoreet. Mauris ut id natoque nibh nisl mauris eget malesuada.</p>\r\n', '\r\n\r\n<div class="clearfix">\r\n  <div class="pull-left" style="\r\n    margin-right: 40px;\r\n">\r\n    <img src="images/joomlart/demo/cat-1.jpg" alt=""  class="img-responsive"/>\r\n    <p class="img-caption" style="\r\n    background: #f5f5f5;\r\n    text-align: center;\r\n    padding: 10px;\r\n">Image Caption</p>\r\n  </div>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Nulla justo pharetra</small></h3>\r\n    <p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus. Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n    <p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n  <div class="alert alert-warning">\r\n<p><strong>TIPS:</strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;</code> tag or the <code>.small</code> class.</p>\r\n</div>\r\n</div>\r\n\r\n<hr>\r\n\r\n<h3 style="margin-top: 0;"><small style="color:#444">Make a paragraph</small></h3>\r\n<p class="lead">This is a <strong>lead paragraph</strong>. Make a paragraph stand out by adding <code>.lead</code>.</p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.</p>\r\n<p>Nullam quis risus eget <a href="#">urna mollis ornare</a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n<p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n<p>An abbreviation of the word attribute is <abbr title="attribute">attr</abbr>.</p>\r\n<hr>\r\n\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n\r\n<h3 style="margin-top: 0;"><small style="color:#444">Emper felis velit</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Lorem ipsum dolor sit amet consectetuer fermentum augue facilisi ac augue. Semper felis velit eget urna quis </p>\r\n\r\n<hr>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Morbi du</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Lorem ipsum dolor sit amet consectetuer fermentum augue facilisi ac augue. Semper felis velit eget urna quis </p>\r\n\r\n<hr>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Curabitur metus</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>', 1, 88, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/service-1.png","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 12, 5, '', '', 1, 14, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(101, 218, 'Google+ Rolls Out Design Changes Ahead of Facebook', 'google-rolls-out-design-changes-ahead-of-facebook', '<img class="img-responsive" src="images/joomlart/demo/sam-11.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Praesent a nunc et ligula sodales tempor. Sed lobortis lorem arcu, at cursus massa dignissim et? Vivamus sapien mauris, mattis ut rhoncus vehicula, pharetra ac lectus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam elementum porta erat, nec mattis justo eleifend nec!</p>\r\n\r\n<p><a href="#" title="Sample link">Quisque sit amet est et sapien.</a> Pellentesque habitant morbi tristique senectus et netus et malesuada fames.</p>\r\n\r\n', '\r\n<p>Ut scelerisque dolor ut augue sagittis vulputate. Duis adipiscing; mi et fringilla dignissim, urna dui sagittis augue, sit amet condimentum risus justo vel sem. Donec commodo felis eu placerat hendrerit. Morbi tristique ultricies tortor, et pharetra lorem. Donec commodo risus nec libero interdum tincidunt et a purus.</p>\r\n<p>Duis interdum scelerisque adipiscing. Proin eget sem porttitor, sodales nunc vitae, consectetur nibh. Interdum et malesuada fames ac ante ipsum primis in faucibus. Quisque eu imperdiet tortor. Vestibulum vel justo in dolor facilisis rutrum eget nec nibh? Quisque tristique turpis ut ipsum viverra viverra. Sed eu eleifend ante. Nulla facilisi. Pellentesque euismod eleifend interdum. Morbi eu lobortis lacus, et lobortis nisl. Nunc eu ipsum nec dui gravida ultrices convallis at leo.</p>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<p>Phasellus imperdiet accumsan dui, eget blandit elit volutpat nec. Ut et tortor pellentesque, molestie mauris molestie, facilisis odio. Nulla auctor mi a dui pretium, id faucibus nisl porta? Pellentesque consectetur, ante id dapibus fringilla, ipsum ligula auctor massa, ut euismod justo diam eu neque. Phasellus facilisis pellentesque velit eget auctor. Cras ut dignissim nisl. Pellentesque dictum purus quis purus luctus, eu ultricies nulla venenatis. Fusce quis tortor arcu. Proin nec diam sit amet neque placerat facilisis eget vel nisl. Aenean dictum sem et mi tincidunt feugiat. Integer in consectetur risus, vel rhoncus nisl. Phasellus erat nisi, malesuada et elementum ut, porttitor nec nibh. Maecenas iaculis ante ac enim viverra posuere. Curabitur a mauris in erat vehicula vehicula. Duis pellentesque libero eu ultricies pulvinar. Maecenas tempor, nibh auctor gravida laoreet, est elit faucibus mi, eget auctor mauris nulla a quam.</p>', 1, 84, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(102, 219, 'Graphic Design', 'graphic-design', '<p>Pellentesque blandit semper lorem vel lobortis. Mauris sed ante ut erat adipiscing tincidunt. Nullam ultrices quam a ornare ultrices.</p>\r\n', '\r\n\r\n<div class="clearfix">\r\n  <div class="pull-left" style="\r\n    margin-right: 40px;\r\n">\r\n    <img src="images/joomlart/demo/cat-1.jpg" alt=""  class="img-responsive"/>\r\n    <p class="img-caption" style="\r\n    background: #f5f5f5;\r\n    text-align: center;\r\n    padding: 10px;\r\n">Image Caption</p>\r\n  </div>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Nulla justo pharetra</small></h3>\r\n    <p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus. Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n    <p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n  <div class="alert alert-warning">\r\n<p><strong>TIPS:</strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;</code> tag or the <code>.small</code> class.</p>\r\n</div>\r\n</div>\r\n\r\n<hr>\r\n\r\n<h3 style="margin-top: 0;"><small style="color:#444">Make a paragraph</small></h3>\r\n<p class="lead">This is a <strong>lead paragraph</strong>. Make a paragraph stand out by adding <code>.lead</code>.</p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.</p>\r\n<p>Nullam quis risus eget <a href="#">urna mollis ornare</a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n<p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n<p>An abbreviation of the word attribute is <abbr title="attribute">attr</abbr>.</p>\r\n<hr>\r\n\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n\r\n<h3 style="margin-top: 0;"><small style="color:#444">Emper felis velit</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Lorem ipsum dolor sit amet consectetuer fermentum augue facilisi ac augue. Semper felis velit eget urna quis </p>\r\n\r\n<hr>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Morbi du</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Lorem ipsum dolor sit amet consectetuer fermentum augue facilisi ac augue. Semper felis velit eget urna quis </p>\r\n\r\n<hr>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Curabitur metus</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>', 1, 88, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/service-2.png","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 12, 4, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(103, 220, 'Apple\'s \'iWatch\' Could Run iOS and Be Very Profitable', 'apple-s-iwatch-could-run-ios-and-be-very-profitable', '<img class="img-responsive" src="images/joomlart/demo/sam-12.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Pellentesque habitant morbi tristique estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <strong>Aenean ultricies mi vitae est</strong>. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien.</p>\r\n\r\n', '\r\n<p>Donec molestie nunc lacus, ut accumsan sem imperdiet eu. Maecenas semper erat vitae elit rutrum, ut imperdiet elit consectetur. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam eget ante massa. Donec eget ligula auctor, dapibus tellus et, pulvinar urna. Donec ultrices quam at nunc molestie convallis. Donec justo tellus, euismod a ante at, dignissim feugiat nunc. Sed nec ipsum at odio suscipit auctor. Cras quis quam dui. Vestibulum at urna condimentum, mattis dolor a, elementum velit.</p>\r\n<ul>\r\n<li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n<li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.</li>\r\n<li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n<li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n</ul>\r\n<hr title="Resistance is Futile. Hand Over All Your Documents" alt="Resistance is Futile. Hand Over All Your Documents" class="system-pagebreak" />\r\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n<hr title="The ‘Never Ending Pot’ That Feeds India’s Needy Children" alt="The ‘Never Ending Pot’ That Feeds India’s Needy Children" class="system-pagebreak" />\r\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>', 1, 84, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(104, 223, 'Practice makes perfect', 'practice-makes-perfect', '<p>Vivamus tristique volutpat aliquam. Donec ante risus, fermentum ac ullamcorper lobortis, semper ut nisl. Phasellus venenatis porta</p>\r\n', '\r\n\r\n<div class="clearfix">\r\n  <div class="pull-left" style="\r\n    margin-right: 40px;\r\n">\r\n    <img src="images/joomlart/demo/cat-1.jpg" alt=""  class="img-responsive"/>\r\n    <p class="img-caption" style="\r\n    background: #f5f5f5;\r\n    text-align: center;\r\n    padding: 10px;\r\n">Image Caption</p>\r\n  </div>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Nulla justo pharetra</small></h3>\r\n    <p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus. Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n    <p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n  <div class="alert alert-warning">\r\n<p><strong>TIPS:</strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;</code> tag or the <code>.small</code> class.</p>\r\n</div>\r\n</div>\r\n\r\n<hr>\r\n\r\n<h3 style="margin-top: 0;"><small style="color:#444">Make a paragraph</small></h3>\r\n<p class="lead">This is a <strong>lead paragraph</strong>. Make a paragraph stand out by adding <code>.lead</code>.</p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.</p>\r\n<p>Nullam quis risus eget <a href="#">urna mollis ornare</a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n<p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n<p>An abbreviation of the word attribute is <abbr title="attribute">attr</abbr>.</p>\r\n<hr>\r\n\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n\r\n<h3 style="margin-top: 0;"><small style="color:#444">Emper felis velit</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Lorem ipsum dolor sit amet consectetuer fermentum augue facilisi ac augue. Semper felis velit eget urna quis </p>\r\n\r\n<hr>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Morbi du</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Lorem ipsum dolor sit amet consectetuer fermentum augue facilisi ac augue. Semper felis velit eget urna quis </p>\r\n\r\n<hr>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Curabitur metus</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>', 1, 88, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/service-3.png","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 3, '', '', 1, 28, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(105, 224, 'Why Microsoft Couldn’t Care Less About $732 Million EU Fine', 'why-microsoft-couldn-t-care-less-about-732-million-eu-fine', '<img class="img-responsive" src="images/joomlart/demo/sam-7.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. <a href="#" title="Sample link">Quisque sit amet est et sapien.</a></p>\r\n\r\n<p>Phasellus eleifend dictum aliquam. Sed sollicitudin lorem eget sollicitudin rutrum. Phasellus a ultrices elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer enim elit, dignissim nec aliquam viverra, elementum a risus.</p>\r\n\r\n', '\r\n<p>Suspendisse diam libero, ultricies ac nisl eu, feugiat ullamcorper nisi. Aenean in fermentum enim. Curabitur mattis nisl lacus, eu posuere lectus vulputate nec! Aenean ut nisl turpis. Phasellus porttitor blandit magna a bibendum! Praesent velit lorem, rhoncus at convallis ac, viverra a leo. In molestie porta eros, eu accumsan magna consectetur et. Mauris bibendum, lorem in facilisis lobortis; quam orci tempus sem, eget dignissim nulla leo non turpis.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Aenean bibendum pellentesque velit at faucibus. Etiam ipsum diam, vulputate sed egestas eu, pellentesque eget arcu. Proin nec cursus purus, sed volutpat ligula. Suspendisse potenti. Nulla facilisi. Vestibulum et mollis orci, nec vestibulum ligula. Etiam sollicitudin nunc mi, at venenatis lacus commodo id. Suspendisse vitae eleifend quam, vitae adipiscing elit! Aliquam bibendum odio non hendrerit blandit. In dignissim pharetra tempor. Integer lacus nulla, hendrerit vel augue nec, tempor porttitor tellus. Nam in neque a nunc ullamcorper lobortis? Proin luctus eu enim in facilisis.</p>\r\n<p>Sed eleifend elit at tincidunt laoreet. Vestibulum eu augue purus. Ut metus leo, volutpat a pellentesque at; suscipit sed nulla. Cras viverra erat at mi mollis ullamcorper! Etiam mattis ligula sed adipiscing blandit. Phasellus blandit lorem felis; nec consectetur augue egestas vel. Mauris tempus libero nec risus suscipit venenatis. Phasellus in pharetra sapien, at ultrices massa. Vivamus nec nulla viverra, cursus mi et, imperdiet lectus. Donec id tortor sem. Morbi diam lectus, iaculis at sem eu, mattis iaculis dolor. Quisque vel congue purus. Praesent quam urna; ultricies nec purus pellentesque, sagittis vehicula mi! Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos.</p>', 1, 85, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(106, 225, '10 Digital Dos and Don\'ts for the New Pope', '10-digital-dos-and-don-ts-for-the-new-pope', '<img class="img-responsive" src="images/joomlart/demo/sam-13.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Etiam aliquam tellus non diam pulvinar aliquam. Donec faucibus, libero id mattis ultrices, tellus nunc dignissim velit, eget fringilla lorem lacus malesuada purus. In vitae odio hendrerit, convallis nibh sed, semper lectus.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. <a href="#" title="Sample link">Quisque sit amet est et sapien.</a></p>\r\n\r\n', '\r\n<p>Ut pulvinar justo quis enim vehicula aliquet. Ut nec ultrices quam, porttitor ultrices odio. Vestibulum pulvinar purus nec lacus mattis blandit. Donec ut nisi ut magna ullamcorper bibendum facilisis et lectus. Quisque ac hendrerit felis. Fusce eu malesuada lectus, sed aliquet dui. Pellentesque at lectus sagittis lectus viverra volutpat? Morbi sit amet eros massa! Nulla rhoncus purus velit, ut dapibus arcu sagittis id. Donec nisl eros, viverra nec tortor nec, sodales auctor ante. Donec ac fermentum arcu? Fusce ipsum leo, pulvinar et felis lacinia, egestas rhoncus libero.</p>\r\n<ul>\r\n<li><a href="#nowhere" title="Lorum ipsum dolor sit amet">Lorem</a></li>\r\n<li><a href="#nowhere" title="Aliquam tincidunt mauris eu risus">Aliquam</a></li>\r\n<li><a href="#nowhere" title="Morbi in sem quis dui placerat ornare">Morbi</a></li>\r\n<li><a href="#nowhere" title="Praesent dapibus, neque id cursus faucibus">Praesent</a></li>\r\n<li><a href="#nowhere" title="Pellentesque fermentum dolor">Pellentesque</a></li>\r\n</ul>\r\n<p>Aenean ultrices metus et elementum dictum! Vivamus in lorem vehicula, cursus nunc id, aliquam ipsum? Duis consectetur, nulla sed dapibus accumsan, mauris erat scelerisque diam, in ultrices eros quam a justo. Phasellus euismod tellus et sapien rhoncus vestibulum. Etiam commodo ac sapien ac adipiscing. Donec sagittis blandit imperdiet. Vivamus feugiat, nisi facilisis luctus pulvinar, magna turpis egestas massa, at consectetur magna neque quis ipsum. Nullam ac egestas diam. Nulla quis mauris sed nisi bibendum feugiat vel at magna. Etiam cursus ullamcorper ipsum. Nullam volutpat ligula dui. Curabitur bibendum imperdiet dignissim. Proin ligula dui, dapibus quis metus ac, suscipit venenatis neque. Ut turpis risus, congue ac elit non, sollicitudin tincidunt ligula!</p>\r\n<p>Integer bibendum rhoncus est. Nulla lobortis est vel rutrum ultrices? Ut at velit ac enim pretium faucibus eget sed ipsum. Morbi est nunc, adipiscing nec suscipit ac, gravida ut purus? Nunc sollicitudin vestibulum turpis vitae eleifend. Mauris hendrerit imperdiet iaculis. Vestibulum pulvinar odio ut est tempus facilisis. Nullam posuere semper pulvinar. Ut id dui in neque ultrices placerat sit amet et dui. Nam sollicitudin commodo lacus, in placerat libero lacinia sed. Duis sed varius nulla. Duis at convallis odio. Integer in massa cursus, semper mi in, ultrices lectus. Sed porttitor id magna sed commodo. Phasellus condimentum faucibus eros a bibendum.</p>', 1, 85, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(107, 226, 'Nokia Befriends Apple in Samsung Patent Trial', 'nokia-befriends-apple-in-samsung-patent-trial', '<img class="img-responsive" src="images/joomlart/demo/sam-11.jpg" alt="Sample image" align="right" />\r\n\r\n<p><em>Aenean ultricies mi vitae est.</em> Pellentesque habitant morbi tristique estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper.  Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. <a href="#" title="Sample link">Quisque sit amet est et sapien.</a></p>\r\n\r\n', '\r\n<p>Pellentesque at nisi elit. Phasellus aliquam elit lacus, sit amet dapibus lacus facilisis vel. Maecenas lobortis ut diam quis convallis. Aenean non dictum purus, sit amet venenatis dolor! Donec tellus diam, blandit eget magna id, pretium ullamcorper ipsum. Duis vestibulum condimentum lectus nec eleifend? Nam hendrerit viverra arcu, eget pretium neque rutrum et.</p>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<p>Phasellus consequat ac neque laoreet pretium. Nulla fringilla nisi ante, in consectetur lacus condimentum et. Vivamus congue tincidunt tellus, vitae viverra diam gravida vitae. Duis id dui quis metus tristique tempor. Sed convallis elit purus, vitae scelerisque diam auctor rutrum! Praesent aliquam viverra augue; laoreet vehicula lacus semper quis. Nam ultricies suscipit augue, luctus euismod ligula feugiat eu. Nunc sed accumsan arcu. Duis sit amet augue euismod tellus scelerisque tempor vitae vitae justo. Aenean turpis nisi, posuere lobortis cursus id, molestie ut nibh.</p>\r\n<p>Donec consequat elit enim, non dignissim lorem semper vitae? Integer ac nibh elit. Praesent non dolor sem. Nam consectetur euismod risus, eu ultrices magna malesuada eget. Aliquam diam urna; bibendum id tincidunt non, auctor a diam? Vestibulum bibendum feugiat erat, et tincidunt sem posuere id. Donec posuere, orci at pretium iaculis, elit lacus rutrum urna, at cursus magna urna vitae est. Proin diam nunc; lacinia eget turpis ac; interdum faucibus erat. Suspendisse ultrices dui turpis, sed dapibus sem semper ut!</p>', 1, 85, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(108, 227, 'Yahoo Killing Message Boards Site and Other Products', 'yahoo-killing-message-boards-site-and-other-products', '<img class="img-responsive" src="images/joomlart/demo/sam-5.jpg" alt="Sample image" align="right" />\r\n\r\n<p><strong>Lorem ipsum</strong> dolor sit amet, consectetur adipiscing elit. Phasellus sit amet turpis ut risus tempor posuere. Praesent ac leo egestas, accumsan enim quis, interdum ante. <a href="#" title="Sample link">Pellentesque ultricies elit est</a>; quis mollis elit facilisis et.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien.</p>\r\n\r\n\r\n', '\r\n<p>Aliquam sem ipsum, sagittis vel purus quis, tempor fringilla felis? Sed eget ligula vel tellus tincidunt scelerisque sed vitae arcu. Pellentesque tincidunt pharetra luctus? Aenean pellentesque metus eu vehicula dictum. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Phasellus interdum tincidunt nibh a placerat. Nulla fringilla tortor elit, at porttitor dolor pulvinar quis? Aliquam varius nisi risus, eu tincidunt dolor laoreet non.</p>\r\n<p>Aenean vitae metus sed magna luctus iaculis. Curabitur scelerisque orci posuere vestibulum mattis. Sed ut arcu eget ipsum tristique semper eu a tellus. Sed tincidunt turpis nulla, sed suscipit augue tempor sed. Fusce in adipiscing diam. Aliquam erat volutpat. Aliquam dapibus sed lectus eu vestibulum.</p>\r\n<div class="row example-row example-type">\r\n<div class="col-lg-6">\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n<div class="col-lg-6">\r\n<blockquote class="pull-right">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n<p>Integer ipsum urna, tempor ac venenatis et, tincidunt et erat. Curabitur dapibus dui eros, sed vulputate nibh porta in. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Curabitur adipiscing risus quis ante ultricies pulvinar eget eget turpis. Aenean venenatis ante lacus. Phasellus et tincidunt nisi. Praesent vehicula mauris vitae massa pretium euismod. Duis tempus sollicitudin augue a euismod. Pellentesque eleifend leo sed nulla cursus iaculis. Fusce lorem diam, tempus et eleifend vel, auctor fringilla elit. Praesent blandit mi sapien. Vivamus tempus ac lacus et consequat.</p>', 1, 85, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(109, 228, 'Research In Motion No More - RIM Becomes BlackBerry', 'research-in-motion-no-more-rim-becomes-blackberry', '<img class="img-responsive" src="images/joomlart/demo/sam-9.jpg" alt="Sample image" align="right" />\r\n\r\n<p><strong>Mauris placerat eleifend leo.</strong> Pellentesque habitant morbi tristique estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien.</p>\r\n\r\n', '\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<ul>\r\n<li><a href="#">Home</a></li>\r\n<li><a href="#">About</a></li>\r\n<li><a href="#">Clients</a></li>\r\n<li><a href="#">Contact Us</a></li>\r\n</ul>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>', 1, 85, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(110, 229, 'Twitter vs. Instagram: The Showdown in an Infographic', 'twitter-vs-instagram-the-showdown-in-an-infographic', '<img class="img-responsive" src="images/joomlart/demo/sam-10.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Ut faucibus fringilla orci adipiscing dignissim. Vivamus at lacus at ipsum malesuada sagittis non condimentum risus. <a href="#" title="Sample link">Cum sociis natoque penatibus et magnis</a> dis parturient montes, nascetur ridiculus mus.</p>\r\n\r\n<p>Auris placerat eleifend leo. Quisque sit amet est et sapien. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas,</p>\r\n\r\n', '\r\n<p>Suspendisse faucibus mollis dolor nec porta. In lacus nunc; vulputate vitae arcu nec, fermentum gravida libero. Nulla nec diam tristique, pulvinar enim quis, aliquet turpis. Nunc in mauris cursus, dignissim leo ac, ornare elit. Curabitur pretium urna at sodales malesuada. Nullam tempus justo ut felis viverra elementum.</p>\r\n<p>Suspendisse nec hendrerit ante, ac cursus velit. Nullam purus mauris, vestibulum eget dui quis, egestas semper turpis! Nam tempor pretium nibh, et lobortis purus pretium eget. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nullam sed fermentum est, sed consectetur felis. Phasellus tellus orci, accumsan a arcu in, ornare faucibus dolor. Donec lorem neque, consectetur eget tortor non, condimentum cursus sapien. Donec et nunc justo. Vivamus justo sapien; varius sed risus ut, tristique aliquam sapien. Nulla tempor id urna sed tristique. Vestibulum tempor venenatis facilisis.</p>\r\n<ul>\r\n<li><a href="#">Home</a></li>\r\n<li><a href="#">About</a></li>\r\n<li><a href="#">Clients</a></li>\r\n<li><a href="#">Contact Us</a></li>\r\n</ul>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>', 1, 86, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 4, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(111, 230, 'Responsive joomla template for technology news website', 'responsive-joomla-template-for-technology-news-website', '<img class="img-responsive" src="images/joomlart/demo/sam-6.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Vivamus eget euismod dolor. Mauris eleifend egestas dictum. Proin mollis sollicitudin aliquet? Fusce metus eros, sollicitudin non iaculis dictum, feugiat tempus justo. In vestibulum ultrices felis, et consectetur arcu ultrices quis.</p>\r\n\r\n<p><strong>Pellentesque</strong> habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. <a href="#" title="Sample link">Quisque sit amet est et sapien.</a></p>\r\n\r\n', '\r\n<p>Pellentesque quis cursus nisl. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</p>\r\n<ul>\r\n<li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n<li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.</li>\r\n<li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n<li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n</ul>\r\n<p>Donec et venenatis nibh. Nunc quis nisi euismod, ultrices dolor quis, fermentum massa. Nulla facilisi. Interdum et malesuada fames ac ante ipsum primis in faucibus. Integer faucibus tempor aliquam. Maecenas in condimentum dolor. Suspendisse aliquam nibh scelerisque orci convallis egestas. Sed pharetra quam orci, vitae sodales augue imperdiet id? Aenean venenatis augue quis turpis porttitor, eget pretium dui fermentum. Nulla lacinia tincidunt facilisis. In lobortis felis viverra risus convallis, eget fringilla lorem pulvinar. Curabitur ullamcorper sagittis blandit.</p>\r\n<p>Quisque viverra felis ut egestas eleifend. Praesent pulvinar urna ut molestie iaculis. Nulla pretium odio eget molestie pellentesque? Maecenas nulla risus, porta ut sollicitudin et, viverra et velit. Duis at risus nec erat pharetra accumsan. Praesent sit amet malesuada purus. Fusce rhoncus aliquet metus, in aliquet dolor convallis sed. Fusce a nisi ut mi porta posuere. Nam suscipit mi lorem, at posuere lacus varius venenatis? Vestibulum eu iaculis purus, ac aliquam tortor. Duis et massa in nibh hendrerit commodo id in lorem. Aliquam dignissim volutpat commodo!</p>', 1, 86, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(112, 231, 'A few fundamental iOS 6 complaints', 'a-few-fundamental-ios-6-complaints', '<img class="img-responsive" src="images/joomlart/demo/sam-2.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien.</p>\r\n\r\n<p>Donec blandit dolor sed nulla eleifend, sit amet dignissim risus consectetur. Ut congue nibh quis leo sagittis sagittis. Curabitur nec ipsum in mi semper semper vel nec turpis. Cras eu velit elementum; eleifend tortor eu, pretium sem.</p>\r\n\r\n', '\r\n<p>Fusce urna elit, congue non fringilla non, congue sit amet justo. Ut egestas ornare bibendum! Vestibulum lectus magna, scelerisque vitae tortor quis, consectetur fermentum turpis?</p>\r\n<div class="row example-row example-type">\r\n<div class="col-lg-6">\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n<div class="col-lg-6">\r\n<blockquote class="pull-right">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n<p>Phasellus sit amet lorem condimentum, scelerisque ante a, posuere enim. Nullam id lorem erat. Etiam eu ante non lorem iaculis vestibulum vel in nulla. Nulla congue sapien vitae risus malesuada, id elementum elit blandit. Nam vitae ipsum eu dolor commodo convallis non nec nunc. Maecenas sodales semper sodales. Curabitur fringilla mi ut lobortis semper.</p>\r\n<p>Maecenas vulputate nisl at diam auctor rutrum. Donec tincidunt, ipsum eget viverra tempus, urna odio ultricies mauris, id auctor justo libero sit amet leo. Praesent volutpat tellus orci, nec malesuada augue convallis at! Phasellus quis orci tristique, lobortis enim ac, faucibus nisl. Nulla facilisi. Nulla vitae bibendum massa. Donec euismod adipiscing odio, sit amet euismod nulla dapibus ac. Curabitur condimentum scelerisque urna sed venenatis? Proin pharetra ipsum sem, a fermentum libero hendrerit eget.</p>', 1, 86, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(113, 232, 'Revolutionary formation laboratory', 'revolutionary-formation-laboratory', '<img class="img-responsive" src="images/joomlart/demo/sam-8.jpg" alt="Sample image" align="right" />\r\n\r\n<p> Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est.Pellentesque habitant morbi tristique estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien.</p>\r\n\r\n', '\r\n<p>Sed sodales lorem ac molestie sollicitudin! Ut purus est, eleifend in volutpat eu, tempor et erat. Morbi laoreet lorem sapien, sit amet tempor nulla ornare nec. Aenean ut leo eu velit pharetra posuere eget vitae felis? Phasellus sagittis risus at venenatis lobortis.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Sed quis tellus pharetra ante tempor interdum vitae nec diam. Integer porta, magna ac dapibus pharetra, enim ante posuere felis, in porttitor quam lorem non urna. Morbi ultricies diam eget orci varius molestie? Curabitur non tellus aliquet, egestas dui sit amet; placerat libero. Vivamus auctor mauris in eleifend dignissim. Maecenas diam lacus, congue quis elit sed, semper auctor dolor. In nunc nunc, placerat vel tincidunt vitae, molestie non arcu. Fusce vel enim tempus, dapibus lacus dapibus, bibendum turpis.</p>\r\n<p>Sed tincidunt neque turpis; blandit tempor eros ullamcorper a. Cras imperdiet quam ac elementum fermentum. Vivamus sed felis sodales, molestie augue a, lacinia risus. Phasellus venenatis fringilla egestas! Nulla facilisi. Praesent sed quam ac neque porttitor sagittis at ut justo. Nam non ligula lectus. In hac habitasse platea dictumst.</p>', 1, 86, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 1, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(114, 233, 'Anticipation replacement ratio islands invariably', 'anticipation-replacement-ratio-islands-invariably', '<img class="img-responsive" src="images/joomlart/demo/sam-4.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Pellentesque habitant morbi tristique  estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada <a href="#" title="Sample link">Quisque sit amet est et sapien.</a> fames ac turpis egestas, auris placerat eleifend leo. </p>\r\n\r\n', '\r\n<p>Donec molestie nunc lacus, ut accumsan sem imperdiet eu. Maecenas semper erat vitae elit rutrum, ut imperdiet elit consectetur. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam eget ante massa. Donec eget ligula auctor, dapibus tellus et, pulvinar urna. Donec ultrices quam at nunc molestie convallis. Donec justo tellus, euismod a ante at, dignissim feugiat nunc. Sed nec ipsum at odio suscipit auctor. Cras quis quam dui. Vestibulum at urna condimentum, mattis dolor a, elementum velit.</p>\r\n<ul>\r\n<li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n<li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.</li>\r\n<li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n<li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n</ul>\r\n<hr title="Resistance is Futile. Hand Over All Your Documents" alt="Resistance is Futile. Hand Over All Your Documents" class="system-pagebreak" />\r\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n<hr title="The ‘Never Ending Pot’ That Feeds India’s Needy Children" alt="The ‘Never Ending Pot’ That Feeds India’s Needy Children" class="system-pagebreak" />\r\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis.</p>', 1, 86, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(115, 234, ' 7 Reasons Why You Should Use MailChimp', '7-reasons-why-you-should-use-mailchimp', '<p>Vestibulum molestie feugiat dui at faucibus. Nunc porttitor mi eget erat faucibus; non fermentum purus rutrum? Nam vel turpis gravida, rutrum metus non, porttitor mi.</p>\r\n', '\r\n<p>Cras et dolor sed dolor viverra pulvinar eget nec quam! Vivamus varius, risus tincidunt fermentum posuere, tellus dolor aliquam tortor, et imperdiet neque dolor adipiscing odio. Pellentesque massa dolor, iaculis ut scelerisque ac, tempus eget erat! Donec vel neque odio. Suspendisse potenti. Aliquam sed rhoncus dolor. Duis tincidunt ultrices est fringilla accumsan. Donec sit amet dui non nisl tristique accumsan et luctus eros. Vestibulum vehicula odio a mauris viverra, ut molestie nisl posuere.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Duis euismod dapibus nunc ac vehicula. Maecenas convallis in est nec porta. Nam a risus mi. Pellentesque tincidunt leo auctor velit tincidunt, posuere suscipit ipsum egestas. Mauris ac nibh faucibus; aliquam eros sit amet, fermentum risus. Donec tincidunt cursus facilisis? Donec ac tortor ornare orci egestas facilisis id et eros. Sed mattis ipsum ac turpis tristique porta. Aliquam venenatis orci vestibulum risus accumsan, scelerisque interdum metus malesuada. Donec nisi odio, faucibus ut enim eget; ornare aliquet orci. Fusce euismod bibendum odio sed tristique. Proin eget suscipit tellus. Ut vel magna eu risus faucibus ullamcorper. Donec a arcu scelerisque; auctor ante et, pulvinar justo. Nunc a purus quis erat feugiat tincidunt. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae;</p>\r\n<p>Praesent adipiscing consequat tellus, sed dapibus nulla dapibus eget. Maecenas ac purus ut dolor consectetur pharetra. Aenean imperdiet sit amet eros sed tincidunt. Quisque leo massa, lobortis in dolor vitae, rutrum laoreet risus! Cras non semper lorem. Pellentesque dui urna, accumsan id fermentum et, condimentum nec dolor. Sed enim magna, rutrum sit amet elementum sed; sollicitudin quis quam. Vivamus ligula quam, tristique non lorem quis, cursus vehicula sem. Suspendisse at lacus nec massa rutrum pulvinar mattis et lorem. Fusce auctor, ligula in faucibus gravida, magna orci accumsan massa, sit amet commodo risus elit a mi. Maecenas mollis, lacus sed accumsan facilisis, risus nisl faucibus urna, ut fermentum tortor nunc vel metus. Etiam a libero sagittis, aliquam ante vel, congue dolor. Maecenas vestibulum purus in rhoncus molestie.</p>', 1, 92, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 3, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(116, 235, 'Chin survive adult trust planets', 'chin-survive-adult-trust-planets', '<p>Vivamus euismod accumsan adipiscing. Nulla non arcu fringilla, mattis mi non, ultricies nisi. In euismod leo lectus, vel fermentum mauris malesuada nec. Donec est orci, tincidunt vel enim quis, fermentum pulvinar turpis.</p>\r\n', '\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Suspendisse sed tellus venenatis justo dignissim fringilla at nec odio. Fusce posuere scelerisque nibh nec malesuada. Phasellus eros tellus, porta et neque sit amet, vestibulum sodales nisl. Vestibulum cursus consectetur mauris eu dignissim. Vestibulum dolor mi, congue rutrum blandit nec, ultrices in nulla. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus eget dictum elit.</p>\r\n<ul>\r\n<li><a href="#nowhere" title="Lorum ipsum dolor sit amet">Lorem</a></li>\r\n<li><a href="#nowhere" title="Aliquam tincidunt mauris eu risus">Aliquam</a></li>\r\n<li><a href="#nowhere" title="Morbi in sem quis dui placerat ornare">Morbi</a></li>\r\n<li><a href="#nowhere" title="Praesent dapibus, neque id cursus faucibus">Praesent</a></li>\r\n<li><a href="#nowhere" title="Pellentesque fermentum dolor">Pellentesque</a></li>\r\n</ul>\r\n<p>Morbi eget porta turpis, eget fringilla tellus. Donec commodo eros sit amet adipiscing aliquet. Nunc enim velit, lobortis pretium ultricies sit amet, dapibus eu urna. Integer venenatis adipiscing arcu, sed molestie augue euismod nec. Aenean sapien justo, pellentesque et rutrum ut, tristique a purus! Cras lobortis turpis elit, id laoreet arcu condimentum sed. Phasellus ante nunc, sodales vel tristique ac, dignissim ac nisl. Nam tristique sodales dolor sit amet commodo. Donec interdum posuere sagittis.</p>\r\n<p>Etiam pulvinar dapibus diam, adipiscing feugiat libero lacinia ut. Ut sit amet tellus mattis, semper risus in, viverra nunc! In hac habitasse platea dictumst. Quisque nec velit nec purus porta ultricies. Nulla facilisi. Morbi faucibus eros urna, nec luctus felis cursus sed! Duis sodales et ligula ac mattis. Duis vitae ipsum turpis. Interdum et malesuada fames ac ante ipsum primis in faucibus. Vivamus tempus aliquam quam ut malesuada.</p>', 1, 91, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(117, 236, 'Crop distributed electricity gay pont neat', 'crop-distributed-electricity-gay-pont-neat', '<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien</p>\r\n', '\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<ul>\r\n<li><a href="#">Home</a></li>\r\n<li><a href="#">About</a></li>\r\n<li><a href="#">Clients</a></li>\r\n<li><a href="#">Contact Us</a></li>\r\n</ul>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>', 1, 90, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 0, '', '', 1, 12, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(118, 237, 'Producing salary bitter perfectly divorce', 'producing-salary-bitter-perfectly-divorce', '<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam eget ante massa. Sed nec ipsum at odio suscipit auctor.</p>\r\n', '\r\n<p>Donec molestie nunc lacus, ut accumsan sem imperdiet eu. Maecenas semper erat vitae elit rutrum, ut imperdiet elit consectetur. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam eget ante massa. Donec eget ligula auctor, dapibus tellus et, pulvinar urna. Donec ultrices quam at nunc molestie convallis. Donec justo tellus, euismod a ante at, dignissim feugiat nunc. Sed nec ipsum at odio suscipit auctor. Cras quis quam dui. Vestibulum at urna condimentum, mattis dolor a, elementum velit.</p>\r\n<ul>\r\n<li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n<li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.</li>\r\n<li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n<li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n</ul>\r\n<hr title="Resistance is Futile. Hand Over All Your Documents" alt="Resistance is Futile. Hand Over All Your Documents" class="system-pagebreak" />\r\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n<hr title="The ‘Never Ending Pot’ That Feeds India’s Needy Children" alt="The ‘Never Ending Pot’ That Feeds India’s Needy Children" class="system-pagebreak" />\r\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis.</p>', 1, 91, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-12.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-12.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(119, 238, 'Insure bridget crises charlie sitter edges', 'insure-bridget-crises-charlie-sitter-edges', '<p>Nullam dapibus viverra magna, id sodales diam suscipit at. Cras varius sit amet turpis hendrerit ornare. Nullam consequat auctor nisl, vel sollicitudin tortor ultricies id. Suspendisse vitae tempus augue.</p>\r\n', '\r\n<p>Praesent eget ante non leo tincidunt tincidunt. Sed aliquet commodo justo, id egestas dolor placerat in. Curabitur venenatis libero sed nisi fringilla, quis bibendum nibh dapibus. Fusce rhoncus dapibus massa non hendrerit. Duis massa velit, vehicula at turpis ut, auctor facilisis enim.</p>\r\n<p>Cras porta condimentum orci, eget tempus dui commodo in. Aenean sed massa orci. Proin sed eros tincidunt, tincidunt sem id, sollicitudin magna. Duis venenatis dui ac posuere rutrum. Donec dolor augue, blandit eget faucibus eget, placerat non lorem! Quisque vitae dui lacus. Aenean id ullamcorper leo!</p>\r\n<ul>\r\n<li><a href="#">Home</a></li>\r\n<li><a href="#">About</a></li>\r\n<li><a href="#">Clients</a></li>\r\n<li><a href="#">Contact Us</a></li>\r\n</ul>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n<p>Vivamus eleifend egestas eleifend. Phasellus venenatis, dolor eget adipiscing lacinia, tellus odio venenatis ante, ac faucibus ipsum est ac lacus. Nunc ac sem ligula? Curabitur vestibulum urna ac dictum pretium. Proin dignissim lobortis odio; consectetur tempor risus dictum suscipit. Nullam porta sodales nunc. Ut nec mauris libero? Quisque ultricies lorem purus, quis mollis mi malesuada fermentum. Vivamus eget odio tortor. Nulla scelerisque ligula id interdum consequat! Duis porta sem sit amet tellus dignissim aliquam. Morbi a gravida est, id eleifend ante. Phasellus dignissim, nunc at pretium condimentum, leo mauris bibendum nulla; at pretium purus erat sit amet lorem. Vivamus vulputate adipiscing arcu a tincidunt! Quisque molestie, arcu vitae pretium pharetra, tellus eros tristique turpis, vitae lobortis elit metus et nibh! Vestibulum volutpat elit viverra dui rutrum, ac consequat odio fermentum.</p>', 1, 92, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-7.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-7.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 2, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(120, 239, 'Palace expressing meetings height recreation', 'palace-expressing-meetings-height-recreation', '<p>Cras blandit eu velit sit amet facilisis. Aliquam nec diam eget erat lacinia posuere. Morbi ut eleifend tellus, nec iaculis risus. Maecenas gravida mattis metus, quis molestie neque. Aenean in venenatis leo.</p>\r\n', '\r\n<p>Curabitur enim urna, fermentum quis tortor vitae, auctor sollicitudin ipsum. Ut euismod libero lacinia turpis molestie, nec eleifend ligula blandit. Ut vestibulum mi at lacus pharetra, vitae molestie sem blandit.</p>\r\n<div class="row example-row example-type">\r\n<div class="col-lg-6">\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n<div class="col-lg-6">\r\n<blockquote class="pull-right">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n<p>In pulvinar, eros id auctor ultrices, felis erat fringilla nibh, a porttitor mauris lacus nec diam. Aliquam suscipit eu nibh eget tincidunt. Nulla in nisi id purus ultricies aliquam. Proin tincidunt aliquet elit ut tempus. Etiam viverra suscipit gravida. Donec nec purus at ante ultricies fermentum ut nec ante. Sed lobortis libero a interdum sollicitudin. In lobortis lacinia volutpat. Donec vulputate, eros eu aliquam porta, ipsum augue pretium metus, eget tempor eros magna eget quam. Cras venenatis sapien at sodales dictum. Cras id arcu sit amet ante porta ullamcorper et eget mauris? Maecenas mi metus, faucibus nec dapibus quis, rutrum sit amet nibh. In sagittis aliquam lectus nec bibendum.</p>\r\n<p>Phasellus in nisi rhoncus, bibendum ligula eleifend, dictum lacus. Suspendisse malesuada, massa a porta feugiat, quam tortor interdum nunc, ullamcorper porttitor dui magna ut dolor. Nullam eleifend blandit odio, id blandit nisl euismod eget. In at sem nec dolor pellentesque egestas! Nunc sollicitudin arcu id augue ornare laoreet. Donec posuere non ante a egestas. Fusce in auctor dui; in semper nulla. Ut in augue mauris. Nam mattis dolor sed metus tristique; vitae vehicula nulla pharetra! Phasellus a nunc ut ligula interdum auctor. Nulla volutpat eget urna blandit hendrerit. Nunc erat diam, tempus nec vestibulum sit amet, posuere ac lectus? Maecenas blandit metus nisl, eu imperdiet est rhoncus sit amet!</p>', 1, 92, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-11.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-11.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(121, 241, 'Democracy automobiles fled emergency', 'democracy-automobiles-fled-emergency', '<p>Sed a orci diam. Ut eget congue enim. Cras porta elementum arcu, molestie luctus nunc rutrum non. Nullam ac diam fringilla dui laoreet viverra in at erat. Proin dolor dolor, elementum eget dolor nec, auctor mattis odio.</p>\r\n', '\r\n<p>Aliquam pharetra enim in quam blandit, non dapibus mi fringilla. Curabitur porttitor odio sed libero pulvinar, in fringilla magna rutrum. Proin vel fermentum justo. Sed non leo dui. Vestibulum at semper sapien, id feugiat sapien. Pellentesque consequat neque eu nunc fermentum placerat. Pellentesque et lacus ullamcorper, ultrices nulla a, rhoncus eros. Sed hendrerit dapibus tellus, et lacinia metus facilisis non. Maecenas pretium faucibus justo.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<p>Vivamus ornare et lectus id consequat? Mauris lorem lectus, eleifend non velit id, tristique placerat elit. Vestibulum et pulvinar ante, nec lobortis ipsum. In hac habitasse platea dictumst. Pellentesque sagittis risus mi; sed eleifend tellus luctus at. Etiam a mi erat. Vestibulum condimentum sed turpis non sodales. Donec aliquet placerat urna adipiscing sollicitudin. Nunc sit amet semper risus. Suspendisse cursus, lacus ac tristique faucibus, erat metus porta odio, nec mattis ante lectus a magna. Integer suscipit ullamcorper feugiat. Praesent ut sapien metus.</p>\r\n<p>Nam vehicula quis ligula sit amet sollicitudin. Morbi sed sapien nunc. Nullam a velit ut elit venenatis fermentum ut congue erat? Sed imperdiet felis at congue dapibus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Pellentesque ornare id eros vitae tincidunt. Praesent risus quam, rhoncus non cursus in, faucibus a erat. Suspendisse sed augue blandit quam pharetra dignissim vel sit amet tellus. Pellentesque scelerisque neque in magna euismod, eu aliquet neque dapibus. Sed nec nisl quis leo lacinia pretium eget ac nunc. Morbi ultricies non orci sit amet pretium! Mauris condimentum vitae lacus eu auctor. Cras hendrerit sapien nec semper porta.</p>', 2, 93, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(122, 242, 'Tour Google\'s Swanky New Headquarters', 'tour-google-s-swanky-new-headquarters', '<p>Duis pharetra purus et est facilisis, non posuere ligula ultricies. Aliquam bibendum ullamcorper dui vitae faucibus. Cras eu nunc a est condimentum dapibus nec quis tortor.</p>\r\n', '\r\n<p>Suspendisse eget magna a quam mollis eleifend? Nunc quis euismod enim. Sed id nulla blandit lorem commodo faucibus? Quisque ultrices rhoncus interdum.</p>\r\n<p>In eu euismod lacus. Quisque mattis in nisi nec scelerisque. Donec mollis vestibulum purus, at lobortis leo feugiat et? Fusce sagittis sit amet lectus sit amet imperdiet. Duis sed justo nec sem rhoncus imperdiet in vitae nisi? Curabitur tincidunt nisl quis purus malesuada faucibus. Donec nec arcu luctus eros vulputate dignissim. Vestibulum vel fermentum turpis.</p>\r\n<div class="row example-row example-type">\r\n<div class="col-lg-6">\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n<div class="col-lg-6">\r\n<blockquote class="pull-right">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n<p>Quisque gravida, diam at accumsan facilisis, mauris urna luctus justo, vitae varius neque neque sit amet nibh. Nullam ligula mi; fermentum quis iaculis vel, ultrices rhoncus tortor. Praesent et erat nec mauris laoreet rhoncus. Suspendisse imperdiet hendrerit malesuada. Morbi accumsan; erat id venenatis varius, nibh diam eleifend eros; ac gravida libero eros et justo. Integer hendrerit porta semper? Nulla id vulputate justo, id sagittis leo. Aliquam ac suscipit risus. Nulla at ornare nisl. Vivamus eget interdum arcu? Mauris sapien libero, fermentum eu blandit vitae, tincidunt non justo! Morbi nec tempus lacus.</p>', 2, 93, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(123, 243, 'Hulu\'s Uncertain Future', 'hulu-s-uncertain-future', '<p>Suspendisse vulputate ipsum at eros aliquam, sed scelerisque ipsum laoreet. Praesent in elit dui. Aliquam erat volutpat. Duis mauris tellus, sollicitudin sit amet urna quis, aliquet vulputate magna? Integer pulvinar scelerisque dictum.</p>\r\n', '\r\n<p>Pellentesque malesuada elementum ligula; vel vestibulum dolor varius interdum. Donec ut sodales turpis, vel porta dolor. Praesent commodo, ante vel hendrerit tempus, mi nisl rutrum felis, in gravida mauris dolor sit amet turpis. Aliquam vehicula erat vel tempus molestie. Proin eget massa dolor. In ultrices egestas libero, et imperdiet massa placerat id? Duis augue risus, tempus in turpis eget, elementum rutrum velit. Curabitur id magna mollis, rutrum tortor a, rutrum neque. Nunc nec mi lacus! Sed eget adipiscing nulla?</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur bibendum metus ante, a faucibus enim malesuada vitae! Praesent sed congue tortor. Integer ac laoreet arcu. In dictum est eget sodales eleifend. Curabitur id magna eget sem pulvinar tempor quis faucibus nulla. Sed tempus tincidunt adipiscing. Nulla diam turpis, suscipit id velit vitae, interdum condimentum dui. Pellentesque cursus gravida purus at condimentum. Etiam eget elit pretium, elementum turpis at, tempus nulla. Vivamus vitae turpis odio.</p>\r\n<p>Aenean quis consequat ante, eu porta velit. Etiam et nisi nec ante posuere dignissim faucibus a purus! Aenean gravida laoreet mauris, in facilisis erat aliquam et. Maecenas vel justo quis diam ultrices pulvinar in eu nulla. Aenean iaculis, leo in auctor suscipit, lectus dui feugiat arcu, eget convallis ligula diam ac tellus. Vivamus ut est tristique, aliquam velit faucibus, consequat turpis. Vestibulum ac risus sit amet enim vulputate pretium! Sed scelerisque, lorem vitae lacinia tempor; nisi dui aliquet justo, sed fermentum odio lacus eu velit. Suspendisse semper libero sagittis velit euismod feugiat. Maecenas blandit sodales purus, ac condimentum augue. Curabitur fringilla velit id ullamcorper eleifend. Maecenas pellentesque mauris orci, eget pharetra felis viverra vitae. Nunc convallis aliquet dui, eget vestibulum diam bibendum et. Mauris ornare eros tempor; volutpat orci vitae, fermentum tellus!</p>', 2, 93, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(124, 244, 'Contest impressive formal', 'contest-impressive-formal', '<p>Donec sit amet sapien suscipit, semper enim at, convallis mauris. Nunc et consequat enim. Aliquam blandit purus sit amet luctus tempor. Proin eget ipsum ligula. In sodales odio quis purus commodo facilisis!</p>\r\n', '\r\n<p>Duis laoreet libero lorem, id gravida felis elementum non. Quisque id massa vel sem sagittis porttitor. Etiam ultrices lectus tortor, vehicula pellentesque leo adipiscing tincidunt. Praesent vehicula metus vel vulputate bibendum! Cras tristique nisl id tellus gravida; eget hendrerit sapien egestas. Fusce ut condimentum leo. Aenean imperdiet iaculis turpis, sit amet cursus metus lobortis ut.</p>\r\n<p>Nullam metus diam, volutpat vitae elit quis, sagittis luctus sem. Suspendisse feugiat erat nec malesuada laoreet. Duis aliquam nunc sed vestibulum ultricies? Integer dui lorem, tempus ac orci sed, pellentesque auctor diam? Duis non arcu mi. Proin lacinia orci eu ante fringilla vulputate? Donec vel justo condimentum, adipiscing tellus et; ultrices lacus. Praesent fermentum lorem id placerat tempor. Nullam malesuada vel nisl non tincidunt. Aliquam erat volutpat. Donec eu est hendrerit, molestie risus volutpat, dapibus risus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Donec gravida ac libero a interdum?</p>\r\n<ul>\r\n<li><a href="#nowhere" title="Lorum ipsum dolor sit amet">Lorem</a></li>\r\n<li><a href="#nowhere" title="Aliquam tincidunt mauris eu risus">Aliquam</a></li>\r\n<li><a href="#nowhere" title="Morbi in sem quis dui placerat ornare">Morbi</a></li>\r\n<li><a href="#nowhere" title="Praesent dapibus, neque id cursus faucibus">Praesent</a></li>\r\n<li><a href="#nowhere" title="Pellentesque fermentum dolor">Pellentesque</a></li>\r\n</ul>\r\n<p>Vestibulum eu mollis nisl. Nullam nec diam ut eros mattis lacinia! Cras cursus fermentum urna in rhoncus. Phasellus in vehicula mauris. Integer eu vulputate nibh. Donec lacinia blandit erat, sed euismod lectus tempus in. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Proin ultricies leo a nisi consequat, sit amet cursus ligula adipiscing. Cras nisi leo, eleifend ac sapien in; varius luctus arcu. Nulla vel commodo justo! Praesent ut varius urna; at tincidunt elit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. In non auctor ipsum! Curabitur tempus neque sit amet dolor condimentum, eleifend ultricies ligula imperdiet. Donec euismod mauris orci, at faucibus magna elementum quis? Nullam sollicitudin ligula in lorem semper, at ultricies velit luctus.</p>', 2, 93, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 1, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(125, 245, 'Rev hearts ramey teams christ\'s', 'rev-hearts-ramey-teams-christ-s', '<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien</p>\r\n', '\r\n<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<ul>\r\n<li><a href="#">Home</a></li>\r\n<li><a href="#">About</a></li>\r\n<li><a href="#">Clients</a></li>\r\n<li><a href="#">Contact Us</a></li>\r\n</ul>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>', 2, 93, '2017-10-12 03:51:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(126, 247, 'Quisque in ante laoreet arcu', 'desert-mini-planet', '<img src="images/joomlart/demo/porfolio/intro-3.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 94, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-3.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 9, 13, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(127, 248, 'Curabitur elementum tortor', 'curabitur-elementum-tortor', '<img src="images/joomlart/demo/porfolio/intro-4.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n', '\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 94, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-4.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"2x2"}', 6, 12, '', '', 1, 22, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(128, 249, 'Robot Chicken', 'robot-chicken', '<div class="portfolio-item">\r\n  <div class="row row-feature-header">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-mobile-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n    <div class="col-sm-6 row-feature-header-info">\r\n      <div class="portfolio-intro">\r\n        The eCommerce responsive Joomla template for Joomla 3 and Joomla 2.5 – JA Decor has a dynamic block layout design mixed with the metro design principle, creating this unique look and feel that any decor, interior design online shop would appreciate.\r\n      </div>\r\n      <div class="portfolio-detail">\r\n        <h4 class="portfolio-title">Quick Info</h4>\r\n        <ul class="portfolio-list-info">\r\n          <li><i class="fa fa-file"></i> CMS: Joomla Template</li>\r\n          <li><i class="fa fa-clock-o"></i> Updated on: 11 Apr, 2014</li>\r\n          <li><i class="fa fa-cog"></i> Version: 1.0.1</li>\r\n          <li><i class="fa fa-download"></i> Download: 834</li>\r\n        </ul>\r\n        <p><a href="#" class="btn btn-primary btn-lg">View demo</a> <a href="#" class="btn btn-info btn-lg">Detail</a></p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature-heading">\r\n    <h2>JA Sugite</h2>\r\n    <p class="heading-byline">A dynamic responsive eCommerce Joomla template featuring Mijoshop.</p>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">Supports Mijoshop component</h4>\r\n      <p>The feature rich Joomla eCommerce shopping cart extension that is well loved by the majority in the community with a user-friendly admin interface that enables you to be in total control of your store.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  \r\n    <div class="col-sm-6">\r\n      <h4 class="portfolio-title">Fully responsive design</h4>\r\n      <p>JA Decor is fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">T3 Framework with Bootstrap 3</h4>\r\n      <p>T3 Framework is powerful yet flexible, with Bootstrap 3 at core. With T3 Framework, you can easily customize most of JA Decor CSS properties using ThemeMagic in real-time along with endless fascinating features.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature">\r\n  \r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-bars pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Megamenu and Off-Canvas menu</h5>\r\n            <p>Having a great organized menu navigation system assures your customers to be able to find what they are looking for.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-laptop pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Fully responsive design</h5>\r\n            <p>Fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-star pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Right To Left Language Layout</h5>\r\n            <p>Not an exception, JA Decor also supports RTL layout at default. All props go to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-comments pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Supports EasyBlog</h5>\r\n            <p>Blogging is one of the most important part of any online business. If you haven\'t paid attention to your blog section, you should start now.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-lightbulb-o pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">5 colors by default</h5>\r\n            <p>Apart from the default color, this beautiful Joomla template also came with 4 other colors including: Red, Brown, Turquoise, and Yellow.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-magic pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">And up to 10 bonus pages</h5>\r\n            <p>Login Page, 404 Page, Offline, Contact Us, Web Links, News Feed, Typography, Smart Search, Registration Page and more.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n</div>', '', 1, 94, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-9.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"1","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_vote":"0","show_hits":"0","show_noauth":"0","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 45, 11, '', '', 1, 115, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(129, 250, 'Tree', 'tree', '<img src="images/joomlart/demo/porfolio/intro-12.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>\r\n', '\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna. </p>\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n\r\n', 1, 94, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-12.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 4, 10, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(130, 251, 'Space Invaders', 'space-invaders', '<img src="images/joomlart/demo/porfolio/intro-10.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>\r\n', '\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna. </p>\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n\r\n', 1, 94, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-10.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 4, 9, '', '', 1, 6, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(131, 253, ' 7 Reasons Why You Should Use MailChimp', '7-reasons-why-you-should-use-mailchimp-2', '<p>Vestibulum molestie feugiat dui at faucibus. Nunc porttitor mi eget erat faucibus; non fermentum purus rutrum? Nam vel turpis gravida, rutrum metus non, porttitor mi.</p>\r\n\r\n', '\r\n\r\n<p>Cras et dolor sed dolor viverra pulvinar eget nec quam! Vivamus varius, risus tincidunt fermentum posuere, tellus dolor aliquam tortor, et imperdiet neque dolor adipiscing odio. Pellentesque massa dolor, iaculis ut scelerisque ac, tempus eget erat! Donec vel neque odio. Suspendisse potenti. Aliquam sed rhoncus dolor. Duis tincidunt ultrices est fringilla accumsan. Donec sit amet dui non nisl tristique accumsan et luctus eros. Vestibulum vehicula odio a mauris viverra, ut molestie nisl posuere.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Duis euismod dapibus nunc ac vehicula. Maecenas convallis in est nec porta. Nam a risus mi. Pellentesque tincidunt leo auctor velit tincidunt, posuere suscipit ipsum egestas. Mauris ac nibh faucibus; aliquam eros sit amet, fermentum risus. Donec tincidunt cursus facilisis? Donec ac tortor ornare orci egestas facilisis id et eros. Sed mattis ipsum ac turpis tristique porta. Aliquam venenatis orci vestibulum risus accumsan, scelerisque interdum metus malesuada. Donec nisi odio, faucibus ut enim eget; ornare aliquet orci. Fusce euismod bibendum odio sed tristique. Proin eget suscipit tellus. Ut vel magna eu risus faucibus ullamcorper. Donec a arcu scelerisque; auctor ante et, pulvinar justo. Nunc a purus quis erat feugiat tincidunt. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae;</p>\r\n<p>Praesent adipiscing consequat tellus, sed dapibus nulla dapibus eget. Maecenas ac purus ut dolor consectetur pharetra. Aenean imperdiet sit amet eros sed tincidunt. Quisque leo massa, lobortis in dolor vitae, rutrum laoreet risus! Cras non semper lorem. Pellentesque dui urna, accumsan id fermentum et, condimentum nec dolor. Sed enim magna, rutrum sit amet elementum sed; sollicitudin quis quam. Vivamus ligula quam, tristique non lorem quis, cursus vehicula sem. Suspendisse at lacus nec massa rutrum pulvinar mattis et lorem. Fusce auctor, ligula in faucibus gravida, magna orci accumsan massa, sit amet commodo risus elit a mi. Maecenas mollis, lacus sed accumsan facilisis, risus nisl faucibus urna, ut fermentum tortor nunc vel metus. Etiam a libero sagittis, aliquam ante vel, congue dolor. Maecenas vestibulum purus in rhoncus molestie.</p>', 1, 95, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-5.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-5.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 9, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(132, 254, 'Microsoft SmartGlass App Updated for Xbox One ', 'microsoft-smartglass-app-updated-for-xbox-one', '<p>Suspendisse ultrices mauris ligula, at suscipit libero ultrices sit amet! Mauris vel neque sollicitudin; adipiscing magna ut, aliquet ipsum. Interdum et malesuada fames ac ante ipsum primis in faucibus.</p>\r\n', '\r\n<p>Duis turpis enim, vulputate varius nulla mollis; lobortis sollicitudin nisl. Ut ac enim convallis, congue orci nec; molestie neque. Praesent sed turpis ut nunc sodales fermentum. Praesent at quam mollis sem semper imperdiet ut blandit lacus. Proin at enim eu felis blandit faucibus. In accumsan enim ut tincidunt blandit! Morbi ac hendrerit lacus. Suspendisse sed dolor sollicitudin; congue neque ac, convallis nunc. Proin quis leo porttitor metus fringilla rutrum.</p>\r\n<ul>\r\n<li><a href="#nowhere" title="Lorum ipsum dolor sit amet">Lorem</a></li>\r\n<li><a href="#nowhere" title="Aliquam tincidunt mauris eu risus">Aliquam</a></li>\r\n<li><a href="#nowhere" title="Morbi in sem quis dui placerat ornare">Morbi</a></li>\r\n<li><a href="#nowhere" title="Praesent dapibus, neque id cursus faucibus">Praesent</a></li>\r\n<li><a href="#nowhere" title="Pellentesque fermentum dolor">Pellentesque</a></li>\r\n</ul>\r\n<p>Phasellus eu suscipit purus. Sed vitae nisi ultricies, tincidunt leo in, suscipit enim. Mauris diam est, bibendum at lorem et, pellentesque interdum tellus. Pellentesque eu metus neque. Interdum et malesuada fames ac ante ipsum primis in faucibus. Proin metus elit, pulvinar cursus ultricies varius, facilisis a mi. Proin dignissim ante ac diam venenatis pretium? Curabitur varius nisl felis, eu gravida dolor dapibus vitae. Ut sem dolor, bibendum id pharetra quis, luctus non diam?</p>\r\n<p>Ut in neque convallis, facilisis nulla non, vehicula leo. Donec ultrices nisi imperdiet ligula elementum viverra. Aliquam ut elit in est placerat euismod a a dui! Maecenas metus nunc, dapibus sed nisl eu; faucibus scelerisque dolor. In dapibus sapien pulvinar quam sollicitudin, id facilisis orci luctus! Pellentesque accumsan sit amet nulla quis vulputate. Suspendisse purus sapien, consequat pharetra sapien eu, gravida feugiat risus. Nam purus nisl, tincidunt sit amet tempor in, faucibus ac arcu. Donec facilisis lacinia nisl sed pulvinar. Pellentesque et orci sed urna mattis hendrerit eu laoreet massa. In hac habitasse platea dictumst. In sit amet tincidunt metus. Praesent augue elit, dictum vitae erat a, blandit tempus lacus. Aliquam mollis, mi non tincidunt rhoncus, elit turpis viverra lacus, eget cursus justo quam non ligula.</p>', 1, 95, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-6.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-6.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 8, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(133, 255, 'Crop distributed electricity gay pont neat', 'crop-distributed-electricity-gay-pont-neat', '<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien</p>', '<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h2>Vestibulum erat wisi</h2>\r\n	       \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<nav>\r\n	<ul>\r\n		<li><a href="#">Home</a></li>\r\n		<li><a href="#">About</a></li>\r\n		<li><a href="#">Clients</a></li>\r\n		<li><a href="#">Contact Us</a></li>\r\n	</ul>\r\n</nav>\r\n\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n', 1, 95, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-12.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-12.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(134, 256, 'Sample content', 'sample-content', '<p>Lorem ipsum dolor sit amet consectetuer sed vitae egestas suscipit eu. Quis pede ipsum quis justo semper velit lorem lacinia mollis nibh. Ligula amet non pede sem sem Vestibulum In Nam sit ut. Vivamus congue faucibus Maecenas consequat Maecenas magna Nunc Donec Mauris id. Id augue metus Sed at leo justo ridiculus in interdum.</p>\r\n', '\r\n\r\n<p>Quis elit nibh condimentum eros interdum facilisi adipiscing ligula neque purus. Lorem ante ac Duis sed Vestibulum Sed Vestibulum tellus Praesent ipsum. Eget dictumst consequat elit tempor scelerisque facilisi eget sed Integer ac. Fermentum nulla interdum Sed est et amet quis pellentesque tincidunt tincidunt. Nibh pretium commodo Quisque orci Praesent Proin Aenean in.</p>\r\n\r\n<p>Urna feugiat vitae urna turpis pede eros penatibus vitae ultrices Vestibulum. Congue faucibus auctor mauris tempus eu quis Vestibulum nunc ut Aliquam. Consequat pretium accumsan wisi montes pretium nibh semper Curabitur id orci. Curabitur leo Vestibulum id velit Ut et dictumst sed at Nam. Malesuada nunc tristique urna turpis justo laoreet habitasse Morbi magnis vitae. Leo massa pretium interdum sapien venenatis risus odio tellus laoreet odio. Sapien.</p>', 1, 95, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-23.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 7, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(135, 257, 'Savings parade refer motive', 'savings-parade-refer-motive', '<p>Praesent nec lectus eu neque fringilla volutpat. Nulla tristique ullamcorper quam, ut dapibus massa hendrerit ac. Etiam a tempus lectus. Proin nibh nisi, vehicula non enim sed, venenatis faucibus orci. Fusce ut elementum nunc, vel eleifend sem.</p>\r\n', '\r\n<p>Donec molestie nunc lacus, ut accumsan sem imperdiet eu. Maecenas semper erat vitae elit rutrum, ut imperdiet elit consectetur. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam eget ante massa. Donec eget ligula auctor, dapibus tellus et, pulvinar urna. Donec ultrices quam at nunc molestie convallis. Donec justo tellus, euismod a ante at, dignissim feugiat nunc. Sed nec ipsum at odio suscipit auctor. Cras quis quam dui. Vestibulum at urna condimentum, mattis dolor a, elementum velit.</p>\r\n<ul>\r\n   <li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n   <li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.</li>\r\n   <li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n   <li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n</ul>\r\n<hr title="Resistance is Futile. Hand Over All Your Documents" alt="Resistance is Futile. Hand Over All Your Documents" class="system-pagebreak" />\r\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n<hr title="The ‘Never Ending Pot’ That Feeds India’s Needy Children" alt="The ‘Never Ending Pot’ That Feeds India’s Needy Children" class="system-pagebreak" />\r\n<p>Tincidunt Quisque elit urna condimentum Aenean tempus wisi Maecenas sem adipiscing. Pretium consequat justo orci Aliquam Curabitur id habitant at lacinia Pellentesque. Nibh ante elit eu iaculis ac lacus urna dolor orci Suspendisse. Praesent Sed sit tellus Aenean nulla consectetuer Aenean volutpat fames Sed. Lorem netus Curabitur Pellentesque eu nibh mi a pellentesque et Vestibulum. Purus.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n	       \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n\r\n', 1, 95, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-10.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-10.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(136, 258, 'Microsoft announces new Skype app', 'microsoft-announces-new-skype-app', 'Bone surely orange envelope comfortable. Reliable pushed slid calling city\'s. Retired pages corresponding tremendous they\'ll. Tired shut alec stages access. ', '\r\n<h2>Vestibulum erat wisi</h2>\r\n	       \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<nav>\r\n	<ul>\r\n		<li><a href="#">Home</a></li>\r\n		<li><a href="#">About</a></li>\r\n		<li><a href="#">Clients</a></li>\r\n		<li><a href="#">Contact Us</a></li>\r\n	</ul>\r\n</nav>\r\n\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n', 1, 95, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-11.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-11.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 4, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(137, 259, 'Apple: over 500 million iOS devices sold', 'apple-over-500-million-ios-devices-sold', '<p>Reporters exhibit knowing legislature tube variables processing. Bears atlantic taylor knowing stomach skilled spend psychological associations.</p>', '\r\n<p>Donec molestie nunc lacus, ut accumsan sem imperdiet eu. Maecenas semper erat vitae elit rutrum, ut imperdiet elit consectetur. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam eget ante massa. Donec eget ligula auctor, dapibus tellus et, pulvinar urna. Donec ultrices quam at nunc molestie convallis. Donec justo tellus, euismod a ante at, dignissim feugiat nunc. Sed nec ipsum at odio suscipit auctor. Cras quis quam dui. Vestibulum at urna condimentum, mattis dolor a, elementum velit.</p>\r\n\r\n<div class="row example-row example-type">\r\n\r\n  <div class="col-lg-6">\r\n    <blockquote>\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n      <small>Quote\'s author in <cite title="Source Title">Source Title</cite></small>\r\n    </blockquote>\r\n  </div>\r\n\r\n  <div class="col-lg-6">\r\n    <blockquote class="pull-right">\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n      <small>Quote\'s author in <cite title="Source Title">Source Title</cite></small>\r\n    </blockquote>\r\n  </div>\r\n\r\n</div>\r\n', 1, 95, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-3.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-3.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 3, '', '', 1, 1, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(138, 260, 'Battery Stretches to Three Times Its Size', 'battery-stretches-to-three-times-its-size', '<p>Sed commodo, erat at vestibulum volutpat, dolor dolor faucibus quam, iaculis volutpat orci libero vel diam. Etiam at leo eu lacus mollis ultrices. Duis vel arcu massa. Praesent vehicula risus sem, sed tempor velit fringilla vel</p>\r\n', '\r\n<p>. Curabitur blandit, orci id scelerisque vulputate, turpis nisl commodo risus, sed bibendum lorem erat at ligula. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Etiam eget neque ipsum. Maecenas elementum lectus quis nibh ornare volutpat. Nunc pharetra egestas erat, nec tempor elit tincidunt id. Maecenas ut egestas nisi, quis venenatis nunc.</p>\r\n<p>Donec aliquam eros eget pulvinar accumsan. Nam a scelerisque velit! Nullam scelerisque, ligula in rutrum pulvinar, magna ligula facilisis est, et auctor purus purus a lectus! Integer sit amet libero pharetra, vehicula odio sed, condimentum arcu. Aenean at dui ipsum. Vivamus augue orci; dapibus ac diam id, ultrices posuere ipsum? Integer malesuada venenatis nisi, non malesuada turpis vulputate in.</p>\r\n<div class="row example-row example-type">\r\n<div class="col-lg-6">\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n<div class="col-lg-6">\r\n<blockquote class="pull-right">\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n</div>\r\n</div>\r\n<p>Nulla accumsan, libero in convallis congue, ipsum arcu faucibus elit, eget suscipit diam quam sit amet felis. Curabitur porttitor, est a pellentesque bibendum, velit urna accumsan massa, ac sodales urna magna id felis? Nulla facilisi. Morbi rhoncus vel ligula ut ultrices. Nam pulvinar quam ut pulvinar commodo. Nunc vestibulum turpis sed dui tincidunt, sed dignissim lorem posuere? Suspendisse et lectus non sem hendrerit malesuada. Nulla vehicula iaculis velit, vel congue turpis feugiat et. Maecenas metus quam, fringilla et urna ac; venenatis euismod orci. Donec facilisis ultrices ante, at commodo felis venenatis et.</p>', 1, 95, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-7.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-7.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(139, 261, 'New LED Light Bulb Looks and Lights', 'new-led-light-bulb-looks-and-lights', '<p>Nullam lacus metus, rutrum eu velit ut, interdum dignissim lacus. Pellentesque mollis augue nunc, id tristique mauris interdum ac. Praesent eu sollicitudin lorem. Fusce rhoncus leo fringilla tristique mollis.</p>\r\n', '\r\n<p>Quisque vel convallis risus. Fusce rutrum malesuada consequat. Etiam et nulla at nisl porta accumsan at vel leo. Vivamus vitae turpis quis purus ullamcorper tristique.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Aenean aliquam sapien eget magna pretium iaculis ut vel sem. Fusce non urna eget lectus pharetra consequat quis nec justo. Aenean adipiscing ac justo in mattis. Quisque et consequat est; aliquet convallis turpis. Cras a diam feugiat lectus vulputate posuere eget in eros. Aenean elit magna, faucibus ut libero vitae; euismod faucibus tellus. Duis viverra gravida eros, eu hendrerit turpis dapibus in.</p>\r\n<p>Fusce et lorem vehicula, ornare eros facilisis, congue diam! Vivamus placerat tempor neque a dictum. Aliquam eget lectus nec tortor fermentum venenatis. Suspendisse potenti. Phasellus eu lorem sit amet odio imperdiet molestie! Aliquam luctus ultrices eros vitae luctus. Nullam elementum ipsum augue, ac blandit nulla tincidunt nec.</p>', 1, 95, '2017-10-12 03:51:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-8.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-8.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 1, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(140, 262, 'The Agony and the Ecstasy of the Chromebook Pixel', 'the-agony-and-the-ecstasy-of-the-chromebook-pixel', '<p>Integer et blandit leo. Nam nunc odio, accumsan id justo eu, pulvinar commodo massa. Praesent consectetur, lacus sed fermentum sagittis, lacus lacus sodales tortor, in vehicula felis lorem ut mauris.</p>\r\n', '\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Quisque fermentum elit mi, at commodo velit ultricies ac! Nullam porta sapien vel nisl varius, vel pellentesque mauris euismod. Proin aliquet rhoncus nisi sed aliquet.</p>\r\n<p>Praesent sed sagittis neque. Aenean at magna facilisis, gravida orci vel, auctor justo. Curabitur vestibulum dignissim lectus; quis molestie eros. Morbi feugiat, eros in consectetur porttitor, mauris lectus mollis erat, vel gravida massa metus sit amet quam. Sed cursus quis tortor nec laoreet! Sed vitae augue dui. Sed lobortis neque justo, quis volutpat justo laoreet id. Mauris in justo id leo sagittis imperdiet a vitae leo. In rhoncus accumsan semper. Morbi et pharetra lectus. Suspendisse faucibus rhoncus risus, vel mattis arcu tincidunt sed. Fusce quis quam pellentesque, iaculis justo sed; convallis diam. Nunc id velit hendrerit nunc posuere tincidunt vel eget leo. Nam hendrerit imperdiet scelerisque.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n<ol>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p>\r\n</blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n<ul>\r\n<li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n<li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n<p>Pellentesque eu tellus sed justo vehicula placerat. Nam fermentum, tellus non molestie pulvinar, enim augue sollicitudin leo, id ornare nisi nisl nec leo. Quisque ut purus urna! Proin elementum in tellus id sagittis. Morbi vulputate aliquet magna ac tempor. Vivamus egestas, ipsum sed posuere mattis, neque orci pharetra est, eu scelerisque sapien dui in mi. Vestibulum a accumsan odio. Nunc non nunc ut neque feugiat pretium eget et risus! Cras quis arcu urna. Sed pharetra id magna quis dapibus. Etiam lacinia justo vitae aliquam feugiat. Interdum et malesuada fames ac ante ipsum primis in faucibus. Phasellus tincidunt leo lorem, ut tincidunt nulla blandit in. Nunc condimentum cursus augue ut placerat. Curabitur pharetra mauris in nulla tempor consequat? Pellentesque a eros mauris.</p>', 1, 95, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/blog\\/blog-1.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/blog\\/blog-1.jpg","float_fulltext":"none","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 37, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(141, 263, 'Fringilla nulla leo', 'fringilla-nulla-leo', '<img src="images/joomlart/demo/porfolio/intro-6.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n<p>Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula. Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>\r\n', '\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna. </p>\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n', 1, 94, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-6.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 6, 8, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(142, 264, 'Justo est at wisi semper', 'justo-est-at-wisi-semper', '<img src="images/joomlart/demo/porfolio/intro-7.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna. </p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>\r\n', 1, 94, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-7.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 4, 7, '', '', 1, 11, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(143, 265, 'Nec leo Phasellus risus', 'nec-leo-phasellus-risus', '<img src="images/joomlart/demo/porfolio/intro-8.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna. </p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>\r\n', 1, 94, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-8.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 4, 6, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(144, 266, 'Quis massa condimentum', 'quis-massa-condimentum', '<img src="images/joomlart/demo/porfolio/intro-11.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna. </p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>\r\n', 1, 94, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-11.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 5, 5, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(145, 267, 'Bonus pages', 'bonus-pages', '<div class="row">\r\n  <div class="col-md-4 col-sm-6 bn-item">\r\n    <i class="fa fa-briefcase"></i>\r\n    <p class="text-intro">Nullam tristique, augue sed pretium interdum, arcu lectus ullamcorper purus placerat</p>\r\n    <a class="btn btn-primary" href="index.php/bonus-pages/portfolio-page">Portfolio</a>\r\n  </div>\r\n  <div class="col-md-4 col-sm-6 bn-item">\r\n    <i class="fa fa-text-width"></i>\r\n    <p class="text-intro">Vivamus auctor mattis odio, et ultrices erat posuere non quisque venenatis quam a metus lacus.</p>\r\n    <a class="btn btn-primary" href="index.php/bonus-pages/typography">Typography</a>\r\n  </div>\r\n  <div class="col-md-4 col-sm-6 bn-item">\r\n    <i class="fa fa-users"></i>\r\n    <p class="text-intro">Nunc pharetra, diam ac rhoncus accumsan, tortor lacus eleifend lacus, sit amet pulvinar accumsan.</p>\r\n    <a class="btn btn-primary" href="index.php/bonus-pages/about-us">About Us</a>\r\n  </div>\r\n\r\n  <div class="col-md-4 col-sm-6 bn-item">\r\n    <i class="fa fa-usd"></i>\r\n    <p class="text-intro">Quisque dictum magna eu metus fringilla, in mollis tellus tempor. Aliquam placerat posuere diam.</p>\r\n    <a class="btn btn-primary" href="index.php/bonus-pages/pricing-table">Pricing Table</a>\r\n  </div>\r\n  <div class="col-md-4 col-sm-6 bn-item">\r\n    <i class="fa fa-th-list"></i>\r\n    <p class="text-intro">Ut tempor enim ipsum, non gravida dolor iaculis vel. Nunc dictum massa at tristique dolor.</p>\r\n    <a class="btn btn-primary" href="index.php/bonus-pages/blog-style-1">Blog Style 1</a>\r\n  </div>\r\n\r\n  <div class="col-md-4 col-sm-6 bn-item">\r\n    <i class="fa fa-th-list"></i>\r\n    <p class="text-intro">Sed aliquam metus et felis mattis rutrum. Suspendisse at bibendum mi, at pellentesque urna felis.</p>\r\n    <a class="btn btn-primary" href="index.php/bonus-pages/blog-style-2">Blog Style 2</a>\r\n  </div>\r\n</div>', '', 1, 9, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 2, '', '', 1, 87, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(146, 268, 'Pricing Table', 'pricing-table', '<div class="page-header text-center">\r\n  <h1>Pricing table - style 1</h1>\r\n</div>\r\n\r\n<div class="pricing-table style1 row">\r\n  <div class="col-xs-12">\r\n		<div class="col col-md-4 no-padding">\r\n			<div class="col-header text-center">\r\n				<h2>Personal</h2>\r\n				<p>Perfect for your blog</p>\r\n			</div>\r\n			<div class="col-body">\r\n			<ul>\r\n				<li class="row0 yes">Unlimited bandwidth</li>\r\n				<li class="row1 yes">Unlimited products</li>\r\n				<li class="row0 yes">1 GB File storage</li>\r\n				<li class="row1 yes">2.0% Transaction fee</li>\r\n				<li class="row0 yes">Discount code engine</li>\r\n				<li class="row1 yes">24x7 Phone support</li>\r\n				<li class="row0 no">Gift cards</li>\r\n				<li class="row1 no">Abandoned cart recovery</li>\r\n				<li class="row0 no">Professional reports</li>\r\n				<li class="row1 no">Advanced report builder</li>\r\n				<li class="row0"><span class="big-number"><sup>$</sup>34<sup>.99</sup></span></li>\r\n			</ul>\r\n			</div>\r\n			<div class="col-footer text-center">\r\n				<a class="btn btn-lg btn-default">Sign up</a>\r\n			</div>\r\n		</div>\r\n\r\n		<div class="col col-md-4 col-feature shadow no-padding">\r\n			<div class="col-header text-center">\r\n				<h2>Portfolio</h2>\r\n				<p>Everything you need</p>\r\n			</div>\r\n			<div class="col-body">\r\n			<ul>\r\n				<li class="row0 yes">Unlimited bandwidth</li>\r\n				<li class="row1 yes">Unlimited products</li>\r\n				<li class="row0 yes">1 GB File storage</li>\r\n				<li class="row1 yes">2.0% Transaction fee</li>\r\n				<li class="row0 yes">Discount code engine</li>\r\n				<li class="row1 yes">24x7 Phone support</li>\r\n				<li class="row0 yes">Gift cards</li>\r\n				<li class="row1 yes">Abandoned cart recovery</li>\r\n				<li class="row0 yes">Professional reports</li>\r\n				<li class="row1 yes">Advanced report builder</li>\r\n				<li class="row0 yes">Real-time carrier shipping</li>\r\n				<li class="row0"><span class="big-number"><sup>$</sup>54<sup>.99</sup></span></li>\r\n			</ul>\r\n			</div>\r\n			<div class="col col-footer text-center">\r\n				<a class="btn btn-lg btn-primary">Sign up</a>\r\n			</div>\r\n		</div>\r\n\r\n		<div class="col col-md-4 no-padding">\r\n			<div class="col-header text-center">\r\n				<h2>Performance</h2>\r\n				<p>Awesome capacity</p>\r\n			</div>\r\n			<div class="col-body">\r\n			<ul>\r\n				<li class="row0 yes">Unlimited bandwidth</li>\r\n				<li class="row1 yes">Unlimited products</li>\r\n				<li class="row0 yes">1 GB File storage</li>\r\n				<li class="row1 yes">2.0% Transaction fee</li>\r\n				<li class="row0 no">Discount code engine</li>\r\n				<li class="row1 yes">24x7 Phone support</li>\r\n				<li class="row0 yes">Gift cards</li>\r\n				<li class="row1 no">Abandoned cart recovery</li>\r\n				<li class="row0 no">Professional reports</li>\r\n				<li class="row1 no">Advanced report builder</li>\r\n				<li class="row0"><span class="big-number"><sup>$</sup>45<sup>.99</sup></span></li>\r\n			</ul>\r\n			</div>\r\n			<div class="col-footer text-center">\r\n				<a class="btn btn-lg btn-default">Sign up</a>\r\n			</div>\r\n		</div>\r\n  </div>\r\n</div>\r\n\r\n\r\n<div class="page-header text-center">\r\n  <h1>Pricing table - style 2</h1>\r\n</div>\r\n\r\n<div class="pricing-table style2 row">\r\n  <div class="col-xs-12">\r\n		<div class="col col-md-4 no-padding">\r\n			<div class="col-header text-center">\r\n				<h2>Personal</h2>\r\n				<p><span class="big-number"><sup>$</sup>34<sup>.99</sup></span></p>\r\n			</div>\r\n			<div class="col-body">\r\n			<ul>\r\n				<li class="row0 yes">Unlimited bandwidth</li>\r\n				<li class="row1 yes">Unlimited products</li>\r\n				<li class="row0 yes">1 GB File storage</li>\r\n				<li class="row1 yes">2.0% Transaction fee</li>\r\n				<li class="row0 yes">Discount code engine</li>\r\n				<li class="row1 yes">24x7 Phone support</li>\r\n				<li class="row0 no">Gift cards</li>\r\n				<li class="row1 no">Abandoned cart recovery</li>\r\n				<li class="row0 no">Professional reports</li>\r\n				<li class="row1 no">Advanced report builder</li>\r\n			</ul>\r\n			</div>\r\n			<div class="col-footer text-center">\r\n				<a class="btn btn-lg btn-default">Sign up</a>\r\n			</div>\r\n		</div>\r\n\r\n		<div class="col col-md-4 col-feature shadow no-padding">\r\n			<div class="col-header text-center">\r\n				<h2>Portfolio</h2>\r\n				<p><span class="big-number"><sup>$</sup>54<sup>.99</sup></span></p>\r\n			</div>\r\n			<div class="col-body">\r\n			<ul>\r\n				<li class="row0 yes">Unlimited bandwidth</li>\r\n				<li class="row1 yes">Unlimited products</li>\r\n				<li class="row0 yes">1 GB File storage</li>\r\n				<li class="row1 yes">2.0% Transaction fee</li>\r\n				<li class="row0 yes">Discount code engine</li>\r\n				<li class="row1 yes">24x7 Phone support</li>\r\n				<li class="row0 yes">Gift cards</li>\r\n				<li class="row1 yes">Abandoned cart recovery</li>\r\n				<li class="row0 yes">Professional reports</li>\r\n				<li class="row1 yes">Advanced report builder</li>\r\n				<li class="row0 yes">Real-time carrier shipping</li>\r\n			</ul>\r\n			</div>\r\n			<div class="col-footer text-center">\r\n				<a class="btn btn-lg btn-primary">Sign up</a>\r\n			</div>\r\n		</div>\r\n\r\n		<div class="col col-md-4 no-padding">\r\n			<div class="col-header text-center">\r\n				<h2>Performance</h2>\r\n				<p><span class="big-number"><sup>$</sup>45<sup>.99</sup></span></p>\r\n			</div>\r\n			<div class="col-body">\r\n			<ul>\r\n				<li class="row0 yes">Unlimited bandwidth</li>\r\n				<li class="row1 yes">Unlimited products</li>\r\n				<li class="row0 yes">1 GB File storage</li>\r\n				<li class="row1 yes">2.0% Transaction fee</li>\r\n				<li class="row0 no">Discount code engine</li>\r\n				<li class="row1 yes">24x7 Phone support</li>\r\n				<li class="row0 yes">Gift cards</li>\r\n				<li class="row1 no">Abandoned cart recovery</li>\r\n				<li class="row0 no">Professional reports</li>\r\n				<li class="row1 no">Advanced report builder</li>\r\n			</ul>\r\n			</div>\r\n			<div class="col-footer text-center">\r\n				<a class="btn btn-lg btn-default">Sign up</a>\r\n			</div>\r\n		</div>\r\n  </div>\r\n</div>\r\n\r\n\r\n\r\n<div class="page-header text-center">\r\n  <h1>Pricing table - style 3</h1>\r\n</div>\r\n\r\n<div class="pricing-table style3">\r\n\r\n	<div class="row row-header hidden-sm hidden-xs">\r\n		<div class="col-xs-12">\r\n			<div class="col col-md-3 no-padding"></div>\r\n			<div class="col col-md-3 no-padding">\r\n				<div class="col-header text-center">\r\n					<h2>Personal</h2>\r\n					<p><span class="big-number"><sup>$</sup>34<sup>.99</sup></span></p>\r\n				</div>\r\n			</div>\r\n			<div class="col col-md-3 col-feature no-padding">\r\n				<div class="col-header text-center">\r\n					<h2>Portfolio</h2>\r\n					<p><span class="big-number"><sup>$</sup>54<sup>.99</sup></span></p>\r\n				</div>\r\n			</div>\r\n			<div class="col col-md-3 no-padding">\r\n				<div class="col-header text-center">\r\n					<h2>Performance</h2>\r\n					<p><span class="big-number"><sup>$</sup>45<sup>.99</sup></span></p>\r\n				</div>\r\n			</div>\r\n\r\n		</div>\r\n	</div>\r\n\r\n	<div class="row row-body">\r\n		<div class="col-xs-12">\r\n			<div class="col col-md-3 no-padding hidden-sm hidden-xs">\r\n				<ul>\r\n					<li class="row0 yes">Unlimited bandwidth</li>\r\n					<li class="row1 yes">Unlimited products</li>\r\n					<li class="row0 yes">1 GB File storage</li>\r\n					<li class="row1 yes">2.0% Transaction fee</li>\r\n					<li class="row0">Discount code engine</li>\r\n					<li class="row1">24x7 Phone support</li>\r\n					<li class="row0">Gift cards</li>\r\n					<li class="row1">Abandoned cart recovery</li>\r\n					<li class="row0">Professional reports</li>\r\n					<li class="row1">Advanced report builder</li>\r\n					<li class="row0">Advanced report builder</li>\r\n				</ul>\r\n			</div>\r\n\r\n			<div class="col col-md-3 no-padding">\r\n				<div class="col-header text-center hidden-md hidden-lg">\r\n					<h2>Personal</h2>\r\n					<p><span class="big-number"><sup>$</sup>34<sup>.99</sup></span></p>\r\n				</div>\r\n				<ul>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Unlimited bandwidth</span></li>\r\n					<li class="row1"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Unlimited products</span></li>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">1 GB File storage</span></li>\r\n					<li class="row1"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">2.0% Transaction fee</span></li>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Discount code engine</span></li>\r\n					<li class="row1"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">24x7 Phone support</span></li>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Gift cards</span></li>\r\n					<li class="row1 no"><i class="fa fa-times-circle"></i> <span class="hidden-md hidden-lg">Abandoned cart recovery</span></li>\r\n					<li class="row0 no"><i class="fa fa-times-circle"></i> <span class="hidden-md hidden-lg">Professional reports</span></li>\r\n					<li class="row1 no"><i class="fa fa-times-circle"></i> <span class="hidden-md hidden-lg">Advanced report builder</span></li>\r\n					<li class="row0 no"><i class="fa fa-times-circle"></i> <span class="hidden-md hidden-lg">Advanced report builder</span></li>\r\n				</ul>\r\n				<div class="col-footer text-center">\r\n					<a href="#" title="Sign up" class="btn btn-lg btn-default">Sign up</a>\r\n				</div>\r\n			</div>\r\n\r\n			<div class="col col-md-3 no-padding">\r\n				<div class="col-header text-center hidden-md hidden-lg">\r\n					<h2>Portfolio</h2>\r\n					<p><span class="big-number"><sup>$</sup>54<sup>.99</sup></span></p>\r\n				</div>\r\n				<ul>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Unlimited bandwidth</span></li>\r\n					<li class="row1"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Unlimited products</span></li>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">1 GB File storage</span></li>\r\n					<li class="row1"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">2.0% Transaction fee</span></li>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Discount code engine</span></li>\r\n					<li class="row1"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">24x7 Phone support</span></li>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Gift cards</span></li>\r\n					<li class="row1"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Abandoned cart recovery</span></li>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Professional reports</span></li>\r\n					<li class="row1"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Advanced report builder</span></li>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Advanced report builder</span></li>\r\n				</ul>\r\n				<div class="col-footer text-center">\r\n					<a href="#" title="Sign up" class="btn btn-lg btn-primary">Sign up</a>\r\n				</div>\r\n			</div>\r\n\r\n			<div class="col col-md-3 no-padding">\r\n				<div class="col-header text-center hidden-md hidden-lg">\r\n					<h2>Performance</h2>\r\n					<p><span class="big-number"><sup>$</sup>45<sup>.99</sup></span></p>\r\n				</div>\r\n\r\n				<ul>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Unlimited bandwidth</span></li>\r\n					<li class="row1"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Unlimited products</span></li>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">1 GB File storage</span></li>\r\n					<li class="row1"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">2.0% Transaction fee</span></li>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Discount code engine</span></li>\r\n					<li class="row1"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">24x7 Phone support</span></li>\r\n					<li class="row0"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Gift cards</span></li>\r\n					<li class="row1"><i class="fa fa-check-circle"></i> <span class="hidden-md hidden-lg">Abandoned cart recovery</span></li>\r\n					<li class="row0 no"><i class="fa fa-times-circle"></i> <span class="hidden-md hidden-lg">Professional reports</span></li>\r\n					<li class="row1 no"><i class="fa fa-times-circle"></i> <span class="hidden-md hidden-lg">Advanced report builder</span></li>\r\n					<li class="row0 no"><i class="fa fa-times-circle"></i> <span class="hidden-md hidden-lg">Advanced report builder</span></li>\r\n				</ul>\r\n				<div class="col-footer text-center">\r\n					<a href="#" title="Sign up" class="btn btn-lg btn-default">Sign up</a>\r\n				</div>\r\n			</div>\r\n\r\n		</div>\r\n	</div>\r\n\r\n</div>\r\n\r\n<div class="page-header text-center">\r\n  <h1>Sample FAQ</h1>\r\n</div>\r\n\r\n<div class="row">\r\n<div class="col-md-6">\r\n<h3 class="content-title">Is there a setup fee?</h3>\r\n<p>Lorem ipsum dolor sit amet consectetuer turpis eros Quisque felis pretium. Habitasse iaculis fermentum amet adipiscing Praesent ac mauris id tincidunt Vestibulum. Integer Vestibulum ac tellus eget laoreet elit urna massa Nam quis. Curabitur Curabitur sapien nec ac turpis rhoncus Morbi mauris justo eu. Dolor pede Phasellus sollicitudin nunc laoreet pretium id laoreet Morbi velit. Nec laoreet condimentum.</p>\r\n\r\n<h3 class="content-title">Do I need to enter my credit card details to sign up?</h3>\r\n<p>Eleifend Fusce tincidunt dictumst libero ante nec justo dui feugiat molestie. Penatibus mi dui dictum at justo nibh mattis laoreet lacinia neque. Vitae nibh faucibus volutpat lacinia mauris Proin id nibh tristique cursus. Vitae faucibus gravida ut parturient aliquam eros fringilla Vestibulum ante ligula. Mi nascetur Aliquam euismod ut nulla orci lacus ac Curabitur lacus. Sagittis tellus nec id cursus magnis condimentum sit dui Pellentesque tincidunt. Sapien ut sapien.</p>\r\n</div>\r\n\r\n<div class="col-md-6">\r\n<h3 class="content-title">Why use the Professional plan?</h3>\r\n<p>Lorem ipsum dolor sit amet consectetuer turpis eros Quisque felis pretium. Habitasse iaculis fermentum amet adipiscing Praesent ac mauris id tincidunt Vestibulum. Integer Vestibulum ac tellus eget laoreet elit urna massa Nam quis. Curabitur Curabitur sapien nec ac turpis rhoncus Morbi mauris justo eu. Dolor pede Phasellus sollicitudin nunc laoreet pretium id laoreet Morbi velit. Nec laoreet condimentum.</p>\r\n\r\n<h3 class="content-title">Why use the Unlimited plan?</h3>\r\n<p>Eleifend Fusce tincidunt dictumst libero ante nec justo dui feugiat molestie. Penatibus mi dui dictum at justo nibh mattis laoreet lacinia neque. Vitae nibh faucibus volutpat lacinia mauris Proin id nibh tristique cursus. Vitae faucibus gravida ut parturient aliquam eros fringilla Vestibulum ante ligula. Mi nascetur Aliquam euismod ut nulla orci lacus ac Curabitur lacus. Sagittis tellus nec id cursus magnis condimentum sit dui Pellentesque tincidunt. Sapien ut sapien.</p>\r\n\r\n<h3 class="content-title">Can I use my own payment gateway?</h3>\r\n<div class="alert alert-warning">\r\n  <p>Unsure which plan is best for you?<br />\r\nCall our sales team at 1-234-567-8932\r\n</p>\r\n</div>\r\n</div>\r\n</div>', '', 1, 80, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2015-06-09 04:16:47', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 0, '', '', 1, 86, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(147, 269, 'Pofolio ', 'pofolio', '<div class="section customer-wrap">\r\n	<div class="row">\r\n		<div class="col-sm-3 col-item">\r\n			 <p><img src="images/joomlart/demo/porfolio/user1.jpg" alt="Sample Image" ></p>\r\n			  <h5>Creative agency</h5>\r\n			<p class="quote-content">"Platea mauris eget Curabitur pede vel Aenean nibh Aenean sapien Nunc. Ridiculus orci interdum elit consequat."</p>\r\n			<span class="author">- Patrick Tescher</span>\r\n		</div>\r\n		<div class="col-sm-3 col-item">\r\n			<p><img src="images/joomlart/demo/porfolio/user2.jpg" alt="Sample Image" ></p>\r\n			<h5>Startups</h5>\r\n			<p class="quote-content">"Ed velit mattis Vestibulum at et dui vitae enim rhoncus velit. Leo id urna eleifend hendrerit non Quisque ligula Nulla \r\n			libero ipsum"</p>\r\n			<span class="author">- Tony Melhem </span>\r\n		</div>\r\n		<div class="col-sm-3 col-item">\r\n			<p><img src="images/joomlart/demo/porfolio/user3.jpg" alt="Sample Image"></p>\r\n			<h5>In-house accountant</h5>\r\n			<p class="quote-content">"Orci est ante pellentesque sed vestibulum amet Suspendisse aliquet amet Vestibulum. Urna accumsan vitae pretium natoque \r\n			volutpat"</p>\r\n			<span class="author">- Colin Lange</span>\r\n		</div>\r\n		<div class="col-sm-3 col-item">\r\n			<p><img src="images/joomlart/demo/porfolio/user4.jpg" alt="Sample Image"></p>\r\n			<h5>In-house accountant</h5>\r\n			<p class="quote-content">"Orci est ante pellentesque sed vestibulum amet Suspendisse aliquet amet Vestibulum. Urna accumsan vitae pretium natoque \r\n			volutpat"</p>\r\n			<span class="author">- Colin Lange</span>\r\n		</div>\r\n		<div class="col-sm-3 col-item">\r\n			<p><img src="images/joomlart/demo/porfolio/user5.jpg" alt="Sample Image"></p>\r\n			<h5>In-house accountant</h5>\r\n			<p class="quote-content">"Orci est ante pellentesque sed vestibulum amet Suspendisse aliquet amet Vestibulum. Urna accumsan vitae pretium natoque \r\n			volutpat"</p>\r\n			<span class="author">- Colin Lange</span>\r\n		</div>\r\n		<div class="col-sm-3 col-item">\r\n			<p><img src="images/joomlart/demo/porfolio/user6.jpg" alt="Sample Image"></p>\r\n			<h5>In-house accountant</h5>\r\n			<p class="quote-content">"Orci est ante pellentesque sed vestibulum amet Suspendisse aliquet amet Vestibulum. Urna accumsan vitae pretium natoque \r\n			volutpat"</p>\r\n			<span class="author">- Colin Lange</span>\r\n		</div>\r\n		<div class="col-sm-3 col-item">\r\n			<p><img src="images/joomlart/demo/porfolio/user7.jpg" alt="Sample Image"></p>\r\n			<h5>In-house accountant</h5>\r\n			<p class="quote-content">"Orci est ante pellentesque sed vestibulum amet Suspendisse aliquet amet Vestibulum. Urna accumsan vitae pretium natoque \r\n			volutpat"</p>\r\n			<span class="author">- Colin Lange</span>\r\n		</div>\r\n		<div class="col-sm-3 col-item">\r\n			<p><img src="images/joomlart/demo/porfolio/user3.jpg" alt="Sample Image"></p>\r\n			<h5>In-house accountant</h5>\r\n			<p class="quote-content">"Orci est ante pellentesque sed vestibulum amet Suspendisse aliquet amet Vestibulum. Urna accumsan vitae pretium natoque \r\n			volutpat"</p>\r\n			<span class="author">- Colin Lange</span>\r\n		</div>\r\n	</div>\r\n</div>', '', 1, 9, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"0","link_titles":"0","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"0","show_email_icon":"0","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 1, '', '', 1, 15, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(148, 271, 'Crop distributed electricity gay pont neat', 'crop-distributed-electricity-gay-pont-neat', '<p>Praesent nec lectus eu neque fringilla volutpat. Nulla tristique ullamcorper quam, ut dapibus massa hendrerit ac. Etiam a tempus lectus. Proin nibh nisi, vehicula non enim sed, venenatis faucibus orci. Fusce ut elementum nunc, vel eleifend sem.</p>\r\n', '\r\n<p>Donec molestie nunc lacus, ut accumsan sem imperdiet eu. Maecenas semper erat vitae elit rutrum, ut imperdiet elit consectetur. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam eget ante massa. Donec eget ligula auctor, dapibus tellus et, pulvinar urna. Donec ultrices quam at nunc molestie convallis. Donec justo tellus, euismod a ante at, dignissim feugiat nunc. Sed nec ipsum at odio suscipit auctor. Cras quis quam dui. Vestibulum at urna condimentum, mattis dolor a, elementum velit.</p>\r\n<ul>\r\n   <li>Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies in, diam. Sed arcu. Cras consequat.</li>\r\n   <li>Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat. Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus.</li>\r\n   <li>Phasellus ultrices nulla quis nibh. Quisque a lectus. Donec consectetuer ligula vulputate sem tristique cursus. Nam nulla quam, gravida non, commodo a, sodales sit amet, nisi.</li>\r\n   <li>Pellentesque fermentum dolor. Aliquam quam lectus, facilisis auctor, ultrices ut, elementum vulputate, nunc.</li>\r\n', 1, 96, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-1.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 3, 11, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(149, 272, 'Producing salary bitter perfectly divorce', 'producing-salary-bitter-perfectly-divorce', '<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien</p>', '<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h2>Vestibulum erat wisi</h2>\r\n	       \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<nav>\r\n	<ul>\r\n		<li><a href="#">Home</a></li>\r\n		<li><a href="#">About</a></li>\r\n		<li><a href="#">Clients</a></li>\r\n		<li><a href="#">Contact Us</a></li>\r\n	</ul>\r\n</nav>\r\n\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n', 1, 96, '2017-10-12 03:51:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 10, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(150, 273, 'Insure bridget crises charlie sitter edges', 'insure-bridget-crises-charlie-sitter-edges', '<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem.', ' Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n<div class="row example-row example-type">\r\n\r\n  <div class="col-lg-6">\r\n    <blockquote>\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n      <small>Quote\'s author in <cite title="Source Title">Source Title</cite></small>\r\n    </blockquote>\r\n  </div>\r\n\r\n  <div class="col-lg-6">\r\n    <blockquote class="pull-right">\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n      <small>Quote\'s author in <cite title="Source Title">Source Title</cite></small>\r\n    </blockquote>\r\n  </div>\r\n\r\n</div>\r\n', 1, 96, '2017-10-12 03:51:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 9, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(151, 274, 'Palace expressing meetings height recreation', 'palace-expressing-meetings-height-recreation', '<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien</p>', '<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h2>Vestibulum erat wisi</h2>\r\n	       \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n', 1, 96, '2017-10-12 03:51:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 8, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(152, 275, 'Author tendency cream', 'author-tendency-cream', '<p>Donec molestie nunc lacus, ut accumsan sem imperdiet eu. Maecenas semper erat vitae elit rutrum, ut imperdiet elit consectetur. Pellentesque habitant morbi tristique senectus', ' et netus et malesuada fames ac turpis egestas. Aliquam eget ante massa. Donec eget ligula auctor, dapibus tellus et, pulvinar urna. Donec ultrices quam at nunc molestie convallis. Donec justo tellus, euismod a ante at, dignissim feugiat nunc. Sed nec ipsum at odio suscipit auctor. Cras quis quam dui. Vestibulum at urna condimentum, mattis dolor a, elementum velit.</p>\r\n<h2>Vestibulum erat wisi</h2>\r\n	       \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<nav>\r\n	<ul>\r\n		<li><a href="#">Home</a></li>\r\n		<li><a href="#">About</a></li>\r\n		<li><a href="#">Clients</a></li>\r\n		<li><a href="#">Contact Us</a></li>\r\n	</ul>\r\n</nav>\r\n\r\n', 1, 96, '2017-10-12 03:51:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 7, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(153, 276, 'Racing asia returns', 'racing-asia-returns', '<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien</p>', '<p><strong>Pellentesque habitant morbi tristique</strong> senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<h2>Vestibulum erat wisi</h2>\r\n	       \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n<nav>\r\n	<ul>\r\n		<li><a href="#">Home</a></li>\r\n		<li><a href="#">About</a></li>\r\n		<li><a href="#">Clients</a></li>\r\n		<li><a href="#">Contact Us</a></li>\r\n	</ul>\r\n</nav>\r\n\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n', 1, 96, '2017-10-12 03:51:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 6, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(154, 277, 'Democracy automobiles fled emergency', 'democracy-automobiles-fled-emergency', 'Engineering lane controlling climate attached attitudes. Jane republicans pistol coolidge prince adams. Delaware ekstrohm stronger resulting advantages phenomena soil', '\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. Mauris placerat eleifend leo.</p>\r\n\r\n', 1, 96, '2017-10-12 03:51:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-2.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-2.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 5, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(155, 278, 'Tour Google\'s Swanky New Headquarters', 'tour-google-s-swanky-new-headquarters', 'Donec vitae semper Nulla elit Proin et gravida Curabitur auctor convallis. Metus Proin ut nibh quam et ligula leo vel ligula suscipit. Parturient dui libero gravida netus pellentesque dui interdum netus at quis. ', '\r\n<nav>\r\n	<ul>\r\n		<li><a href="#">Home</a></li>\r\n		<li><a href="#">About</a></li>\r\n		<li><a href="#">Clients</a></li>\r\n		<li><a href="#">Contact Us</a></li>\r\n	</ul>\r\n</nav>\r\n\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n\r\n', 1, 96, '2017-10-12 03:51:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-1.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-1.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 4, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(156, 279, 'Hulu\'s Uncertain Future', 'hulu-s-uncertain-future', 'Trustees apparatus encouraging owned knowing acres wright chandler. Waters electrical precise merchants label stepped. Theater thermal lee filing slept aunt welcome. Filed worn', '\r\n<div class="row example-row example-type">\r\n\r\n  <div class="col-lg-6">\r\n    <blockquote>\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n      <small>Quote\'s author in <cite title="Source Title">Source Title</cite></small>\r\n    </blockquote>\r\n  </div>\r\n\r\n  <div class="col-lg-6">\r\n    <blockquote class="pull-right">\r\n      <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n      <small>Quote\'s author in <cite title="Source Title">Source Title</cite></small>\r\n    </blockquote>\r\n  </div>\r\n\r\n</div>\r\n', 1, 96, '2017-10-12 03:51:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-5.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-5.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 3, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(157, 280, 'The Agony and the Ecstasy of the Chromebook Pixel', 'the-agony-and-the-ecstasy-of-the-chromebook-pixel', 'Subtle year-old bills thereby suburban movies asia. Solely rev belt hans pitch discharge regularly regularly jess mount. Expenses nick vehicle mexico compete. Slave meat puerto', '\r\n<p>Vestibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra. Vestibulum erat wisi, condimentum sed, <code>commodo vitae</code>, ornare sit amet, wisi. Aenean fermentum, elit eget tincidunt condimentum, eros ipsum rutrum orci, sagittis tempus lacus enim ac dui. <a href="#">Donec non enim</a> in turpis pulvinar facilisis. Ut felis.</p>\r\n<p>Sagittis euismod lorem sodales consectetuer orci turpis condimentum quis condimentum senectus. At ut urna convallis lacinia ac libero condimentum penatibus nisl Nullam. Pellentesque nec tempus porttitor et iaculis sem Morbi faucibus id nibh. Proin Fusce lacinia Phasellus leo turpis Duis Mauris egestas vitae Pellentesque. Accumsan mus Pellentesque et lacus vitae dui Curabitur et Curabitur interdum. Auctor Phasellus lacinia fringilla euismod augue nibh lorem laoreet habitasse ac. Eleifend platea condimentum.</p>\r\n<nav>\r\n	<ul>\r\n		<li><a href="#">Home</a></li>\r\n		<li><a href="#">About</a></li>\r\n		<li><a href="#">Clients</a></li>\r\n		<li><a href="#">Contact Us</a></li>\r\n	</ul>\r\n</nav>\r\n\r\n<h3>Lorem ipsum dolor sit amet</h3>\r\n\r\n<ul>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ul>\r\n', 1, 96, '2017-10-12 03:51:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-3.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-3.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(158, 281, 'Contest impressive formal', 'contest-impressive-formal', 'Contributions full-time enable missile fog reflects physics passages stairs. Behalf backed today\'s native coat anybody wooden integration replace trace. Slavery worse mess dances', '\r\np>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n<h2>Vestibulum erat wisi</h2>\r\n	       \r\n<ol>\r\n   <li>Lorem ipsum dolor sit amet, consectetuer adipiscing elit.</li>\r\n   <li>Aliquam tincidunt mauris eu risus.</li>\r\n</ol>\r\n\r\n<blockquote><p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa. Donec eleifend, libero at sagittis mollis, tellus est malesuada tellus, at luctus turpis elit sit amet quam. Vivamus pretium ornare est.</p></blockquote>\r\n', 1, 96, '2017-10-12 03:51:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-4.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-4.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 1, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(159, 282, 'Twitter\'s Updated Windows Phone App elections ', 'twitter-s-updated-windows-phone-app-elections', 'p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem.', ' Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n<nav>\r\n	<ul>\r\n		<li><a href="#nowhere" title="Lorum ipsum dolor sit amet">Lorem</a></li>\r\n		<li><a href="#nowhere" title="Aliquam tincidunt mauris eu risus">Aliquam</a></li>\r\n		<li><a href="#nowhere" title="Morbi in sem quis dui placerat ornare">Morbi</a></li>\r\n		<li><a href="#nowhere" title="Praesent dapibus, neque id cursus faucibus">Praesent</a></li>\r\n		<li><a href="#nowhere" title="Pellentesque fermentum dolor">Pellentesque</a></li>\r\n	</ul>\r\n</nav>\r\n            \r\n<p>Aliquam varius semper odio, mollis dictum metus. Praesent ut nibh eget dui bibendum porttitor. Duis nec eros vitae arcu porta vestibulum. Maecenas nisl justo, gravida in mattis sed, semper vel sem. Etiam vitae euismod ipsum, rhoncus facilisis enim. Proin faucibus purus libero, et porta sapien viverra vel. Fusce iaculis est eu ipsum facilisis, at sodales diam condimentum. Maecenas vel suscipit turpis. Phasellus venenatis libero in urna fermentum, eget volutpat lacus volutpat. Nam vel leo turpis. </p>\r\n', 1, 96, '2017-10-12 03:51:35', 42, '', '0000-00-00 00:00:00', 0, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-6.jpg","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"images\\/joomlart\\/demo\\/portfolio\\/portfolio-6.jpg","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 1, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(160, 288, 'Illustrations', 'illustrations', '<img src="images/joomlart/demo/porfolio/intro-5.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 97, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-2.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 10, 7, '', '', 1, 13, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(161, 289, 'Etiam euismod', 'etiam-euismod', '<img src="images/joomlart/demo/porfolio/logo-1.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n\r\n', '\r\n\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 98, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/logo-1.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"2x1"}', 13, 6, '', '', 1, 8, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(162, 290, 'Vivamus adipiscing', 'vivamus-adipiscing', '<img src="images/joomlart/demo/porfolio/intro-12.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 99, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-12.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 6, 4, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(163, 291, 'JA Decor', 'ja-decor', '<div class="portfolio-item">\r\n  <div class="row row-feature-header">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-mobile-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n    <div class="col-sm-6 row-feature-header-info">\r\n      <div class="portfolio-intro">\r\n        The eCommerce responsive Joomla template for Joomla 3 and Joomla 2.5 – JA Decor has a dynamic block layout design mixed with the metro design principle, creating this unique look and feel that any decor, interior design online shop would appreciate.\r\n      </div>\r\n      <div class="portfolio-detail">\r\n        <h4 class="portfolio-title">Quick Info</h4>\r\n        <ul class="portfolio-list-info">\r\n          <li><i class="fa fa-file"></i> CMS: Joomla Template</li>\r\n          <li><i class="fa fa-clock-o"></i> Updated on: 11 Apr, 2014</li>\r\n          <li><i class="fa fa-cog"></i> Version: 1.0.1</li>\r\n          <li><i class="fa fa-download"></i> Download: 834</li>\r\n        </ul>\r\n        <p><a href="#" class="btn btn-primary btn-lg">View demo</a> <a href="#" class="btn btn-info btn-lg">Detail</a></p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature-heading">\r\n    <h2>JA Sugite</h2>\r\n    <p class="heading-byline">A dynamic responsive eCommerce Joomla template featuring Mijoshop.</p>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">Supports Mijoshop component</h4>\r\n      <p>The feature rich Joomla eCommerce shopping cart extension that is well loved by the majority in the community with a user-friendly admin interface that enables you to be in total control of your store.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  \r\n    <div class="col-sm-6">\r\n      <h4 class="portfolio-title">Fully responsive design</h4>\r\n      <p>JA Decor is fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">T3 Framework with Bootstrap 3</h4>\r\n      <p>T3 Framework is powerful yet flexible, with Bootstrap 3 at core. With T3 Framework, you can easily customize most of JA Decor CSS properties using ThemeMagic in real-time along with endless fascinating features.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature">\r\n  \r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-bars pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Megamenu and Off-Canvas menu</h5>\r\n            <p>Having a great organized menu navigation system assures your customers to be able to find what they are looking for.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-laptop pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Fully responsive design</h5>\r\n            <p>Fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-star pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Right To Left Language Layout</h5>\r\n            <p>Not an exception, JA Decor also supports RTL layout at default. All props go to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-comments pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Supports EasyBlog</h5>\r\n            <p>Blogging is one of the most important part of any online business. If you haven\'t paid attention to your blog section, you should start now.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-lightbulb-o pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">5 colors by default</h5>\r\n            <p>Apart from the default color, this beautiful Joomla template also came with 4 other colors including: Red, Brown, Turquoise, and Yellow.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-magic pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">And up to 10 bonus pages</h5>\r\n            <p>Login Page, 404 Page, Offline, Contact Us, Web Links, News Feed, Typography, Smart Search, Registration Page and more.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n</div>', '', 1, 100, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-25 21:10:56', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/temp-2.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"2x2"}', 6, 6, '', '', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(164, 292, 'Pretium turpis', 'pretium-turpis', '<img src="images/joomlart/demo/porfolio/intro-10.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 101, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-10.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"2x2"}', 4, 9, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(165, 293, 'Aliquam nec enim dignissim', 'aliquam-nec-enim-dignissim', '<img src="images/joomlart/demo/porfolio/intro-5.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 97, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-5.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"2x2"}', 5, 6, '', '', 1, 9, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(166, 294, 'Nulla et sollicitudin nunc', 'nulla-et-sollicitudin-nunc', '<img src="images/joomlart/demo/porfolio/intro-12.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 97, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-12.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 6, 8, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(167, 295, 'Morbi volutpat', 'morbi-volutpat', '<img src="images/joomlart/demo/porfolio/intro-4.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 97, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-4.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 5, 5, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(168, 296, 'Suspendisse a vulputate', 'suspendisse-a-vulputate', '<img src="images/joomlart/demo/porfolio/intro-1.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n', '\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>', 1, 97, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-29 01:13:14', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-1.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 6, 4, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(169, 297, 'Sed quis erat leo', 'sed-quis-erat-leo', '<img src="images/joomlart/demo/porfolio/intro-7.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n', '\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>', 1, 97, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-7.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 6, 3, '', '', 1, 8, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(170, 298, 'JA Beranis', 'ja-beranis', '<div class="portfolio-item">\r\n  <div class="row row-feature-header">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-mobile-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n    <div class="col-sm-6 row-feature-header-info">\r\n      <div class="portfolio-intro">\r\n        The eCommerce responsive Joomla template for Joomla 3 and Joomla 2.5 – JA Decor has a dynamic block layout design mixed with the metro design principle, creating this unique look and feel that any decor, interior design online shop would appreciate.\r\n      </div>\r\n      <div class="portfolio-detail">\r\n        <h4 class="portfolio-title">Quick Info</h4>\r\n        <ul class="portfolio-list-info">\r\n          <li><i class="fa fa-file"></i> CMS: Joomla Template</li>\r\n          <li><i class="fa fa-clock-o"></i> Updated on: 11 Apr, 2014</li>\r\n          <li><i class="fa fa-cog"></i> Version: 1.0.1</li>\r\n          <li><i class="fa fa-download"></i> Download: 834</li>\r\n        </ul>\r\n        <p><a href="#" class="btn btn-primary btn-lg">View demo</a> <a href="#" class="btn btn-info btn-lg">Detail</a></p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature-heading">\r\n    <h2>JA Sugite</h2>\r\n    <p class="heading-byline">A dynamic responsive eCommerce Joomla template featuring Mijoshop.</p>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">Supports Mijoshop component</h4>\r\n      <p>The feature rich Joomla eCommerce shopping cart extension that is well loved by the majority in the community with a user-friendly admin interface that enables you to be in total control of your store.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  \r\n    <div class="col-sm-6">\r\n      <h4 class="portfolio-title">Fully responsive design</h4>\r\n      <p>JA Decor is fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">T3 Framework with Bootstrap 3</h4>\r\n      <p>T3 Framework is powerful yet flexible, with Bootstrap 3 at core. With T3 Framework, you can easily customize most of JA Decor CSS properties using ThemeMagic in real-time along with endless fascinating features.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature">\r\n  \r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-bars pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Megamenu and Off-Canvas menu</h5>\r\n            <p>Having a great organized menu navigation system assures your customers to be able to find what they are looking for.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-laptop pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Fully responsive design</h5>\r\n            <p>Fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-star pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Right To Left Language Layout</h5>\r\n            <p>Not an exception, JA Decor also supports RTL layout at default. All props go to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-comments pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Supports EasyBlog</h5>\r\n            <p>Blogging is one of the most important part of any online business. If you haven\'t paid attention to your blog section, you should start now.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-lightbulb-o pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">5 colors by default</h5>\r\n            <p>Apart from the default color, this beautiful Joomla template also came with 4 other colors including: Red, Brown, Turquoise, and Yellow.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-magic pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">And up to 10 bonus pages</h5>\r\n            <p>Login Page, 404 Page, Offline, Contact Us, Web Links, News Feed, Typography, Smart Search, Registration Page and more.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n</div>', '', 1, 100, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-25 21:10:54', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/temp-1.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 5, '', '', 1, 8, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(171, 299, 'JA Biz', 'ja-biz', '<div class="portfolio-item">\r\n  <div class="row row-feature-header">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-mobile-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n    <div class="col-sm-6 row-feature-header-info">\r\n      <div class="portfolio-intro">\r\n        The eCommerce responsive Joomla template for Joomla 3 and Joomla 2.5 – JA Decor has a dynamic block layout design mixed with the metro design principle, creating this unique look and feel that any decor, interior design online shop would appreciate.\r\n      </div>\r\n      <div class="portfolio-detail">\r\n        <h4 class="portfolio-title">Quick Info</h4>\r\n        <ul class="portfolio-list-info">\r\n          <li><i class="fa fa-file"></i> CMS: Joomla Template</li>\r\n          <li><i class="fa fa-clock-o"></i> Updated on: 11 Apr, 2014</li>\r\n          <li><i class="fa fa-cog"></i> Version: 1.0.1</li>\r\n          <li><i class="fa fa-download"></i> Download: 834</li>\r\n        </ul>\r\n        <p><a href="#" class="btn btn-primary btn-lg">View demo</a> <a href="#" class="btn btn-info btn-lg">Detail</a></p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature-heading">\r\n    <h2>JA Sugite</h2>\r\n    <p class="heading-byline">A dynamic responsive eCommerce Joomla template featuring Mijoshop.</p>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">Supports Mijoshop component</h4>\r\n      <p>The feature rich Joomla eCommerce shopping cart extension that is well loved by the majority in the community with a user-friendly admin interface that enables you to be in total control of your store.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  \r\n    <div class="col-sm-6">\r\n      <h4 class="portfolio-title">Fully responsive design</h4>\r\n      <p>JA Decor is fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">T3 Framework with Bootstrap 3</h4>\r\n      <p>T3 Framework is powerful yet flexible, with Bootstrap 3 at core. With T3 Framework, you can easily customize most of JA Decor CSS properties using ThemeMagic in real-time along with endless fascinating features.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature">\r\n  \r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-bars pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Megamenu and Off-Canvas menu</h5>\r\n            <p>Having a great organized menu navigation system assures your customers to be able to find what they are looking for.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-laptop pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Fully responsive design</h5>\r\n            <p>Fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-star pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Right To Left Language Layout</h5>\r\n            <p>Not an exception, JA Decor also supports RTL layout at default. All props go to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-comments pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Supports EasyBlog</h5>\r\n            <p>Blogging is one of the most important part of any online business. If you haven\'t paid attention to your blog section, you should start now.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-lightbulb-o pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">5 colors by default</h5>\r\n            <p>Apart from the default color, this beautiful Joomla template also came with 4 other colors including: Red, Brown, Turquoise, and Yellow.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-magic pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">And up to 10 bonus pages</h5>\r\n            <p>Login Page, 404 Page, Offline, Contact Us, Web Links, News Feed, Typography, Smart Search, Registration Page and more.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n</div>', '', 1, 100, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-25 21:10:55', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/temp-3.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 4, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(172, 300, 'Purity III', 'purity-iii', '<div class="portfolio-item">\r\n  <div class="row row-feature-header">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-mobile-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n    <div class="col-sm-6 row-feature-header-info">\r\n      <div class="portfolio-intro">\r\n        The eCommerce responsive Joomla template for Joomla 3 and Joomla 2.5 – JA Decor has a dynamic block layout design mixed with the metro design principle, creating this unique look and feel that any decor, interior design online shop would appreciate.\r\n      </div>\r\n      <div class="portfolio-detail">\r\n        <h4 class="portfolio-title">Quick Info</h4>\r\n        <ul class="portfolio-list-info">\r\n          <li><i class="fa fa-file"></i> CMS: Joomla Template</li>\r\n          <li><i class="fa fa-clock-o"></i> Updated on: 11 Apr, 2014</li>\r\n          <li><i class="fa fa-cog"></i> Version: 1.0.1</li>\r\n          <li><i class="fa fa-download"></i> Download: 834</li>\r\n        </ul>\r\n        <p><a href="#" class="btn btn-primary btn-lg">View demo</a> <a href="#" class="btn btn-info btn-lg">Detail</a></p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature-heading">\r\n    <h2>JA Sugite</h2>\r\n    <p class="heading-byline">A dynamic responsive eCommerce Joomla template featuring Mijoshop.</p>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">Supports Mijoshop component</h4>\r\n      <p>The feature rich Joomla eCommerce shopping cart extension that is well loved by the majority in the community with a user-friendly admin interface that enables you to be in total control of your store.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  \r\n    <div class="col-sm-6">\r\n      <h4 class="portfolio-title">Fully responsive design</h4>\r\n      <p>JA Decor is fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">T3 Framework with Bootstrap 3</h4>\r\n      <p>T3 Framework is powerful yet flexible, with Bootstrap 3 at core. With T3 Framework, you can easily customize most of JA Decor CSS properties using ThemeMagic in real-time along with endless fascinating features.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature">\r\n  \r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-bars pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Megamenu and Off-Canvas menu</h5>\r\n            <p>Having a great organized menu navigation system assures your customers to be able to find what they are looking for.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-laptop pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Fully responsive design</h5>\r\n            <p>Fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-star pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Right To Left Language Layout</h5>\r\n            <p>Not an exception, JA Decor also supports RTL layout at default. All props go to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-comments pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Supports EasyBlog</h5>\r\n            <p>Blogging is one of the most important part of any online business. If you haven\'t paid attention to your blog section, you should start now.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-lightbulb-o pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">5 colors by default</h5>\r\n            <p>Apart from the default color, this beautiful Joomla template also came with 4 other colors including: Red, Brown, Turquoise, and Yellow.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-magic pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">And up to 10 bonus pages</h5>\r\n            <p>Login Page, 404 Page, Offline, Contact Us, Web Links, News Feed, Typography, Smart Search, Registration Page and more.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n</div>', '', 1, 100, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-25 21:10:58', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/temp-4.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 5, 3, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(173, 301, 'JA Obelisk', 'ja-obelisk', '<div class="portfolio-item">\r\n  <div class="row row-feature-header">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-mobile-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n    <div class="col-sm-6 row-feature-header-info">\r\n      <div class="portfolio-intro">\r\n        The eCommerce responsive Joomla template for Joomla 3 and Joomla 2.5 – JA Decor has a dynamic block layout design mixed with the metro design principle, creating this unique look and feel that any decor, interior design online shop would appreciate.\r\n      </div>\r\n      <div class="portfolio-detail">\r\n        <h4 class="portfolio-title">Quick Info</h4>\r\n        <ul class="portfolio-list-info">\r\n          <li><i class="fa fa-file"></i> CMS: Joomla Template</li>\r\n          <li><i class="fa fa-clock-o"></i> Updated on: 11 Apr, 2014</li>\r\n          <li><i class="fa fa-cog"></i> Version: 1.0.1</li>\r\n          <li><i class="fa fa-download"></i> Download: 834</li>\r\n        </ul>\r\n        <p><a href="#" class="btn btn-primary btn-lg">View demo</a> <a href="#" class="btn btn-info btn-lg">Detail</a></p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature-heading">\r\n    <h2>JA Sugite</h2>\r\n    <p class="heading-byline">A dynamic responsive eCommerce Joomla template featuring Mijoshop.</p>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">Supports Mijoshop component</h4>\r\n      <p>The feature rich Joomla eCommerce shopping cart extension that is well loved by the majority in the community with a user-friendly admin interface that enables you to be in total control of your store.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  \r\n    <div class="col-sm-6">\r\n      <h4 class="portfolio-title">Fully responsive design</h4>\r\n      <p>JA Decor is fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">T3 Framework with Bootstrap 3</h4>\r\n      <p>T3 Framework is powerful yet flexible, with Bootstrap 3 at core. With T3 Framework, you can easily customize most of JA Decor CSS properties using ThemeMagic in real-time along with endless fascinating features.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature">\r\n  \r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-bars pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Megamenu and Off-Canvas menu</h5>\r\n            <p>Having a great organized menu navigation system assures your customers to be able to find what they are looking for.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-laptop pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Fully responsive design</h5>\r\n            <p>Fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-star pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Right To Left Language Layout</h5>\r\n            <p>Not an exception, JA Decor also supports RTL layout at default. All props go to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-comments pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Supports EasyBlog</h5>\r\n            <p>Blogging is one of the most important part of any online business. If you haven\'t paid attention to your blog section, you should start now.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-lightbulb-o pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">5 colors by default</h5>\r\n            <p>Apart from the default color, this beautiful Joomla template also came with 4 other colors including: Red, Brown, Turquoise, and Yellow.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-magic pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">And up to 10 bonus pages</h5>\r\n            <p>Login Page, 404 Page, Offline, Contact Us, Web Links, News Feed, Typography, Smart Search, Registration Page and more.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n</div>', '', 1, 100, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-25 21:10:56', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/temp-5.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 2, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(174, 302, 'JM Crafts', 'jm-crafts', '<div class="portfolio-item">\r\n  <div class="row row-feature-header">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-mobile-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n    <div class="col-sm-6 row-feature-header-info">\r\n      <div class="portfolio-intro">\r\n        The eCommerce responsive Joomla template for Joomla 3 and Joomla 2.5 – JA Decor has a dynamic block layout design mixed with the metro design principle, creating this unique look and feel that any decor, interior design online shop would appreciate.\r\n      </div>\r\n      <div class="portfolio-detail">\r\n        <h4 class="portfolio-title">Quick Info</h4>\r\n        <ul class="portfolio-list-info">\r\n          <li><i class="fa fa-file"></i> CMS: Joomla Template</li>\r\n          <li><i class="fa fa-clock-o"></i> Updated on: 11 Apr, 2014</li>\r\n          <li><i class="fa fa-cog"></i> Version: 1.0.1</li>\r\n          <li><i class="fa fa-download"></i> Download: 834</li>\r\n        </ul>\r\n        <p><a href="#" class="btn btn-primary btn-lg">View demo</a> <a href="#" class="btn btn-info btn-lg">Detail</a></p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature-heading">\r\n    <h2>JA Sugite</h2>\r\n    <p class="heading-byline">A dynamic responsive eCommerce Joomla template featuring Mijoshop.</p>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">Supports Mijoshop component</h4>\r\n      <p>The feature rich Joomla eCommerce shopping cart extension that is well loved by the majority in the community with a user-friendly admin interface that enables you to be in total control of your store.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  \r\n    <div class="col-sm-6">\r\n      <h4 class="portfolio-title">Fully responsive design</h4>\r\n      <p>JA Decor is fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">T3 Framework with Bootstrap 3</h4>\r\n      <p>T3 Framework is powerful yet flexible, with Bootstrap 3 at core. With T3 Framework, you can easily customize most of JA Decor CSS properties using ThemeMagic in real-time along with endless fascinating features.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature">\r\n  \r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-bars pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Megamenu and Off-Canvas menu</h5>\r\n            <p>Having a great organized menu navigation system assures your customers to be able to find what they are looking for.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-laptop pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Fully responsive design</h5>\r\n            <p>Fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-star pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Right To Left Language Layout</h5>\r\n            <p>Not an exception, JA Decor also supports RTL layout at default. All props go to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-comments pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Supports EasyBlog</h5>\r\n            <p>Blogging is one of the most important part of any online business. If you haven\'t paid attention to your blog section, you should start now.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-lightbulb-o pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">5 colors by default</h5>\r\n            <p>Apart from the default color, this beautiful Joomla template also came with 4 other colors including: Red, Brown, Turquoise, and Yellow.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-magic pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">And up to 10 bonus pages</h5>\r\n            <p>Login Page, 404 Page, Offline, Contact Us, Web Links, News Feed, Typography, Smart Search, Registration Page and more.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n</div>', '', 1, 100, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-25 21:10:57', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/temp-6.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 4, 1, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(175, 303, 'JA Argo', 'ja-argo', '<div class="portfolio-item">\r\n  <div class="row row-feature-header">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-mobile-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n    <div class="col-sm-6 row-feature-header-info">\r\n      <div class="portfolio-intro">\r\n        The eCommerce responsive Joomla template for Joomla 3 and Joomla 2.5 – JA Decor has a dynamic block layout design mixed with the metro design principle, creating this unique look and feel that any decor, interior design online shop would appreciate.\r\n      </div>\r\n      <div class="portfolio-detail">\r\n        <h4 class="portfolio-title">Quick Info</h4>\r\n        <ul class="portfolio-list-info">\r\n          <li><i class="fa fa-file"></i> CMS: Joomla Template</li>\r\n          <li><i class="fa fa-clock-o"></i> Updated on: 11 Apr, 2014</li>\r\n          <li><i class="fa fa-cog"></i> Version: 1.0.1</li>\r\n          <li><i class="fa fa-download"></i> Download: 834</li>\r\n        </ul>\r\n        <p><a href="#" class="btn btn-primary btn-lg">View demo</a> <a href="#" class="btn btn-info btn-lg">Detail</a></p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature-heading">\r\n    <h2>JA Sugite</h2>\r\n    <p class="heading-byline">A dynamic responsive eCommerce Joomla template featuring Mijoshop.</p>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">Supports Mijoshop component</h4>\r\n      <p>The feature rich Joomla eCommerce shopping cart extension that is well loved by the majority in the community with a user-friendly admin interface that enables you to be in total control of your store.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  \r\n    <div class="col-sm-6">\r\n      <h4 class="portfolio-title">Fully responsive design</h4>\r\n      <p>JA Decor is fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">T3 Framework with Bootstrap 3</h4>\r\n      <p>T3 Framework is powerful yet flexible, with Bootstrap 3 at core. With T3 Framework, you can easily customize most of JA Decor CSS properties using ThemeMagic in real-time along with endless fascinating features.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/img-browser-800.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature">\r\n  \r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-bars pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Megamenu and Off-Canvas menu</h5>\r\n            <p>Having a great organized menu navigation system assures your customers to be able to find what they are looking for.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-laptop pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Fully responsive design</h5>\r\n            <p>Fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-star pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Right To Left Language Layout</h5>\r\n            <p>Not an exception, JA Decor also supports RTL layout at default. All props go to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-comments pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Supports EasyBlog</h5>\r\n            <p>Blogging is one of the most important part of any online business. If you haven\'t paid attention to your blog section, you should start now.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-lightbulb-o pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">5 colors by default</h5>\r\n            <p>Apart from the default color, this beautiful Joomla template also came with 4 other colors including: Red, Brown, Turquoise, and Yellow.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-magic pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">And up to 10 bonus pages</h5>\r\n            <p>Login Page, 404 Page, Offline, Contact Us, Web Links, News Feed, Typography, Smart Search, Registration Page and more.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n</div>', '', 1, 100, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 42, '2014-04-25 21:10:53', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/temp-7.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 4, 0, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(176, 304, 'Pellentesque facilisis', 'pellentesque-facilisis', '<img src="images/joomlart/demo/porfolio/intro-10.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 97, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-10.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 4, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(177, 305, 'Interdum et malesuada', 'interdum-et-malesuada', '<img src="images/joomlart/demo/porfolio/intro-11.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 97, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-11.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 4, 1, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(178, 306, 'Sed libero quam', 'sed-libero-quam', '<img src="images/joomlart/demo/porfolio/intro-8.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 97, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-8.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 4, 0, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(179, 307, 'Etiam faucibus quam', 'etiam-faucibus-quam', '<img src="images/joomlart/demo/porfolio/intro-6.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 99, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-6.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 5, 3, '', '', 1, 4, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(180, 308, 'Integer est tortor', 'integer-est-tortor', '<img src="images/joomlart/demo/porfolio/intro-4.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 99, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-4.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"2x2"}', 4, 1, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(181, 309, 'Ut tempus urna in ante', 'ut-tempus-urna-in-ante', '<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 99, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-2.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 3, 2, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(182, 310, 'Lorem egestas', 'lorem-egestas', '<img src="images/joomlart/demo/porfolio/logo-2.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n\r\n', '\r\n\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 98, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/logo-2.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 4, 5, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(183, 311, 'Aliquam faucibus', 'aliquam-faucibus', '<img src="images/joomlart/demo/porfolio/logo-3.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n\r\n', '\r\n\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 98, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/logo-3.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 4, 4, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(184, 312, 'Suspendisse laoreet', 'joomlancers', '<img src="images/joomlart/demo/porfolio/logo-4.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n\r\n', '\r\n\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 98, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/logo-4.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 4, 3, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(185, 313, 'Amet tellus', 'amet-tellus', '<img src="images/joomlart/demo/porfolio/logo-5.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n\r\n', '\r\n\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 98, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/logo-5.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 5, 2, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(186, 314, 'Sapien sem feugiat nibh', 'sapien-sem-feugiat-nibh', '<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 99, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-9.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 2, 0, '', '', 1, 0, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(187, 315, 'Maecenas tortor', 'maecenas-tortor', '<img src="images/joomlart/demo/porfolio/intro-1.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 101, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-1.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 3, 8, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(188, 316, 'Nec id Curabitur', 'nec-id-curabitur', '<img src="images/joomlart/demo/porfolio/intro-6.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 101, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-6.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 3, 7, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(189, 317, 'Ultrices turpis dui', 'ultrices-turpis-dui', '<img src="images/joomlart/demo/porfolio/intro-9.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 101, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-9.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 3, 6, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(190, 318, 'Curabitur semper vitae', 'curabitur-semper-vitae', '<img src="images/joomlart/demo/porfolio/intro-7.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 101, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-7.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 3, 5, '', '', 1, 3, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(191, 319, 'Vivamus risus adipiscing', 'curabitur-semper-vitae-2', '<img src="images/joomlart/demo/porfolio/intro-11.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 101, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-11.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 3, 4, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(192, 320, 'Sed orci ligula', 'sed-orci-ligula', '<img src="images/joomlart/demo/porfolio/intro-5.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 101, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-5.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 4, 3, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(193, 321, 'Fringilla nulla', 'fringilla-nulla', '<img src="images/joomlart/demo/porfolio/intro-1.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 101, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-1.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"2x2"}', 4, 2, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(194, 322, 'Nam pretium', 'nam-pretium', '<img src="images/joomlart/demo/porfolio/intro-2.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 101, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-2.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 3, 1, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(195, 323, 'Orci egestas quis', 'orci-egestas-quis', '<img src="images/joomlart/demo/porfolio/intro-12.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n', '\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 101, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/intro-12.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 4, 0, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(196, 324, 'Pretium turpis', 'pretium-turpis', '<img src="images/joomlart/demo/porfolio/logo-6.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n\r\n', '\r\n\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 98, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/logo-6.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 3, 1, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(197, 325, 'Fringilla nulla', 'fringilla-nulla', '<img src="images/joomlart/demo/porfolio/logo-7.jpg" alt="" align="right" title="Sample Project" class="caption" />\r\n\r\n<p>Lorem ipsum dolor sit amet consectetuer velit Pellentesque wisi arcu Aenean. Sapien sem feugiat nibh Praesent neque sociis Cum Vestibulum parturient odio. Risus Nulla tristique montes arcu lorem sed fringilla lacinia est nec. Justo est at wisi semper dictumst lacus convallis libero sed Nam. At consequat In tempus elit neque Aenean velit eget leo lacinia. Amet tellus pretium Proin lorem ante interdum id Ut consectetuer urna.</p>\r\n\r\n', '\r\n\r\n<p>Pretium turpis congue dictumst eu pede condimentum sociis pretium montes Nunc. Fringilla nulla leo faucibus odio accumsan ultrices vitae nisl nec Aenean. Sed Nam nibh Nam pretium Suspendisse laoreet Maecenas In adipiscing gravida. Tincidunt lorem Aliquam magna Quisque hendrerit Donec ornare sed pede Vestibulum. Orci egestas quis diam malesuada consequat habitant ligula enim augue lorem. Non.</p>\r\n<p>Id Vivamus turpis dui lacus Aliquam faucibus Mauris eget quis condimentum. Justo sed ante lacus at et pede vel vel porttitor ridiculus. Interdum vitae eget pellentesque ut risus lacus non Nam pellentesque hendrerit. Sed orci ligula nisl et quis Aliquam auctor felis eu Vestibulum. Aenean et neque condimentum wisi dapibus quis ac nec Lorem egestas. Lorem In.</p>\r\n<p>Nec leo Phasellus risus Curabitur semper vitae pede facilisis non Curabitur. Quis massa condimentum accumsan hendrerit egestas tellus molestie eu Donec pharetra. Nec id Curabitur quis condimentum a ante tincidunt augue urna platea. Sit Quisque ornare Vivamus vel elit sapien congue nibh vel risus. Ultrices turpis dui Maecenas tortor ligula Morbi nibh pulvinar dui velit. Vivamus risus adipiscing vel elit adipiscing.</p>', 1, 98, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/porfolio\\/logo-7.jpg","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":"","jcontent_size":"1x1"}', 3, 0, '', '', 1, 2, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(198, 326, 'Photography', 'photography', '<p>Mauris purus enim, mattis eget orci sed, tempus adipiscing leo. Nulla vel dui et arcu sodales consequat sit amet eget arcu integer aliquet</p>\r\n', '\r\n\r\n<div class="clearfix">\r\n  <div class="pull-left" style="\r\n    margin-right: 40px;\r\n">\r\n    <img src="images/joomlart/demo/cat-1.jpg" alt=""  class="img-responsive"/>\r\n    <p class="img-caption" style="\r\n    background: #f5f5f5;\r\n    text-align: center;\r\n    padding: 10px;\r\n">Image Caption</p>\r\n  </div>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Nulla justo pharetra</small></h3>\r\n    <p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus. Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n    <p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n  <div class="alert alert-warning">\r\n<p><strong>TIPS:</strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;</code> tag or the <code>.small</code> class.</p>\r\n</div>\r\n</div>\r\n\r\n<hr>\r\n\r\n<h3 style="margin-top: 0;"><small style="color:#444">Make a paragraph</small></h3>\r\n<p class="lead">This is a <strong>lead paragraph</strong>. Make a paragraph stand out by adding <code>.lead</code>.</p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.</p>\r\n<p>Nullam quis risus eget <a href="#">urna mollis ornare</a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n<p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n<p>An abbreviation of the word attribute is <abbr title="attribute">attr</abbr>.</p>\r\n<hr>\r\n\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n\r\n<h3 style="margin-top: 0;"><small style="color:#444">Emper felis velit</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Lorem ipsum dolor sit amet consectetuer fermentum augue facilisi ac augue. Semper felis velit eget urna quis </p>\r\n\r\n<hr>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Morbi du</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Lorem ipsum dolor sit amet consectetuer fermentum augue facilisi ac augue. Semper felis velit eget urna quis </p>\r\n\r\n<hr>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Curabitur metus</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>', 1, 88, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/service-5.png","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 10, 2, '', '', 1, 7, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(199, 327, 'Creative', 'creative', '<p>Sed eget sodales sem. Nunc in ipsum non massa vestibulum adipiscing. Praesent id dolor eget urna convallis cursus sit amet vitae odio.</p>\r\n', '\r\n\r\n<div class="clearfix">\r\n  <div class="pull-left" style="\r\n    margin-right: 40px;\r\n">\r\n    <img src="images/joomlart/demo/cat-1.jpg" alt=""  class="img-responsive"/>\r\n    <p class="img-caption" style="\r\n    background: #f5f5f5;\r\n    text-align: center;\r\n    padding: 10px;\r\n">Image Caption</p>\r\n  </div>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Nulla justo pharetra</small></h3>\r\n    <p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus. Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n    <p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n  <div class="alert alert-warning">\r\n<p><strong>TIPS:</strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;</code> tag or the <code>.small</code> class.</p>\r\n</div>\r\n</div>\r\n\r\n<hr>\r\n\r\n<h3 style="margin-top: 0;"><small style="color:#444">Make a paragraph</small></h3>\r\n<p class="lead">This is a <strong>lead paragraph</strong>. Make a paragraph stand out by adding <code>.lead</code>.</p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.</p>\r\n<p>Nullam quis risus eget <a href="#">urna mollis ornare</a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n<p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n<p>An abbreviation of the word attribute is <abbr title="attribute">attr</abbr>.</p>\r\n<hr>\r\n\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n\r\n<h3 style="margin-top: 0;"><small style="color:#444">Emper felis velit</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Lorem ipsum dolor sit amet consectetuer fermentum augue facilisi ac augue. Semper felis velit eget urna quis </p>\r\n\r\n<hr>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Morbi du</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Lorem ipsum dolor sit amet consectetuer fermentum augue facilisi ac augue. Semper felis velit eget urna quis </p>\r\n\r\n<hr>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Curabitur metus</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>', 1, 88, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/service-4.png","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 11, 1, '', '', 1, 5, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');
INSERT INTO `#__content` (`id`, `asset_id`, `title`, `alias`, `introtext`, `fulltext`, `state`, `catid`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `images`, `urls`, `attribs`, `version`, `ordering`, `metakey`, `metadesc`, `access`, `hits`, `metadata`, `featured`, `language`, `xreference`) VALUES
(200, 328, 'Consulting', 'consulting', '<p>Maecenas dictum odio consectetur, aliquet elit ut, aliquam magna. Suspendisse egestas mauris vitae pretium odio, nec metus risus dictum adipiscing elit</p>\r\n', '\r\n\r\n<div class="clearfix">\r\n  <div class="pull-left" style="\r\n    margin-right: 40px;\r\n">\r\n    <img src="images/joomlart/demo/cat-1.jpg" alt=""  class="img-responsive"/>\r\n    <p class="img-caption" style="\r\n    background: #f5f5f5;\r\n    text-align: center;\r\n    padding: 10px;\r\n">Image Caption</p>\r\n  </div>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Nulla justo pharetra</small></h3>\r\n    <p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus. Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n    <p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n  <div class="alert alert-warning">\r\n<p><strong>TIPS:</strong> Create lighter, secondary text in any heading with a generic <code>&lt;small&gt;</code> tag or the <code>.small</code> class.</p>\r\n</div>\r\n</div>\r\n\r\n<hr>\r\n\r\n<h3 style="margin-top: 0;"><small style="color:#444">Make a paragraph</small></h3>\r\n<p class="lead">This is a <strong>lead paragraph</strong>. Make a paragraph stand out by adding <code>.lead</code>.</p>\r\n<p>Maecenas sed diam eget risus varius blandit sit amet non magna. Donec id elit non mi porta gravida at eget metus.</p>\r\n<p>Nullam quis risus eget <a href="#">urna mollis ornare</a> vel eu leo. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Nullam id dolor id nibh ultricies vehicula.</p>\r\n<p>The following snippet of text is <strong>rendered as bold text</strong>.</p>\r\n<p>The following snippet of text is <em>rendered as italicized text</em>.</p>\r\n<p>An abbreviation of the word attribute is <abbr title="attribute">attr</abbr>.</p>\r\n<hr>\r\n\r\n<blockquote>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer posuere erat a ante.</p>\r\n<small>Quote\'s author in <cite title="Source Title">Source Title</cite></small></blockquote>\r\n\r\n<h3 style="margin-top: 0;"><small style="color:#444">Emper felis velit</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Lorem ipsum dolor sit amet consectetuer fermentum augue facilisi ac augue. Semper felis velit eget urna quis </p>\r\n\r\n<hr>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Morbi du</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>\r\n<p>Lorem ipsum dolor sit amet consectetuer fermentum augue facilisi ac augue. Semper felis velit eget urna quis </p>\r\n\r\n<hr>\r\n<h3 style="margin-top: 0;"><small style="color:#444">Curabitur metus</small></h3>\r\n<p>Nulla justo pharetra laoreet consequat. Diam tempus neque augue egestas mauris dolor dapibus Lorem Nam tristique. Vestibulum Morbi dui Vestibulum eu auctor ut id metus Pellentesque Curabitur. Curabitur metus risus Sed Nullam Nullam tristique.</p>', 1, 88, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"images\\/joomlart\\/demo\\/service-6.png","float_intro":"none","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 29, 0, '', '', 1, 23, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', ''),
(201, 329, 'Colors', 'colors', '<div class="portfolio-item">\r\n  <div class="row row-feature-header">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/themes.png" border="0" alt="" class="colors" />\r\n    </div>\r\n    <div class="col-sm-6 row-feature-header-info" style="padding-top: 0;">\r\n      <div class="portfolio-intro">\r\n        The eCommerce responsive Joomla template for Joomla 3 and Joomla 2.5 – JA Decor has a dynamic block layout design mixed with the metro design principle, creating this unique look and feel that any decor, interior design online shop would appreciate.\r\n      </div>\r\n      <div class="portfolio-detail">\r\n        <h4 class="portfolio-title">Quick Info</h4>\r\n        <ul class="portfolio-list-info">\r\n          <li><i class="fa fa-file"></i> CMS: Joomla Template</li>\r\n          <li><i class="fa fa-clock-o"></i> Updated on: 11 Apr, 2014</li>\r\n          <li><i class="fa fa-cog"></i> Version: 1.0.1</li>\r\n          <li><i class="fa fa-download"></i> Download: 834</li>\r\n        </ul>\r\n        <p><a href="#" class="btn btn-primary btn-lg">View demo</a> <a href="#" class="btn btn-info btn-lg">Detail</a></p>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature-heading">\r\n    <h2>JA Sugite</h2>\r\n    <p class="heading-byline">A dynamic responsive Portfolio Joomla template.</p>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">Default Color</h4>\r\n      <p>Lorem ipsum dolor sit amet consectetuer suscipit non urna parturient fames. Pellentesque nunc neque id lorem faucibus nunc lacinia montes egestas vel. Ac lobortis ipsum nibh Maecenas ligula eros et Mauris natoque id. Dui hac tellus Curabitur mollis tincidunt convallis dolor nulla sodales pellentesque. Orci In Lorem ligula ipsum dui magna hac sapien elit Aliquam. Elit vitae adipiscing sapien aliquet orci Lorem Vestibulum.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/theme-1.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/theme-2.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  \r\n    <div class="col-sm-6">\r\n      <h4 class="portfolio-title">Blue Color</h4>\r\n      <p>Tincidunt sed dolor ut nibh euismod dui eu Vivamus pretium urna. Molestie nonummy et odio augue sed id eros Mauris in tincidunt. Natoque non Morbi sapien pretium at massa gravida dui tempus condimentum. Pellentesque est eros at Sed Vestibulum massa tellus natoque consequat wisi. Sit vitae Vestibulum at In orci ut gravida elit rutrum.</p>\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">Orange Color</h4>\r\n      <p>Enim sit Sed pellentesque pellentesque faucibus nibh laoreet Quisque tortor eget. Phasellus sollicitudin Nunc ipsum montes id tellus adipiscing fringilla turpis sit. Enim lacinia tempus cursus ligula adipiscing laoreet consequat ridiculus ac sed. Leo a Vestibulum Nam eu semper pretium ligula Integer et pellentesque. Vitae semper sagittis elit eu eu sapien vel magna.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/theme-5.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature row-feature-border">\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/theme-3.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  \r\n    <div class="col-sm-6">\r\n      <h4 class="portfolio-title">Red Color</h4>\r\n      <p>Tincidunt sed dolor ut nibh euismod dui eu Vivamus pretium urna. Molestie nonummy et odio augue sed id eros Mauris in tincidunt. Natoque non Morbi sapien pretium at massa gravida dui tempus condimentum. Pellentesque est eros at Sed Vestibulum massa tellus natoque consequat wisi. Sit vitae Vestibulum at In orci ut gravida elit rutrum.</p>\r\n    </div>\r\n  </div>\r\n\r\n <div class="row row-feature row-feature-border">\r\n\r\n    <div class="col-sm-6 text-right">\r\n      <h4 class="portfolio-title">Purple Color</h4>\r\n      <p>Enim sit Sed pellentesque pellentesque faucibus nibh laoreet Quisque tortor eget. Phasellus sollicitudin Nunc ipsum montes id tellus adipiscing fringilla turpis sit. Enim lacinia tempus cursus ligula adipiscing laoreet consequat ridiculus ac sed. Leo a Vestibulum Nam eu semper pretium ligula Integer et pellentesque. Vitae semper sagittis elit eu eu sapien vel magna.</p>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <img src="images/joomlart/demo/theme-4.png" border="0" alt="" class="img-responsive" />\r\n    </div>\r\n  </div>\r\n\r\n  <div class="row row-feature">\r\n  \r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-bars pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Megamenu and Off-Canvas menu</h5>\r\n            <p>Having a great organized menu navigation system assures your customers to be able to find what they are looking for.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-laptop pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Fully responsive design</h5>\r\n            <p>Fully responsive Joomla template that does not look good on desktop alone but also look stunning on mobile and tablet devices, thanks to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-star pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Right To Left Language Layout</h5>\r\n            <p>Not an exception, JA Decor also supports RTL layout at default. All props go to T3 Framework.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n    <div class="col-sm-6">\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-comments pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">Supports EasyBlog</h5>\r\n            <p>Blogging is one of the most important part of any online business. If you haven\'t paid attention to your blog section, you should start now.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-lightbulb-o pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">5 colors by default</h5>\r\n            <p>Apart from the default color, this beautiful Joomla template also came with 4 other colors including: Red, Brown, Turquoise, and Yellow.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n      <div class="media">\r\n        <div class="media-body">\r\n          <i class="fa fa-magic pull-left media-icon"></i>\r\n          <div class="media-body">\r\n            <h5 class="media-heading">And up to 10 bonus pages</h5>\r\n            <p>Login Page, 404 Page, Offline, Contact Us, Web Links, News Feed, Typography, Smart Search, Registration Page and more.</p>\r\n          </div>\r\n        </div>\r\n      </div>\r\n    </div>\r\n  </div>\r\n\r\n</div>', '', 1, 9, '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 2, 0, '', '', 1, 17, '{"robots":"","author":"","rights":"","xreference":""}', 0, '*', '');

DROP TABLE IF EXISTS `#__content_frontpage`;
CREATE TABLE `#__content_frontpage` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__content_frontpage` (`content_id`, `ordering`) VALUES
(8, 2),
(24, 1),
(35, 4),
(50, 3);

DROP TABLE IF EXISTS `#__content_rating`;
CREATE TABLE `#__content_rating` (
  `content_id` int(11) NOT NULL DEFAULT '0',
  `rating_sum` int(10) unsigned NOT NULL DEFAULT '0',
  `rating_count` int(10) unsigned NOT NULL DEFAULT '0',
  `lastip` varchar(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`content_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__content_types`;
CREATE TABLE `#__content_types` (
  `type_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type_title` varchar(255) NOT NULL DEFAULT '',
  `type_alias` varchar(400) NOT NULL DEFAULT '',
  `table` varchar(255) NOT NULL DEFAULT '',
  `rules` mediumtext NOT NULL,
  `field_mappings` mediumtext NOT NULL,
  `router` varchar(255) NOT NULL DEFAULT '',
  `content_history_options` varchar(5120) NOT NULL COMMENT 'JSON string for com_contenthistory options',
  PRIMARY KEY (`type_id`),
  KEY `idx_alias` (`type_alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=10005 DEFAULT CHARSET=utf8;

INSERT INTO `#__content_types` (`type_id`, `type_title`, `type_alias`, `table`, `rules`, `field_mappings`, `router`, `content_history_options`) VALUES
(1, 'Article', 'com_content.article', '{"special":{"dbtable":"jamay_content","key":"id","type":"Content","prefix":"JTable","config":"array()"},"common":{"dbtable":"jamay_ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"introtext", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"attribs", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"asset_id"}, "special": {"fulltext":"fulltext"}}', 'ContentHelperRoute::getArticleRoute', '{"formFile":"administrator\\/components\\/com_content\\/models\\/forms\\/article.xml", "hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"jamay_categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"jamay_viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"} ]}'),
(2, 'Weblink', 'com_weblinks.weblink', '{"special":{"dbtable":"jamay_weblinks","key":"id","type":"Weblink","prefix":"WeblinksTable","config":"array()"},"common":{"dbtable":"jamay_ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"state","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"url", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {}}', 'WeblinksHelperRoute::getWeblinkRoute', '{"formFile":"administrator\\/components\\/com_weblinks\\/models\\/forms\\/weblink.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","featured","images"], "ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"], "convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"jamay_categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"jamay_viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"} ]}'),
(3, 'Contact', 'com_contact.contact', '{"special":{"dbtable":"jamay_contact_details","key":"id","type":"Contact","prefix":"ContactTable","config":"array()"},"common":{"dbtable":"jamay_ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"address", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"image", "core_urls":"webpage", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {"con_position":"con_position","suburb":"suburb","state":"state","country":"country","postcode":"postcode","telephone":"telephone","fax":"fax","misc":"misc","email_to":"email_to","default_con":"default_con","user_id":"user_id","mobile":"mobile","sortname1":"sortname1","sortname2":"sortname2","sortname3":"sortname3"}}', 'ContactHelperRoute::getContactRoute', '{"formFile":"administrator\\/components\\/com_contact\\/models\\/forms\\/contact.xml","hideFields":["default_con","checked_out","checked_out_time","version","xreference"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"], "displayLookup":[ {"sourceColumn":"created_by","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"catid","targetTable":"jamay_categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"jamay_viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"} ] }'),
(4, 'Newsfeed', 'com_newsfeeds.newsfeed', '{"special":{"dbtable":"jamay_newsfeeds","key":"id","type":"Newsfeed","prefix":"NewsfeedsTable","config":"array()"},"common":{"dbtable":"jamay_ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"hits","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"xreference", "asset_id":"null"}, "special": {"numarticles":"numarticles","cache_time":"cache_time","rtl":"rtl"}}', 'NewsfeedsHelperRoute::getNewsfeedRoute', '{"formFile":"administrator\\/components\\/com_newsfeeds\\/models\\/forms\\/newsfeed.xml","hideFields":["asset_id","checked_out","checked_out_time","version"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "hits"],"convertToInt":["publish_up", "publish_down", "featured", "ordering"],"displayLookup":[{"sourceColumn":"catid","targetTable":"jamay_categories","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"created_by","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"jamay_viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_by","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"}]}'),
(5, 'User', 'com_users.user', '{"special":{"dbtable":"jamay_users","key":"id","type":"User","prefix":"JTable","config":"array()"},"common":{"dbtable":"jamay_ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"null","core_alias":"username","core_created_time":"registerdate","core_modified_time":"lastvisitDate","core_body":"null", "core_hits":"null","core_publish_up":"null","core_publish_down":"null","access":"null", "core_params":"params", "core_featured":"null", "core_metadata":"null", "core_language":"null", "core_images":"null", "core_urls":"null", "core_version":"null", "core_ordering":"null", "core_metakey":"null", "core_metadesc":"null", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special": {}}', 'UsersHelperRoute::getUserRoute', ''),
(6, 'Article Category', 'com_content.category', '{"special":{"dbtable":"jamay_categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"jamay_ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContentHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"jamay_viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"jamay_categories","targetColumn":"id","displayColumn":"title"}]}'),
(7, 'Contact Category', 'com_contact.category', '{"special":{"dbtable":"jamay_categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"jamay_ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'ContactHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"jamay_viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"jamay_categories","targetColumn":"id","displayColumn":"title"}]}'),
(8, 'Newsfeeds Category', 'com_newsfeeds.category', '{"special":{"dbtable":"jamay_categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"jamay_ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'NewsfeedsHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"jamay_viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"jamay_categories","targetColumn":"id","displayColumn":"title"}]}'),
(9, 'Weblinks Category', 'com_weblinks.category', '{"special":{"dbtable":"jamay_categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"jamay_ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', 'WeblinksHelperRoute::getCategoryRoute', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"jamay_viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"jamay_categories","targetColumn":"id","displayColumn":"title"}]}'),
(10, 'Tag', 'com_tags.tag', '{"special":{"dbtable":"jamay_tags","key":"tag_id","type":"Tag","prefix":"TagsTable","config":"array()"},"common":{"dbtable":"jamay_ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"featured", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"urls", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"null", "core_xreference":"null", "asset_id":"null"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path"}}', 'TagsHelperRoute::getTagRoute', '{"formFile":"administrator\\/components\\/com_tags\\/models\\/forms\\/tag.xml", "hideFields":["checked_out","checked_out_time","version", "lft", "rgt", "level", "path", "urls", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"],"convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"jamay_viewlevels","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"modified_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"}]}'),
(10000, 'Banner', 'com_banners.banner', '{"special":{"dbtable":"jamay_banners","key":"id","type":"Banner","prefix":"BannersTable","config":"array()"},"common":{"dbtable":"jamay_ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"name","core_state":"published","core_alias":"alias","core_created_time":"created","core_modified_time":"modified","core_body":"description", "core_hits":"null","core_publish_up":"publish_up","core_publish_down":"publish_down","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"images", "core_urls":"link", "core_version":"version", "core_ordering":"ordering", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"catid", "core_xreference":"null", "asset_id":"null"}, "special":{"imptotal":"imptotal", "impmade":"impmade", "clicks":"clicks", "clickurl":"clickurl", "custombannercode":"custombannercode", "cid":"cid", "purchase_type":"purchase_type", "track_impressions":"track_impressions", "track_clicks":"track_clicks"}}', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/banner.xml", "hideFields":["checked_out","checked_out_time","version", "reset"],"ignoreChanges":["modified_by", "modified", "checked_out", "checked_out_time", "version", "imptotal", "impmade", "reset"], "convertToInt":["publish_up", "publish_down", "ordering"], "displayLookup":[{"sourceColumn":"catid","targetTable":"jamay_categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"cid","targetTable":"jamay_banner_clients","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"created_by","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"modified_by","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"}]}'),
(10001, 'Banners Category', 'com_banners.category', '{"special":{"dbtable":"jamay_categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"jamay_ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special": {"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["asset_id","checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"access","targetTable":"jamay_viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"jamay_categories","targetColumn":"id","displayColumn":"title"}]}'),
(10002, 'Banner Client', 'com_banners.client', '{"special":{"dbtable":"jamay_banner_clients","key":"id","type":"Client","prefix":"BannersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_banners\\/models\\/forms\\/client.xml", "hideFields":["checked_out","checked_out_time"], "ignoreChanges":["checked_out", "checked_out_time"], "convertToInt":[], "displayLookup":[]}'),
(10003, 'User Notes', 'com_users.note', '{"special":{"dbtable":"jamay_user_notes","key":"id","type":"Note","prefix":"UsersTable"}}', '', '', '', '{"formFile":"administrator\\/components\\/com_users\\/models\\/forms\\/note.xml", "hideFields":["checked_out","checked_out_time", "publish_up", "publish_down"],"ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time"], "convertToInt":["publish_up", "publish_down"],"displayLookup":[{"sourceColumn":"catid","targetTable":"jamay_categories","targetColumn":"id","displayColumn":"title"}, {"sourceColumn":"created_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"modified_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"}]}'),
(10004, 'User Notes Category', 'com_users.category', '{"special":{"dbtable":"jamay_categories","key":"id","type":"Category","prefix":"JTable","config":"array()"},"common":{"dbtable":"jamay_ucm_content","key":"ucm_id","type":"Corecontent","prefix":"JTable","config":"array()"}}', '', '{"common":{"core_content_item_id":"id","core_title":"title","core_state":"published","core_alias":"alias","core_created_time":"created_time","core_modified_time":"modified_time","core_body":"description", "core_hits":"hits","core_publish_up":"null","core_publish_down":"null","core_access":"access", "core_params":"params", "core_featured":"null", "core_metadata":"metadata", "core_language":"language", "core_images":"null", "core_urls":"null", "core_version":"version", "core_ordering":"null", "core_metakey":"metakey", "core_metadesc":"metadesc", "core_catid":"parent_id", "core_xreference":"null", "asset_id":"asset_id"}, "special":{"parent_id":"parent_id","lft":"lft","rgt":"rgt","level":"level","path":"path","extension":"extension","note":"note"}}', '', '{"formFile":"administrator\\/components\\/com_categories\\/models\\/forms\\/category.xml", "hideFields":["checked_out","checked_out_time","version","lft","rgt","level","path","extension"], "ignoreChanges":["modified_user_id", "modified_time", "checked_out", "checked_out_time", "version", "hits", "path"], "convertToInt":["publish_up", "publish_down"], "displayLookup":[{"sourceColumn":"created_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"}, {"sourceColumn":"access","targetTable":"jamay_viewlevels","targetColumn":"id","displayColumn":"title"},{"sourceColumn":"modified_user_id","targetTable":"jamay_users","targetColumn":"id","displayColumn":"name"},{"sourceColumn":"parent_id","targetTable":"jamay_categories","targetColumn":"id","displayColumn":"title"}]}');

DROP TABLE IF EXISTS `#__contentitem_tag_map`;
CREATE TABLE `#__contentitem_tag_map` (
  `type_alias` varchar(255) NOT NULL DEFAULT '',
  `core_content_id` int(10) unsigned NOT NULL COMMENT 'PK from the core content table',
  `content_item_id` int(11) NOT NULL COMMENT 'PK from the content type table',
  `tag_id` int(10) unsigned NOT NULL COMMENT 'PK from the tag table',
  `tag_date` timestamp NOT NULL COMMENT 'Date of most recent save for this tag-item',
  `type_id` mediumint(8) NOT NULL COMMENT 'PK from the content_type table',
  UNIQUE KEY `uc_ItemnameTagid` (`type_id`,`content_item_id`,`tag_id`),
  KEY `idx_tag_type` (`tag_id`,`type_id`),
  KEY `idx_date_id` (`tag_date`,`tag_id`),
  KEY `idx_core_content_id` (`core_content_id`)
) ENGINE=InnoDB COMMENT='Maps items from content tables to tags' DEFAULT CHARSET=utf8;

INSERT INTO `#__contentitem_tag_map` (`type_alias`, `core_content_id`, `content_item_id`, `tag_id`, `tag_date`, `type_id`) VALUES
('com_content.article', 1, 81, 2, '2017-10-12 03:51:35', 1),
('com_content.article', 1, 81, 3, '2017-10-12 03:51:35', 1),
('com_content.article', 1, 81, 4, '2017-10-12 03:51:35', 1),
('com_content.article', 1, 81, 5, '2017-10-12 03:51:35', 1),
('com_content.article', 5, 82, 2, '2017-10-12 03:51:35', 1),
('com_content.article', 5, 82, 4, '2017-10-12 03:51:35', 1),
('com_content.article', 5, 82, 7, '2017-10-12 03:51:35', 1),
('com_content.article', 2, 83, 2, '2017-10-12 03:51:35', 1),
('com_content.article', 2, 83, 6, '2017-10-12 03:51:35', 1),
('com_content.article', 3, 84, 2, '2017-10-12 03:51:35', 1),
('com_content.article', 3, 84, 7, '2017-10-12 03:51:35', 1),
('com_content.article', 3, 84, 8, '2017-10-12 03:51:35', 1),
('com_content.article', 4, 85, 2, '2017-10-12 03:51:35', 1),
('com_content.article', 4, 85, 5, '2017-10-12 03:51:35', 1),
('com_content.article', 4, 85, 9, '2017-10-12 03:51:35', 1),
('com_content.article', 6, 86, 2, '2017-10-12 03:51:35', 1),
('com_content.article', 6, 86, 4, '2017-10-12 03:51:35', 1),
('com_content.article', 6, 86, 8, '2017-10-12 03:51:35', 1),
('com_content.article', 6, 86, 10, '2017-10-12 03:51:35', 1),
('com_content.category', 7, 81, 5, '2017-10-12 03:51:35', 6),
('com_content.category', 7, 81, 8, '2017-10-12 03:51:35', 6),
('com_content.category', 7, 81, 9, '2017-10-12 03:51:35', 6);

DROP TABLE IF EXISTS `#__easyblog_associations`;
CREATE TABLE `#__easyblog_associations` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `post_id` int(11) NOT NULL,
  `key` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_postid` (`post_id`),
  KEY `idx_key` (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_category_fields_groups`;
CREATE TABLE `#__easyblog_category_fields_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `category_id` int(11) NOT NULL,
  `group_id` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category_id` (`category_id`,`group_id`),
  KEY `cat_id` (`category_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_composer_blocks`;
CREATE TABLE `#__easyblog_composer_blocks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group` varchar(255) NOT NULL,
  `element` varchar(255) NOT NULL,
  `title` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `keywords` text NOT NULL,
  `published` tinyint(3) NOT NULL,
  `created` datetime DEFAULT NULL,
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_published` (`published`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=MyISAM AUTO_INCREMENT=44 DEFAULT CHARSET=utf8;

INSERT INTO `#__easyblog_composer_blocks` (`id`, `group`, `element`, `title`, `description`, `keywords`, `published`, `created`, `ordering`) VALUES
(1, 'media', 'audio', 'Audio Block', 'Allows you to embed an audio block into your blog post.', 'audio, mp3, songs, media', 1, NULL, 17),
(2, 'embeddables', 'behance', 'Behance Block', 'Allows you to embed a Behance widget in your blog post.', 'behance, photos, creativity, creative', 1, NULL, 27),
(4, 'elements', 'buttons', 'Buttons Block', 'Allows you to insert a button into the editor', 'buttons, call to action', 1, NULL, 9),
(5, 'elements', 'code', 'Code Block', 'Allows you to insert a code block in the editor.', 'code, pre, syntax highlighter', 1, NULL, 11),
(6, 'embeddables', 'codepen', 'Codepen Block', 'Allows you to embed codepen block in your blog post.', 'code, editor, syntax highlighter, code preview', 1, NULL, 30),
(7, 'layout', 'columns', 'Columns Block', 'Allows you to insert multi column row into the editor', 'columns, divider', 1, NULL, 4),
(8, 'embeddables', 'dailymotion', 'Daily Motion', 'Allows you to embed a DailyMotion video.', 'video, daily motion, videos, media', 1, NULL, 35),
(9, 'media', 'file', 'File Block', 'Allows you to insert a file into the editor.', 'pdf, exe, txt, file', 1, NULL, 18),
(10, 'media', 'gallery', 'Gallery Block', 'Allows you to select multiple images to construct a picture gallery.', 'gallery, multiple, images, photos', 1, NULL, 14),
(11, 'embeddables', 'gist', 'Gist', 'Embed Gist codes in your blog post by using this block.', 'Gist, code, syntax highlighter', 1, NULL, 24),
(12, 'layout', 'heading', 'Heading Block', 'Heading block allows the author to insert heading tags in the blog post.', 'heading, header, title', 1, NULL, 1),
(13, 'misc', 'html', 'Html Block', 'Allows you to insert custom html codes within the editor', 'html, custom html', 1, NULL, 19),
(14, 'media', 'image', 'Image Block', 'Allows you to embed an image into the editor.', 'images, photos', 1, NULL, 12),
(15, 'embeddables', 'instagram', 'Instagram Block', 'Allows you to embed an Instagram widget from Instagram in your blog post.', 'instagram, photos, photo embed', 1, NULL, 25),
(16, 'elements', 'links', 'Links Block', 'Allows you to insert a link content into the editor.\'', 'links, share, url, bookmark', 1, NULL, 10),
(17, 'embeddables', 'liveleak', 'Live Leak', 'Allows you to embed videos from Live Leak', 'video, videos, liveleak videos, live leak, media, streaming', 1, NULL, 40),
(18, 'embeddables', 'livestream', 'Live Stream', 'Allows you to embed videos from Live Stream', 'video, videos, live videos, live video, media, streaming', 1, NULL, 39),
(19, 'embeddables', 'metacafe', 'Metacafe', 'Allows you to embed videos from Metacafe', 'video, videos, metacafe, media', 1, NULL, 38),
(20, 'embeddables', 'mtv', 'MTV', 'Allows you to embed a MTV video', 'video, mtv, music, media', 1, NULL, 36),
(21, 'elements', 'note', 'Note Block', 'Allows you to insert an emphasis into the editor.', 'note, emphasis, alert, info, panel, message, highlight, important', 1, NULL, 7),
(22, 'misc', 'pagebreak', 'Page Break', 'Allows you to add page break in your blog post', 'pagebreak, pages, multiple page, split pages', 1, NULL, 23),
(23, 'misc', 'post', 'Post', 'Allows users to insert a post block into the document.', '', 2, NULL, 22),
(24, 'embeddables', 'pinterest', 'Pinterest Block', 'Allows you to embed a pinterest pin within the post.', 'pinterest, pin, board', 1, NULL, 32),
(25, 'elements', 'quotes', 'Quotes Block', 'Allows you to insert a block quote in the editor.', 'quotes, blockquotes', 1, NULL, 8),
(26, 'misc', 'readmore', 'Readmore Block', 'Allows insertion of a read more block to separate the contents between intro text and full text', 'readmore, split pages', 1, NULL, 21),
(27, 'misc', 'rule', 'Rule Block', 'Allows you to insert a horizontal line block in the editor', 'rule, horizontal rule, page break, divider', 1, NULL, 20),
(28, 'embeddables', 'slideshare', 'Slideshare Block', 'Allows you to embed slideshare slides in your blog post.', 'powerpoint, presentation, slides', 1, NULL, 29),
(29, 'embeddables', 'soundcloud', 'Soundcloud Block', 'Allows you to embed a Soundcloud widget in your blog post.', 'soundcloud, music, player, audio', 1, NULL, 28),
(30, 'embeddables', 'spotify', 'Spotify Block', 'Allows you to embed a Spotify widget from in  your blog post.', 'spotify, music, streaming, songs', 1, NULL, 26),
(31, 'layout', 'table', 'Table Block', 'Allows you to insert a table into the editor', 'table, grid, excel, spreadsheet', 1, NULL, 5),
(32, 'layout', 'tabs', 'Tabs Block', 'Tab block allows the author to create tabs within their blog post.', 'tabs', 1, NULL, 3),
(33, 'embeddables', 'ted', 'TED', 'Allows you to embed videos from TED', 'video, ted, talks, media', 1, NULL, 37),
(34, 'layout', 'text', 'Text Block', 'Text block is simply just a paragraph of text which the author can insert into their blog post.', 'text, paragraph', 1, NULL, 2),
(35, 'media', 'thumbnails', 'Thumbnails Block', 'Allows you to insert a thumbnail into the editor', 'thumbnails, small, images, photos', 1, NULL, 15),
(36, 'embeddables', 'tweet', 'Tweet', 'Allows you to embed a twitter post.', 'twitter, tweets, tweet', 1, NULL, 31),
(37, 'media', 'video', 'Video Block', 'Allows you to insert an external video source from video providers within a blog post.', 'video, youtube, vimeo, embed', 1, NULL, 13),
(38, 'embeddables', 'vimeo', 'Vimeo', 'Allows you to embed a vimeo video.', 'video, vimeo, videos, media', 1, NULL, 34),
(40, 'embeddables', 'youtube', 'Youtube Block', 'Allows you to embed a youtube video', 'video, youtube, videos, media', 1, NULL, 33),
(41, 'embeddables', 'facebook', 'Facebook', 'Embed Facebook posts in your blog post by using this block.', 'Facebook, social networking, social', 1, NULL, 41),
(42, 'misc', 'module', 'Module Block', 'Allows you to add module in your blog post.', 'module, position', 1, NULL, 43),
(43, 'media', 'pdf', 'PDF Block', 'Allows you to embed a PDF preview within your blog post.', 'pdf, preview, document', 1, NULL, 42);

DROP TABLE IF EXISTS `#__easyblog_fields`;
CREATE TABLE `#__easyblog_fields` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `group_id` int(11) NOT NULL,
  `title` text NOT NULL,
  `help` text NOT NULL,
  `state` tinyint(3) NOT NULL,
  `required` tinyint(3) NOT NULL,
  `type` varchar(255) NOT NULL,
  `params` text NOT NULL,
  `created` datetime DEFAULT NULL,
  `options` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `group_id` (`group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_fields_groups`;
CREATE TABLE `#__easyblog_fields_groups` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `description` text NOT NULL,
  `created` datetime DEFAULT NULL,
  `state` tinyint(3) NOT NULL,
  `read` text NOT NULL,
  `write` text NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `state` (`state`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_fields_values`;
CREATE TABLE `#__easyblog_fields_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `field_id` int(11) NOT NULL,
  `post_id` int(11) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `field_id` (`field_id`),
  KEY `post_id` (`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_languages`;
CREATE TABLE `#__easyblog_languages` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  `locale` varchar(255) NOT NULL,
  `updated` datetime NOT NULL,
  `state` tinyint(3) NOT NULL,
  `translator` varchar(255) NOT NULL,
  `progress` int(11) NOT NULL,
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_media`;
CREATE TABLE `#__easyblog_media` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `filename` varchar(500) NOT NULL,
  `title` varchar(500) NOT NULL,
  `created_by` int(11) NOT NULL,
  `type` varchar(100) NOT NULL,
  `icon` varchar(255) NOT NULL,
  `preview` text NOT NULL,
  `url` text NOT NULL,
  `key` varchar(255) NOT NULL,
  `uri` varchar(255) NOT NULL,
  `place` varchar(255) NOT NULL,
  `parent` varchar(255) NOT NULL,
  `params` longtext NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uri` (`uri`),
  KEY `key` (`key`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_oauth_logs`;
CREATE TABLE `#__easyblog_oauth_logs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `oauth_id` int(11) NOT NULL,
  `post_id` int(11) NOT NULL,
  `status` tinyint(3) NOT NULL,
  `created` datetime NOT NULL,
  `response` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_post_assets`;
CREATE TABLE `#__easyblog_post_assets` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `post_id` int(11) NOT NULL,
  `key` varchar(255) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `blog_id` (`post_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_post_category`;
CREATE TABLE `#__easyblog_post_category` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `post_id` int(11) NOT NULL,
  `category_id` int(11) NOT NULL,
  `primary` tinyint(4) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `eb_post_category_postid` (`post_id`),
  KEY `eb_post_category_catid` (`category_id`),
  KEY `eb_post_category_post_cat` (`post_id`,`category_id`),
  KEY `eb_post_category_cat_post` (`category_id`,`post_id`)
) ENGINE=MyISAM AUTO_INCREMENT=23 DEFAULT CHARSET=utf8;

INSERT INTO `#__easyblog_post_category` (`id`, `post_id`, `category_id`, `primary`) VALUES
(1, 22, 2, 1),
(2, 1, 1, 1),
(3, 2, 1, 1),
(4, 3, 1, 1),
(5, 4, 3, 1),
(6, 11, 3, 1),
(7, 5, 3, 1),
(8, 6, 1, 1),
(9, 7, 3, 1),
(10, 8, 3, 1),
(11, 9, 1, 1),
(12, 10, 1, 1),
(13, 12, 2, 1),
(14, 13, 2, 1),
(15, 14, 2, 1),
(16, 15, 2, 1),
(17, 16, 4, 1),
(18, 17, 4, 1),
(19, 18, 4, 1),
(20, 19, 4, 1),
(21, 20, 4, 1),
(22, 21, 2, 1);

DROP TABLE IF EXISTS `#__easyblog_post_templates`;
CREATE TABLE `#__easyblog_post_templates` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `data` longtext,
  `created` datetime NOT NULL,
  `system` tinyint(1) NOT NULL,
  `core` tinyint(1) DEFAULT '0',
  `screenshot` text NOT NULL,
  `published` tinyint(3) DEFAULT '1',
  `datafix` tinyint(1) DEFAULT '1',
  `doctype` varchar(255) NOT NULL DEFAULT 'ebd',
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__easyblog_post_templates` (`id`, `user_id`, `title`, `data`, `created`, `system`, `core`, `screenshot`, `published`, `datafix`, `doctype`) VALUES
(1, 42, 'COM_EASYBLOG_COMPOSER_TEMPLATES_TITLE_BLANK', '{}', '2017-10-12 04:30:56', 2, 1, '/components/com_easyblog/assets/images/template-blank.png', 1, 1, 'ebd'),
(3, 42, 'COM_EASYBLOG_COMPOSER_TEMPLATES_TITLE_EVENT', '{"title":"COM_EASYBLOG_COMPOSER_TEMPLATES_TITLE_EVENT","permalink":"template-for-event-1-1","type":"ebd","version":"1.0","blocks":[{"uid":"04869970544241369","type":"text","html":"\\n            <p>Duis ac quam leo. Phasellus malesuada, leo at lobortis egestas, felis lorem condimentum lacus, id iaculis quam urna ac urna. Vivamus aliquam laoreet semper. Ut lacinia sem nisi. Sed vulputate convallis odio posuere porttitor. Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit, sollicitudin semper nisl pulvinar sed.<br><br><\\/p>\\n","data":{},"blocks":[],"nested":false,"isolated":false,"text":"\\n            Duis ac quam leo. Phasellus malesuada, leo at lobortis egestas, felis lorem condimentum lacus, id iaculis quam urna ac urna. Vivamus aliquam laoreet semper. Ut lacinia sem nisi. Sed vulputate convallis odio posuere porttitor. Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit, sollicitudin semper nisl pulvinar sed.\\n","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Duis ac quam leo. Phasellus malesuada, leo at lobortis egestas, felis lorem condimentum lacus, id iaculis quam urna ac urna. Vivamus aliquam laoreet semper. Ut lacinia sem nisi. Sed vulputate convallis odio posuere porttitor. Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit, sollicitudin semper nisl pulvinar sed.<br><br><\\/p>\\n<\\/div><\\/div>\\t\\t"},{"uid":"06658816069830209","type":"table","html":"<table class=\\"table table-bordered\\" style=\\"table-layout: fixed\\">\\n    <tbody><tr>\\n        <td>\\u200bTime<\\/td>\\n        <td>\\u200b<span class=\\"redactor-invisible-space\\">\\u200b<\\/span>November 15, 2015 - 10:00 PM<br><\\/td>\\n        \\n    <\\/tr>\\n    <tr>\\n        <td>\\u200bLocation<br><\\/td>\\n        <td>\\u200b3200 Barbaros Bulvar\\u0131 Besiktas\\/Istanbul, TR<br><\\/td>\\n        \\n    <\\/tr>\\n<tr><td>\\u200bTickets<br><\\/td><td>\\u200b246 tickets remaining<br><\\/td><\\/tr><\\/tbody><\\/table>","data":{"striped":0,"bordered":1,"hover":0,"condensed":0,"rows":3,"columns":2},"blocks":[],"nested":false,"isolated":false,"text":"\\n    \\n        \\n            \\u200bTime\\n        \\n        \\n            \\u200b\\u200bNovember 15, 2015 - 10:00 PM\\n        \\n        \\n    \\n    \\n        \\n            \\u200bLocation\\n        \\n        \\n            \\u200b3200 Barbaros Bulvar\\u0131 Besiktas\\/Istanbul, TR\\n        \\n        \\n    \\n\\u200bTickets\\u200b246 tickets remaining","editableHtml":"\\n\\t\\t\\t<table class=\\"table table-bordered\\" style=\\"table-layout: fixed\\">\\n    <tbody><tr>\\n        <td>\\n            <div contenteditable=\\"true\\">\\u200bTime<\\/div>\\n        <\\/td>\\n        <td>\\n            <div contenteditable=\\"true\\">\\u200b<span class=\\"redactor-invisible-space\\">\\u200b<\\/span>November 15, 2015 - 10:00 PM<br><\\/div>\\n        <\\/td>\\n        \\n    <\\/tr>\\n    <tr>\\n        <td>\\n            <div contenteditable=\\"true\\">\\u200bLocation<br><\\/div>\\n        <\\/td>\\n        <td>\\n            <div contenteditable=\\"true\\">\\u200b3200 Barbaros Bulvar\\u0131 Besiktas\\/Istanbul, TR<br><\\/div>\\n        <\\/td>\\n        \\n    <\\/tr>\\n<tr><td><div contenteditable=\\"true\\">\\u200bTickets<br><\\/div><\\/td><td><div contenteditable=\\"true\\">\\u200b246 tickets remaining<br><\\/div><\\/td><\\/tr><\\/tbody><\\/table>\\t\\t"},{"uid":"09581912469584495","type":"rule","html":"\\n\\t\\t\\t<hr>\\t\\t","data":{},"blocks":[],"nested":false,"isolated":false,"text":"","editableHtml":"\\n\\t\\t\\t<hr>\\t\\t"},{"uid":"08785801255144179","type":"heading","html":"\\n\\t\\t\\t<h4>Schedule<\\/h4>\\t\\t","data":{},"blocks":[],"nested":false,"isolated":false,"text":"\\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\tSchedule\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n","editableHtml":"\\n\\t\\t\\t<h4 contenteditable=\\"true\\">Schedule<\\/h4>\\t\\t"},{"uid":"09648641077801585","type":"text","html":"\\n            <p>Praesent ac sem in neque venenatis tristique. Morbi et ligula velit. Nullam a augue vel mi porta vestibulum non ac elit. Vivamus convallis tortor et fermentum semper.<br><br><\\/p>        ","data":{},"blocks":[],"nested":false,"isolated":false,"text":"\\n            Praesent ac sem in neque venenatis tristique. Morbi et ligula velit. Nullam a augue vel mi porta vestibulum non ac elit. Vivamus convallis tortor et fermentum semper.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Praesent ac sem in neque venenatis tristique. Morbi et ligula velit. Nullam a augue vel mi porta vestibulum non ac elit. Vivamus convallis tortor et fermentum semper.<br><br><\\/p>        <\\/div><\\/div>\\t\\t"},{"uid":"09790925409179181","type":"table","html":"<table class=\\"table table-bordered table-striped\\" style=\\"table-layout: fixed\\">\\n    <tbody><tr>\\n        <td>\\u200b7:00 am - 8:25 am<br><\\/td>\\n        <td>\\u200bWhat is a CSS framework<br><\\/td>\\n        \\n    <\\/tr>\\n    <tr>\\n        <td>\\u200b8:30 am - 10:25 am<br><\\/td>\\n        <td>\\u200bCSS architecture for front-ends<br><\\/td>\\n        \\n    <\\/tr>\\n<tr><td>\\u200b10:30 am - 11:50 am<br><\\/td><td>\\u200bDesigning Responsive Websites<br><\\/td><\\/tr><tr><td>\\u200b12:00 am - 2:25 pm<br><\\/td><td>\\u200bPrivate Pesticide Applicators Training<br><\\/td><\\/tr><\\/tbody><\\/table>","data":{"striped":1,"bordered":1,"hover":0,"condensed":0,"rows":4,"columns":2},"blocks":[],"nested":false,"isolated":false,"text":"\\n    \\n        \\n            \\u200b7:00 am - 8:25 am\\n        \\n        \\n            \\u200bWhat is a CSS framework\\n        \\n        \\n    \\n    \\n        \\n            \\u200b8:30 am - 10:25 am\\n        \\n        \\n            \\u200bCSS architecture for front-ends\\n        \\n        \\n    \\n\\u200b10:30 am - 11:50 am\\u200bDesigning Responsive Websites\\u200b12:00 am - 2:25 pm\\u200bPrivate Pesticide Applicators Training","editableHtml":"\\n\\t\\t\\t<table class=\\"table table-bordered table-striped\\" style=\\"table-layout: fixed\\">\\n    <tbody><tr>\\n        <td>\\n            <div contenteditable=\\"true\\">\\u200b7:00 am - 8:25 am<br><\\/div>\\n        <\\/td>\\n        <td>\\n            <div contenteditable=\\"true\\">\\u200bWhat is a CSS framework<br><\\/div>\\n        <\\/td>\\n        \\n    <\\/tr>\\n    <tr>\\n        <td>\\n            <div contenteditable=\\"true\\">\\u200b8:30 am - 10:25 am<br><\\/div>\\n        <\\/td>\\n        <td>\\n            <div contenteditable=\\"true\\">\\u200bCSS architecture for front-ends<br><\\/div>\\n        <\\/td>\\n        \\n    <\\/tr>\\n<tr><td><div contenteditable=\\"true\\">\\u200b10:30 am - 11:50 am<br><\\/div><\\/td><td><div contenteditable=\\"true\\">\\u200bDesigning Responsive Websites<br><\\/div><\\/td><\\/tr><tr><td><div contenteditable=\\"true\\">\\u200b12:00 am - 2:25 pm<br><\\/div><\\/td><td><div contenteditable=\\"true\\">\\u200bPrivate Pesticide Applicators Training<br><\\/div><\\/td><\\/tr><\\/tbody><\\/table>\\t\\t"},{"uid":"026126078073866665","type":"rule","html":"\\n\\t\\t\\t<hr>\\t\\t","data":{},"blocks":[],"nested":false,"isolated":false,"text":"","editableHtml":"\\n\\t\\t\\t<hr>\\t\\t"},{"uid":"08552929288707674","type":"heading","html":"\\n\\t\\t\\t<h4>Speakers<\\/h4>\\t\\t","data":{},"blocks":[],"nested":false,"isolated":false,"text":"\\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\tSpeakers\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n","editableHtml":"\\n\\t\\t\\t<h4 contenteditable=\\"true\\">Speakers<\\/h4>\\t\\t"},{"uid":"031816470227204263","type":"text","html":"\\n            <p>In hac habitasse platea dictumst. Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.<br><br><\\/p>        ","data":{},"blocks":[],"nested":false,"isolated":false,"text":"\\n            In hac habitasse platea dictumst. Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>In hac habitasse platea dictumst. Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.<br><br><\\/p>        <\\/div><\\/div>\\t\\t"},{"uid":"010195815097540617","type":"columns","html":"\\n\\t\\t\\t<div class=\\"row\\" data-responsive=\\"400,300,200,100\\">\\n    <div class=\\"col col-md-3\\" data-size=\\"6\\">\\n        \\n    <!--block009043372764914626--><\\/div>\\n    <div class=\\"col col-md-9\\" data-size=\\"6\\">\\n        \\n    <!--block063396499841474--><\\/div>\\n<\\/div>\\t\\t","data":{"columns":[{"size":6,"content":"COM_EASYBLOG_BLOCK_COLUMN_DEFAULT_TITLE"},{"size":6,"content":"COM_EASYBLOG_BLOCK_COLUMN_DEFAULT_TITLE"}]},"blocks":[{"uid":"009043372764914626","type":"image","html":"","data":{"isurl":false,"url":"","uri":"","variation":"","size_enabled":true,"mode":"simple","mode_lock":false,"fluid":false,"width":"","width_lock":false,"height":"","height_lock":false,"ratio":"","ratio_lock":true,"alignment":"center","responsive":true,"strategy":"fit","element_width":"","element_height":"","element_top":"","element_left":"","element_ratio":"","element_ratio_lock":true,"natural_width":"","natural_height":"","natural_ratio":"","style_enabled":true,"style":"clear","caption_enabled":true,"caption_text":"","alt_enabled":true,"alt_text":"","link_enabled":true,"link_url":"","link_title":"","link_target":"","popup_enabled":true,"popup_url":"","popup_uri":"","popup_variation":""},"blocks":[],"nested":true,"isolated":false,"style":"text-align: center;","text":"\\nundefined","editableHtml":"\\n\\t\\t\\t<div class=\\"eb-composer-placeholder eb-composer-placeholder-image text-center\\" data-eb-composer-image-placeholder=\\"\\" data-key=\\"_cG9zdA--\\" data-type=\\"image\\" data-plupload-multi-selection=\\"0\\">\\n\\n\\t<div data-plupload-drop-element=\\"\\" style=\\"position: relative;\\">\\n\\t\\t<i class=\\"eb-composer-placeholder-icon fa fa-camera\\"><\\/i>\\n\\n\\t\\t\\t\\t<b class=\\"eb-composer-placeholder-title\\">Drop an image block here<\\/b>\\n\\t\\t<p class=\\"eb-composer-placeholder-brief\\">Supports jpeg, png, gif.<\\/p>\\n\\t\\t\\n\\t\\t<input id=\\"use-url\\" type=\\"checkbox\\">\\n\\n\\t\\t<div class=\\"eb-composer-place-options\\" style=\\"position: relative;\\">\\n\\t\\t\\t<label class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\">\\n\\t\\t\\t\\tEnter URL\\t\\t\\t<\\/label>\\n\\n\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" data-eb-mm-browse-button=\\"\\" data-eb-mm-start-uri=\\"_cG9zdA--\\" data-eb-mm-filter=\\"image\\">\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t<\\/button>\\n\\n\\t\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary\\" data-plupload-browse-button=\\"\\" style=\\"position: relative; z-index: 1;\\">\\n\\t\\t\\t\\t<i class=\\"fa fa-upload\\"><\\/i>&nbsp; Upload\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<div id=\\"html5_1bdiomulr9rhj517r2qlm1cbq11_container\\" class=\\"moxie-shim moxie-shim-html5\\" style=\\"position: absolute; top: 30px; left: 82px; width: 77px; height: 30px; overflow: hidden; z-index: 0;\\"><input id=\\"html5_1bdiomulr9rhj517r2qlm1cbq11\\" style=\\"font-size: 999px; opacity: 0; position: absolute; top: 0px; left: 0px; width: 100%; height: 100%;\\" multiple=\\"\\" accept=\\"image\\/jpeg,image\\/png,image\\/gif\\" type=\\"file\\"><\\/div><\\/div>\\n\\n\\t\\t<div class=\\"eb-composer-place-url\\" data-eb-image-url-form=\\"\\">\\n\\t\\t\\t<div class=\\"o-input-group o-input-group--sm\\">\\n\\t\\t\\t\\t<input class=\\"o-form-control\\" placeholder=\\"Place image URL here\\" data-eb-image-url-textbox=\\"\\" type=\\"text\\">\\n\\n\\t\\t\\t\\t<span class=\\"o-input-group__btn\\">\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary-o\\" data-eb-image-url-add=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-check\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\" data-eb-image-url-cancel=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-times\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t<\\/span>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\n\\n\\t\\t<div class=\\"eb-composer-upload-progress\\" data-eb-mm-upload-progress=\\"\\">\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress\\">\\n            <b class=\\"progress-bar progress-bar-success progress-bar-striped\\" role=\\"progressbar\\" aria-valuenow=\\"0\\" aria-valuemin=\\"0\\" aria-valuemax=\\"100\\" style=\\"width: 0%;\\" data-eb-mm-upload-progress-bar=\\"\\"><\\/b>\\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress-value\\" data-eb-mm-upload-progress-value=\\"\\">0%<\\/div>\\n        <span data-eb-mm-upload-name=\\"\\" class=\\"hide\\"><\\/span>\\n    <\\/div>\\n<\\/div>\\n\\t\\t<div class=\\"eb-composer-placeholder-fail\\">\\n\\t<div class=\\"row-table\\">\\n\\t\\t<div class=\\"col-cell\\">\\n\\t\\t\\t<p data-eb-mm-upload-error-text=\\"\\"><\\/p>\\n\\t\\t\\t<a href=\\"javascript:void(0);\\" class=\\"btn btn--sm btn-eb-primary\\" data-eb-mm-upload-error-retry=\\"\\">Try Again<\\/a>\\n\\t\\t<\\/div>\\n\\t<\\/div>\\n<\\/div>\\t<\\/div>\\n<\\/div>\\t\\t"},{"uid":"063396499841474","type":"text","html":"\\n            <p><strong data-verified=\\"redactor\\" data-redactor-tag=\\"strong\\">Julius Cesar <\\/strong><br>Front-end Developer&nbsp;<\\/p><p>Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Julius Cesar Front-end Developer\\u00a0Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p><strong data-verified=\\"redactor\\" data-redactor-tag=\\"strong\\">Julius Cesar <\\/strong><br>Front-end Developer&nbsp;<\\/p><p>Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.<\\/p>        <\\/div><\\/div>\\t\\t"},{"uid":"009043372764914626","type":"image","html":"","data":{"isurl":false,"url":"","uri":"","variation":"","size_enabled":true,"mode":"simple","mode_lock":false,"fluid":false,"width":"","width_lock":false,"height":"","height_lock":false,"ratio":"","ratio_lock":true,"alignment":"center","responsive":true,"strategy":"fit","element_width":"","element_height":"","element_top":"","element_left":"","element_ratio":"","element_ratio_lock":true,"natural_width":"","natural_height":"","natural_ratio":"","style_enabled":true,"style":"clear","caption_enabled":true,"caption_text":"","alt_enabled":true,"alt_text":"","link_enabled":true,"link_url":"","link_title":"","link_target":"","popup_enabled":true,"popup_url":"","popup_uri":"","popup_variation":""},"blocks":[],"nested":true,"isolated":false,"style":"text-align: center;","text":"\\nundefined","editableHtml":"\\n\\t\\t\\t<div class=\\"eb-composer-placeholder eb-composer-placeholder-image text-center\\" data-eb-composer-image-placeholder=\\"\\" data-key=\\"_cG9zdA--\\" data-type=\\"image\\" data-plupload-multi-selection=\\"0\\">\\n\\n\\t<div data-plupload-drop-element=\\"\\" style=\\"position: relative;\\">\\n\\t\\t<i class=\\"eb-composer-placeholder-icon fa fa-camera\\"><\\/i>\\n\\n\\t\\t\\t\\t<b class=\\"eb-composer-placeholder-title\\">Drop an image block here<\\/b>\\n\\t\\t<p class=\\"eb-composer-placeholder-brief\\">Supports jpeg, png, gif.<\\/p>\\n\\t\\t\\n\\t\\t<input id=\\"use-url\\" type=\\"checkbox\\">\\n\\n\\t\\t<div class=\\"eb-composer-place-options\\" style=\\"position: relative;\\">\\n\\t\\t\\t<label class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\">\\n\\t\\t\\t\\tEnter URL\\t\\t\\t<\\/label>\\n\\n\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" data-eb-mm-browse-button=\\"\\" data-eb-mm-start-uri=\\"_cG9zdA--\\" data-eb-mm-filter=\\"image\\">\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t<\\/button>\\n\\n\\t\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary\\" data-plupload-browse-button=\\"\\" style=\\"position: relative; z-index: 1;\\">\\n\\t\\t\\t\\t<i class=\\"fa fa-upload\\"><\\/i>&nbsp; Upload\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<div id=\\"html5_1bdiomulr9rhj517r2qlm1cbq11_container\\" class=\\"moxie-shim moxie-shim-html5\\" style=\\"position: absolute; top: 30px; left: 82px; width: 77px; height: 30px; overflow: hidden; z-index: 0;\\"><input id=\\"html5_1bdiomulr9rhj517r2qlm1cbq11\\" style=\\"font-size: 999px; opacity: 0; position: absolute; top: 0px; left: 0px; width: 100%; height: 100%;\\" multiple=\\"\\" accept=\\"image\\/jpeg,image\\/png,image\\/gif\\" type=\\"file\\"><\\/div><\\/div>\\n\\n\\t\\t<div class=\\"eb-composer-place-url\\" data-eb-image-url-form=\\"\\">\\n\\t\\t\\t<div class=\\"o-input-group o-input-group--sm\\">\\n\\t\\t\\t\\t<input class=\\"o-form-control\\" placeholder=\\"Place image URL here\\" data-eb-image-url-textbox=\\"\\" type=\\"text\\">\\n\\n\\t\\t\\t\\t<span class=\\"o-input-group__btn\\">\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary-o\\" data-eb-image-url-add=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-check\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\" data-eb-image-url-cancel=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-times\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t<\\/span>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\n\\n\\t\\t<div class=\\"eb-composer-upload-progress\\" data-eb-mm-upload-progress=\\"\\">\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress\\">\\n            <b class=\\"progress-bar progress-bar-success progress-bar-striped\\" role=\\"progressbar\\" aria-valuenow=\\"0\\" aria-valuemin=\\"0\\" aria-valuemax=\\"100\\" style=\\"width: 0%;\\" data-eb-mm-upload-progress-bar=\\"\\"><\\/b>\\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress-value\\" data-eb-mm-upload-progress-value=\\"\\">0%<\\/div>\\n        <span data-eb-mm-upload-name=\\"\\" class=\\"hide\\"><\\/span>\\n    <\\/div>\\n<\\/div>\\n\\t\\t<div class=\\"eb-composer-placeholder-fail\\">\\n\\t<div class=\\"row-table\\">\\n\\t\\t<div class=\\"col-cell\\">\\n\\t\\t\\t<p data-eb-mm-upload-error-text=\\"\\"><\\/p>\\n\\t\\t\\t<a href=\\"javascript:void(0);\\" class=\\"btn btn--sm btn-eb-primary\\" data-eb-mm-upload-error-retry=\\"\\">Try Again<\\/a>\\n\\t\\t<\\/div>\\n\\t<\\/div>\\n<\\/div>\\t<\\/div>\\n<\\/div>\\t\\t"},{"uid":"063396499841474","type":"text","html":"\\n            <p><strong data-verified=\\"redactor\\" data-redactor-tag=\\"strong\\">Julius Cesar <\\/strong><br>Front-end Developer&nbsp;<\\/p><p>Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Julius Cesar Front-end Developer\\u00a0Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p><strong data-verified=\\"redactor\\" data-redactor-tag=\\"strong\\">Julius Cesar <\\/strong><br>Front-end Developer&nbsp;<\\/p><p>Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.<\\/p>        <\\/div><\\/div>\\t\\t"}],"nested":false,"isolated":false,"text":"\\n\\t\\t\\t\\n    \\n        \\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\n\\t\\n\\t\\t\\n\\n\\t\\t\\t\\tDrop an image block here\\n\\t\\tSupports jpeg, png, gif.\\n\\t\\t\\n\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tEnter URL\\t\\t\\t\\n\\n\\t\\t\\t\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t\\n\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\u00a0 Upload\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\n\\n\\t\\t\\n    \\n        \\n            \\n        \\n    \\n    \\n        0%\\n        \\n    \\n\\n\\t\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\tTry Again\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n\\n\\n\\n\\n\\n            \\n        \\n    \\n    \\n        \\n            \\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n            Julius Cesar Front-end Developer\\u00a0Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.        \\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n\\n\\n\\n\\n\\n        \\n    \\n\\t\\t","editableHtml":"\\n\\t\\t\\t<div class=\\"row\\" data-responsive=\\"400,300,200,100\\">\\n    <div class=\\"col col-md-3\\" data-size=\\"6\\">\\n        <div class=\\"ebd-nest\\" data-type=\\"block\\" data-col-wrapper=\\"\\"><!--block009043372764914626-->\\n\\n\\n\\n\\n            \\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col col-md-9\\" data-size=\\"6\\">\\n        <div class=\\"ebd-nest\\" data-type=\\"block\\" data-col-wrapper=\\"\\">\\n            <!--block063396499841474-->\\n\\n\\n\\n\\n        <\\/div>\\n    <\\/div>\\n<\\/div>\\t\\t"},{"uid":"09532270370982587","type":"rule","html":"\\n\\t\\t\\t<hr>\\t\\t","data":{},"blocks":[],"nested":false,"isolated":false,"text":"","editableHtml":"\\n\\t\\t\\t<hr>\\t\\t"},{"uid":"08414754318073392","type":"columns","html":"\\n\\t\\t\\t<div class=\\"row\\" data-responsive=\\"400,300,200,100\\">\\n    <div class=\\"col col-md-3\\" data-size=\\"6\\">\\n        \\n    <!--block02606287800591841--><\\/div>\\n    <div class=\\"col col-md-9\\" data-size=\\"6\\">\\n        \\n    <!--block08399178786203265--><\\/div>\\n<\\/div>\\t\\t","data":{"columns":[{"size":6,"content":"COM_EASYBLOG_BLOCK_COLUMN_DEFAULT_TITLE"},{"size":6,"content":"COM_EASYBLOG_BLOCK_COLUMN_DEFAULT_TITLE"}]},"blocks":[{"uid":"02606287800591841","type":"image","html":"","data":{"isurl":false,"url":"","uri":"","variation":"","size_enabled":true,"mode":"simple","mode_lock":false,"fluid":false,"width":"","width_lock":false,"height":"","height_lock":false,"ratio":"","ratio_lock":true,"alignment":"center","responsive":true,"strategy":"fit","element_width":"","element_height":"","element_top":"","element_left":"","element_ratio":"","element_ratio_lock":true,"natural_width":"","natural_height":"","natural_ratio":"","style_enabled":true,"style":"clear","caption_enabled":true,"caption_text":"","alt_enabled":true,"alt_text":"","link_enabled":true,"link_url":"","link_title":"","link_target":"","popup_enabled":true,"popup_url":"","popup_uri":"","popup_variation":""},"blocks":[],"nested":true,"isolated":false,"style":"text-align: center;","text":"\\nundefined","editableHtml":"\\n\\t\\t\\t<div class=\\"eb-composer-placeholder eb-composer-placeholder-image text-center\\" data-eb-composer-image-placeholder=\\"\\" data-key=\\"_cG9zdA--\\" data-type=\\"image\\" data-plupload-multi-selection=\\"0\\">\\n\\n\\t<div data-plupload-drop-element=\\"\\" style=\\"position: relative;\\">\\n\\t\\t<i class=\\"eb-composer-placeholder-icon fa fa-camera\\"><\\/i>\\n\\n\\t\\t\\t\\t<b class=\\"eb-composer-placeholder-title\\">Drop an image block here<\\/b>\\n\\t\\t<p class=\\"eb-composer-placeholder-brief\\">Supports jpeg, png, gif.<\\/p>\\n\\t\\t\\n\\t\\t<input id=\\"use-url\\" type=\\"checkbox\\">\\n\\n\\t\\t<div class=\\"eb-composer-place-options\\" style=\\"position: relative;\\">\\n\\t\\t\\t<label class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\">\\n\\t\\t\\t\\tEnter URL\\t\\t\\t<\\/label>\\n\\n\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" data-eb-mm-browse-button=\\"\\" data-eb-mm-start-uri=\\"_cG9zdA--\\" data-eb-mm-filter=\\"image\\">\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t<\\/button>\\n\\n\\t\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary\\" data-plupload-browse-button=\\"\\" style=\\"position: relative; z-index: 1;\\">\\n\\t\\t\\t\\t<i class=\\"fa fa-upload\\"><\\/i>&nbsp; Upload\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<div id=\\"html5_1bdionkcb10qajbc1dpvkqums619_container\\" class=\\"moxie-shim moxie-shim-html5\\" style=\\"position: absolute; top: 30px; left: 82px; width: 77px; height: 30px; overflow: hidden; z-index: 0;\\"><input id=\\"html5_1bdionkcb10qajbc1dpvkqums619\\" style=\\"font-size: 999px; opacity: 0; position: absolute; top: 0px; left: 0px; width: 100%; height: 100%;\\" multiple=\\"\\" accept=\\"image\\/jpeg,image\\/png,image\\/gif\\" type=\\"file\\"><\\/div><\\/div>\\n\\n\\t\\t<div class=\\"eb-composer-place-url\\" data-eb-image-url-form=\\"\\">\\n\\t\\t\\t<div class=\\"o-input-group o-input-group--sm\\">\\n\\t\\t\\t\\t<input class=\\"o-form-control\\" placeholder=\\"Place image URL here\\" data-eb-image-url-textbox=\\"\\" type=\\"text\\">\\n\\n\\t\\t\\t\\t<span class=\\"o-input-group__btn\\">\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary-o\\" data-eb-image-url-add=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-check\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\" data-eb-image-url-cancel=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-times\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t<\\/span>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\n\\n\\t\\t<div class=\\"eb-composer-upload-progress\\" data-eb-mm-upload-progress=\\"\\">\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress\\">\\n            <b class=\\"progress-bar progress-bar-success progress-bar-striped\\" role=\\"progressbar\\" aria-valuenow=\\"0\\" aria-valuemin=\\"0\\" aria-valuemax=\\"100\\" style=\\"width: 0%;\\" data-eb-mm-upload-progress-bar=\\"\\"><\\/b>\\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress-value\\" data-eb-mm-upload-progress-value=\\"\\">0%<\\/div>\\n        <span data-eb-mm-upload-name=\\"\\" class=\\"hide\\"><\\/span>\\n    <\\/div>\\n<\\/div>\\n\\t\\t<div class=\\"eb-composer-placeholder-fail\\">\\n\\t<div class=\\"row-table\\">\\n\\t\\t<div class=\\"col-cell\\">\\n\\t\\t\\t<p data-eb-mm-upload-error-text=\\"\\"><\\/p>\\n\\t\\t\\t<a href=\\"javascript:void(0);\\" class=\\"btn btn--sm btn-eb-primary\\" data-eb-mm-upload-error-retry=\\"\\">Try Again<\\/a>\\n\\t\\t<\\/div>\\n\\t<\\/div>\\n<\\/div>\\t<\\/div>\\n<\\/div>\\t\\t"},{"uid":"08399178786203265","type":"text","html":"\\n            <p><strong data-verified=\\"redactor\\" data-redactor-tag=\\"strong\\">Agness Monica<\\/strong><br>Interface Designer<\\/p><p>Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Agness MonicaInterface DesignerCurabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p><strong data-verified=\\"redactor\\" data-redactor-tag=\\"strong\\">Agness Monica<\\/strong><br>Interface Designer<\\/p><p>Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.<\\/p>        <\\/div><\\/div>\\t\\t"},{"uid":"02606287800591841","type":"image","html":"","data":{"isurl":false,"url":"","uri":"","variation":"","size_enabled":true,"mode":"simple","mode_lock":false,"fluid":false,"width":"","width_lock":false,"height":"","height_lock":false,"ratio":"","ratio_lock":true,"alignment":"center","responsive":true,"strategy":"fit","element_width":"","element_height":"","element_top":"","element_left":"","element_ratio":"","element_ratio_lock":true,"natural_width":"","natural_height":"","natural_ratio":"","style_enabled":true,"style":"clear","caption_enabled":true,"caption_text":"","alt_enabled":true,"alt_text":"","link_enabled":true,"link_url":"","link_title":"","link_target":"","popup_enabled":true,"popup_url":"","popup_uri":"","popup_variation":""},"blocks":[],"nested":true,"isolated":false,"style":"text-align: center;","text":"\\nundefined","editableHtml":"\\n\\t\\t\\t<div class=\\"eb-composer-placeholder eb-composer-placeholder-image text-center\\" data-eb-composer-image-placeholder=\\"\\" data-key=\\"_cG9zdA--\\" data-type=\\"image\\" data-plupload-multi-selection=\\"0\\">\\n\\n\\t<div data-plupload-drop-element=\\"\\" style=\\"position: relative;\\">\\n\\t\\t<i class=\\"eb-composer-placeholder-icon fa fa-camera\\"><\\/i>\\n\\n\\t\\t\\t\\t<b class=\\"eb-composer-placeholder-title\\">Drop an image block here<\\/b>\\n\\t\\t<p class=\\"eb-composer-placeholder-brief\\">Supports jpeg, png, gif.<\\/p>\\n\\t\\t\\n\\t\\t<input id=\\"use-url\\" type=\\"checkbox\\">\\n\\n\\t\\t<div class=\\"eb-composer-place-options\\" style=\\"position: relative;\\">\\n\\t\\t\\t<label class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\">\\n\\t\\t\\t\\tEnter URL\\t\\t\\t<\\/label>\\n\\n\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" data-eb-mm-browse-button=\\"\\" data-eb-mm-start-uri=\\"_cG9zdA--\\" data-eb-mm-filter=\\"image\\">\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t<\\/button>\\n\\n\\t\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary\\" data-plupload-browse-button=\\"\\" style=\\"position: relative; z-index: 1;\\">\\n\\t\\t\\t\\t<i class=\\"fa fa-upload\\"><\\/i>&nbsp; Upload\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<div id=\\"html5_1bdionkcb10qajbc1dpvkqums619_container\\" class=\\"moxie-shim moxie-shim-html5\\" style=\\"position: absolute; top: 30px; left: 82px; width: 77px; height: 30px; overflow: hidden; z-index: 0;\\"><input id=\\"html5_1bdionkcb10qajbc1dpvkqums619\\" style=\\"font-size: 999px; opacity: 0; position: absolute; top: 0px; left: 0px; width: 100%; height: 100%;\\" multiple=\\"\\" accept=\\"image\\/jpeg,image\\/png,image\\/gif\\" type=\\"file\\"><\\/div><\\/div>\\n\\n\\t\\t<div class=\\"eb-composer-place-url\\" data-eb-image-url-form=\\"\\">\\n\\t\\t\\t<div class=\\"o-input-group o-input-group--sm\\">\\n\\t\\t\\t\\t<input class=\\"o-form-control\\" placeholder=\\"Place image URL here\\" data-eb-image-url-textbox=\\"\\" type=\\"text\\">\\n\\n\\t\\t\\t\\t<span class=\\"o-input-group__btn\\">\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary-o\\" data-eb-image-url-add=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-check\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\" data-eb-image-url-cancel=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-times\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t<\\/span>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\n\\n\\t\\t<div class=\\"eb-composer-upload-progress\\" data-eb-mm-upload-progress=\\"\\">\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress\\">\\n            <b class=\\"progress-bar progress-bar-success progress-bar-striped\\" role=\\"progressbar\\" aria-valuenow=\\"0\\" aria-valuemin=\\"0\\" aria-valuemax=\\"100\\" style=\\"width: 0%;\\" data-eb-mm-upload-progress-bar=\\"\\"><\\/b>\\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress-value\\" data-eb-mm-upload-progress-value=\\"\\">0%<\\/div>\\n        <span data-eb-mm-upload-name=\\"\\" class=\\"hide\\"><\\/span>\\n    <\\/div>\\n<\\/div>\\n\\t\\t<div class=\\"eb-composer-placeholder-fail\\">\\n\\t<div class=\\"row-table\\">\\n\\t\\t<div class=\\"col-cell\\">\\n\\t\\t\\t<p data-eb-mm-upload-error-text=\\"\\"><\\/p>\\n\\t\\t\\t<a href=\\"javascript:void(0);\\" class=\\"btn btn--sm btn-eb-primary\\" data-eb-mm-upload-error-retry=\\"\\">Try Again<\\/a>\\n\\t\\t<\\/div>\\n\\t<\\/div>\\n<\\/div>\\t<\\/div>\\n<\\/div>\\t\\t"},{"uid":"08399178786203265","type":"text","html":"\\n            <p><strong data-verified=\\"redactor\\" data-redactor-tag=\\"strong\\">Agness Monica<\\/strong><br>Interface Designer<\\/p><p>Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Agness MonicaInterface DesignerCurabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p><strong data-verified=\\"redactor\\" data-redactor-tag=\\"strong\\">Agness Monica<\\/strong><br>Interface Designer<\\/p><p>Curabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.<\\/p>        <\\/div><\\/div>\\t\\t"}],"nested":false,"isolated":false,"text":"\\n\\t\\t\\t\\n    \\n        \\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\n\\t\\n\\t\\t\\n\\n\\t\\t\\t\\tDrop an image block here\\n\\t\\tSupports jpeg, png, gif.\\n\\t\\t\\n\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tEnter URL\\t\\t\\t\\n\\n\\t\\t\\t\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t\\n\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\u00a0 Upload\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\n\\n\\t\\t\\n    \\n        \\n            \\n        \\n    \\n    \\n        0%\\n        \\n    \\n\\n\\t\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\tTry Again\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n\\n\\n\\n\\n\\n            \\n        \\n    \\n    \\n        \\n            \\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n            Agness MonicaInterface DesignerCurabitur eget dui id metus pulvinar suscipit. Quisque vitae ligula laoreet, scelerisque leo quis, facilisis metus.        \\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n\\n\\n\\n\\n\\n        \\n    \\n\\t\\t","editableHtml":"\\n\\t\\t\\t<div class=\\"row\\" data-responsive=\\"400,300,200,100\\">\\n    <div class=\\"col col-md-3\\" data-size=\\"6\\">\\n        <div class=\\"ebd-nest\\" data-type=\\"block\\" data-col-wrapper=\\"\\"><!--block02606287800591841-->\\n\\n\\n\\n\\n            \\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col col-md-9\\" data-size=\\"6\\">\\n        <div class=\\"ebd-nest\\" data-type=\\"block\\" data-col-wrapper=\\"\\">\\n            <!--block08399178786203265-->\\n\\n\\n\\n\\n        <\\/div>\\n    <\\/div>\\n<\\/div>\\t\\t"}]}', '2017-10-12 04:30:56', 1, 1, '/components/com_easyblog/assets/images/template-events.png', 1, 1, 'ebd');
INSERT INTO `#__easyblog_post_templates` (`id`, `user_id`, `title`, `data`, `created`, `system`, `core`, `screenshot`, `published`, `datafix`, `doctype`) VALUES
(2, 42, 'COM_EASYBLOG_COMPOSER_TEMPLATES_TITLE_NEWS', '{"title":"COM_EASYBLOG_COMPOSER_TEMPLATES_TITLE_NEWS","permalink":"template-for-news","type":"ebd","version":"1.0","blocks":[{"uid":"05234665782190859","type":"text","html":"\\n            <p>Tart lollipop candy toffee danish candy liquorice cookie fruitcake. Powder croissant jelly-o jelly-o danish chocolate bar. Chocolate cake gummies croissant halvah jelly beans tootsie roll pudding.&nbsp;<\\/p><p>Danish brownie tart cookie jelly beans tiramisu jelly. Marzipan drag\\u00e9e lollipop cake ice cream. Sesame snaps souffl\\u00e9 souffl\\u00e9 sugar plum ice cream jelly beans chocolate bar brownie. Fruitcake bonbon pastry.&nbsp;<\\/p><p>Tiramisu jujubes marzipan. Biscuit carrot cake fruitcake drag\\u00e9e chocolate donut.<\\/p>        ","data":{},"blocks":[],"nested":false,"isolated":false,"text":"\\n            Tart lollipop candy toffee danish candy liquorice cookie fruitcake. Powder croissant jelly-o jelly-o danish chocolate bar. Chocolate cake gummies croissant halvah jelly beans tootsie roll pudding.\\u00a0Danish brownie tart cookie jelly beans tiramisu jelly. Marzipan drag\\u00e9e lollipop cake ice cream. Sesame snaps souffl\\u00e9 souffl\\u00e9 sugar plum ice cream jelly beans chocolate bar brownie. Fruitcake bonbon pastry.\\u00a0Tiramisu jujubes marzipan. Biscuit carrot cake fruitcake drag\\u00e9e chocolate donut.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Tart lollipop candy toffee danish candy liquorice cookie fruitcake. Powder croissant jelly-o jelly-o danish chocolate bar. Chocolate cake gummies croissant halvah jelly beans tootsie roll pudding.&nbsp;<\\/p><p>Danish brownie tart cookie jelly beans tiramisu jelly. Marzipan drag\\u00e9e lollipop cake ice cream. Sesame snaps souffl\\u00e9 souffl\\u00e9 sugar plum ice cream jelly beans chocolate bar brownie. Fruitcake bonbon pastry.&nbsp;<\\/p><p>Tiramisu jujubes marzipan. Biscuit carrot cake fruitcake drag\\u00e9e chocolate donut.<\\/p>        <\\/div><\\/div>\\t\\t"},{"uid":"07758479909971356","type":"quotes","html":"\\n\\t\\t\\t<blockquote class=\\"eb-quote style-default\\">\\n    <p>Jujubes lemon drops tart lollipop brownie<br><\\/p>\\n    <cite>Cupcake Ipsum, 2015<\\/cite>\\n<\\/blockquote>\\t\\t","data":{"style":"style-default","citation":1,"current":"style-default"},"blocks":[],"nested":false,"isolated":false,"text":"","editableHtml":"\\n\\t\\t\\t<blockquote class=\\"eb-quote style-default\\">\\n    <p contenteditable=\\"true\\">Jujubes lemon drops tart lollipop brownie<br><\\/p>\\n    <cite contenteditable=\\"true\\">Cupcake Ipsum, 2015<\\/cite>\\n<\\/blockquote>\\t\\t"},{"uid":"035853996756486595","type":"text","html":"\\n            <p>Lollipop marzipan apple pie oat cake sweet roll carrot cake toffee dessert marzipan. Gummi bears jelly-o liquorice lollipop chocolate bar.&nbsp;<\\/p><p>Pastry jelly jelly sugar plum jelly tiramisu cupcake sugar plum. Pastry pie pudding tiramisu donut ice cream candy. Sweet marshmallow souffl\\u00e9 pudding.&nbsp;<span>Marzipan macaroon jelly beans. Croissant gummi bears chupa chups sugar plum tootsie roll apple pie cupcake.<\\/span><\\/p><p><span>Candy sweet roll jelly beans candy marzipan. Powder jelly-o cookie sweet roll tart pudding croissant bonbon pudding. Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<br><\\/span><\\/p>        ","data":{},"blocks":[],"nested":false,"isolated":false,"text":"\\n            Lollipop marzipan apple pie oat cake sweet roll carrot cake toffee dessert marzipan. Gummi bears jelly-o liquorice lollipop chocolate bar.\\u00a0Pastry jelly jelly sugar plum jelly tiramisu cupcake sugar plum. Pastry pie pudding tiramisu donut ice cream candy. Sweet marshmallow souffl\\u00e9 pudding.\\u00a0Marzipan macaroon jelly beans. Croissant gummi bears chupa chups sugar plum tootsie roll apple pie cupcake.Candy sweet roll jelly beans candy marzipan. Powder jelly-o cookie sweet roll tart pudding croissant bonbon pudding. Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Lollipop marzipan apple pie oat cake sweet roll carrot cake toffee dessert marzipan. Gummi bears jelly-o liquorice lollipop chocolate bar.&nbsp;<\\/p><p>Pastry jelly jelly sugar plum jelly tiramisu cupcake sugar plum. Pastry pie pudding tiramisu donut ice cream candy. Sweet marshmallow souffl\\u00e9 pudding.&nbsp;<span>Marzipan macaroon jelly beans. Croissant gummi bears chupa chups sugar plum tootsie roll apple pie cupcake.<\\/span><\\/p><p><span>Candy sweet roll jelly beans candy marzipan. Powder jelly-o cookie sweet roll tart pudding croissant bonbon pudding. Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<br><\\/span><\\/p>        <\\/div><\\/div>\\t\\t"},{"uid":"04488845628220588","type":"rule","html":"\\n\\t\\t\\t<hr>\\t\\t","data":{},"blocks":[],"nested":false,"isolated":false,"text":"","editableHtml":"\\n\\t\\t\\t<hr>\\t\\t"},{"uid":"037803769996389747","type":"columns","html":"\\n\\t\\t\\t<div class=\\"row\\" data-responsive=\\"400,300,200,100\\">\\n    <div class=\\"col col-md-4\\" data-size=\\"6\\">\\n        \\n    <!--block08674246128445761--><!--block0993169609690085--><!--block019192429818212986--><\\/div>\\n    <div class=\\"col col-md-4\\" data-size=\\"6\\">\\n        \\n    <!--block08366024575996764--><!--block01288135687354952--><!--block02684249742887914--><\\/div>\\n<div class=\\"col col-md-4\\" data-size=\\"1\\"><!--block0564728506224802--><!--block05865874881856143--><!--block07594925842713565--><\\/div><\\/div>\\t\\t","data":{"columns":[{"default":0,"content":"<div class=\\"col-cell no-wrap\\" style=\\"padding-right: 10px;\\">Column Size<\\/div>\\n                    <div class=\\"col-cell\\">\\n                        <select data-select-width=\\"\\">\\n                            <option>Select Size<\\/option>\\n\\n                                                        <option value=\\"1\\">1<\\/option>\\n                                                        <option value=\\"2\\">2<\\/option>\\n                                                        <option value=\\"3\\">3<\\/option>\\n                                                        <option value=\\"4\\">4<\\/option>\\n                                                        <option value=\\"5\\">5<\\/option>\\n                                                        <option value=\\"6\\" selected=\\"selected\\">6<\\/option>\\n                                                        <option value=\\"7\\">7<\\/option>\\n                                                        <option value=\\"8\\">8<\\/option>\\n                                                        <option value=\\"9\\">9<\\/option>\\n                                                        <option value=\\"10\\">10<\\/option>\\n                                                        <option value=\\"11\\">11<\\/option>\\n                                                        <option value=\\"12\\">12<\\/option>\\n                                                    <\\/select>\\n                    <\\/div>"},{"default":0,"content":"<div class=\\"col-cell no-wrap\\" style=\\"padding-right: 10px;\\">Column Size<\\/div>\\n                    <div class=\\"col-cell\\">\\n                        <select data-select-width=\\"\\">\\n                            <option>Select Size<\\/option>\\n\\n                                                        <option value=\\"1\\">1<\\/option>\\n                                                        <option value=\\"2\\">2<\\/option>\\n                                                        <option value=\\"3\\">3<\\/option>\\n                                                        <option value=\\"4\\">4<\\/option>\\n                                                        <option value=\\"5\\">5<\\/option>\\n                                                        <option value=\\"6\\" selected=\\"selected\\">6<\\/option>\\n                                                        <option value=\\"7\\">7<\\/option>\\n                                                        <option value=\\"8\\">8<\\/option>\\n                                                        <option value=\\"9\\">9<\\/option>\\n                                                        <option value=\\"10\\">10<\\/option>\\n                                                        <option value=\\"11\\">11<\\/option>\\n                                                        <option value=\\"12\\">12<\\/option>\\n                                                    <\\/select>\\n                    <\\/div>"},{"default":0,"content":"<div class=\\"col-cell no-wrap\\" style=\\"padding-right: 10px;\\">Column Size<\\/div>\\n                    <div class=\\"col-cell\\">\\n                        <select data-select-width=\\"\\">\\n                            <option>Select Size<\\/option>\\n\\n                                                        <option value=\\"1\\">1<\\/option>\\n                                                        <option value=\\"2\\">2<\\/option>\\n                                                        <option value=\\"3\\">3<\\/option>\\n                                                        <option value=\\"4\\">4<\\/option>\\n                                                        <option value=\\"5\\">5<\\/option>\\n                                                        <option value=\\"6\\" selected=\\"selected\\">6<\\/option>\\n                                                        <option value=\\"7\\">7<\\/option>\\n                                                        <option value=\\"8\\">8<\\/option>\\n                                                        <option value=\\"9\\">9<\\/option>\\n                                                        <option value=\\"10\\">10<\\/option>\\n                                                        <option value=\\"11\\">11<\\/option>\\n                                                        <option value=\\"12\\">12<\\/option>\\n                                                    <\\/select>\\n                    <\\/div>"}]},"blocks":[{"uid":"08674246128445761","type":"image","html":"","data":{"isurl":false,"url":"","uri":"","variation":"","size_enabled":true,"mode":"simple","mode_lock":false,"fluid":false,"width":"","width_lock":false,"height":"","height_lock":false,"ratio":"","ratio_lock":true,"alignment":"center","responsive":true,"strategy":"fit","element_width":"","element_height":"","element_top":"","element_left":"","element_ratio":"","element_ratio_lock":true,"natural_width":"","natural_height":"","natural_ratio":"","style_enabled":true,"style":"clear","caption_enabled":true,"caption_text":"","alt_enabled":true,"alt_text":"","link_enabled":true,"link_url":"","link_title":"","link_target":"","popup_enabled":true,"popup_url":"","popup_uri":"","popup_variation":""},"blocks":[],"nested":true,"isolated":false,"style":"text-align: center;","text":"\\nundefined","editableHtml":"\\n\\t\\t\\t<div class=\\"eb-composer-placeholder eb-composer-placeholder-image text-center\\" data-eb-composer-image-placeholder=\\"\\" data-key=\\"_cG9zdA--\\" data-type=\\"image\\" data-plupload-multi-selection=\\"0\\">\\n\\n\\t<div data-plupload-drop-element=\\"\\" style=\\"position: relative;\\">\\n\\t\\t<i class=\\"eb-composer-placeholder-icon fa fa-camera\\"><\\/i>\\n\\n\\t\\t\\t\\t<b class=\\"eb-composer-placeholder-title\\">Drop an image block here<\\/b>\\n\\t\\t<p class=\\"eb-composer-placeholder-brief\\">Supports jpeg, png, gif.<\\/p>\\n\\t\\t\\n\\t\\t<input id=\\"use-url\\" type=\\"checkbox\\">\\n\\n\\t\\t<div class=\\"eb-composer-place-options\\" style=\\"position: relative;\\">\\n\\t\\t\\t<label class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\">\\n\\t\\t\\t\\tEnter URL\\t\\t\\t<\\/label>\\n\\n\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" data-eb-mm-browse-button=\\"\\" data-eb-mm-start-uri=\\"_cG9zdA--\\" data-eb-mm-filter=\\"image\\">\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t<\\/button>\\n\\n\\t\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary\\" data-plupload-browse-button=\\"\\" style=\\"position: relative; z-index: 1;\\">\\n\\t\\t\\t\\t<i class=\\"fa fa-upload\\"><\\/i>&nbsp; Upload\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<div id=\\"html5_1bdioslqk16va1rud1n8v122l15rj18_container\\" class=\\"moxie-shim moxie-shim-html5\\" style=\\"position: absolute; top: 0px; left: 230px; width: 77px; height: 30px; overflow: hidden; z-index: 0;\\"><input id=\\"html5_1bdioslqk16va1rud1n8v122l15rj18\\" style=\\"font-size: 999px; opacity: 0; position: absolute; top: 0px; left: 0px; width: 100%; height: 100%;\\" multiple=\\"\\" accept=\\"image\\/jpeg,image\\/png,image\\/gif\\" type=\\"file\\"><\\/div><\\/div>\\n\\n\\t\\t<div class=\\"eb-composer-place-url\\" data-eb-image-url-form=\\"\\">\\n\\t\\t\\t<div class=\\"o-input-group o-input-group--sm\\">\\n\\t\\t\\t\\t<input class=\\"o-form-control\\" placeholder=\\"Place image URL here\\" data-eb-image-url-textbox=\\"\\" type=\\"text\\">\\n\\n\\t\\t\\t\\t<span class=\\"o-input-group__btn\\">\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary-o\\" data-eb-image-url-add=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-check\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\" data-eb-image-url-cancel=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-times\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t<\\/span>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\n\\n\\t\\t<div class=\\"eb-composer-upload-progress\\" data-eb-mm-upload-progress=\\"\\">\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress\\">\\n            <b class=\\"progress-bar progress-bar-success progress-bar-striped\\" role=\\"progressbar\\" aria-valuenow=\\"0\\" aria-valuemin=\\"0\\" aria-valuemax=\\"100\\" style=\\"width: 0%;\\" data-eb-mm-upload-progress-bar=\\"\\"><\\/b>\\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress-value\\" data-eb-mm-upload-progress-value=\\"\\">0%<\\/div>\\n        <span data-eb-mm-upload-name=\\"\\" class=\\"hide\\"><\\/span>\\n    <\\/div>\\n<\\/div>\\n\\t\\t<div class=\\"eb-composer-placeholder-fail\\">\\n\\t<div class=\\"row-table\\">\\n\\t\\t<div class=\\"col-cell\\">\\n\\t\\t\\t<p data-eb-mm-upload-error-text=\\"\\"><\\/p>\\n\\t\\t\\t<a href=\\"javascript:void(0);\\" class=\\"btn btn--sm btn-eb-primary\\" data-eb-mm-upload-error-retry=\\"\\">Try Again<\\/a>\\n\\t\\t<\\/div>\\n\\t<\\/div>\\n<\\/div>\\t<\\/div>\\n<\\/div>\\t\\t"},{"uid":"0993169609690085","type":"heading","html":"\\n\\t\\t\\t<h4><br><a href=\\"http:\\/\\/www.google.com\\" title=\\"\\" class=\\"\\" target=\\"_blank\\">Related Post Title A<\\/a><\\/h4>\\t\\t","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\tRelated Post Title A\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n","editableHtml":"\\n\\t\\t\\t<h4 contenteditable=\\"true\\"><br><a href=\\"http:\\/\\/www.google.com\\" title=\\"\\" class=\\"\\" target=\\"_blank\\">Related Post Title A<\\/a><\\/h4>\\t\\t"},{"uid":"019192429818212986","type":"text","html":"\\n            <p>Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<\\/p>        <\\/div><\\/div>\\t\\t"},{"uid":"08366024575996764","type":"image","html":"","data":{"isurl":false,"url":"","uri":"","variation":"","size_enabled":true,"mode":"simple","mode_lock":false,"fluid":false,"width":"","width_lock":false,"height":"","height_lock":false,"ratio":"","ratio_lock":true,"alignment":"center","responsive":true,"strategy":"fit","element_width":"","element_height":"","element_top":"","element_left":"","element_ratio":"","element_ratio_lock":true,"natural_width":"","natural_height":"","natural_ratio":"","style_enabled":true,"style":"clear","caption_enabled":true,"caption_text":"","alt_enabled":true,"alt_text":"","link_enabled":true,"link_url":"","link_title":"","link_target":"","popup_enabled":true,"popup_url":"","popup_uri":"","popup_variation":""},"blocks":[],"nested":true,"isolated":false,"style":"text-align: center;","text":"\\nundefined","editableHtml":"\\n\\t\\t\\t<div class=\\"eb-composer-placeholder eb-composer-placeholder-image text-center\\" data-eb-composer-image-placeholder=\\"\\" data-key=\\"_cG9zdA--\\" data-type=\\"image\\" data-plupload-multi-selection=\\"0\\">\\n\\n\\t<div data-plupload-drop-element=\\"\\" style=\\"position: relative;\\">\\n\\t\\t<i class=\\"eb-composer-placeholder-icon fa fa-camera\\"><\\/i>\\n\\n\\t\\t\\t\\t<b class=\\"eb-composer-placeholder-title\\">Drop an image block here<\\/b>\\n\\t\\t<p class=\\"eb-composer-placeholder-brief\\">Supports jpeg, png, gif.<\\/p>\\n\\t\\t\\n\\t\\t<input id=\\"use-url\\" type=\\"checkbox\\">\\n\\n\\t\\t<div class=\\"eb-composer-place-options\\" style=\\"position: relative;\\">\\n\\t\\t\\t<label class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\">\\n\\t\\t\\t\\tEnter URL\\t\\t\\t<\\/label>\\n\\n\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" data-eb-mm-browse-button=\\"\\" data-eb-mm-start-uri=\\"_cG9zdA--\\" data-eb-mm-filter=\\"image\\">\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t<\\/button>\\n\\n\\t\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary\\" data-plupload-browse-button=\\"\\" style=\\"position: relative; z-index: 1;\\">\\n\\t\\t\\t\\t<i class=\\"fa fa-upload\\"><\\/i>&nbsp; Upload\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<div id=\\"html5_1bdiot7em6h6f32vae1g0m8sn1g_container\\" class=\\"moxie-shim moxie-shim-html5\\" style=\\"position: absolute; top: 0px; left: 230px; width: 77px; height: 30px; overflow: hidden; z-index: 0;\\"><input id=\\"html5_1bdiot7em6h6f32vae1g0m8sn1g\\" style=\\"font-size: 999px; opacity: 0; position: absolute; top: 0px; left: 0px; width: 100%; height: 100%;\\" multiple=\\"\\" accept=\\"image\\/jpeg,image\\/png,image\\/gif\\" type=\\"file\\"><\\/div><\\/div>\\n\\n\\t\\t<div class=\\"eb-composer-place-url\\" data-eb-image-url-form=\\"\\">\\n\\t\\t\\t<div class=\\"o-input-group o-input-group--sm\\">\\n\\t\\t\\t\\t<input class=\\"o-form-control\\" placeholder=\\"Place image URL here\\" data-eb-image-url-textbox=\\"\\" type=\\"text\\">\\n\\n\\t\\t\\t\\t<span class=\\"o-input-group__btn\\">\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary-o\\" data-eb-image-url-add=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-check\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\" data-eb-image-url-cancel=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-times\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t<\\/span>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\n\\n\\t\\t<div class=\\"eb-composer-upload-progress\\" data-eb-mm-upload-progress=\\"\\">\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress\\">\\n            <b class=\\"progress-bar progress-bar-success progress-bar-striped\\" role=\\"progressbar\\" aria-valuenow=\\"0\\" aria-valuemin=\\"0\\" aria-valuemax=\\"100\\" style=\\"width: 0%;\\" data-eb-mm-upload-progress-bar=\\"\\"><\\/b>\\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress-value\\" data-eb-mm-upload-progress-value=\\"\\">0%<\\/div>\\n        <span data-eb-mm-upload-name=\\"\\" class=\\"hide\\"><\\/span>\\n    <\\/div>\\n<\\/div>\\n\\t\\t<div class=\\"eb-composer-placeholder-fail\\">\\n\\t<div class=\\"row-table\\">\\n\\t\\t<div class=\\"col-cell\\">\\n\\t\\t\\t<p data-eb-mm-upload-error-text=\\"\\"><\\/p>\\n\\t\\t\\t<a href=\\"javascript:void(0);\\" class=\\"btn btn--sm btn-eb-primary\\" data-eb-mm-upload-error-retry=\\"\\">Try Again<\\/a>\\n\\t\\t<\\/div>\\n\\t<\\/div>\\n<\\/div>\\t<\\/div>\\n<\\/div>\\t\\t"},{"uid":"01288135687354952","type":"heading","html":"\\n\\t\\t\\t<h4><br><a href=\\"http:\\/\\/www.google.com\\" title=\\"\\" class=\\"\\" target=\\"_blank\\">Related Post Title B<\\/a><br><\\/h4>\\t\\t","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\tRelated Post Title B\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n","editableHtml":"\\n\\t\\t\\t<h4 contenteditable=\\"true\\"><br><a href=\\"http:\\/\\/www.google.com\\" title=\\"\\" class=\\"\\" target=\\"_blank\\">Related Post Title B<\\/a><br><\\/h4>\\t\\t"},{"uid":"02684249742887914","type":"text","html":"\\n            <p>Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<\\/p>        <\\/div><\\/div>\\t\\t"},{"uid":"0564728506224802","type":"image","html":"","data":{"isurl":false,"url":"","uri":"","variation":"","size_enabled":true,"mode":"simple","mode_lock":false,"fluid":false,"width":"","width_lock":false,"height":"","height_lock":false,"ratio":"","ratio_lock":true,"alignment":"center","responsive":true,"strategy":"fit","element_width":"","element_height":"","element_top":"","element_left":"","element_ratio":"","element_ratio_lock":true,"natural_width":"","natural_height":"","natural_ratio":"","style_enabled":true,"style":"clear","caption_enabled":true,"caption_text":"","alt_enabled":true,"alt_text":"","link_enabled":true,"link_url":"","link_title":"","link_target":"","popup_enabled":true,"popup_url":"","popup_uri":"","popup_variation":""},"blocks":[],"nested":true,"isolated":false,"style":"text-align: center;","text":"\\nundefined","editableHtml":"\\n\\t\\t\\t<div class=\\"eb-composer-placeholder eb-composer-placeholder-image text-center\\" data-eb-composer-image-placeholder=\\"\\" data-key=\\"_cG9zdA--\\" data-type=\\"image\\" data-plupload-multi-selection=\\"0\\">\\n\\n\\t<div data-plupload-drop-element=\\"\\" style=\\"position: relative;\\">\\n\\t\\t<i class=\\"eb-composer-placeholder-icon fa fa-camera\\"><\\/i>\\n\\n\\t\\t\\t\\t<b class=\\"eb-composer-placeholder-title\\">Drop an image block here<\\/b>\\n\\t\\t<p class=\\"eb-composer-placeholder-brief\\">Supports jpeg, png, gif.<\\/p>\\n\\t\\t\\n\\t\\t<input id=\\"use-url\\" type=\\"checkbox\\">\\n\\n\\t\\t<div class=\\"eb-composer-place-options\\" style=\\"position: relative;\\">\\n\\t\\t\\t<label class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\">\\n\\t\\t\\t\\tEnter URL\\t\\t\\t<\\/label>\\n\\n\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" data-eb-mm-browse-button=\\"\\" data-eb-mm-start-uri=\\"_cG9zdA--\\" data-eb-mm-filter=\\"image\\">\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t<\\/button>\\n\\n\\t\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary\\" data-plupload-browse-button=\\"\\" style=\\"position: relative; z-index: 1;\\">\\n\\t\\t\\t\\t<i class=\\"fa fa-upload\\"><\\/i>&nbsp; Upload\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<div id=\\"html5_1bdiotjub137b1f8h1d4t1nun99p1o_container\\" class=\\"moxie-shim moxie-shim-html5\\" style=\\"position: absolute; top: 0px; left: 230px; width: 77px; height: 30px; overflow: hidden; z-index: 0;\\"><input id=\\"html5_1bdiotjub137b1f8h1d4t1nun99p1o\\" style=\\"font-size: 999px; opacity: 0; position: absolute; top: 0px; left: 0px; width: 100%; height: 100%;\\" multiple=\\"\\" accept=\\"image\\/jpeg,image\\/png,image\\/gif\\" type=\\"file\\"><\\/div><\\/div>\\n\\n\\t\\t<div class=\\"eb-composer-place-url\\" data-eb-image-url-form=\\"\\">\\n\\t\\t\\t<div class=\\"o-input-group o-input-group--sm\\">\\n\\t\\t\\t\\t<input class=\\"o-form-control\\" placeholder=\\"Place image URL here\\" data-eb-image-url-textbox=\\"\\" type=\\"text\\">\\n\\n\\t\\t\\t\\t<span class=\\"o-input-group__btn\\">\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary-o\\" data-eb-image-url-add=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-check\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\" data-eb-image-url-cancel=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-times\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t<\\/span>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\n\\n\\t\\t<div class=\\"eb-composer-upload-progress\\" data-eb-mm-upload-progress=\\"\\">\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress\\">\\n            <b class=\\"progress-bar progress-bar-success progress-bar-striped\\" role=\\"progressbar\\" aria-valuenow=\\"0\\" aria-valuemin=\\"0\\" aria-valuemax=\\"100\\" style=\\"width: 0%;\\" data-eb-mm-upload-progress-bar=\\"\\"><\\/b>\\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress-value\\" data-eb-mm-upload-progress-value=\\"\\">0%<\\/div>\\n        <span data-eb-mm-upload-name=\\"\\" class=\\"hide\\"><\\/span>\\n    <\\/div>\\n<\\/div>\\n\\t\\t<div class=\\"eb-composer-placeholder-fail\\">\\n\\t<div class=\\"row-table\\">\\n\\t\\t<div class=\\"col-cell\\">\\n\\t\\t\\t<p data-eb-mm-upload-error-text=\\"\\"><\\/p>\\n\\t\\t\\t<a href=\\"javascript:void(0);\\" class=\\"btn btn--sm btn-eb-primary\\" data-eb-mm-upload-error-retry=\\"\\">Try Again<\\/a>\\n\\t\\t<\\/div>\\n\\t<\\/div>\\n<\\/div>\\t<\\/div>\\n<\\/div>\\t\\t"},{"uid":"05865874881856143","type":"heading","html":"\\n\\t\\t\\t<h4><br><a href=\\"http:\\/\\/www.google.com\\" title=\\"\\" class=\\"\\" target=\\"_blank\\">Related Post Title C<\\/a><br><\\/h4>\\t\\t","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\tRelated Post Title C\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n","editableHtml":"\\n\\t\\t\\t<h4 contenteditable=\\"true\\"><br><a href=\\"http:\\/\\/www.google.com\\" title=\\"\\" class=\\"\\" target=\\"_blank\\">Related Post Title C<\\/a><br><\\/h4>\\t\\t"},{"uid":"07594925842713565","type":"text","html":"\\n            <p>Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<\\/p>        <\\/div><\\/div>\\t\\t"},{"uid":"08674246128445761","type":"image","html":"","data":{"isurl":false,"url":"","uri":"","variation":"","size_enabled":true,"mode":"simple","mode_lock":false,"fluid":false,"width":"","width_lock":false,"height":"","height_lock":false,"ratio":"","ratio_lock":true,"alignment":"center","responsive":true,"strategy":"fit","element_width":"","element_height":"","element_top":"","element_left":"","element_ratio":"","element_ratio_lock":true,"natural_width":"","natural_height":"","natural_ratio":"","style_enabled":true,"style":"clear","caption_enabled":true,"caption_text":"","alt_enabled":true,"alt_text":"","link_enabled":true,"link_url":"","link_title":"","link_target":"","popup_enabled":true,"popup_url":"","popup_uri":"","popup_variation":""},"blocks":[],"nested":true,"isolated":false,"style":"text-align: center;","text":"\\nundefined","editableHtml":"\\n\\t\\t\\t<div class=\\"eb-composer-placeholder eb-composer-placeholder-image text-center\\" data-eb-composer-image-placeholder=\\"\\" data-key=\\"_cG9zdA--\\" data-type=\\"image\\" data-plupload-multi-selection=\\"0\\">\\n\\n\\t<div data-plupload-drop-element=\\"\\" style=\\"position: relative;\\">\\n\\t\\t<i class=\\"eb-composer-placeholder-icon fa fa-camera\\"><\\/i>\\n\\n\\t\\t\\t\\t<b class=\\"eb-composer-placeholder-title\\">Drop an image block here<\\/b>\\n\\t\\t<p class=\\"eb-composer-placeholder-brief\\">Supports jpeg, png, gif.<\\/p>\\n\\t\\t\\n\\t\\t<input id=\\"use-url\\" type=\\"checkbox\\">\\n\\n\\t\\t<div class=\\"eb-composer-place-options\\" style=\\"position: relative;\\">\\n\\t\\t\\t<label class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\">\\n\\t\\t\\t\\tEnter URL\\t\\t\\t<\\/label>\\n\\n\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" data-eb-mm-browse-button=\\"\\" data-eb-mm-start-uri=\\"_cG9zdA--\\" data-eb-mm-filter=\\"image\\">\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t<\\/button>\\n\\n\\t\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary\\" data-plupload-browse-button=\\"\\" style=\\"position: relative; z-index: 1;\\">\\n\\t\\t\\t\\t<i class=\\"fa fa-upload\\"><\\/i>&nbsp; Upload\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<div id=\\"html5_1bdioslqk16va1rud1n8v122l15rj18_container\\" class=\\"moxie-shim moxie-shim-html5\\" style=\\"position: absolute; top: 0px; left: 230px; width: 77px; height: 30px; overflow: hidden; z-index: 0;\\"><input id=\\"html5_1bdioslqk16va1rud1n8v122l15rj18\\" style=\\"font-size: 999px; opacity: 0; position: absolute; top: 0px; left: 0px; width: 100%; height: 100%;\\" multiple=\\"\\" accept=\\"image\\/jpeg,image\\/png,image\\/gif\\" type=\\"file\\"><\\/div><\\/div>\\n\\n\\t\\t<div class=\\"eb-composer-place-url\\" data-eb-image-url-form=\\"\\">\\n\\t\\t\\t<div class=\\"o-input-group o-input-group--sm\\">\\n\\t\\t\\t\\t<input class=\\"o-form-control\\" placeholder=\\"Place image URL here\\" data-eb-image-url-textbox=\\"\\" type=\\"text\\">\\n\\n\\t\\t\\t\\t<span class=\\"o-input-group__btn\\">\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary-o\\" data-eb-image-url-add=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-check\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\" data-eb-image-url-cancel=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-times\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t<\\/span>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\n\\n\\t\\t<div class=\\"eb-composer-upload-progress\\" data-eb-mm-upload-progress=\\"\\">\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress\\">\\n            <b class=\\"progress-bar progress-bar-success progress-bar-striped\\" role=\\"progressbar\\" aria-valuenow=\\"0\\" aria-valuemin=\\"0\\" aria-valuemax=\\"100\\" style=\\"width: 0%;\\" data-eb-mm-upload-progress-bar=\\"\\"><\\/b>\\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress-value\\" data-eb-mm-upload-progress-value=\\"\\">0%<\\/div>\\n        <span data-eb-mm-upload-name=\\"\\" class=\\"hide\\"><\\/span>\\n    <\\/div>\\n<\\/div>\\n\\t\\t<div class=\\"eb-composer-placeholder-fail\\">\\n\\t<div class=\\"row-table\\">\\n\\t\\t<div class=\\"col-cell\\">\\n\\t\\t\\t<p data-eb-mm-upload-error-text=\\"\\"><\\/p>\\n\\t\\t\\t<a href=\\"javascript:void(0);\\" class=\\"btn btn--sm btn-eb-primary\\" data-eb-mm-upload-error-retry=\\"\\">Try Again<\\/a>\\n\\t\\t<\\/div>\\n\\t<\\/div>\\n<\\/div>\\t<\\/div>\\n<\\/div>\\t\\t"},{"uid":"0993169609690085","type":"heading","html":"\\n\\t\\t\\t<h4><br><a href=\\"http:\\/\\/www.google.com\\" title=\\"\\" class=\\"\\" target=\\"_blank\\">Related Post Title A<\\/a><\\/h4>\\t\\t","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\tRelated Post Title A\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n","editableHtml":"\\n\\t\\t\\t<h4 contenteditable=\\"true\\"><br><a href=\\"http:\\/\\/www.google.com\\" title=\\"\\" class=\\"\\" target=\\"_blank\\">Related Post Title A<\\/a><\\/h4>\\t\\t"},{"uid":"019192429818212986","type":"text","html":"\\n            <p>Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<\\/p>        <\\/div><\\/div>\\t\\t"},{"uid":"08366024575996764","type":"image","html":"","data":{"isurl":false,"url":"","uri":"","variation":"","size_enabled":true,"mode":"simple","mode_lock":false,"fluid":false,"width":"","width_lock":false,"height":"","height_lock":false,"ratio":"","ratio_lock":true,"alignment":"center","responsive":true,"strategy":"fit","element_width":"","element_height":"","element_top":"","element_left":"","element_ratio":"","element_ratio_lock":true,"natural_width":"","natural_height":"","natural_ratio":"","style_enabled":true,"style":"clear","caption_enabled":true,"caption_text":"","alt_enabled":true,"alt_text":"","link_enabled":true,"link_url":"","link_title":"","link_target":"","popup_enabled":true,"popup_url":"","popup_uri":"","popup_variation":""},"blocks":[],"nested":true,"isolated":false,"style":"text-align: center;","text":"\\nundefined","editableHtml":"\\n\\t\\t\\t<div class=\\"eb-composer-placeholder eb-composer-placeholder-image text-center\\" data-eb-composer-image-placeholder=\\"\\" data-key=\\"_cG9zdA--\\" data-type=\\"image\\" data-plupload-multi-selection=\\"0\\">\\n\\n\\t<div data-plupload-drop-element=\\"\\" style=\\"position: relative;\\">\\n\\t\\t<i class=\\"eb-composer-placeholder-icon fa fa-camera\\"><\\/i>\\n\\n\\t\\t\\t\\t<b class=\\"eb-composer-placeholder-title\\">Drop an image block here<\\/b>\\n\\t\\t<p class=\\"eb-composer-placeholder-brief\\">Supports jpeg, png, gif.<\\/p>\\n\\t\\t\\n\\t\\t<input id=\\"use-url\\" type=\\"checkbox\\">\\n\\n\\t\\t<div class=\\"eb-composer-place-options\\" style=\\"position: relative;\\">\\n\\t\\t\\t<label class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\">\\n\\t\\t\\t\\tEnter URL\\t\\t\\t<\\/label>\\n\\n\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" data-eb-mm-browse-button=\\"\\" data-eb-mm-start-uri=\\"_cG9zdA--\\" data-eb-mm-filter=\\"image\\">\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t<\\/button>\\n\\n\\t\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary\\" data-plupload-browse-button=\\"\\" style=\\"position: relative; z-index: 1;\\">\\n\\t\\t\\t\\t<i class=\\"fa fa-upload\\"><\\/i>&nbsp; Upload\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<div id=\\"html5_1bdiot7em6h6f32vae1g0m8sn1g_container\\" class=\\"moxie-shim moxie-shim-html5\\" style=\\"position: absolute; top: 0px; left: 230px; width: 77px; height: 30px; overflow: hidden; z-index: 0;\\"><input id=\\"html5_1bdiot7em6h6f32vae1g0m8sn1g\\" style=\\"font-size: 999px; opacity: 0; position: absolute; top: 0px; left: 0px; width: 100%; height: 100%;\\" multiple=\\"\\" accept=\\"image\\/jpeg,image\\/png,image\\/gif\\" type=\\"file\\"><\\/div><\\/div>\\n\\n\\t\\t<div class=\\"eb-composer-place-url\\" data-eb-image-url-form=\\"\\">\\n\\t\\t\\t<div class=\\"o-input-group o-input-group--sm\\">\\n\\t\\t\\t\\t<input class=\\"o-form-control\\" placeholder=\\"Place image URL here\\" data-eb-image-url-textbox=\\"\\" type=\\"text\\">\\n\\n\\t\\t\\t\\t<span class=\\"o-input-group__btn\\">\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary-o\\" data-eb-image-url-add=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-check\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\" data-eb-image-url-cancel=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-times\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t<\\/span>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\n\\n\\t\\t<div class=\\"eb-composer-upload-progress\\" data-eb-mm-upload-progress=\\"\\">\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress\\">\\n            <b class=\\"progress-bar progress-bar-success progress-bar-striped\\" role=\\"progressbar\\" aria-valuenow=\\"0\\" aria-valuemin=\\"0\\" aria-valuemax=\\"100\\" style=\\"width: 0%;\\" data-eb-mm-upload-progress-bar=\\"\\"><\\/b>\\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress-value\\" data-eb-mm-upload-progress-value=\\"\\">0%<\\/div>\\n        <span data-eb-mm-upload-name=\\"\\" class=\\"hide\\"><\\/span>\\n    <\\/div>\\n<\\/div>\\n\\t\\t<div class=\\"eb-composer-placeholder-fail\\">\\n\\t<div class=\\"row-table\\">\\n\\t\\t<div class=\\"col-cell\\">\\n\\t\\t\\t<p data-eb-mm-upload-error-text=\\"\\"><\\/p>\\n\\t\\t\\t<a href=\\"javascript:void(0);\\" class=\\"btn btn--sm btn-eb-primary\\" data-eb-mm-upload-error-retry=\\"\\">Try Again<\\/a>\\n\\t\\t<\\/div>\\n\\t<\\/div>\\n<\\/div>\\t<\\/div>\\n<\\/div>\\t\\t"},{"uid":"01288135687354952","type":"heading","html":"\\n\\t\\t\\t<h4><br><a href=\\"http:\\/\\/www.google.com\\" title=\\"\\" class=\\"\\" target=\\"_blank\\">Related Post Title B<\\/a><br><\\/h4>\\t\\t","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\tRelated Post Title B\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n","editableHtml":"\\n\\t\\t\\t<h4 contenteditable=\\"true\\"><br><a href=\\"http:\\/\\/www.google.com\\" title=\\"\\" class=\\"\\" target=\\"_blank\\">Related Post Title B<\\/a><br><\\/h4>\\t\\t"},{"uid":"02684249742887914","type":"text","html":"\\n            <p>Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<\\/p>        <\\/div><\\/div>\\t\\t"},{"uid":"0564728506224802","type":"image","html":"","data":{"isurl":false,"url":"","uri":"","variation":"","size_enabled":true,"mode":"simple","mode_lock":false,"fluid":false,"width":"","width_lock":false,"height":"","height_lock":false,"ratio":"","ratio_lock":true,"alignment":"center","responsive":true,"strategy":"fit","element_width":"","element_height":"","element_top":"","element_left":"","element_ratio":"","element_ratio_lock":true,"natural_width":"","natural_height":"","natural_ratio":"","style_enabled":true,"style":"clear","caption_enabled":true,"caption_text":"","alt_enabled":true,"alt_text":"","link_enabled":true,"link_url":"","link_title":"","link_target":"","popup_enabled":true,"popup_url":"","popup_uri":"","popup_variation":""},"blocks":[],"nested":true,"isolated":false,"style":"text-align: center;","text":"\\nundefined","editableHtml":"\\n\\t\\t\\t<div class=\\"eb-composer-placeholder eb-composer-placeholder-image text-center\\" data-eb-composer-image-placeholder=\\"\\" data-key=\\"_cG9zdA--\\" data-type=\\"image\\" data-plupload-multi-selection=\\"0\\">\\n\\n\\t<div data-plupload-drop-element=\\"\\" style=\\"position: relative;\\">\\n\\t\\t<i class=\\"eb-composer-placeholder-icon fa fa-camera\\"><\\/i>\\n\\n\\t\\t\\t\\t<b class=\\"eb-composer-placeholder-title\\">Drop an image block here<\\/b>\\n\\t\\t<p class=\\"eb-composer-placeholder-brief\\">Supports jpeg, png, gif.<\\/p>\\n\\t\\t\\n\\t\\t<input id=\\"use-url\\" type=\\"checkbox\\">\\n\\n\\t\\t<div class=\\"eb-composer-place-options\\" style=\\"position: relative;\\">\\n\\t\\t\\t<label class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\">\\n\\t\\t\\t\\tEnter URL\\t\\t\\t<\\/label>\\n\\n\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" data-eb-mm-browse-button=\\"\\" data-eb-mm-start-uri=\\"_cG9zdA--\\" data-eb-mm-filter=\\"image\\">\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t<\\/button>\\n\\n\\t\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary\\" data-plupload-browse-button=\\"\\" style=\\"position: relative; z-index: 1;\\">\\n\\t\\t\\t\\t<i class=\\"fa fa-upload\\"><\\/i>&nbsp; Upload\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<div id=\\"html5_1bdiotjub137b1f8h1d4t1nun99p1o_container\\" class=\\"moxie-shim moxie-shim-html5\\" style=\\"position: absolute; top: 0px; left: 230px; width: 77px; height: 30px; overflow: hidden; z-index: 0;\\"><input id=\\"html5_1bdiotjub137b1f8h1d4t1nun99p1o\\" style=\\"font-size: 999px; opacity: 0; position: absolute; top: 0px; left: 0px; width: 100%; height: 100%;\\" multiple=\\"\\" accept=\\"image\\/jpeg,image\\/png,image\\/gif\\" type=\\"file\\"><\\/div><\\/div>\\n\\n\\t\\t<div class=\\"eb-composer-place-url\\" data-eb-image-url-form=\\"\\">\\n\\t\\t\\t<div class=\\"o-input-group o-input-group--sm\\">\\n\\t\\t\\t\\t<input class=\\"o-form-control\\" placeholder=\\"Place image URL here\\" data-eb-image-url-textbox=\\"\\" type=\\"text\\">\\n\\n\\t\\t\\t\\t<span class=\\"o-input-group__btn\\">\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-primary-o\\" data-eb-image-url-add=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-check\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t\\t<button type=\\"button\\" class=\\"btn btn--sm btn-eb-default-o\\" for=\\"use-url\\" data-eb-image-url-cancel=\\"\\">\\n\\t\\t\\t\\t\\t\\t<i class=\\"fa fa-times\\"><\\/i>\\n\\t\\t\\t\\t\\t<\\/button>\\n\\t\\t\\t\\t<\\/span>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\n\\n\\t\\t<div class=\\"eb-composer-upload-progress\\" data-eb-mm-upload-progress=\\"\\">\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress\\">\\n            <b class=\\"progress-bar progress-bar-success progress-bar-striped\\" role=\\"progressbar\\" aria-valuenow=\\"0\\" aria-valuemin=\\"0\\" aria-valuemax=\\"100\\" style=\\"width: 0%;\\" data-eb-mm-upload-progress-bar=\\"\\"><\\/b>\\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col-cell\\">\\n        <div class=\\"progress-value\\" data-eb-mm-upload-progress-value=\\"\\">0%<\\/div>\\n        <span data-eb-mm-upload-name=\\"\\" class=\\"hide\\"><\\/span>\\n    <\\/div>\\n<\\/div>\\n\\t\\t<div class=\\"eb-composer-placeholder-fail\\">\\n\\t<div class=\\"row-table\\">\\n\\t\\t<div class=\\"col-cell\\">\\n\\t\\t\\t<p data-eb-mm-upload-error-text=\\"\\"><\\/p>\\n\\t\\t\\t<a href=\\"javascript:void(0);\\" class=\\"btn btn--sm btn-eb-primary\\" data-eb-mm-upload-error-retry=\\"\\">Try Again<\\/a>\\n\\t\\t<\\/div>\\n\\t<\\/div>\\n<\\/div>\\t<\\/div>\\n<\\/div>\\t\\t"},{"uid":"05865874881856143","type":"heading","html":"\\n\\t\\t\\t<h4><br><a href=\\"http:\\/\\/www.google.com\\" title=\\"\\" class=\\"\\" target=\\"_blank\\">Related Post Title C<\\/a><br><\\/h4>\\t\\t","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\tRelated Post Title C\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n","editableHtml":"\\n\\t\\t\\t<h4 contenteditable=\\"true\\"><br><a href=\\"http:\\/\\/www.google.com\\" title=\\"\\" class=\\"\\" target=\\"_blank\\">Related Post Title C<\\/a><br><\\/h4>\\t\\t"},{"uid":"07594925842713565","type":"text","html":"\\n            <p>Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.        ","editableHtml":"\\n\\t\\t\\t<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.<\\/p>        <\\/div><\\/div>\\t\\t"}],"nested":false,"isolated":false,"text":"\\n\\t\\t\\t\\n    \\n        \\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\n\\t\\n\\t\\t\\n\\n\\t\\t\\t\\tDrop an image block here\\n\\t\\tSupports jpeg, png, gif.\\n\\t\\t\\n\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tEnter URL\\t\\t\\t\\n\\n\\t\\t\\t\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t\\n\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\u00a0 Upload\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\n\\n\\t\\t\\n    \\n        \\n            \\n        \\n    \\n    \\n        0%\\n        \\n    \\n\\n\\t\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\tTry Again\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n\\n\\n\\n\\n\\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\tRelated Post Title A\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n\\n\\n\\n\\n\\n            \\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n            Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.        \\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n\\n\\n\\n\\n\\n        \\n    \\n    \\n        \\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\n\\t\\n\\t\\t\\n\\n\\t\\t\\t\\tDrop an image block here\\n\\t\\tSupports jpeg, png, gif.\\n\\t\\t\\n\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tEnter URL\\t\\t\\t\\n\\n\\t\\t\\t\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t\\n\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\u00a0 Upload\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\n\\n\\t\\t\\n    \\n        \\n            \\n        \\n    \\n    \\n        0%\\n        \\n    \\n\\n\\t\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\tTry Again\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n\\n\\n\\n\\n\\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\tRelated Post Title B\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n\\n\\n\\n\\n\\n            \\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n            Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.        \\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n\\n\\n\\n\\n\\n        \\n    \\n\\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\n\\t\\n\\t\\t\\n\\n\\t\\t\\t\\tDrop an image block here\\n\\t\\tSupports jpeg, png, gif.\\n\\t\\t\\n\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tEnter URL\\t\\t\\t\\n\\n\\t\\t\\t\\n\\t\\t\\t\\tBrowse Media\\t\\t\\t\\n\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\u00a0 Upload\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\n\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\n\\n\\t\\t\\n    \\n        \\n            \\n        \\n    \\n    \\n        0%\\n        \\n    \\n\\n\\t\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\tTry Again\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n\\n\\n\\n\\n\\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\tRelated Post Title C\\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n\\n\\n\\n\\n\\n\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n            Gummi bears caramels donut carrot cake carrot cake chupa chups bonbon tootsie roll.        \\t\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\t\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\t\\n\\t\\t\\n\\t\\t\\t\\n\\t\\t\\t\\tDrag to move this block\\n\\t\\t\\t\\n\\t\\t\\n\\t\\n\\n\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Duplicate\\t\\t\\n\\n\\t\\t\\n\\t\\t\\t\\u00a0 Move\\t\\t\\n\\t\\t\\n\\t\\t\\t\\u00a0 Remove\\t\\t\\n\\t\\n\\n\\n\\n\\n\\t\\t","editableHtml":"\\n\\t\\t\\t<div class=\\"row\\" data-responsive=\\"400,300,200,100\\">\\n    <div class=\\"col col-md-4\\" data-size=\\"6\\">\\n        <div class=\\"ebd-nest\\" data-type=\\"block\\" data-col-wrapper=\\"\\"><!--block08674246128445761-->\\n\\n\\n\\n<!--block0993169609690085-->\\n\\n\\n\\n\\n            <!--block019192429818212986-->\\n\\n\\n\\n\\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col col-md-4\\" data-size=\\"6\\">\\n        <div class=\\"ebd-nest\\" data-type=\\"block\\" data-col-wrapper=\\"\\"><!--block08366024575996764-->\\n\\n\\n\\n<!--block01288135687354952-->\\n\\n\\n\\n\\n            <!--block02684249742887914-->\\n\\n\\n\\n\\n        <\\/div>\\n    <\\/div>\\n<div class=\\"col col-md-4\\" data-size=\\"1\\"><div class=\\"ebd-nest ui-sortable\\" data-type=\\"block\\" data-col-wrapper=\\"\\"><!--block0564728506224802-->\\n\\n\\n\\n<!--block05865874881856143-->\\n\\n\\n\\n<!--block07594925842713565-->\\n\\n\\n\\n<\\/div><\\/div><\\/div>\\t\\t"}]}', '2017-10-12 04:30:56', 1, 1, '/components/com_easyblog/assets/images/template-news.png', 1, 1, 'ebd');
INSERT INTO `#__easyblog_post_templates` (`id`, `user_id`, `title`, `data`, `created`, `system`, `core`, `screenshot`, `published`, `datafix`, `doctype`) VALUES
(4, 42, 'COM_EASYBLOG_COMPOSER_TEMPLATES_TITLE_VIDEOS', '{"title":"COM_EASYBLOG_COMPOSER_TEMPLATES_TITLE_VIDEOS","permalink":"template-for-videos","type":"ebd","version":"1.0","blocks":[{"uid":"03040071225259453","type":"text","html":"\\n            <p>Duis ac quam leo. Phasellus malesuada, leo at lobortis egestas, felis lorem condimentum lacus, id iaculis quam urna ac urna. Vivamus aliquam laoreet semper. Ut lacinia sem nisi. Sed vulputate convallis odio posuere porttitor. Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit, sollicitudin semper nisl pulvinar sed.<\\/p>        ","data":{},"blocks":[],"nested":false,"isolated":false,"text":"\\n            Duis ac quam leo. Phasellus malesuada, leo at lobortis egestas, felis lorem condimentum lacus, id iaculis quam urna ac urna. Vivamus aliquam laoreet semper. Ut lacinia sem nisi. Sed vulputate convallis odio posuere porttitor. Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit, sollicitudin semper nisl pulvinar sed.        ","editableHtml":"<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Duis ac quam leo. Phasellus malesuada, leo at lobortis egestas, felis lorem condimentum lacus, id iaculis quam urna ac urna. Vivamus aliquam laoreet semper. Ut lacinia sem nisi. Sed vulputate convallis odio posuere porttitor. Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit, sollicitudin semper nisl pulvinar sed.<\\/p>        <\\/div><\\/div>"},{"uid":"0346444247988984","type":"rule","html":"\\n            <hr>        ","data":{},"blocks":[],"nested":false,"isolated":false,"text":"","editableHtml":"\\n            <hr>        "},{"uid":"05725746976677328","type":"columns","html":"\\n            <div class=\\"row\\" data-responsive=\\"400,300,200,100\\">\\n    <div class=\\"col col-md-4\\" data-size=\\"6\\">\\n        \\n    <!--block06036547953262925--><\\/div>\\n    <div class=\\"col col-md-8\\" data-size=\\"6\\">\\n        \\n    <!--block029067436303012073--><!--block038569004484452307--><!--block08367778363171965--><\\/div>\\n<\\/div>        ","data":{"columns":[{"size":6,"content":"COM_EASYBLOG_BLOCK_COLUMN_DEFAULT_TITLE"},{"size":6,"content":"COM_EASYBLOG_BLOCK_COLUMN_DEFAULT_TITLE"}]},"blocks":[{"uid":"06036547953262925","type":"video","html":"","data":{"url":"","width":"100%","height":"","ratio":"16:9","autoplay":false,"loop":false,"muted":false},"blocks":[],"nested":true,"isolated":false,"text":"","editableHtml":""},{"uid":"029067436303012073","type":"heading","html":"\\n            <h4>Linkin Park - Somewhere I Belong<br><\\/h4>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n    \\n        \\n    \\n    \\n        \\n            Linkin Park - Somewhere I Belong        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n","editableHtml":"\\n            <h4 contenteditable=\\"true\\">Linkin Park - Somewhere I Belong<br><\\/h4>        "},{"uid":"038569004484452307","type":"text","html":"\\n            <p>Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.        ","editableHtml":"<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.<\\/p>        <\\/div><\\/div>"},{"uid":"08367778363171965","type":"buttons","html":"\\n            <a href=\\"javascript:void(0);\\" class=\\"btn btn-default btn-danger\\" rel=\\"\\">\\n    <span><strong data-redactor-tag=\\"strong\\" data-verified=\\"redactor\\">Watch Now<\\/strong><\\/span>\\n<\\/a>        ","data":{"caption":"Button Text","style":"btn-danger","size":"","link":"","nofollow":0,"target":""},"blocks":[],"nested":true,"isolated":false,"text":"","editableHtml":"\\n            <a href=\\"javascript:void(0);\\" class=\\"btn btn-default btn-danger\\" rel=\\"\\">\\n    <span contenteditable=\\"true\\"><strong data-redactor-tag=\\"strong\\" data-verified=\\"redactor\\">Watch Now<\\/strong><\\/span>\\n<\\/a>        "},{"uid":"06036547953262925","type":"video","html":"","data":{"url":"","width":"100%","height":"","ratio":"16:9","autoplay":false,"loop":false,"muted":false},"blocks":[],"nested":true,"isolated":false,"text":"","editableHtml":""},{"uid":"029067436303012073","type":"heading","html":"\\n            <h4>Linkin Park - Somewhere I Belong<br><\\/h4>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n    \\n        \\n    \\n    \\n        \\n            Linkin Park - Somewhere I Belong        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n","editableHtml":"\\n            <h4 contenteditable=\\"true\\">Linkin Park - Somewhere I Belong<br><\\/h4>        "},{"uid":"038569004484452307","type":"text","html":"\\n            <p>Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.        ","editableHtml":"<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.<\\/p>        <\\/div><\\/div>"},{"uid":"08367778363171965","type":"buttons","html":"\\n            <a href=\\"javascript:void(0);\\" class=\\"btn btn-default btn-danger\\" rel=\\"\\">\\n    <span><strong data-redactor-tag=\\"strong\\" data-verified=\\"redactor\\">Watch Now<\\/strong><\\/span>\\n<\\/a>        ","data":{"caption":"Button Text","style":"btn-danger","size":"","link":"","nofollow":0,"target":""},"blocks":[],"nested":true,"isolated":false,"text":"","editableHtml":"\\n            <a href=\\"javascript:void(0);\\" class=\\"btn btn-default btn-danger\\" rel=\\"\\">\\n    <span contenteditable=\\"true\\"><strong data-redactor-tag=\\"strong\\" data-verified=\\"redactor\\">Watch Now<\\/strong><\\/span>\\n<\\/a>        "}],"nested":false,"isolated":false,"text":"\\n            \\n    \\n        \\n    \\n        \\n    \\n    \\n        \\n            \\n\\n    \\n        \\n        Drop a video file here\\n        Supports 3gp, m4v, mp4, flv, wmv mp3, and webm.\\n\\n        Please upload a supported video file\\n\\n        \\n             Browse Videos        \\n\\n        \\n            \\n                 Upload File            \\n        \\n\\n        \\n    \\n        \\n            \\n        \\n    \\n    \\n        0%\\n        \\n    \\n\\n        \\n    \\n        \\n            \\n            Try Again\\n        \\n    \\n    \\n        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n\\n\\n\\n            \\n        \\n    \\n    \\n        \\n    \\n        \\n    \\n    \\n        \\n            Linkin Park - Somewhere I Belong        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n\\n\\n\\n            \\n    \\n        \\n    \\n    \\n        \\n            Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n\\n\\n\\n    \\n        \\n    \\n    \\n        \\n            \\n    Watch Now\\n        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n\\n\\n\\n        \\n    \\n        ","editableHtml":"\\n            <div class=\\"row\\" data-responsive=\\"400,300,200,100\\">\\n    <div class=\\"col col-md-4\\" data-size=\\"6\\">\\n        <div class=\\"ebd-nest\\" data-type=\\"block\\" data-col-wrapper=\\"\\"><!--block06036547953262925-->\\n\\n\\n            \\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col col-md-8\\" data-size=\\"6\\">\\n        <div class=\\"ebd-nest\\" data-type=\\"block\\" data-col-wrapper=\\"\\"><!--block029067436303012073-->\\n\\n\\n            <!--block038569004484452307-->\\n\\n<!--block08367778363171965-->\\n\\n\\n        <\\/div>\\n    <\\/div>\\n<\\/div>        "},{"uid":"026837448799051344","type":"rule","html":"\\n            <hr>        ","data":{},"blocks":[],"nested":false,"isolated":false,"text":"","editableHtml":"\\n            <hr>        "},{"uid":"0046830407343804836","type":"columns","html":"\\n            <div class=\\"row\\" data-responsive=\\"400,300,200,100\\">\\n    <div class=\\"col col-md-4\\" data-size=\\"6\\">\\n        \\n    <!--block06734710435848683--><\\/div>\\n    <div class=\\"col col-md-8\\" data-size=\\"6\\">\\n        \\n    <!--block08473397800698876--><!--block07279896603431553--><!--block05163364168256521--><\\/div>\\n<\\/div>        ","data":{"columns":[{"size":6,"content":"COM_EASYBLOG_BLOCK_COLUMN_DEFAULT_TITLE"},{"size":6,"content":"COM_EASYBLOG_BLOCK_COLUMN_DEFAULT_TITLE"}]},"blocks":[{"uid":"06734710435848683","type":"video","html":"","data":{"url":"","width":"100%","height":"","ratio":"16:9","autoplay":false,"loop":false,"muted":false},"blocks":[],"nested":true,"isolated":false,"text":"","editableHtml":""},{"uid":"08473397800698876","type":"heading","html":"\\n            <h4>Linkin Park - Masquarade<br><\\/h4>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n    \\n        \\n    \\n    \\n        \\n            Linkin Park - Masquarade        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n","editableHtml":"\\n            <h4 contenteditable=\\"true\\">Linkin Park - Masquarade<br><\\/h4>        "},{"uid":"07279896603431553","type":"text","html":"\\n            <p>Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.        ","editableHtml":"<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.<\\/p>        <\\/div><\\/div>"},{"uid":"05163364168256521","type":"buttons","html":"\\n            <a href=\\"javascript:void(0);\\" class=\\"btn btn-default btn-danger\\" rel=\\"\\">\\n    <span><strong data-redactor-tag=\\"strong\\" data-verified=\\"redactor\\">Watch Now<\\/strong><\\/span>\\n<\\/a>        ","data":{"caption":"Button Text","style":"btn-danger","size":"","link":"","nofollow":0,"target":""},"blocks":[],"nested":true,"isolated":false,"text":"","editableHtml":"\\n            <a href=\\"javascript:void(0);\\" class=\\"btn btn-default btn-danger\\" rel=\\"\\">\\n    <span contenteditable=\\"true\\"><strong data-redactor-tag=\\"strong\\" data-verified=\\"redactor\\">Watch Now<\\/strong><\\/span>\\n<\\/a>        "},{"uid":"06734710435848683","type":"video","html":"","data":{"url":"","width":"100%","height":"","ratio":"16:9","autoplay":false,"loop":false,"muted":false},"blocks":[],"nested":true,"isolated":false,"text":"","editableHtml":""},{"uid":"08473397800698876","type":"heading","html":"\\n            <h4>Linkin Park - Masquarade<br><\\/h4>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n    \\n        \\n    \\n    \\n        \\n            Linkin Park - Masquarade        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n","editableHtml":"\\n            <h4 contenteditable=\\"true\\">Linkin Park - Masquarade<br><\\/h4>        "},{"uid":"07279896603431553","type":"text","html":"\\n            <p>Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.        ","editableHtml":"<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.<\\/p>        <\\/div><\\/div>"},{"uid":"05163364168256521","type":"buttons","html":"\\n            <a href=\\"javascript:void(0);\\" class=\\"btn btn-default btn-danger\\" rel=\\"\\">\\n    <span><strong data-redactor-tag=\\"strong\\" data-verified=\\"redactor\\">Watch Now<\\/strong><\\/span>\\n<\\/a>        ","data":{"caption":"Button Text","style":"btn-danger","size":"","link":"","nofollow":0,"target":""},"blocks":[],"nested":true,"isolated":false,"text":"","editableHtml":"\\n            <a href=\\"javascript:void(0);\\" class=\\"btn btn-default btn-danger\\" rel=\\"\\">\\n    <span contenteditable=\\"true\\"><strong data-redactor-tag=\\"strong\\" data-verified=\\"redactor\\">Watch Now<\\/strong><\\/span>\\n<\\/a>        "}],"nested":false,"isolated":false,"text":"\\n            \\n    \\n        \\n    \\n        \\n    \\n    \\n        \\n            \\n\\n    \\n        \\n        Drop a video file here\\n        Supports 3gp, m4v, mp4, flv, wmv mp3, and webm.\\n\\n        Please upload a supported video file\\n\\n        \\n             Browse Videos        \\n\\n        \\n            \\n                 Upload File            \\n        \\n\\n        \\n    \\n        \\n            \\n        \\n    \\n    \\n        0%\\n        \\n    \\n\\n        \\n    \\n        \\n            \\n            Try Again\\n        \\n    \\n    \\n        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n\\n\\n\\n            \\n        \\n    \\n    \\n        \\n    \\n        \\n    \\n    \\n        \\n            Linkin Park - Masquarade        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n\\n\\n\\n            \\n    \\n        \\n    \\n    \\n        \\n            Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n\\n\\n\\n    \\n        \\n    \\n    \\n        \\n            \\n    Watch Now\\n        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n\\n\\n\\n        \\n    \\n        ","editableHtml":"\\n            <div class=\\"row\\" data-responsive=\\"400,300,200,100\\">\\n    <div class=\\"col col-md-4\\" data-size=\\"6\\">\\n        <div class=\\"ebd-nest\\" data-type=\\"block\\" data-col-wrapper=\\"\\"><!--block06734710435848683-->\\n\\n\\n            \\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col col-md-8\\" data-size=\\"6\\">\\n        <div class=\\"ebd-nest\\" data-type=\\"block\\" data-col-wrapper=\\"\\"><!--block08473397800698876-->\\n\\n\\n            <!--block07279896603431553-->\\n\\n<!--block05163364168256521-->\\n\\n\\n        <\\/div>\\n    <\\/div>\\n<\\/div>        "},{"uid":"021494898851960897","type":"rule","html":"\\n            <hr>        ","data":{},"blocks":[],"nested":false,"isolated":false,"text":"","editableHtml":"\\n            <hr>        "},{"uid":"024545535701327026","type":"columns","html":"\\n            <div class=\\"row\\" data-responsive=\\"400,300,200,100\\">\\n    <div class=\\"col col-md-4\\" data-size=\\"6\\">\\n        \\n    <!--block0334950162563473--><\\/div>\\n    <div class=\\"col col-md-8\\" data-size=\\"6\\">\\n        \\n    <!--block04196579670533538--><!--block09463341725058854--><!--block02782213247846812--><\\/div>\\n<\\/div>        ","data":{"columns":[{"size":6,"content":"COM_EASYBLOG_BLOCK_COLUMN_DEFAULT_TITLE"},{"size":6,"content":"COM_EASYBLOG_BLOCK_COLUMN_DEFAULT_TITLE"}]},"blocks":[{"uid":"0334950162563473","type":"video","html":"","data":{"url":"","width":"100%","height":"","ratio":"16:9","autoplay":false,"loop":false,"muted":false},"blocks":[],"nested":true,"isolated":false,"text":"","editableHtml":""},{"uid":"04196579670533538","type":"heading","html":"\\n            <h4>Linkin Park - Mateora<br><\\/h4>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n    \\n        \\n    \\n    \\n        \\n            Linkin Park - Mateora        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n","editableHtml":"\\n            <h4 contenteditable=\\"true\\">Linkin Park - Mateora<br><\\/h4>        "},{"uid":"09463341725058854","type":"text","html":"\\n            <p>Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.        ","editableHtml":"<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.<\\/p>        <\\/div><\\/div>"},{"uid":"02782213247846812","type":"buttons","html":"\\n            <a href=\\"javascript:void(0);\\" class=\\"btn btn-default btn-danger\\" rel=\\"\\">\\n    <span><strong data-redactor-tag=\\"strong\\" data-verified=\\"redactor\\">Watch Now<\\/strong><\\/span>\\n<\\/a>        ","data":{"caption":"Button Text","style":"btn-danger","size":"","link":"","nofollow":0,"target":""},"blocks":[],"nested":true,"isolated":false,"text":"","editableHtml":"\\n            <a href=\\"javascript:void(0);\\" class=\\"btn btn-default btn-danger\\" rel=\\"\\">\\n    <span contenteditable=\\"true\\"><strong data-redactor-tag=\\"strong\\" data-verified=\\"redactor\\">Watch Now<\\/strong><\\/span>\\n<\\/a>        "},{"uid":"0334950162563473","type":"video","html":"","data":{"url":"","width":"100%","height":"","ratio":"16:9","autoplay":false,"loop":false,"muted":false},"blocks":[],"nested":true,"isolated":false,"text":"","editableHtml":""},{"uid":"04196579670533538","type":"heading","html":"\\n            <h4>Linkin Park - Mateora<br><\\/h4>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n    \\n        \\n    \\n    \\n        \\n            Linkin Park - Mateora        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n","editableHtml":"\\n            <h4 contenteditable=\\"true\\">Linkin Park - Mateora<br><\\/h4>        "},{"uid":"09463341725058854","type":"text","html":"\\n            <p>Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.<\\/p>        ","data":{},"blocks":[],"nested":true,"isolated":false,"text":"\\n            Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.        ","editableHtml":"<div class=\\"ebd-nest\\" data-type=\\"content\\" data-eb-text-block-wrapper=\\"\\"><div data-eb-text-content-wrapper=\\"\\" data-content-type=\\"html\\" contenteditable=\\"true\\">\\n            <p>Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.<\\/p>        <\\/div><\\/div>"},{"uid":"02782213247846812","type":"buttons","html":"\\n            <a href=\\"javascript:void(0);\\" class=\\"btn btn-default btn-danger\\" rel=\\"\\">\\n    <span><strong data-redactor-tag=\\"strong\\" data-verified=\\"redactor\\">Watch Now<\\/strong><\\/span>\\n<\\/a>        ","data":{"caption":"Button Text","style":"btn-danger","size":"","link":"","nofollow":0,"target":""},"blocks":[],"nested":true,"isolated":false,"text":"","editableHtml":"\\n            <a href=\\"javascript:void(0);\\" class=\\"btn btn-default btn-danger\\" rel=\\"\\">\\n    <span contenteditable=\\"true\\"><strong data-redactor-tag=\\"strong\\" data-verified=\\"redactor\\">Watch Now<\\/strong><\\/span>\\n<\\/a>        "}],"nested":false,"isolated":false,"text":"\\n            \\n    \\n        \\n    \\n        \\n    \\n    \\n        \\n            \\n\\n    \\n        \\n        Drop a video file here\\n        Supports 3gp, m4v, mp4, flv, wmv mp3, and webm.\\n\\n        Please upload a supported video file\\n\\n        \\n             Browse Videos        \\n\\n        \\n            \\n                 Upload File            \\n        \\n\\n        \\n    \\n        \\n            \\n        \\n    \\n    \\n        0%\\n        \\n    \\n\\n        \\n    \\n        \\n            \\n            Try Again\\n        \\n    \\n    \\n        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n\\n\\n\\n            \\n        \\n    \\n    \\n        \\n    \\n        \\n    \\n    \\n        \\n            Linkin Park - Mateora        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n\\n\\n\\n            \\n    \\n        \\n    \\n    \\n        \\n            Aliquam turpis felis, faucibus non orci vel, laoreet dapibus diam. Nam rhoncus tortor velit.        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n\\n\\n\\n    \\n        \\n    \\n    \\n        \\n            \\n    Watch Now\\n        \\n        \\n            \\n                \\n            \\n        \\n    \\n    \\n        \\n            \\n                Drag to move block.\\n            \\n        \\n    \\n\\n\\n\\n        \\n    \\n        ","editableHtml":"\\n            <div class=\\"row\\" data-responsive=\\"400,300,200,100\\">\\n    <div class=\\"col col-md-4\\" data-size=\\"6\\">\\n        <div class=\\"ebd-nest\\" data-type=\\"block\\" data-col-wrapper=\\"\\"><!--block0334950162563473-->\\n\\n\\n            \\n        <\\/div>\\n    <\\/div>\\n    <div class=\\"col col-md-8\\" data-size=\\"6\\">\\n        <div class=\\"ebd-nest\\" data-type=\\"block\\" data-col-wrapper=\\"\\"><!--block04196579670533538-->\\n\\n\\n            <!--block09463341725058854-->\\n\\n<!--block02782213247846812-->\\n\\n\\n        <\\/div>\\n    <\\/div>\\n<\\/div>        "}]}', '2017-10-12 04:30:56', 1, 1, '/components/com_easyblog/assets/images/template-videos.png', 1, 1, 'ebd');

DROP TABLE IF EXISTS `#__easyblog_reactions`;
CREATE TABLE `#__easyblog_reactions` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `type` varchar(255) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '1',
  `created` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

INSERT INTO `#__easyblog_reactions` (`id`, `type`, `published`, `created`) VALUES
(1, 'happy', 1, '0000-00-00 00:00:00'),
(2, 'love', 1, '0000-00-00 00:00:00'),
(3, 'surprise', 1, '0000-00-00 00:00:00'),
(4, 'sad', 1, '0000-00-00 00:00:00'),
(5, 'angry', 1, '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__easyblog_reactions_history`;
CREATE TABLE `#__easyblog_reactions_history` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `reaction_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `token_id` varchar(255) NOT NULL,
  `created` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `post_id` (`post_id`,`reaction_id`),
  KEY `user_id` (`user_id`),
  KEY `token_id` (`token_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_reports`;
CREATE TABLE `#__easyblog_reports` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `obj_id` bigint(20) NOT NULL,
  `obj_type` varchar(255) NOT NULL,
  `reason` text NOT NULL,
  `created_by` int(11) NOT NULL,
  `created` datetime NOT NULL,
  `ip` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `obj_id` (`obj_id`,`created_by`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_revisions`;
CREATE TABLE `#__easyblog_revisions` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) NOT NULL,
  `title` varchar(255) NOT NULL,
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `created_by` bigint(20) unsigned NOT NULL,
  `content` longtext NOT NULL,
  `state` tinyint(4) NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_postid` (`post_id`),
  KEY `idx_ordering` (`post_id`,`ordering`),
  KEY `idx_revision_state` (`post_id`,`state`),
  KEY `idx_state` (`state`)
) ENGINE=MyISAM AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

INSERT INTO `#__easyblog_revisions` (`id`, `post_id`, `title`, `created`, `modified`, `created_by`, `content`, `state`, `ordering`) VALUES
(1, 16, '', '2016-04-04 06:26:16', '2016-04-04 06:26:16', 42, '{"id":"16","created_by":"42","created":"2014-04-10 10:52:35","modified":"2014-04-17 02:36:08","title":"Facebook, Microsoft Join Google in Government Transparency Request","permalink":"facebook-microsoft-join-google-in-government-transparency-request","content":"\\r\\n<p>Vestibulum eget dignissim eros, id euismod quam. Donec id imperdiet urna, sit amet sollicitudin massa. Donec rhoncus orci sed erat aliquam, vitae lobortis augue pulvinar. Cras porta dignissim arcu a fringilla. Etiam laoreet lacus at libero suscipit consectetur. Nam ut ultrices orci. Duis fermentum tellus et blandit lobortis. Integer hendrerit vel ante eu convallis.<\\/p>\\r\\n<p>Vestibulum velit nisi, interdum sit amet augue et, luctus commodo magna. Vestibulum sed aliquam orci, at porttitor neque. Integer felis eros, auctor id sapien sed, convallis vestibulum arcu. Aenean vitae sollicitudin urna. Donec cursus sapien augue, vel lobortis massa tincidunt ut. Nunc lacinia consequat rutrum. Proin id tristique ante. Donec consectetur tincidunt tempus.<\\/p>\\r\\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam sit amet odio ipsum. Maecenas commodo felis leo. Phasellus mauris urna, vulputate at dictum eu, varius sed orci. Phasellus ultricies, justo non imperdiet lacinia, libero augue iaculis neque, sit amet tristique elit dui mattis purus. Aenean eleifend dictum dui quis lobortis. Quisque rhoncus eu magna sed sollicitudin. Nullam faucibus magna at enim fringilla, quis facilisis purus lacinia. Ut lacinia nibh at dolor commodo consequat. Sed venenatis massa dolor, ut consectetur lorem fringilla vitae. Aliquam ut tempor justo, id dapibus felis. Quisque rhoncus ac justo non placerat. Ut suscipit ultrices ipsum, at vestibulum enim aliquet consequat. In hac habitasse platea dictumst.<\\/p>","intro":"<p>Nunc molestie lobortis bibendum. Suspendisse sit amet vulputate urna. Integer ac rutrum dui. Proin fringilla lobortis tellus sed viverra. Curabitur rutrum elit quis tincidunt laoreet. Cras eu lorem pretium, aliquet lectus et, pulvinar nisi. Fusce interdum facilisis iaculis. Fusce congue neque a aliquam adipiscing.<\\/p>\\r\\n","excerpt":null,"category_id":"4","published":"1","state":"0","publish_up":"2014-04-10 10:52:35","publish_down":"0000-00-00 00:00:00","ordering":"0","vote":"0","hits":"6","access":"0","allowcomment":"1","subscription":"1","frontpage":"1","isnew":"0","blogpassword":"","latitude":"","longitude":"","address":"","posttype":"","source_id":"0","source_type":"","robots":"","copyrights":"","image":"user:42\\/anh3.jpg","language":"","locked":"0","ip":"","doctype":"","document":null,"autoposting":null,"categories":null,"tags":null,"fields":null,"keywords":null,"description":null,"custom_title":null,"send_notification_emails":"1","association":[]}', 0, 1),
(2, 16, '', '2016-04-04 06:26:16', '2016-04-04 06:26:16', 42, '{"id":"16","created_by":"42","created":"2014-04-10 10:52:35","modified":"2014-04-17 02:36:08","title":"Facebook, Microsoft Join Google in Government Transparency Request","permalink":"facebook-microsoft-join-google-in-government-transparency-request","content":"","intro":"\\n<p>Vestibulum eget dignissim eros, id euismod quam. Donec id imperdiet urna, sit amet sollicitudin massa. Donec rhoncus orci sed erat aliquam, vitae lobortis augue pulvinar. Cras porta dignissim arcu a fringilla. Etiam laoreet lacus at libero suscipit consectetur. Nam ut ultrices orci. Duis fermentum tellus et blandit lobortis. Integer hendrerit vel ante eu convallis.<\\/p>\\n<p>Vestibulum velit nisi, interdum sit amet augue et, luctus commodo magna. Vestibulum sed aliquam orci, at porttitor neque. Integer felis eros, auctor id sapien sed, convallis vestibulum arcu. Aenean vitae sollicitudin urna. Donec cursus sapien augue, vel lobortis massa tincidunt ut. Nunc lacinia consequat rutrum. Proin id tristique ante. Donec consectetur tincidunt tempus.<\\/p>\\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Aliquam sit amet odio ipsum. Maecenas commodo felis leo. Phasellus mauris urna, vulputate at dictum eu, varius sed orci. Phasellus ultricies, justo non imperdiet lacinia, libero augue iaculis neque, sit amet tristique elit dui mattis purus. Aenean eleifend dictum dui quis lobortis. Quisque rhoncus eu magna sed sollicitudin. Nullam faucibus magna at enim fringilla, quis facilisis purus lacinia. Ut lacinia nibh at dolor commodo consequat. Sed venenatis massa dolor, ut consectetur lorem fringilla vitae. Aliquam ut tempor justo, id dapibus felis. Quisque rhoncus ac justo non placerat. Ut suscipit ultrices ipsum, at vestibulum enim aliquet consequat. In hac habitasse platea dictumst.<\\/p>","excerpt":null,"category_id":"4","published":3,"state":"0","publish_up":"2014-04-10 10:52:35","publish_down":"0000-00-00 00:00:00","ordering":"0","vote":"0","hits":"6","access":"0","allowcomment":"1","subscription":"1","frontpage":"1","isnew":"0","blogpassword":"","latitude":"","longitude":"","address":"","posttype":"","source_id":0,"source_type":"easyblog.sitewide","robots":"","copyrights":"","image":"","language":"","locked":"0","ip":"10.0.0.66","doctype":"legacy","document":null,"autoposting":null,"categories":["4"],"tags":"","fields":null,"keywords":"","description":"","custom_title":null,"send_notification_emails":"1","association":[]}', 1, 2),
(3, 22, 'Initial Post', '2016-04-04 06:26:16', '2016-04-04 06:26:16', 42, '{"id":22,"created_by":"42","created":"2014-04-22 08:54:25","modified":"2016-04-04 06:26:16","title":"Test","permalink":"test-1","content":"","intro":"<p>This is for test...<\\/p>","excerpt":null,"category_id":"2","published":3,"state":0,"publish_up":"2014-04-22 08:54:25","publish_down":"0000-00-00 00:00:00","ordering":null,"vote":null,"hits":null,"access":"0","allowcomment":"1","subscription":"1","frontpage":"1","isnew":true,"blogpassword":"","latitude":"","longitude":"","address":"","posttype":"photo","source_id":0,"source_type":"easyblog.sitewide","robots":"","copyrights":null,"image":"","language":"","locked":null,"ip":"10.0.0.66","doctype":"legacy","document":null,"autoposting":null,"categories":["2"],"tags":"","fields":[],"keywords":"","description":"","custom_title":null,"send_notification_emails":"1","association":[]}', 1, 1),
(4, 12, '', '2016-04-04 06:26:25', '2016-04-04 06:26:25', 0, '{"id":"12","created_by":"43","created":"2014-04-10 10:42:13","modified":"2014-04-24 09:07:05","title":"Amazing Vine Captures Massive Protests","permalink":"amazing-vine-captures-massive-protests","content":"\\r\\n<p>Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Ut lacinia, justo at elementum volutpat, nisl mauris feugiat orci, sit amet tincidunt metus ante eget augue. Phasellus lacinia pulvinar elementum. Nulla iaculis rhoncus tempor. Donec nisl magna, congue vitae odio id, placerat porta lorem. Nulla volutpat adipiscing mi at blandit. Donec et arcu a dolor imperdiet egestas.<\\/p>\\r\\n<p>In luctus nisl risus, eu rhoncus enim tempor eget. Phasellus tincidunt adipiscing lacus et bibendum. Cum sociis natoque penatibus et magnis dis parturient montes, nascetur ridiculus mus. Vivamus purus orci, vulputate vel laoreet dignissim, lobortis a odio. Maecenas sed fringilla nibh. Vestibulum sed dolor odio. Suspendisse pellentesque dictum risus ac accumsan.<\\/p>\\r\\n<p>Praesent vitae tortor auctor, vulputate eros bibendum, pretium mi. Praesent lobortis sapien in justo ornare facilisis. Vestibulum eu erat id justo eleifend dignissim. Nulla consequat, orci et blandit adipiscing, nibh sem convallis purus, ac laoreet velit nisl vitae purus. Maecenas a dolor vel justo varius suscipit. Aliquam viverra lacus augue, et lobortis turpis iaculis ac. In scelerisque tortor nunc, eget consectetur mi suscipit et. Vivamus at sem feugiat mi consectetur laoreet sed vitae arcu. Etiam hendrerit, eros eu auctor luctus, velit sem euismod nibh, vitae faucibus enim est sollicitudin tellus. Vivamus laoreet ipsum sed tincidunt suscipit. Cras ac quam gravida, gravida augue ac, pellentesque risus. Nam a porttitor magna. Praesent dapibus laoreet augue sit amet gravida.<\\/p>\\r\\n<p>Nibh Curabitur mus ipsum dolor laoreet Nunc leo sociis Ut congue. Nec arcu justo dictum Phasellus dictum velit urna Phasellus morbi.<\\/p>\\r\\n<p>Id interdum Nunc orci pulvinar consequat libero facilisis sociis porta ante. Justo tempus Integer nibh lobortis Maecenas quis dolor dui tincidunt diam. Mi semper eros dolor laoreet quis In egestas hendrerit Donec accumsan.<\\/p>\\r\\n<p>Interdum id tristique convallis Morbi interdum ut leo lobortis Vestibulum Suspendisse. Consequat nunc facilisi dolor eros at quis sociis eros ridiculus sem. Semper lacinia id Donec pede lacus condimentum pede et leo Vestibulum. Faucibus Vestibulum Morbi accumsan nunc dignissim.<\\/p>\\r\\n<p>Congue Curabitur hac et Nullam Sed faucibus tincidunt pede mollis Curabitur. At dolor amet Aenean purus eu nec hendrerit mauris vel vel. Id at a felis Aenean vitae nibh Pellentesque ac dapibus auctor. Eget consectetuer pede nunc.<\\/p>\\r\\n<p>Malesuada a lacinia Nulla Maecenas Vivamus Praesent eget velit ante Curabitur. Vestibulum Nam cursus vitae eget sit a nibh quis adipiscing adipiscing.<\\/p>\\r\\n<p>Felis Aenean elit enim lacinia tortor Curabitur semper mauris tincidunt orci. Nulla pellentesque pellentesque nunc Nulla nulla felis at Vestibulum neque at. Quam elit congue justo adipiscing feugiat lacus mauris aliquet a leo. Pulvinar congue sagittis vel velit sociis.<\\/p>\\r\\n<p>Porttitor at cursus est penatibus id interdum ipsum Vestibulum Maecenas auctor. Feugiat pellentesque consectetuer fames leo quam nisl id id adipiscing Curabitur. Interdum sapien.<\\/p>\\r\\n<p>Nunc consequat nibh dolor laoreet eget sed augue sed nibh Donec. Nec elit mattis enim rhoncus Maecenas lacus auctor hendrerit scelerisque iaculis. Tellus magna lobortis montes habitasse elit tempus et.<\\/p>\\r\\n<p>Integer ut volutpat Phasellus id id at quis vel risus non. Gravida at euismod Vestibulum nulla Vivamus gravida gravida odio quam mollis. Convallis Cum at id dictumst tellus pulvinar urna.<\\/p>\\r\\n<p>Turpis Suspendisse Sed leo id Aenean laoreet nibh ante vitae Aenean. Sed tincidunt sem neque dignissim consectetuer justo nulla parturient Vivamus eget. Nam tristique laoreet Aenean tincidunt congue dui Aenean pretium.<\\/p>\\r\\n<p>Pretium tincidunt netus laoreet pede nunc pretium nibh in cursus felis. Elit pede massa pede at dui ipsum lacinia id lacus pellentesque. Vestibulum et wisi.<\\/p>","intro":"<p>Praesent sed orci nunc. Nulla pharetra neque eu magna dapibus, vel egestas lacus sollicitudin. Nunc nec vulputate nisl. Praesent placerat adipiscing posuere. Suspendisse potenti. Vivamus commodo est non magna blandit consectetur.<\\/p>\\r\\n","excerpt":null,"category_id":"2","published":"1","state":"0","publish_up":"2014-04-10 10:42:13","publish_down":"0000-00-00 00:00:00","ordering":"0","vote":"0","hits":"3","access":"0","allowcomment":"1","subscription":"1","frontpage":"1","isnew":"0","blogpassword":"","latitude":"","longitude":"","address":"","posttype":"","source_id":"0","source_type":"easyblog.sitewide","robots":"","copyrights":"","image":"user:42\\/anh6.jpg","language":"","locked":"0","ip":"","doctype":"legacy","document":null,"autoposting":null,"categories":null,"tags":null,"fields":null,"keywords":null,"description":null,"custom_title":null,"send_notification_emails":"1","association":[]}', 0, 1),
(5, 18, '', '2016-04-04 06:26:25', '2016-04-04 06:26:25', 0, '{"id":"18","created_by":"42","created":"2014-03-15 10:54:00","modified":"2014-04-11 03:53:22","title":"Watch EA\'s E3 Press Conference Live","permalink":"watch-ea-s-e3-press-conference-live","content":"\\r\\n<p>Phasellus adipiscing nisi eget semper elementum. Morbi lacinia elit et enim sodales feugiat. Nam suscipit dolor quis justo cursus vestibulum nec nec neque. Sed sed consequat dolor, sed fringilla neque. Curabitur dignissim turpis elit, eu vehicula turpis hendrerit id. Praesent a urna tempus, egestas magna at, gravida nisi. Curabitur facilisis est a vestibulum malesuada. Suspendisse facilisis euismod velit id volutpat. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.<\\/p>\\r\\n<p>Donec sit amet accumsan nunc. Aenean venenatis tellus a convallis posuere. Donec tristique semper sapien, eget consequat massa hendrerit id. Etiam placerat scelerisque sem, eget suscipit nulla volutpat a. Mauris metus justo, dignissim at mollis sit amet, dignissim eu neque. In quis eros faucibus, fermentum dolor ut, vulputate eros. Nam nibh urna, ullamcorper non justo quis, viverra molestie dui. In in elit purus. Nam in tortor nec ipsum dictum semper in ut turpis.<\\/p>\\r\\n<p>Praesent pharetra tortor arcu, id imperdiet arcu convallis vitae. Duis feugiat urna et commodo imperdiet. Mauris pharetra felis ut purus viverra accumsan. Nulla eget posuere nulla. Nunc tincidunt risus est, eget scelerisque ante auctor a. Maecenas venenatis imperdiet pharetra. Ut mattis commodo suscipit.<\\/p>\\r\\n<p>Quisque mattis nulla a vehicula iaculis. Vivamus risus ligula, tristique id semper sit amet, molestie nec quam. Etiam pharetra, ipsum vitae pulvinar vestibulum, augue sapien rhoncus purus, vel varius elit dui a magna. Morbi ut tempus nibh, id aliquet arcu. Maecenas a nisl at enim volutpat tincidunt. Phasellus a tincidunt massa, nec euismod justo. Nulla ac libero in tortor tincidunt ultrices sed eu arcu. Etiam posuere sed nunc ac tristique. Sed pulvinar nunc non faucibus euismod. Donec eget mattis enim. Vivamus et magna vel velit molestie consectetur eget sit amet nisi.<\\/p>\\r\\n<p>Aenean tincidunt orci vitae risus facilisis rhoncus. Sed malesuada congue massa volutpat posuere. Donec semper nibh leo, eu euismod mauris tristique varius. Nullam sed nisi odio. Pellentesque nunc mauris, ornare ut purus elementum, cursus tincidunt tellus. Proin sit amet cursus lectus. Nunc sapien metus, blandit vel enim nec, vehicula porttitor magna. Sed congue sit amet nulla sed ultrices. Vestibulum tristique nisl nec turpis cursus, non egestas dui ornare.<\\/p>","intro":"<p>Pellentesque dapibus ut elit eu bibendum. Sed quis molestie augue, ut iaculis purus. Donec vel vulputate sapien. Interdum et malesuada fames ac ante ipsum primis in faucibus. Etiam sapien ipsum, bibendum non neque vitae, commodo scelerisque mi.<\\/p>\\r\\n","excerpt":null,"category_id":"4","published":"1","state":"0","publish_up":"2014-03-15 10:54:00","publish_down":"0000-00-00 00:00:00","ordering":"0","vote":"0","hits":"3","access":"0","allowcomment":"1","subscription":"1","frontpage":"1","isnew":"0","blogpassword":"","latitude":"","longitude":"","address":"","posttype":"","source_id":"0","source_type":"easyblog.sitewide","robots":"","copyrights":"","image":"user:42\\/anh1.jpg","language":"","locked":"0","ip":"","doctype":"legacy","document":null,"autoposting":null,"categories":null,"tags":null,"fields":null,"keywords":null,"description":null,"custom_title":null,"send_notification_emails":"1","association":[]}', 0, 1),
(6, 8, '', '2016-04-04 06:26:25', '2016-04-04 06:26:25', 0, '{"id":"8","created_by":"44","created":"2014-02-17 09:56:00","modified":"2014-04-11 03:54:25","title":"8 fall gardening tips","permalink":"8-fall-gardening-tips","content":"\\r\\n<p>&nbsp;Nulla hendrerit bibendum facilisis. Nunc dapibus varius urna id tempor. Aenean vitae auctor justo. Donec mollis ante nisi, viverra facilisis sapien varius a. Ut at leo dolor. Aliquam dui orci, porttitor sit amet lorem sit amet, hendrerit molestie tortor. Maecenas pellentesque sed dolor vitae gravida.<\\/p>\\r\\n<p>Ut ligula dui, congue vitae laoreet quis, pulvinar quis nisl. Donec commodo massa dapibus dui pellentesque vulputate quis eu ipsum. Integer tempus orci vel posuere ornare. In cursus gravida erat eu auctor. Etiam cursus urna nisi, vel lacinia diam tincidunt at. In eu metus ac sapien luctus luctus.<\\/p>\\r\\n<p>Vestibulum ultrices elit nec justo dignissim, quis ultricies nunc rutrum. Vivamus vel ultrices tortor. Pellentesque in mauris eget enim vehicula euismod eget sed nisi. Etiam volutpat lacinia lorem. Mauris vel erat nec nisi auctor fermentum. Suspendisse ultrices tempor augue sed condimentum. Sed ac dolor sed mi ultricies eleifend. Mauris sed diam id purus feugiat pharetra vitae ac orci. Vivamus dignissim urna vitae ullamcorper pellentesque.<\\/p>\\r\\n<p>Cras ligula felis, vestibulum a euismod at, pretium id tortor. Morbi auctor feugiat nunc sit amet fermentum. Proin nisi purus, mollis id condimentum eu, ultricies congue nisl. Praesent fringilla nulla sit amet nibh varius consectetur. Donec et nulla massa. Aliquam erat volutpat. In hac habitasse platea dictumst. Morbi fermentum tempor sapien sed consequat. Proin ultrices odio mi, ac dignissim mauris consequat venenatis.<\\/p>\\r\\n<p>In urna augue, laoreet et sollicitudin ut, egestas ac tellus. Nunc id lectus placerat urna adipiscing varius. Aenean nec lacus a nulla fringilla suscipit. Vivamus pulvinar nulla eget nibh hendrerit, a sodales enim feugiat. Ut sed sem leo. Curabitur faucibus at sapien et blandit. Curabitur accumsan diam nibh, faucibus iaculis sem posuere in. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Suspendisse lobortis neque ut purus faucibus imperdiet. Pellentesque tempus, ipsum nec scelerisque feugiat, turpis ligula ullamcorper mauris, ut iaculis nibh nisl convallis velit. Pellentesque nisl tellus, ornare vitae odio sed, vulputate sodales tellus. Donec vel eros et turpis tincidunt tempor et eu ipsum. Proin tincidunt tempus accumsan. Integer ut dui a nisl venenatis tincidunt at id lacus. Cras eleifend ac diam sit amet tincidunt. Ut nec justo libero. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Ut blandit tellus vel egestas volutpat.<\\/p>\\r\\n<p>Consequat in fermentum Integer Aenean pellentesque platea felis ullamcorper tincidunt eu. Ligula Nullam justo tincidunt Aenean adipiscing augue et nunc a velit. Venenatis malesuada auctor laoreet consequat sit ac quis Curabitur pellentesque Integer. Et et urna Nullam.<\\/p>\\r\\n<p>Ac enim feugiat urna lobortis et sodales mi id quis dapibus. Enim et quis tincidunt tellus sit Sed Nunc dui convallis Morbi. Nullam laoreet ac tellus Phasellus Duis In mollis mi lacus Nam. Ac nunc.<\\/p>\\r\\n<p>Sagittis Cum odio accumsan Vivamus ullamcorper quis elit leo id montes. Felis Ut eros justo semper vel Vestibulum a quis Nulla et. Mus lacinia laoreet lacinia pellentesque habitant Quisque enim ut In eget. Vitae nibh Pellentesque ante In rutrum.<\\/p>","intro":"<p>Morbi ante libero, iaculis in eros sit amet, mollis blandit libero. Etiam venenatis, ante vel euismod tincidunt, nisl diam sodales orci, nec egestas ante diam nec libero. Morbi pulvinar est erat, sed rutrum eros tincidunt et. Donec non eros porta, pellentesque massa vitae, convallis eros.<\\/p>\\r\\n","excerpt":null,"category_id":"3","published":"1","state":"0","publish_up":"2014-02-18 09:56:00","publish_down":"0000-00-00 00:00:00","ordering":"0","vote":"0","hits":"3","access":"0","allowcomment":"1","subscription":"1","frontpage":"1","isnew":"0","blogpassword":"","latitude":"","longitude":"","address":"","posttype":"","source_id":"0","source_type":"easyblog.sitewide","robots":"","copyrights":"","image":"user:42\\/anh3.jpg","language":"","locked":"0","ip":"","doctype":"legacy","document":null,"autoposting":null,"categories":null,"tags":null,"fields":null,"keywords":null,"description":null,"custom_title":null,"send_notification_emails":"1","association":[]}', 0, 1),
(7, 20, '', '2016-04-04 06:26:25', '2016-04-04 06:26:25', 0, '{"id":"20","created_by":"45","created":"2014-04-11 02:34:49","modified":"2014-04-17 02:35:35","title":"M2M - Everything You Do (HD)","permalink":"m2m-everything-you-do-hd","content":"\\r\\n<p>Cras id dignissim lacus, at auctor tellus. Vestibulum vitae faucibus nulla. Donec ut volutpat ligula, sed pulvinar tellus. Aenean suscipit venenatis ipsum vitae convallis. Pellentesque in nisl purus. Fusce lacinia aliquam tellus at sodales. Fusce odio risus, tincidunt gravida metus id, fermentum pulvinar augue. Nullam id enim et ipsum ornare scelerisque egestas in urna. Donec metus tellus, vestibulum vitae adipiscing et, mollis in diam. Donec rutrum, tortor sed placerat ornare, purus lorem pretium orci, tincidunt porta nisi urna vitae lorem. Praesent pretium malesuada dolor ac pellentesque. Phasellus vel ante pharetra mi rhoncus pharetra. Maecenas fringilla nunc massa, at viverra massa sollicitudin et. Nullam non lacinia nisl, et molestie diam. Morbi adipiscing luctus posuere. Ut mauris mi, sodales nec ornare nec, vestibulum ut leo.<\\/p>\\r\\n<p>Integer venenatis, augue et interdum rutrum, dui velit sodales libero, non dignissim justo ante a neque. Praesent cursus et odio id hendrerit. Maecenas in tempor risus. Cras aliquet ligula eu nibh placerat blandit. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Aenean id diam viverra, lacinia odio nec, ullamcorper massa. Donec ultrices ultricies tristique. Quisque non orci quam. Nam viverra tristique elit non imperdiet. Nullam nec augue tempor, tincidunt massa vel, placerat dui. Nullam sollicitudin mattis neque, eu fermentum lorem eleifend et.<\\/p>\\r\\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam erat volutpat. Praesent sed dui tempus, mattis ante sit amet, luctus justo. Nullam malesuada orci eget dolor feugiat laoreet. Vivamus vitae venenatis sem. Vestibulum pharetra semper libero sed sodales. Quisque pulvinar aliquam diam, auctor lobortis nisi dapibus ut. Nulla placerat in diam et ullamcorper. Donec sodales in leo eget pulvinar. Donec iaculis justo odio, vel auctor lorem pretium et.<\\/p>","intro":"<p>Aliquam vitae lectus et diam fermentum congue. Ut non sapien odio. Suspendisse venenatis placerat urna, in imperdiet dolor tempor eu. Nulla pulvinar eget risus et facilisis. Maecenas dictum dui felis, vel adipiscing mauris bibendum vel. Suspendisse vel nisi a neque sagittis bibendum.<\\/p>\\r\\n","excerpt":null,"category_id":"4","published":"1","state":"0","publish_up":"2014-04-11 02:34:49","publish_down":"0000-00-00 00:00:00","ordering":"0","vote":"0","hits":"3","access":"0","allowcomment":"1","subscription":"1","frontpage":"1","isnew":"0","blogpassword":"","latitude":"","longitude":"","address":"","posttype":"","source_id":"0","source_type":"easyblog.sitewide","robots":"","copyrights":"","image":"user:42\\/anh8.jpg","language":"","locked":"0","ip":"","doctype":"legacy","document":null,"autoposting":null,"categories":[],"tags":[],"fields":[],"keywords":null,"description":null,"custom_title":null,"send_notification_emails":"1","association":[]}', 0, 1),
(8, 15, '', '2016-04-04 06:26:25', '2016-04-04 06:26:25', 0, '{"id":"15","created_by":"42","created":"2014-04-10 10:45:11","modified":"2014-04-11 04:02:44","title":"Google Launches Balloons to Bring the Internet to Remote Regions","permalink":"google-launches-balloons-to-bring-the-internet-to-remote-regions","content":"\\r\\n<p>Sed massa nibh, condimentum in placerat ac, sodales nec libero. In sagittis faucibus ligula, sit amet placerat dolor lobortis vel. Suspendisse non justo mi. Nam turpis risus, dignissim ac facilisis sed, tristique ac orci. Cras ut molestie massa. Mauris suscipit blandit fringilla. Aliquam dictum orci tellus, eget tempus odio imperdiet at. Cras vulputate porta neque, eget aliquet leo lobortis eu.<\\/p>\\r\\n<p>Proin aliquet purus a nisi aliquet fringilla. Quisque non mattis tellus. Nulla vitae sagittis diam, id rutrum justo. Curabitur non semper urna. Donec facilisis mollis viverra. Nulla congue erat eget purus lacinia, id pellentesque ligula mattis. Aliquam erat volutpat. Integer sagittis ultricies semper. Fusce bibendum iaculis urna, non mattis leo viverra auctor. Suspendisse potenti. Fusce ligula arcu, varius ac lectus eu, mollis pulvinar diam. Suspendisse potenti. Praesent at lectus velit. Integer quis nisl ac diam adipiscing ultricies at et erat.<\\/p>\\r\\n<p>Aenean sem turpis, molestie in pharetra et, commodo a tellus. Ut eget nibh bibendum, placerat velit quis, aliquet nunc. Mauris vel tincidunt quam. Curabitur euismod imperdiet bibendum. Proin ac arcu magna. Suspendisse potenti. Vivamus fringilla tellus sed risus dictum egestas. Nulla posuere pellentesque condimentum. Vivamus in nunc justo.<\\/p>\\r\\n<p>Suspendisse ut orci ac odio sodales pharetra. Vestibulum rutrum nisl et mollis sollicitudin. Aenean aliquet mauris lorem, ac ultrices sem volutpat ut. Phasellus in posuere diam, sit amet convallis nisl. Nunc convallis rutrum mi in mattis. Nullam pretium volutpat dui sed vulputate. Cras ac tempor turpis. Duis purus mi, euismod non hendrerit sollicitudin, auctor vitae neque. Cras tristique augue elementum ipsum tempor, vitae cursus tellus consectetur.<\\/p>\\r\\n<p>Nam tincidunt mi vel ultrices pretium. Integer dictum risus felis, sed venenatis lorem convallis at. Etiam condimentum augue purus, vitae molestie ligula laoreet eget. Nam a tellus sed nibh convallis aliquam commodo in quam. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam facilisis diam mauris, euismod convallis tellus fermentum sit amet. Etiam velit metus, aliquam vitae quam vitae, luctus rutrum justo. Pellentesque sodales, dui ac sagittis interdum, nisl ligula malesuada lectus, a euismod orci arcu et diam. Proin ac mattis dui. Etiam sit amet consectetur magna. Sed quis urna vitae elit pretium blandit.<\\/p>","intro":"<p>Nunc congue pellentesque purus, nec fermentum ipsum rutrum vel. Morbi suscipit orci sit amet posuere porta. Donec eget mi congue felis viverra pharetra eget vitae sem. Duis erat est, vehicula ut tortor vehicula, eleifend ullamcorper neque. Pellentesque in nisl dignissim, vehicula justo non, ornare nisl.<\\/p>\\r\\n","excerpt":null,"category_id":"2","published":"1","state":"0","publish_up":"2014-04-10 10:45:11","publish_down":"0000-00-00 00:00:00","ordering":"0","vote":"0","hits":"12","access":"0","allowcomment":"1","subscription":"1","frontpage":"1","isnew":"0","blogpassword":"","latitude":"","longitude":"","address":"","posttype":"","source_id":"0","source_type":"easyblog.sitewide","robots":"","copyrights":"","image":"user:42\\/anh4.jpg","language":"","locked":"0","ip":"","doctype":"legacy","document":null,"autoposting":null,"categories":[],"tags":[],"fields":[],"keywords":null,"description":null,"custom_title":null,"send_notification_emails":"1","association":[]}', 0, 1),
(9, 17, '', '2016-04-04 06:26:31', '2016-04-04 06:26:31', 0, '{"id":"17","created_by":"42","created":"2014-03-09 10:54:00","modified":"2014-04-11 03:11:06","title":"How You Can Help Set the First Vine World Record","permalink":"how-you-can-help-set-the-first-vine-world-record","content":"\\r\\n<p>Duis lobortis blandit quam non egestas. Etiam laoreet et mi vel rutrum. Ut fringilla aliquet vulputate. Maecenas adipiscing, turpis et elementum vestibulum, nunc nibh fermentum sapien, id tempor lorem enim sit amet diam. Donec euismod pulvinar nisl id mollis. Suspendisse vel tincidunt dolor, ut pharetra purus. Proin tempor commodo nunc, non egestas lectus mattis sit amet. Nullam consequat lacus a fermentum laoreet. Curabitur ultrices augue sit amet tellus hendrerit, eu tincidunt quam molestie. Nullam imperdiet nibh vitae massa laoreet, id aliquet justo euismod.<\\/p>\\r\\n<p>Cras facilisis tempor tellus, id egestas dolor ultrices ut. Maecenas quis magna eget mi pulvinar pulvinar at id dolor. Sed tempor auctor pulvinar. Ut vitae elementum nisl. Duis id ornare nisi, eget venenatis nisl. Duis at augue ut tortor sollicitudin sagittis. Curabitur aliquet rutrum sodales. Vivamus posuere augue metus, eget ultrices neque imperdiet a. Nullam lobortis, erat in facilisis rutrum, tortor nibh rutrum risus, ut euismod orci ipsum non mi.<\\/p>\\r\\n<p>Quisque mattis lacus lorem, ut auctor neque hendrerit ut. Phasellus accumsan tincidunt rutrum. Fusce vehicula massa lobortis risus volutpat, vel imperdiet lectus adipiscing. Vestibulum vel lorem vel est viverra feugiat eget quis sapien. Suspendisse vitae enim metus. Morbi pulvinar nisi quis nibh facilisis venenatis. Maecenas rhoncus orci nisi, id tincidunt tellus placerat eget. Integer ut tellus velit. Nunc at viverra metus. Nam blandit leo pharetra, ultrices quam a, tincidunt neque. Vivamus dolor libero, tempus eu cursus vel, hendrerit ac enim. Suspendisse non sem neque.<\\/p>\\r\\n<p>Vestibulum semper tincidunt sapien. In hac habitasse platea dictumst. Sed libero dui, blandit facilisis lectus at, tincidunt ultrices felis. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Phasellus vel turpis accumsan, cursus dui a, posuere nibh. Nunc metus mi, venenatis a sem porttitor, hendrerit dapibus nisi. Aenean nulla nisi, volutpat sodales orci et, rutrum pretium velit. Proin commodo, turpis iaculis tincidunt cursus, felis nisi tempor ipsum, id consequat leo justo sodales turpis. Donec vestibulum convallis quam, a suscipit neque luctus non. Suspendisse pulvinar est id nunc aliquam varius. Aliquam erat volutpat. In sollicitudin bibendum dolor quis consectetur. Vestibulum id nisi imperdiet nibh luctus molestie sed a ipsum.<\\/p>\\r\\n<p>Proin aliquam laoreet libero, sit amet aliquam arcu sagittis a. Nam pharetra tempor justo, nec varius nulla vulputate eu. Sed ornare, odio a dignissim aliquam, lacus magna mollis lorem, a semper dui turpis ac sem. Phasellus pharetra urna non eleifend consequat. Morbi blandit at magna id porttitor. Fusce eros est, commodo eu ultrices ut, gravida interdum est. Sed sagittis orci vel eros facilisis tincidunt. Curabitur at turpis a est consequat vulputate. Mauris pretium erat mollis, venenatis tellus ac, porttitor dui. Donec id eros leo. Interdum et malesuada fames ac ante ipsum primis in faucibus. Vestibulum malesuada augue at magna suscipit volutpat.<\\/p>","intro":"<p>Aliquam ornare mollis velit ac gravida. Nulla fringilla est vitae quam pretium dictum at a justo. Praesent dictum vel neque non eleifend. Quisque egestas enim ut erat tempus accumsan. Maecenas nec rhoncus ante, nec porttitor leo. Nunc at ipsum euismod, posuere ligula nec, sollicitudin nunc.<\\/p>\\r\\n","excerpt":null,"category_id":"4","published":"1","state":"0","publish_up":"2014-03-09 10:54:00","publish_down":"0000-00-00 00:00:00","ordering":"0","vote":"0","hits":"3","access":"0","allowcomment":"1","subscription":"1","frontpage":"1","isnew":"0","blogpassword":"","latitude":"","longitude":"","address":"","posttype":"","source_id":"0","source_type":"easyblog.sitewide","robots":"","copyrights":"","image":"","language":"","locked":"0","ip":"","doctype":"legacy","document":null,"autoposting":null,"categories":[],"tags":[],"fields":[],"keywords":null,"description":null,"custom_title":null,"send_notification_emails":"1","association":[]}', 0, 1),
(10, 5, '', '2016-04-04 06:26:31', '2016-04-04 06:26:31', 0, '{"id":"5","created_by":"49","created":"2014-04-04 09:51:00","modified":"2014-04-17 02:28:14","title":"World not prepared to support growing elderly populatio","permalink":"world-not-prepared-to-support-growing-elderly-populatio","content":"\\r\\n<p>Maecenas tincidunt, velit ut laoreet suscipit, nunc elit ultrices neque, non eleifend arcu massa a erat. Suspendisse condimentum nisi id erat imperdiet tristique. Vivamus eu quam lacus. Sed a fringilla lacus. Proin at dui sit amet lectus sollicitudin adipiscing.<\\/p>\\r\\n<p>Ut lobortis fringilla arcu, eget pulvinar tortor luctus at. Maecenas fermentum, lorem faucibus consequat pharetra, tellus diam hendrerit risus, vitae faucibus lectus dui nec tortor. In non pulvinar velit, eleifend cursus nisl. In nibh nunc, interdum sit amet rhoncus nec, pretium ut quam. Praesent iaculis metus ut nunc volutpat, sed aliquam arcu rhoncus.<\\/p>\\r\\n<p>Suspendisse eu nisi quis nisl semper interdum. Mauris bibendum justo at pretium volutpat. Fusce bibendum arcu id dui porta fermentum. Nam in pretium sapien. In hac habitasse platea dictumst. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Pellentesque vel volutpat nibh. Vivamus mattis risus eget blandit mollis. Maecenas ut libero vel ante mattis tincidunt. Sed vestibulum ultricies ligula eget ornare. Quisque adipiscing, erat nec luctus consectetur, tellus ante ultrices neque, vel condimentum risus eros a lectus.<\\/p>\\r\\n<p>Integer sit amet tortor urna. Pellentesque molestie est a metus sollicitudin rutrum. Sed et nibh sem. Integer varius aliquam diam. Nam laoreet ante vitae ipsum vestibulum, in interdum ipsum volutpat. Aenean dapibus feugiat lorem eu consequat. Etiam mollis dolor ac massa vulputate bibendum. Nunc id metus risus. Nunc vitae metus non ligula viverra varius eu eget arcu. Proin ac commodo dolor. Phasellus turpis lacus, congue non condimentum vitae, ultrices sit amet nunc. Etiam mollis turpis eu luctus tempor.<\\/p>\\r\\n<p>Sed eget lorem ut nibh ornare semper vitae nec risus. Ut sit amet libero eu lectus egestas lobortis sed sed lorem. Donec in est vitae justo eleifend adipiscing. Vivamus feugiat, felis eu ultrices pulvinar, magna eros laoreet lacus, eget hendrerit metus lorem non nisl. Cras dui est, vulputate nec massa nec, dapibus euismod lacus. Mauris tempus rhoncus tortor, hendrerit suscipit neque pretium in. Praesent id quam nulla. Morbi neque augue, pulvinar a erat nec, adipiscing aliquet odio. Nullam sed lorem lorem.<\\/p>\\r\\n<p>Habitant at eget Integer facilisis nibh nibh magna vitae In Suspendisse. Urna ipsum Nam suscipit consequat Sed urna et ac Fusce condimentum. In quis Nulla eget elit eu dui consequat Sed augue cursus. Nec consequat vitae.<\\/p>\\r\\n<p>Vestibulum mollis velit convallis gravida sapien tincidunt lobortis adipiscing metus orci. Euismod neque wisi Curabitur ipsum nonummy amet pede vitae commodo risus. Semper et tincidunt habitant.<\\/p>\\r\\n<p>Pellentesque In a laoreet tincidunt in eleifend urna volutpat Duis orci. Morbi fringilla quis hendrerit gravida sed dis justo id justo turpis. Dis non tellus nibh porta dictumst Maecenas at id ac id. Pellentesque pellentesque nibh ac.<\\/p>\\r\\n<p>Ac vel ut dis urna adipiscing in nibh Ut semper consequat. Sed Sed eu ante laoreet id tincidunt pede ac tellus dictumst. Curabitur Cras netus dictum malesuada Aliquam Praesent convallis tempor ipsum nulla.<\\/p>\\r\\n<p>Dolor sit iaculis Curabitur amet est elit nibh vitae leo Pellentesque. Cras fringilla quis tortor urna Proin tortor Vestibulum enim Proin eros. Eu vel.<\\/p>\\r\\n<p>Ornare Aenean Nunc turpis quis lacus eu et laoreet pellentesque accumsan. Maecenas arcu consequat cursus et Lorem risus velit ut at platea. Eget rutrum.<\\/p>","intro":"<p>Nulla nec urna nec diam placerat hendrerit. Curabitur interdum diam id pharetra dignissim. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Sed rutrum semper eros, id interdum risus convallis non.<\\/p>\\r\\n","excerpt":null,"category_id":"3","published":"1","state":"0","publish_up":"2014-04-06 09:51:00","publish_down":"0000-00-00 00:00:00","ordering":"0","vote":"0","hits":"3","access":"0","allowcomment":"1","subscription":"1","frontpage":"1","isnew":"0","blogpassword":"","latitude":"","longitude":"","address":"","posttype":"","source_id":"0","source_type":"easyblog.sitewide","robots":"","copyrights":"","image":"user:42\\/anh7.jpg","language":"","locked":"0","ip":"","doctype":"legacy","document":null,"autoposting":null,"categories":[],"tags":[],"fields":[],"keywords":null,"description":null,"custom_title":null,"send_notification_emails":"1","association":[]}', 0, 1),
(11, 14, '', '2016-09-01 08:22:16', '2016-09-01 08:22:16', 42, '{"id":"14","created_by":"42","created":"2014-04-10 10:45:09","modified":"2014-04-11 04:03:27","title":"Internet Sales Tax Sails Through Senate","permalink":"internet-sales-tax-sails-through-senate","content":"\\r\\n<p>Donec molestie sagittis nibh. Etiam vitae est a tellus interdum aliquam. Ut sed sem quis nibh semper euismod. Cras vestibulum ullamcorper cursus. Maecenas eget diam augue. Mauris at malesuada elit. Pellentesque eu varius nulla. Proin ante quam, blandit sit amet auctor non, dignissim a lacus. Fusce vitae tincidunt odio, vel congue arcu. Maecenas consectetur erat at diam consequat malesuada ac quis urna. Donec elementum sit amet nunc quis rutrum.<\\/p>\\r\\n<p>Proin sollicitudin malesuada bibendum. Nunc laoreet odio non turpis adipiscing malesuada. Nullam scelerisque, tortor nec gravida eleifend, metus sem consequat sapien, id auctor nulla arcu at turpis. Mauris vehicula lectus condimentum purus imperdiet, eget viverra velit lobortis. Proin bibendum nisi ut rhoncus tincidunt. Duis sit amet lacus varius, pellentesque nisl id, blandit mauris. Etiam dictum massa ut quam varius porttitor.<\\/p>\\r\\n<p>Cras nec dolor pretium, feugiat magna non, consequat elit. Sed imperdiet vestibulum eros, vel dictum quam aliquet at. Donec et felis sed nulla pretium viverra et in urna. Morbi eleifend id eros vel rhoncus. Maecenas sed nunc eget metus dapibus sollicitudin. Vestibulum magna tortor, posuere at lectus at, facilisis pharetra nulla. Donec id tincidunt turpis, id semper nisi. Ut commodo odio et arcu laoreet, iaculis venenatis leo interdum. Cras a pulvinar urna. Proin eu interdum mauris. Sed et nisl velit. Vestibulum elementum ligula ac diam facilisis ultricies. Quisque pharetra augue ac imperdiet sodales. Phasellus tincidunt suscipit nisl sollicitudin pulvinar. Vivamus ultricies enim enim, eget pharetra metus egestas vitae. Aliquam dignissim viverra elit, sit amet iaculis ligula consequat vestibulum.<\\/p>\\r\\n<p>In fringilla at nunc sed vehicula. Donec dapibus libero id nulla scelerisque, in aliquet velit ultrices. Sed dignissim sit amet tellus sed ultricies. Curabitur eget mauris non turpis cursus lobortis id sit amet velit. Curabitur nibh odio, auctor eget nisl at, lobortis hendrerit ligula. Suspendisse vitae arcu in nunc faucibus varius eu feugiat orci. Nullam suscipit porta accumsan. Vestibulum adipiscing est ac erat tincidunt, sed scelerisque metus iaculis. Nunc pellentesque rutrum urna, a pulvinar lacus consequat ut.<\\/p>\\r\\n<p>Habitant at eget Integer facilisis nibh nibh magna vitae In Suspendisse. Urna ipsum Nam suscipit consequat Sed urna et ac Fusce condimentum. In quis Nulla eget elit eu dui consequat Sed augue cursus. Nec consequat vitae.<\\/p>\\r\\n<p>Vestibulum mollis velit convallis gravida sapien tincidunt lobortis adipiscing metus orci. Euismod neque wisi Curabitur ipsum nonummy amet pede vitae commodo risus. Semper et tincidunt habitant.<\\/p>\\r\\n<p>Pellentesque In a laoreet tincidunt in eleifend urna volutpat Duis orci. Morbi fringilla quis hendrerit gravida sed dis justo id justo turpis. Dis non tellus nibh porta dictumst Maecenas at id ac id. Pellentesque pellentesque nibh ac.<\\/p>\\r\\n<p>Ac vel ut dis urna adipiscing in nibh Ut semper consequat. Sed Sed eu ante laoreet id tincidunt pede ac tellus dictumst. Curabitur Cras netus dictum malesuada Aliquam Praesent convallis tempor ipsum nulla.<\\/p>\\r\\n<p>Dolor sit iaculis Curabitur amet est elit nibh vitae leo Pellentesque. Cras fringilla quis tortor urna Proin tortor Vestibulum enim Proin eros. Eu vel.<\\/p>\\r\\n<p>Ornare Aenean Nunc turpis quis lacus eu et laoreet pellentesque accumsan. Maecenas arcu consequat cursus et Lorem risus velit ut at platea. Eget rutrum.<\\/p>","intro":"<p>Etiam ac sodales diam. Sed rutrum augue vitae est tincidunt tempus. Morbi consequat varius ultricies. Curabitur sodales dui eu tellus vestibulum, quis laoreet eros pulvinar. Sed ac est non lorem porttitor adipiscing. Sed sit amet orci nec felis ultricies interdum eget et nunc.<\\/p>\\r\\n","excerpt":null,"category_id":"2","published":"1","state":"0","publish_up":"2014-04-10 10:45:09","publish_down":"0000-00-00 00:00:00","ordering":"0","vote":"0","hits":"1","access":"0","allowcomment":"1","subscription":"1","frontpage":"1","isnew":"0","blogpassword":"","latitude":"","longitude":"","address":"","posttype":"","source_id":"0","source_type":"easyblog.sitewide","robots":"","copyrights":"","image":"user:42\\/anh5.jpg","language":"","locked":"0","ip":"","doctype":"legacy","document":null,"autoposting":null,"categories":null,"tags":null,"fields":null,"keywords":null,"description":null,"custom_title":null,"send_notification_emails":"1","association":[]}', 0, 1),
(12, 11, '', '2016-09-01 08:22:16', '2016-09-01 08:22:16', 42, '{"id":"11","created_by":"42","created":"2014-02-21 10:26:00","modified":"2014-04-17 02:32:26","title":"Guide to cruise ship art auctions","permalink":"guide-to-cruise-ship-art-auctions","content":"\\r\\n<p>Quisque porta, enim ac tristique semper, odio lorem molestie purus, eget auctor odio diam tristique est. In hac habitasse platea dictumst. Mauris quis lobortis est, et condimentum erat. Vivamus convallis ante vel neque molestie convallis. Nullam dignissim, felis et dapibus luctus, lorem ligula posuere felis, fermentum lobortis tellus arcu id diam. Sed tristique ante nec orci sagittis pretium. Maecenas ultrices fringilla nisl sed rhoncus.<\\/p>\\r\\n<p>Sed eget nibh egestas nisi iaculis sodales. Cras nulla orci, euismod sit amet tincidunt ut, lobortis at justo. Vivamus quis lorem eget turpis eleifend porta sit amet non mauris. Etiam scelerisque mauris at tincidunt condimentum. Nam viverra orci turpis, vitae rhoncus eros sodales sed. Nunc libero dolor, ultrices nec laoreet ac, tristique et libero. Integer convallis metus at metus venenatis sollicitudin elementum eu dui. Sed id pellentesque magna. Duis lectus ligula, vehicula vel volutpat at, aliquam quis nibh. Mauris nec vulputate erat. In sit amet ante ac odio pretium dignissim vel ac tellus.<\\/p>\\r\\n<p>Sed sed dolor magna. Nam vehicula mollis libero in rutrum. Suspendisse quis nisi et mauris posuere fringilla et eu dolor. In blandit lacinia sapien ac lobortis. Aliquam purus ligula, posuere vitae augue at, pellentesque fermentum mi. Pellentesque quis nulla sem. Quisque tempor ut augue id bibendum. Nulla aliquet imperdiet risus in viverra.<\\/p>\\r\\n<p>Integer ligula odio, ultricies et volutpat eu, ultricies laoreet odio. Vivamus tincidunt odio dui, in commodo tellus cursus vitae. Aliquam non imperdiet velit. Proin condimentum ullamcorper nulla, sed varius lorem lobortis at. Suspendisse potenti. Aliquam at lectus aliquet, rutrum lorem fermentum, aliquet sem. Vestibulum fringilla arcu id dui laoreet, et aliquam augue rutrum.<\\/p>\\r\\n<p>Consequat in fermentum Integer Aenean pellentesque platea felis ullamcorper tincidunt eu. Ligula Nullam justo tincidunt Aenean adipiscing augue et nunc a velit. Venenatis malesuada auctor laoreet consequat sit ac quis Curabitur pellentesque Integer. Et et urna Nullam.<\\/p>\\r\\n<p>Ac enim feugiat urna lobortis et sodales mi id quis dapibus. Enim et quis tincidunt tellus sit Sed Nunc dui convallis Morbi. Nullam laoreet ac tellus Phasellus Duis In mollis mi lacus Nam. Ac nunc.<\\/p>\\r\\n<p>Sagittis Cum odio accumsan Vivamus ullamcorper quis elit leo id montes. Felis Ut eros justo semper vel Vestibulum a quis Nulla et. Mus lacinia laoreet lacinia pellentesque habitant Quisque enim ut In eget. Vitae nibh Pellentesque ante In rutrum.<\\/p>","intro":"<p>Etiam vitae laoreet libero. Nam laoreet urna vel metus imperdiet faucibus. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos. Quisque quis purus tortor. Nullam vel nibh volutpat, luctus urna vel, varius est.<\\/p>\\r\\n","excerpt":null,"category_id":"3","published":"1","state":"0","publish_up":"2014-02-21 10:26:00","publish_down":"0000-00-00 00:00:00","ordering":"0","vote":"0","hits":"3","access":"0","allowcomment":"1","subscription":"1","frontpage":"1","isnew":"0","blogpassword":"","latitude":"","longitude":"","address":"","posttype":"","source_id":"0","source_type":"easyblog.sitewide","robots":"","copyrights":"","image":"user:42\\/anh9.jpg","language":"","locked":"0","ip":"","doctype":"legacy","document":null,"autoposting":null,"categories":null,"tags":null,"fields":null,"keywords":null,"description":null,"custom_title":null,"send_notification_emails":"1","association":[]}', 0, 1);

DROP TABLE IF EXISTS `#__easyblog_subscriptions`;
CREATE TABLE `#__easyblog_subscriptions` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `uid` bigint(20) unsigned NOT NULL,
  `utype` varchar(64) NOT NULL,
  `user_id` bigint(20) unsigned DEFAULT '0',
  `fullname` varchar(255) DEFAULT NULL,
  `email` varchar(100) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `easyblog_subscriptions_types` (`uid`,`utype`),
  KEY `easyblog_subscriptions_types_userid` (`uid`,`utype`,`user_id`),
  KEY `easyblog_subscriptions_types_email` (`uid`,`utype`,`email`),
  KEY `easyblog_subscriptions_userid` (`user_id`),
  KEY `easyblog_subscriptions_email` (`email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_themes_overrides`;
CREATE TABLE `#__easyblog_themes_overrides` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `file_id` text NOT NULL,
  `notes` text NOT NULL,
  `contents` longtext NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__easyblog_uploader_tmp`;
CREATE TABLE `#__easyblog_uploader_tmp` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `type` varchar(255) NOT NULL,
  `path` text NOT NULL,
  `uri` text NOT NULL,
  `raw` text NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`,`type`),
  KEY `idx_uploader_created` (`created`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__extensions`;
CREATE TABLE `#__extensions` (
  `extension_id` int(11) NOT NULL AUTO_INCREMENT,
  `package_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Parent package ID for extensions installed as a package.',
  `name` varchar(100) NOT NULL,
  `type` varchar(20) NOT NULL,
  `element` varchar(100) NOT NULL,
  `folder` varchar(100) NOT NULL,
  `client_id` tinyint(3) NOT NULL,
  `enabled` tinyint(3) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '1',
  `protected` tinyint(3) NOT NULL DEFAULT '0',
  `manifest_cache` mediumtext NOT NULL,
  `params` mediumtext NOT NULL,
  `custom_data` mediumtext NOT NULL,
  `system_data` mediumtext NOT NULL,
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) DEFAULT '0',
  `state` int(11) DEFAULT '0',
  PRIMARY KEY (`extension_id`),
  KEY `element_clientid` (`element`,`client_id`),
  KEY `element_folder_clientid` (`element`,`folder`,`client_id`),
  KEY `extension` (`type`,`element`,`folder`,`client_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10045 DEFAULT CHARSET=utf8;

INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(1, 0, 'com_mailto', 'component', 'com_mailto', '', 0, 1, 1, 1, '{"name":"com_mailto","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MAILTO_XML_DESCRIPTION","group":"","filename":"mailto"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(2, 0, 'com_wrapper', 'component', 'com_wrapper', '', 0, 1, 1, 1, '{"name":"com_wrapper","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.\\n\\t","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_WRAPPER_XML_DESCRIPTION","group":"","filename":"wrapper"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(3, 0, 'com_admin', 'component', 'com_admin', '', 1, 1, 1, 1, '{"name":"com_admin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_ADMIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(4, 0, 'com_banners', 'component', 'com_banners', '', 1, 1, 1, 0, '{"name":"com_banners","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_BANNERS_XML_DESCRIPTION","group":"","filename":"banners"}', '{"purchase_type":"3","track_impressions":"0","track_clicks":"0","metakey_prefix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(5, 0, 'com_cache', 'component', 'com_cache', '', 1, 1, 1, 1, '{"name":"com_cache","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CACHE_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(6, 0, 'com_categories', 'component', 'com_categories', '', 1, 1, 1, 1, '{"name":"com_categories","type":"component","creationDate":"December 2007","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CATEGORIES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(7, 0, 'com_checkin', 'component', 'com_checkin', '', 1, 1, 1, 1, '{"name":"com_checkin","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CHECKIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(8, 0, 'com_contact', 'component', 'com_contact', '', 1, 1, 1, 0, '{"name":"com_contact","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '{"contact_layout":"_:default","show_contact_category":"hide","show_contact_list":"0","presentation_style":"sliders","show_name":"1","show_position":"1","show_email":"0","show_street_address":"1","show_suburb":"1","show_state":"1","show_postcode":"1","show_country":"1","show_telephone":"1","show_mobile":"1","show_fax":"1","show_webpage":"1","show_misc":"1","show_image":"1","image":"","allow_vcard":"0","show_articles":"0","show_profile":"0","show_links":"0","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","contact_icons":"2","icon_address":"","icon_email":"","icon_telephone":"","icon_mobile":"","icon_fax":"","icon_misc":"","category_layout":"_:default","show_category_title":"1","show_description":"1","show_description_image":"0","maxLevel":"-1","show_empty_categories":"0","show_subcat_desc":"1","show_cat_items":"1","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_items_cat":"1","show_pagination_limit":"1","show_headings":"1","show_position_headings":"1","show_email_headings":"0","show_telephone_headings":"1","show_mobile_headings":"0","show_fax_headings":"0","show_suburb_headings":"1","show_state_headings":"1","show_country_headings":"1","show_pagination":"2","show_pagination_results":"1","initial_sort":"ordering","captcha":"","show_email_form":"1","show_email_copy":"1","banned_email":"","banned_subject":"","banned_text":"","validate_session":"1","custom_reply":"0","redirect":"","show_feed_link":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(9, 0, 'com_cpanel', 'component', 'com_cpanel', '', 1, 1, 1, 1, '{"name":"com_cpanel","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CPANEL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10, 0, 'com_installer', 'component', 'com_installer', '', 1, 1, 1, 1, '{"name":"com_installer","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_INSTALLER_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(11, 0, 'com_languages', 'component', 'com_languages', '', 1, 1, 1, 1, '{"name":"com_languages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LANGUAGES_XML_DESCRIPTION","group":""}', '{"administrator":"en-GB","site":"en-GB"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(12, 0, 'com_login', 'component', 'com_login', '', 1, 1, 1, 1, '{"name":"com_login","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_LOGIN_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(13, 0, 'com_media', 'component', 'com_media', '', 1, 1, 0, 1, '{"name":"com_media","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MEDIA_XML_DESCRIPTION","group":"","filename":"media"}', '{"upload_extensions":"bmp,csv,doc,gif,ico,jpg,jpeg,odg,odp,ods,odt,pdf,png,ppt,swf,txt,xcf,xls,BMP,CSV,DOC,GIF,ICO,JPG,JPEG,ODG,ODP,ODS,ODT,PDF,PNG,PPT,SWF,TXT,XCF,XLS","upload_maxsize":"10","file_path":"images","image_path":"images","restrict_uploads":"1","allowed_media_usergroup":"3","check_mime":"1","image_extensions":"bmp,gif,jpg,png","ignore_extensions":"","upload_mime":"image\\/jpeg,image\\/gif,image\\/png,image\\/bmp,application\\/x-shockwave-flash,application\\/msword,application\\/excel,application\\/pdf,application\\/powerpoint,text\\/plain,application\\/x-zip","upload_mime_illegal":"text\\/html"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(14, 0, 'com_menus', 'component', 'com_menus', '', 1, 1, 1, 1, '{"name":"com_menus","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MENUS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(15, 0, 'com_messages', 'component', 'com_messages', '', 1, 1, 1, 1, '{"name":"com_messages","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MESSAGES_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(16, 0, 'com_modules', 'component', 'com_modules', '', 1, 1, 1, 1, '{"name":"com_modules","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_MODULES_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(17, 0, 'com_newsfeeds', 'component', 'com_newsfeeds', '', 1, 1, 1, 0, '{"name":"com_newsfeeds","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{"show_feed_image":"1","show_feed_description":"1","show_item_description":"1","feed_word_count":"0","show_headings":"1","show_name":"1","show_articles":"0","show_link":"1","show_description":"1","show_description_image":"1","display_num":"","show_pagination_limit":"1","show_pagination":"1","show_pagination_results":"1","show_cat_items":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(18, 0, 'com_plugins', 'component', 'com_plugins', '', 1, 1, 1, 1, '{"name":"com_plugins","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_PLUGINS_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(19, 0, 'com_search', 'component', 'com_search', '', 1, 1, 1, 0, '{"name":"com_search","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_SEARCH_XML_DESCRIPTION","group":"","filename":"search"}', '{"enabled":"0","show_date":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(20, 0, 'com_templates', 'component', 'com_templates', '', 1, 1, 1, 1, '{"name":"com_templates","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_TEMPLATES_XML_DESCRIPTION","group":""}', '{"template_positions_display":"1","upload_limit":"2","image_formats":"gif,bmp,jpg,jpeg,png","source_formats":"txt,less,ini,xml,js,php,css","font_formats":"woff,ttf,otf","compressed_formats":"zip"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(22, 0, 'com_content', 'component', 'com_content', '', 1, 1, 0, 1, '{"name":"com_content","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{"article_layout":"_:default","show_title":"1","link_titles":"1","show_intro":"1","show_category":"1","link_category":"1","show_parent_category":"0","link_parent_category":"0","show_author":"1","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"1","show_item_navigation":"1","show_vote":"0","show_readmore":"1","show_readmore_title":"0","readmore_limit":"100","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_hits":"1","show_noauth":"0","urls_position":"0","show_publishing_options":"1","show_article_options":"1","show_urls_images_frontend":"1","show_urls_images_backend":"1","targeta":0,"targetb":0,"targetc":0,"float_intro":"left","float_fulltext":"left","category_layout":"_:blog","show_category_heading_title_text":"1","show_category_title":"0","show_description":"0","show_description_image":"0","maxLevel":"1","show_empty_categories":"0","show_no_articles":"1","show_subcat_desc":"1","show_cat_num_articles":"0","show_base_description":"1","maxLevelcat":"-1","show_empty_categories_cat":"0","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"1","num_leading_articles":"1","num_intro_articles":"4","num_columns":"1","num_links":"0","multi_column_order":"0","show_subcategory_content":"0","show_pagination_limit":"1","filter_field":"hide","show_headings":"1","list_show_date":"0","date_format":"","list_show_hits":"1","list_show_author":"1","orderby_pri":"order","orderby_sec":"rdate","order_date":"published","show_pagination":"2","show_pagination_results":"1","show_feed_link":"1","feed_summary":"0","feed_show_readmore":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(23, 0, 'com_config', 'component', 'com_config', '', 1, 1, 0, 1, '{"name":"com_config","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_CONFIG_XML_DESCRIPTION","group":""}', '{"filters":{"1":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"6":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"7":{"filter_type":"NONE","filter_tags":"","filter_attributes":""},"2":{"filter_type":"NH","filter_tags":"","filter_attributes":""},"3":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"4":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"5":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"10":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"12":{"filter_type":"BL","filter_tags":"","filter_attributes":""},"8":{"filter_type":"NONE","filter_tags":"","filter_attributes":""}}}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(24, 0, 'com_redirect', 'component', 'com_redirect', '', 1, 1, 0, 1, '{"name":"com_redirect","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_REDIRECT_XML_DESCRIPTION","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(25, 0, 'com_users', 'component', 'com_users', '', 1, 1, 0, 1, '{"name":"com_users","type":"component","creationDate":"April 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_USERS_XML_DESCRIPTION","group":"","filename":"users"}', '{"allowUserRegistration":"1","new_usertype":"2","guest_usergroup":"1","sendpassword":"1","useractivation":"2","mail_to_admin":"1","captcha":"","frontend_userparams":"1","site_language":"0","change_login_name":"0","reset_count":"10","reset_time":"1","mailSubjectPrefix":"","mailBodySuffix":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(27, 0, 'com_finder', 'component', 'com_finder', '', 1, 1, 0, 0, '{"name":"com_finder","type":"component","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"COM_FINDER_XML_DESCRIPTION","group":"","filename":"finder"}', '{"show_description":"1","description_length":255,"allow_empty_query":"0","show_url":"1","show_advanced":"1","expand_advanced":"0","show_date_filters":"0","highlight_terms":"1","opensearch_name":"","opensearch_description":"","batch_size":"50","memory_table_limit":30000,"title_multiplier":"1.7","text_multiplier":"0.7","meta_multiplier":"1.2","path_multiplier":"2.0","misc_multiplier":"0.3","stemmer":"snowball"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(28, 0, 'com_joomlaupdate', 'component', 'com_joomlaupdate', '', 1, 1, 0, 1, '{"name":"com_joomlaupdate","type":"component","creationDate":"February 2012","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.2","description":"COM_JOOMLAUPDATE_XML_DESCRIPTION","group":""}', '{"updatesource":"lts","customurl":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(29, 0, 'com_tags', 'component', 'com_tags', '', 1, 1, 1, 1, '{"name":"com_tags","type":"component","creationDate":"December 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"COM_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(30, 0, 'com_contenthistory', 'component', 'com_contenthistory', '', 1, 1, 1, 0, '{"name":"com_contenthistory","type":"component","creationDate":"May 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_CONTENTHISTORY_XML_DESCRIPTION","group":"","filename":"contenthistory"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(31, 0, 'com_ajax', 'component', 'com_ajax', '', 1, 1, 1, 1, '{"name":"com_ajax","type":"component","creationDate":"August 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_AJAX_XML_DESCRIPTION","group":"","filename":"ajax"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(32, 0, 'com_postinstall', 'component', 'com_postinstall', '', 1, 1, 1, 1, '{"name":"com_postinstall","type":"component","creationDate":"September 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"COM_POSTINSTALL_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(33, 0, 'com_fields', 'component', 'com_fields', '', 1, 1, 1, 0, '{"name":"com_fields","type":"component","creationDate":"March 2016","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"COM_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(34, 0, 'com_associations', 'component', 'com_associations', '', 1, 1, 1, 0, '{"name":"com_associations","type":"component","creationDate":"Januar 2017","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"COM_ASSOCIATIONS_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(102, 0, 'LIB_PHPUTF8', 'library', 'phputf8', '', 0, 1, 1, 1, '{"name":"LIB_PHPUTF8","type":"library","creationDate":"2006","author":"Harry Fuecks","copyright":"Copyright various authors","authorEmail":"hfuecks@gmail.com","authorUrl":"http:\\/\\/sourceforge.net\\/projects\\/phputf8","version":"0.5","description":"LIB_PHPUTF8_XML_DESCRIPTION","group":"","filename":"phputf8"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(103, 0, 'LIB_JOOMLA', 'library', 'joomla', '', 0, 1, 1, 1, '{"name":"LIB_JOOMLA","type":"library","creationDate":"2008","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"https:\\/\\/www.joomla.org","version":"13.1","description":"LIB_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{"mediaversion":"ca1cda4945175f6b0c364d76cd17afdb"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(104, 0, 'LIB_IDNA', 'library', 'idna_convert', '', 0, 1, 1, 1, '{"name":"LIB_IDNA","type":"library","creationDate":"2004","author":"phlyLabs","copyright":"2004-2011 phlyLabs Berlin, http:\\/\\/phlylabs.de","authorEmail":"phlymail@phlylabs.de","authorUrl":"http:\\/\\/phlylabs.de","version":"0.8.0","description":"LIB_IDNA_XML_DESCRIPTION","group":"","filename":"idna_convert"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(105, 0, 'FOF', 'library', 'fof', '', 0, 1, 1, 1, '{"name":"FOF","type":"library","creationDate":"2015-04-22 13:15:32","author":"Nicholas K. Dionysopoulos \\/ Akeeba Ltd","copyright":"(C)2011-2015 Nicholas K. Dionysopoulos","authorEmail":"nicholas@akeebabackup.com","authorUrl":"https:\\/\\/www.akeebabackup.com","version":"2.4.3","description":"LIB_FOF_XML_DESCRIPTION","group":"","filename":"fof"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(106, 0, 'LIB_PHPASS', 'library', 'phpass', '', 0, 1, 1, 1, '{"name":"LIB_PHPASS","type":"library","creationDate":"2004-2006","author":"Solar Designer","copyright":"","authorEmail":"solar@openwall.com","authorUrl":"http:\\/\\/www.openwall.com\\/phpass\\/","version":"0.3","description":"LIB_PHPASS_XML_DESCRIPTION","group":"","filename":"phpass"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(200, 0, 'mod_articles_archive', 'module', 'mod_articles_archive', '', 0, 1, 1, 0, '{"name":"mod_articles_archive","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_ARCHIVE_XML_DESCRIPTION","group":"","filename":"mod_articles_archive"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(201, 0, 'mod_articles_latest', 'module', 'mod_articles_latest', '', 0, 1, 1, 0, '{"name":"mod_articles_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(202, 0, 'mod_articles_popular', 'module', 'mod_articles_popular', '', 0, 1, 1, 0, '{"name":"mod_articles_popular","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_articles_popular"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(203, 0, 'mod_banners', 'module', 'mod_banners', '', 0, 1, 1, 0, '{"name":"mod_banners","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BANNERS_XML_DESCRIPTION","group":"","filename":"mod_banners"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(204, 0, 'mod_breadcrumbs', 'module', 'mod_breadcrumbs', '', 0, 1, 1, 1, '{"name":"mod_breadcrumbs","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_BREADCRUMBS_XML_DESCRIPTION","group":"","filename":"mod_breadcrumbs"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(205, 0, 'mod_custom', 'module', 'mod_custom', '', 0, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(206, 0, 'mod_feed', 'module', 'mod_feed', '', 0, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(207, 0, 'mod_footer', 'module', 'mod_footer', '', 0, 1, 1, 0, '{"name":"mod_footer","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FOOTER_XML_DESCRIPTION","group":"","filename":"mod_footer"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(208, 0, 'mod_login', 'module', 'mod_login', '', 0, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(209, 0, 'mod_menu', 'module', 'mod_menu', '', 0, 1, 1, 1, '{"name":"mod_menu","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(210, 0, 'mod_articles_news', 'module', 'mod_articles_news', '', 0, 1, 1, 0, '{"name":"mod_articles_news","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_NEWS_XML_DESCRIPTION","group":"","filename":"mod_articles_news"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(211, 0, 'mod_random_image', 'module', 'mod_random_image', '', 0, 1, 1, 0, '{"name":"mod_random_image","type":"module","creationDate":"July 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RANDOM_IMAGE_XML_DESCRIPTION","group":"","filename":"mod_random_image"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(212, 0, 'mod_related_items', 'module', 'mod_related_items', '', 0, 1, 1, 0, '{"name":"mod_related_items","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_RELATED_XML_DESCRIPTION","group":"","filename":"mod_related_items"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(213, 0, 'mod_search', 'module', 'mod_search', '', 0, 1, 1, 0, '{"name":"mod_search","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SEARCH_XML_DESCRIPTION","group":"","filename":"mod_search"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(214, 0, 'mod_stats', 'module', 'mod_stats', '', 0, 1, 1, 0, '{"name":"mod_stats","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(215, 0, 'mod_syndicate', 'module', 'mod_syndicate', '', 0, 1, 1, 1, '{"name":"mod_syndicate","type":"module","creationDate":"May 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SYNDICATE_XML_DESCRIPTION","group":"","filename":"mod_syndicate"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(216, 0, 'mod_users_latest', 'module', 'mod_users_latest', '', 0, 1, 1, 0, '{"name":"mod_users_latest","type":"module","creationDate":"December 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_USERS_LATEST_XML_DESCRIPTION","group":"","filename":"mod_users_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(218, 0, 'mod_whosonline', 'module', 'mod_whosonline', '', 0, 1, 1, 0, '{"name":"mod_whosonline","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WHOSONLINE_XML_DESCRIPTION","group":"","filename":"mod_whosonline"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(219, 0, 'mod_wrapper', 'module', 'mod_wrapper', '', 0, 1, 1, 0, '{"name":"mod_wrapper","type":"module","creationDate":"October 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_WRAPPER_XML_DESCRIPTION","group":"","filename":"mod_wrapper"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(220, 0, 'mod_articles_category', 'module', 'mod_articles_category', '', 0, 1, 1, 0, '{"name":"mod_articles_category","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORY_XML_DESCRIPTION","group":"","filename":"mod_articles_category"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(221, 0, 'mod_articles_categories', 'module', 'mod_articles_categories', '', 0, 1, 1, 0, '{"name":"mod_articles_categories","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_ARTICLES_CATEGORIES_XML_DESCRIPTION","group":"","filename":"mod_articles_categories"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(222, 0, 'mod_languages', 'module', 'mod_languages', '', 0, 1, 1, 1, '{"name":"mod_languages","type":"module","creationDate":"February 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"MOD_LANGUAGES_XML_DESCRIPTION","group":"","filename":"mod_languages"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(223, 0, 'mod_finder', 'module', 'mod_finder', '', 0, 1, 0, 0, '{"name":"mod_finder","type":"module","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FINDER_XML_DESCRIPTION","group":"","filename":"mod_finder"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(300, 0, 'mod_custom', 'module', 'mod_custom', '', 1, 1, 1, 1, '{"name":"mod_custom","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_CUSTOM_XML_DESCRIPTION","group":"","filename":"mod_custom"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(301, 0, 'mod_feed', 'module', 'mod_feed', '', 1, 1, 1, 0, '{"name":"mod_feed","type":"module","creationDate":"July 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_FEED_XML_DESCRIPTION","group":"","filename":"mod_feed"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(302, 0, 'mod_latest', 'module', 'mod_latest', '', 1, 1, 1, 0, '{"name":"mod_latest","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LATEST_XML_DESCRIPTION","group":"","filename":"mod_latest"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(303, 0, 'mod_logged', 'module', 'mod_logged', '', 1, 1, 1, 0, '{"name":"mod_logged","type":"module","creationDate":"January 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGGED_XML_DESCRIPTION","group":"","filename":"mod_logged"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(304, 0, 'mod_login', 'module', 'mod_login', '', 1, 1, 1, 1, '{"name":"mod_login","type":"module","creationDate":"March 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_LOGIN_XML_DESCRIPTION","group":"","filename":"mod_login"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(305, 0, 'mod_menu', 'module', 'mod_menu', '', 1, 1, 1, 0, '{"name":"mod_menu","type":"module","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MENU_XML_DESCRIPTION","group":"","filename":"mod_menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(307, 0, 'mod_popular', 'module', 'mod_popular', '', 1, 1, 1, 0, '{"name":"mod_popular","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_popular"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(308, 0, 'mod_quickicon', 'module', 'mod_quickicon', '', 1, 1, 1, 1, '{"name":"mod_quickicon","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_QUICKICON_XML_DESCRIPTION","group":"","filename":"mod_quickicon"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(309, 0, 'mod_status', 'module', 'mod_status', '', 1, 1, 1, 0, '{"name":"mod_status","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATUS_XML_DESCRIPTION","group":"","filename":"mod_status"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(310, 0, 'mod_submenu', 'module', 'mod_submenu', '', 1, 1, 1, 0, '{"name":"mod_submenu","type":"module","creationDate":"Feb 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_SUBMENU_XML_DESCRIPTION","group":"","filename":"mod_submenu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(311, 0, 'mod_title', 'module', 'mod_title', '', 1, 1, 1, 0, '{"name":"mod_title","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TITLE_XML_DESCRIPTION","group":"","filename":"mod_title"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(312, 0, 'mod_toolbar', 'module', 'mod_toolbar', '', 1, 1, 1, 1, '{"name":"mod_toolbar","type":"module","creationDate":"Nov 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_TOOLBAR_XML_DESCRIPTION","group":"","filename":"mod_toolbar"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(313, 0, 'mod_multilangstatus', 'module', 'mod_multilangstatus', '', 1, 1, 1, 0, '{"name":"mod_multilangstatus","type":"module","creationDate":"September 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_MULTILANGSTATUS_XML_DESCRIPTION","group":"","filename":"mod_multilangstatus"}', '{"cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(314, 0, 'mod_version', 'module', 'mod_version', '', 1, 1, 1, 0, '{"name":"mod_version","type":"module","creationDate":"January 2012","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_VERSION_XML_DESCRIPTION","group":"","filename":"mod_version"}', '{"format":"short","product":"1","cache":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(315, 0, 'mod_stats_admin', 'module', 'mod_stats_admin', '', 1, 1, 1, 0, '{"name":"mod_stats_admin","type":"module","creationDate":"July 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"MOD_STATS_XML_DESCRIPTION","group":"","filename":"mod_stats_admin"}', '{"serverinfo":"0","siteinfo":"0","counter":"0","increase":"0","cache":"1","cache_time":"900","cachemode":"static"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(316, 0, 'mod_tags_popular', 'module', 'mod_tags_popular', '', 0, 1, 1, 0, '{"name":"mod_tags_popular","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_POPULAR_XML_DESCRIPTION","group":"","filename":"mod_tags_popular"}', '{"maximum":"5","timeframe":"alltime","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(317, 0, 'mod_tags_similar', 'module', 'mod_tags_similar', '', 0, 1, 1, 0, '{"name":"mod_tags_similar","type":"module","creationDate":"January 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.1.0","description":"MOD_TAGS_SIMILAR_XML_DESCRIPTION","group":"","filename":"mod_tags_similar"}', '{"maximum":"5","matchtype":"any","owncache":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(318, 0, 'mod_sampledata', 'module', 'mod_sampledata', '', 1, 0, 1, 0, '{"name":"mod_sampledata","type":"module","creationDate":"July 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.0","description":"MOD_SAMPLEDATA_XML_DESCRIPTION","group":"","filename":"mod_sampledata"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(400, 0, 'plg_authentication_gmail', 'plugin', 'gmail', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_gmail","type":"plugin","creationDate":"February 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_GMAIL_XML_DESCRIPTION","group":"","filename":"gmail"}', '{"applysuffix":"0","suffix":"","verifypeer":"1","user_blacklist":""}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(401, 0, 'plg_authentication_joomla', 'plugin', 'joomla', 'authentication', 0, 1, 1, 1, '{"name":"plg_authentication_joomla","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(402, 0, 'plg_authentication_ldap', 'plugin', 'ldap', 'authentication', 0, 0, 1, 0, '{"name":"plg_authentication_ldap","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LDAP_XML_DESCRIPTION","group":"","filename":"ldap"}', '{"host":"","port":"389","use_ldapV3":"0","negotiate_tls":"0","no_referrals":"0","auth_method":"bind","base_dn":"","search_string":"","users_dn":"","username":"admin","password":"bobby7","ldap_fullname":"fullName","ldap_email":"mail","ldap_uid":"uid"}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(403, 0, 'plg_content_contact', 'plugin', 'contact', 'content', 0, 1, 1, 0, '{"name":"plg_content_contact","type":"plugin","creationDate":"January 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.2","description":"PLG_CONTENT_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(404, 0, 'plg_content_emailcloak', 'plugin', 'emailcloak', 'content', 0, 1, 1, 0, '{"name":"plg_content_emailcloak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_EMAILCLOAK_XML_DESCRIPTION","group":"","filename":"emailcloak"}', '{"mode":"1"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(406, 0, 'plg_content_loadmodule', 'plugin', 'loadmodule', 'content', 0, 1, 1, 0, '{"name":"plg_content_loadmodule","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOADMODULE_XML_DESCRIPTION","group":"","filename":"loadmodule"}', '{"style":"xhtml"}', '', '', 0, '2011-09-18 15:22:50', 0, 0),
(407, 0, 'plg_content_pagebreak', 'plugin', 'pagebreak', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagebreak","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}', '{"title":"1","multipage_toc":"1","showall":"1"}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(408, 0, 'plg_content_pagenavigation', 'plugin', 'pagenavigation', 'content', 0, 1, 1, 0, '{"name":"plg_content_pagenavigation","type":"plugin","creationDate":"January 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_PAGENAVIGATION_XML_DESCRIPTION","group":"","filename":"pagenavigation"}', '{"position":"1"}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(409, 0, 'plg_content_vote', 'plugin', 'vote', 'content', 0, 1, 1, 0, '{"name":"plg_content_vote","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_VOTE_XML_DESCRIPTION","group":"","filename":"vote"}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(410, 0, 'plg_editors_codemirror', 'plugin', 'codemirror', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_codemirror","type":"plugin","creationDate":"28 March 2011","author":"Marijn Haverbeke","copyright":"Copyright (C) 2014 - 2017 by Marijn Haverbeke <marijnh@gmail.com> and others","authorEmail":"marijnh@gmail.com","authorUrl":"http:\\/\\/codemirror.net\\/","version":"5.28","description":"PLG_CODEMIRROR_XML_DESCRIPTION","group":"","filename":"codemirror"}', '{"lineNumbers":"1","lineWrapping":"1","matchTags":"1","matchBrackets":"1","marker-gutter":"1","autoCloseTags":"1","autoCloseBrackets":"1","autoFocus":"1","theme":"default","tabmode":"indent"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(411, 0, 'plg_editors_none', 'plugin', 'none', 'editors', 0, 1, 1, 1, '{"name":"plg_editors_none","type":"plugin","creationDate":"September 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_NONE_XML_DESCRIPTION","group":"","filename":"none"}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(412, 0, 'plg_editors_tinymce', 'plugin', 'tinymce', 'editors', 0, 1, 1, 0, '{"name":"plg_editors_tinymce","type":"plugin","creationDate":"2005-2017","author":"Ephox Corporation","copyright":"Ephox Corporation","authorEmail":"N\\/A","authorUrl":"http:\\/\\/www.tinymce.com","version":"4.5.7","description":"PLG_TINY_XML_DESCRIPTION","group":"","filename":"tinymce"}', '{"mode":"1","skin":"0","entity_encoding":"raw","lang_mode":"0","lang_code":"en","text_direction":"ltr","content_css":"1","content_css_custom":"","relative_urls":"1","newlines":"0","invalid_elements":"script,applet,iframe","extended_elements":"","toolbar":"top","toolbar_align":"left","html_height":"550","html_width":"750","resizing":"true","resize_horizontal":"false","element_path":"1","fonts":"1","paste":"1","searchreplace":"1","insertdate":"1","format_date":"%Y-%m-%d","inserttime":"1","format_time":"%H:%M:%S","colors":"1","table":"1","smilies":"1","media":"1","hr":"1","directionality":"1","fullscreen":"1","style":"1","layer":"1","xhtmlxtras":"1","visualchars":"1","nonbreaking":"1","template":"1","blockquote":"1","wordcount":"1","advimage":"1","advlink":"1","advlist":"1","autosave":"1","contextmenu":"1","inlinepopups":"1","custom_plugin":"","custom_button":""}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(413, 0, 'plg_editors-xtd_article', 'plugin', 'article', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_article","type":"plugin","creationDate":"October 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_ARTICLE_XML_DESCRIPTION","group":"","filename":"article"}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(414, 0, 'plg_editors-xtd_image', 'plugin', 'image', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_image","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_IMAGE_XML_DESCRIPTION","group":"","filename":"image"}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(415, 0, 'plg_editors-xtd_pagebreak', 'plugin', 'pagebreak', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_pagebreak","type":"plugin","creationDate":"August 2004","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EDITORSXTD_PAGEBREAK_XML_DESCRIPTION","group":"","filename":"pagebreak"}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(416, 0, 'plg_editors-xtd_readmore', 'plugin', 'readmore', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_readmore","type":"plugin","creationDate":"March 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_READMORE_XML_DESCRIPTION","group":"","filename":"readmore"}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0);
INSERT INTO `#__extensions` (`extension_id`, `package_id`, `name`, `type`, `element`, `folder`, `client_id`, `enabled`, `access`, `protected`, `manifest_cache`, `params`, `custom_data`, `system_data`, `checked_out`, `checked_out_time`, `ordering`, `state`) VALUES
(417, 0, 'plg_search_categories', 'plugin', 'categories', 'search', 0, 1, 1, 0, '{"name":"plg_search_categories","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(418, 0, 'plg_search_contacts', 'plugin', 'contacts', 'search', 0, 1, 1, 0, '{"name":"plg_search_contacts","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(419, 0, 'plg_search_content', 'plugin', 'content', 'search', 0, 1, 1, 0, '{"name":"plg_search_content","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(420, 0, 'plg_search_newsfeeds', 'plugin', 'newsfeeds', 'search', 0, 1, 1, 0, '{"name":"plg_search_newsfeeds","type":"plugin","creationDate":"November 2005","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{"search_limit":"50","search_content":"1","search_archived":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(422, 0, 'plg_system_languagefilter', 'plugin', 'languagefilter', 'system', 0, 0, 1, 1, '{"name":"plg_system_languagefilter","type":"plugin","creationDate":"July 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGEFILTER_XML_DESCRIPTION","group":"","filename":"languagefilter"}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(423, 0, 'plg_system_p3p', 'plugin', 'p3p', 'system', 0, 1, 1, 0, '{"name":"plg_system_p3p","type":"plugin","creationDate":"September 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_P3P_XML_DESCRIPTION","group":"","filename":"p3p"}', '{"headers":"NOI ADM DEV PSAi COM NAV OUR OTRo STP IND DEM"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(424, 0, 'plg_system_cache', 'plugin', 'cache', 'system', 0, 0, 1, 1, '{"name":"plg_system_cache","type":"plugin","creationDate":"February 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CACHE_XML_DESCRIPTION","group":"","filename":"cache"}', '{"browsercache":"0","cachetime":"15"}', '', '', 0, '0000-00-00 00:00:00', 9, 0),
(425, 0, 'plg_system_debug', 'plugin', 'debug', 'system', 0, 1, 1, 0, '{"name":"plg_system_debug","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_DEBUG_XML_DESCRIPTION","group":"","filename":"debug"}', '{"profile":"1","queries":"1","memory":"1","language_files":"1","language_strings":"1","strip-first":"1","strip-prefix":"","strip-suffix":""}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(426, 0, 'plg_system_log', 'plugin', 'log', 'system', 0, 1, 1, 1, '{"name":"plg_system_log","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_LOG_XML_DESCRIPTION","group":"","filename":"log"}', '{}', '', '', 0, '0000-00-00 00:00:00', 5, 0),
(427, 0, 'plg_system_redirect', 'plugin', 'redirect', 'system', 0, 1, 1, 1, '{"name":"plg_system_redirect","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_REDIRECT_XML_DESCRIPTION","group":"","filename":"redirect"}', '{}', '', '', 0, '0000-00-00 00:00:00', 6, 0),
(428, 0, 'plg_system_remember', 'plugin', 'remember', 'system', 0, 1, 1, 1, '{"name":"plg_system_remember","type":"plugin","creationDate":"April 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_REMEMBER_XML_DESCRIPTION","group":"","filename":"remember"}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(429, 0, 'plg_system_sef', 'plugin', 'sef', 'system', 0, 1, 1, 0, '{"name":"plg_system_sef","type":"plugin","creationDate":"December 2007","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEF_XML_DESCRIPTION","group":"","filename":"sef"}', '{}', '', '', 0, '0000-00-00 00:00:00', 8, 0),
(430, 0, 'plg_system_logout', 'plugin', 'logout', 'system', 0, 1, 1, 1, '{"name":"plg_system_logout","type":"plugin","creationDate":"April 2009","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LOGOUT_XML_DESCRIPTION","group":"","filename":"logout"}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(431, 0, 'plg_user_contactcreator', 'plugin', 'contactcreator', 'user', 0, 0, 1, 0, '{"name":"plg_user_contactcreator","type":"plugin","creationDate":"August 2009","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTACTCREATOR_XML_DESCRIPTION","group":"","filename":"contactcreator"}', '{"autowebpage":"","category":"34","autopublish":"0"}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(432, 0, 'plg_user_joomla', 'plugin', 'joomla', 'user', 0, 1, 1, 0, '{"name":"plg_user_joomla","type":"plugin","creationDate":"December 2006","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{"autoregister":"1"}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(433, 0, 'plg_user_profile', 'plugin', 'profile', 'user', 0, 1, 1, 0, '{"name":"plg_user_profile","type":"plugin","creationDate":"January 2008","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_USER_PROFILE_XML_DESCRIPTION","group":"","filename":"profile"}', '{"register-require_address1":"1","register-require_address2":"1","register-require_city":"1","register-require_region":"1","register-require_country":"1","register-require_postal_code":"1","register-require_phone":"1","register-require_website":"1","register-require_favoritebook":"1","register-require_aboutme":"1","register-require_tos":"1","register-require_dob":"1","profile-require_address1":"1","profile-require_address2":"1","profile-require_city":"1","profile-require_region":"1","profile-require_country":"1","profile-require_postal_code":"1","profile-require_phone":"1","profile-require_website":"1","profile-require_favoritebook":"1","profile-require_aboutme":"1","profile-require_tos":"1","profile-require_dob":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(434, 0, 'plg_extension_joomla', 'plugin', 'joomla', 'extension', 0, 1, 1, 1, '{"name":"plg_extension_joomla","type":"plugin","creationDate":"May 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_EXTENSION_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(435, 0, 'plg_content_joomla', 'plugin', 'joomla', 'content', 0, 1, 1, 0, '{"name":"plg_content_joomla","type":"plugin","creationDate":"November 2010","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_JOOMLA_XML_DESCRIPTION","group":"","filename":"joomla"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(436, 0, 'plg_system_languagecode', 'plugin', 'languagecode', 'system', 0, 0, 1, 0, '{"name":"plg_system_languagecode","type":"plugin","creationDate":"November 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_LANGUAGECODE_XML_DESCRIPTION","group":"","filename":"languagecode"}', '{}', '', '', 0, '0000-00-00 00:00:00', 10, 0),
(437, 0, 'plg_quickicon_joomlaupdate', 'plugin', 'joomlaupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_joomlaupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_JOOMLAUPDATE_XML_DESCRIPTION","group":"","filename":"joomlaupdate"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(438, 0, 'plg_quickicon_extensionupdate', 'plugin', 'extensionupdate', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_extensionupdate","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_QUICKICON_EXTENSIONUPDATE_XML_DESCRIPTION","group":"","filename":"extensionupdate"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(439, 0, 'plg_captcha_recaptcha', 'plugin', 'recaptcha', 'captcha', 0, 1, 1, 0, '{"name":"plg_captcha_recaptcha","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.4.0","description":"PLG_CAPTCHA_RECAPTCHA_XML_DESCRIPTION","group":"","filename":"recaptcha"}', '{"public_key":"6LcCkOoSAAAAAO42pEiUqK_HzJbwR-OxfKcAVd2G","private_key":"6LcCkOoSAAAAAAvriVi8FqhKmeb21J-cLcGmkfkF","theme":"clean"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(440, 0, 'plg_system_highlight', 'plugin', 'highlight', 'system', 0, 1, 1, 0, '{"name":"plg_system_highlight","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SYSTEM_HIGHLIGHT_XML_DESCRIPTION","group":"","filename":"highlight"}', '{}', '', '', 0, '0000-00-00 00:00:00', 7, 0),
(441, 0, 'plg_content_finder', 'plugin', 'finder', 'content', 0, 0, 1, 0, '{"name":"plg_content_finder","type":"plugin","creationDate":"December 2011","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_CONTENT_FINDER_XML_DESCRIPTION","group":"","filename":"finder"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(442, 0, 'plg_finder_categories', 'plugin', 'categories', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_categories","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CATEGORIES_XML_DESCRIPTION","group":"","filename":"categories"}', '{}', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(443, 0, 'plg_finder_contacts', 'plugin', 'contacts', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_contacts","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTACTS_XML_DESCRIPTION","group":"","filename":"contacts"}', '{}', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(444, 0, 'plg_finder_content', 'plugin', 'content', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_content","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_CONTENT_XML_DESCRIPTION","group":"","filename":"content"}', '{}', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(445, 0, 'plg_finder_newsfeeds', 'plugin', 'newsfeeds', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_newsfeeds","type":"plugin","creationDate":"August 2011","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_NEWSFEEDS_XML_DESCRIPTION","group":"","filename":"newsfeeds"}', '{}', '', '', 0, '0000-00-00 00:00:00', 4, 0),
(447, 0, 'plg_finder_tags', 'plugin', 'tags', 'finder', 0, 1, 1, 0, '{"name":"plg_finder_tags","type":"plugin","creationDate":"February 2013","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_FINDER_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(448, 0, 'plg_twofactorauth_totp', 'plugin', 'totp', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_totp","type":"plugin","creationDate":"August 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_TOTP_XML_DESCRIPTION","group":"","filename":"totp"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(449, 0, 'plg_authentication_cookie', 'plugin', 'cookie', 'authentication', 0, 1, 1, 0, '{"name":"plg_authentication_cookie","type":"plugin","creationDate":"July 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_AUTH_COOKIE_XML_DESCRIPTION","group":"","filename":"cookie"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(450, 0, 'plg_twofactorauth_yubikey', 'plugin', 'yubikey', 'twofactorauth', 0, 0, 1, 0, '{"name":"plg_twofactorauth_yubikey","type":"plugin","creationDate":"September 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.2.0","description":"PLG_TWOFACTORAUTH_YUBIKEY_XML_DESCRIPTION","group":"","filename":"yubikey"}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(451, 0, 'plg_search_tags', 'plugin', 'tags', 'search', 0, 0, 1, 0, '{"name":"plg_search_tags","type":"plugin","creationDate":"March 2014","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.0.0","description":"PLG_SEARCH_TAGS_XML_DESCRIPTION","group":"","filename":"tags"}', '{"search_limit":"50","show_tagged_items":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(452, 0, 'plg_system_updatenotification', 'plugin', 'updatenotification', 'system', 0, 1, 1, 0, '{"name":"plg_system_updatenotification","type":"plugin","creationDate":"May 2015","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_SYSTEM_UPDATENOTIFICATION_XML_DESCRIPTION","group":"","filename":"updatenotification"}', '{"lastrun":1507780299}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(453, 0, 'plg_editors-xtd_module', 'plugin', 'module', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_module","type":"plugin","creationDate":"October 2015","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_MODULE_XML_DESCRIPTION","group":"","filename":"module"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(454, 0, 'plg_system_stats', 'plugin', 'stats', 'system', 0, 1, 1, 0, '{"name":"plg_system_stats","type":"plugin","creationDate":"November 2013","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.5.0","description":"PLG_SYSTEM_STATS_XML_DESCRIPTION","group":"","filename":"stats"}', '{"mode":1,"lastrun":1507781121,"unique_id":"9dcb02a0d622a5cd43e69f206af5a16c5b2c18f9","interval":12}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(455, 0, 'plg_installer_packageinstaller', 'plugin', 'packageinstaller', 'installer', 0, 1, 1, 1, '{"name":"plg_installer_packageinstaller","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_PACKAGEINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"packageinstaller"}', '', '', '', 0, '0000-00-00 00:00:00', 1, 0),
(456, 0, 'PLG_INSTALLER_FOLDERINSTALLER', 'plugin', 'folderinstaller', 'installer', 0, 1, 1, 1, '{"name":"PLG_INSTALLER_FOLDERINSTALLER","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_FOLDERINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"folderinstaller"}', '', '', '', 0, '0000-00-00 00:00:00', 2, 0),
(457, 0, 'PLG_INSTALLER_URLINSTALLER', 'plugin', 'urlinstaller', 'installer', 0, 1, 1, 1, '{"name":"PLG_INSTALLER_URLINSTALLER","type":"plugin","creationDate":"May 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.6.0","description":"PLG_INSTALLER_URLINSTALLER_PLUGIN_XML_DESCRIPTION","group":"","filename":"urlinstaller"}', '', '', '', 0, '0000-00-00 00:00:00', 3, 0),
(458, 0, 'plg_quickicon_phpversioncheck', 'plugin', 'phpversioncheck', 'quickicon', 0, 1, 1, 1, '{"name":"plg_quickicon_phpversioncheck","type":"plugin","creationDate":"August 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_QUICKICON_PHPVERSIONCHECK_XML_DESCRIPTION","group":"","filename":"phpversioncheck"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(459, 0, 'plg_editors-xtd_menu', 'plugin', 'menu', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_menu","type":"plugin","creationDate":"August 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_MENU_XML_DESCRIPTION","group":"","filename":"menu"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(460, 0, 'plg_editors-xtd_contact', 'plugin', 'contact', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_contact","type":"plugin","creationDate":"October 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_CONTACT_XML_DESCRIPTION","group":"","filename":"contact"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(461, 0, 'plg_system_fields', 'plugin', 'fields', 'system', 0, 1, 1, 0, '{"name":"plg_system_fields","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_SYSTEM_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(462, 0, 'plg_fields_calendar', 'plugin', 'calendar', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_calendar","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_CALENDAR_XML_DESCRIPTION","group":"","filename":"calendar"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(463, 0, 'plg_fields_checkboxes', 'plugin', 'checkboxes', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_checkboxes","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_CHECKBOXES_XML_DESCRIPTION","group":"","filename":"checkboxes"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(464, 0, 'plg_fields_color', 'plugin', 'color', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_color","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_COLOR_XML_DESCRIPTION","group":"","filename":"color"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(465, 0, 'plg_fields_editor', 'plugin', 'editor', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_editor","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_EDITOR_XML_DESCRIPTION","group":"","filename":"editor"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(466, 0, 'plg_fields_imagelist', 'plugin', 'imagelist', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_imagelist","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_IMAGELIST_XML_DESCRIPTION","group":"","filename":"imagelist"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(467, 0, 'plg_fields_integer', 'plugin', 'integer', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_integer","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_INTEGER_XML_DESCRIPTION","group":"","filename":"integer"}', '{"multiple":"0","first":"1","last":"100","step":"1"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(468, 0, 'plg_fields_list', 'plugin', 'list', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_list","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_LIST_XML_DESCRIPTION","group":"","filename":"list"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(469, 0, 'plg_fields_media', 'plugin', 'media', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_media","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_MEDIA_XML_DESCRIPTION","group":"","filename":"media"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(470, 0, 'plg_fields_radio', 'plugin', 'radio', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_radio","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_RADIO_XML_DESCRIPTION","group":"","filename":"radio"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(471, 0, 'plg_fields_sql', 'plugin', 'sql', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_sql","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_SQL_XML_DESCRIPTION","group":"","filename":"sql"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(472, 0, 'plg_fields_text', 'plugin', 'text', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_text","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_TEXT_XML_DESCRIPTION","group":"","filename":"text"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(473, 0, 'plg_fields_textarea', 'plugin', 'textarea', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_textarea","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_TEXTAREA_XML_DESCRIPTION","group":"","filename":"textarea"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(474, 0, 'plg_fields_url', 'plugin', 'url', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_url","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_URL_XML_DESCRIPTION","group":"","filename":"url"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(475, 0, 'plg_fields_user', 'plugin', 'user', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_user","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_USER_XML_DESCRIPTION","group":"","filename":"user"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(476, 0, 'plg_fields_usergrouplist', 'plugin', 'usergrouplist', 'fields', 0, 1, 1, 0, '{"name":"plg_fields_usergrouplist","type":"plugin","creationDate":"March 2016","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_FIELDS_USERGROUPLIST_XML_DESCRIPTION","group":"","filename":"usergrouplist"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(477, 0, 'plg_content_fields', 'plugin', 'fields', 'content', 0, 1, 1, 0, '{"name":"plg_content_fields","type":"plugin","creationDate":"February 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_CONTENT_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(478, 0, 'plg_editors-xtd_fields', 'plugin', 'fields', 'editors-xtd', 0, 1, 1, 0, '{"name":"plg_editors-xtd_fields","type":"plugin","creationDate":"February 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.7.0","description":"PLG_EDITORS-XTD_FIELDS_XML_DESCRIPTION","group":"","filename":"fields"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(479, 0, 'plg_sampledata_blog', 'plugin', 'blog', 'sampledata', 0, 0, 1, 0, '{"name":"plg_sampledata_blog","type":"plugin","creationDate":"July 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.0","description":"PLG_SAMPLEDATA_BLOG_XML_DESCRIPTION","group":"","filename":"blog"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(504, 0, 'hathor', 'template', 'hathor', '', 1, 1, 1, 0, '{"name":"hathor","type":"template","creationDate":"May 2010","author":"Andrea Tarr","copyright":"Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"3.0.0","description":"TPL_HATHOR_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"showSiteName":"0","colourChoice":"0","boldText":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(600, 802, 'English (en-GB)', 'language', 'en-GB', '', 0, 1, 1, 1, '{"name":"English (en-GB)","type":"language","creationDate":"October 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.1","description":"en-GB site language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(601, 802, 'English (en-GB)', 'language', 'en-GB', '', 1, 1, 1, 1, '{"name":"English (en-GB)","type":"language","creationDate":"October 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.1","description":"en-GB administrator language","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(700, 0, 'files_joomla', 'file', 'joomla', '', 0, 1, 1, 1, '{"name":"files_joomla","type":"file","creationDate":"October 2017","author":"Joomla! Project","copyright":"(C) 2005 - 2017 Open Source Matters. All rights reserved","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.1","description":"FILES_JOOMLA_XML_DESCRIPTION","group":""}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(802, 0, 'English (en-GB) Language Pack', 'package', 'pkg_en-GB', '', 0, 1, 1, 1, '{"name":"English (en-GB) Language Pack","type":"package","creationDate":"October 2017","author":"Joomla! Project","copyright":"Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"www.joomla.org","version":"3.8.1.1","description":"en-GB language pack","group":"","filename":"pkg_en-GB"}', '', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10000, 0, 'com_jaextmanager', 'component', 'com_jaextmanager', '', 1, 1, 1, 0, '{"name":"com_jaextmanager","type":"component","creationDate":"May 2013","author":"JoomlArt","copyright":"Copyright (C), J.O.O.M Solutions Co., Ltd. All Rights Reserved.","authorEmail":"webmaster@joomlart.com","authorUrl":"http:\\/\\/www.joomlart.com","version":"2.5.7","description":"JA Extension Manager Component","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10001, 0, 'T3 Framework', 'plugin', 't3', 'system', 0, 1, 1, 0, '{"name":"T3 Framework","type":"plugin","creationDate":"June 23, 2014","author":"JoomlArt.com","copyright":"Copyright (C) 2005 - 2013 Open Source Matters. All rights reserved.","authorEmail":"info@joomlart.com","authorUrl":"http:\\/\\/www.t3-framework.org","version":"2.3.0","description":"\\n\\t\\n\\t<div align=\\"center\\">\\n\\t\\t<div class=\\"alert alert-success\\" style=\\"background-color:#DFF0D8;border-color:#D6E9C6;color: #468847;padding: 1px 0;\\">\\n\\t\\t\\t\\t<a href=\\"http:\\/\\/t3-framework.org\\/\\"><img src=\\"http:\\/\\/joomlart.s3.amazonaws.com\\/images\\/jat3v3-documents\\/message-installation\\/logo.png\\" alt=\\"some_text\\" width=\\"300\\" height=\\"99\\"><\\/a>\\n\\t\\t\\t\\t<h4><a href=\\"http:\\/\\/t3-framework.org\\/\\" title=\\"\\">Home<\\/a> | <a href=\\"http:\\/\\/demo.t3-framework.org\\/\\" title=\\"\\">Demo<\\/a> | <a href=\\"http:\\/\\/t3-framework.org\\/documentation\\" title=\\"\\">Document<\\/a> | <a href=\\"https:\\/\\/github.com\\/t3framework\\/t3\\/blob\\/master\\/CHANGELOG.md\\" title=\\"\\">Changelog<\\/a><\\/h4>\\n\\t\\t<p> <\\/p>\\n\\t\\t<p>Copyright 2004 - 2014 <a href=\'http:\\/\\/www.joomlart.com\\/\' title=\'Visit Joomlart.com!\'>JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t<\\/div>\\n     <style>table.adminform{width: 100%;}<\\/style>\\n\\t <\\/div>\\n\\t\\t\\n\\t","group":""}', '{}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10010, 0, 'JA Slideshow Lite', 'module', 'mod_jaslideshowlite', '', 0, 1, 1, 0, '{"name":"JA Slideshow Lite","type":"module","creationDate":"09 May 2014","author":"JoomlArt.com","copyright":"Copyright (C), J.O.O.M Solutions Co., Ltd. All Rights Reserved.","authorEmail":"webmaster@joomlart.com","authorUrl":"www.joomlart.com","version":"1.2.2","description":"\\n\\t\\t\\n\\t\\t<h1>JA Slideshow Lite module for Joomla! 2.5 and Joomla! 3.0<\\/h1>\\n\\t\\t<div style=\'font-weight: normal\'>\\n\\t\\t\\t<p><span style=\'color: #ff6600;\'><strong>Features:<\\/strong><\\/span>Display images from a folder. Includes auto-resized images, beautiful animation effects, and inline text-embeded descriptions. This module use css3 to enable animation effects and support responsive design<\\/p>\\n\\t\\t\\t<strong><span style=\'color: #ff0000;\'>Usage Instructions:<\\/span><\\/strong><br \\/>\\n\\t\\t\\t<ul>\\n\\t\\t\\t\\t<li><strong>The module display can be enhanced by CSS overrides in the demo templates. You may have to customize CSS to get your desired effects.<\\/strong><\\/li>\\n\\t\\t\\t<\\/ul>\\n\\t\\t\\t<strong style=\'color: #ff0000;\'>Configuration<\\/strong>\\n\\t\\t\\t<ul>\\n\\t\\t\\t\\t<li>Fade, Slide, Verticle Rotate, Horizontal Rotate, Rotate are easy and straingt forward.<\\/li>\\n\\t\\t\\t\\t<li>\\n\\t\\t\\t\\t\\t<strong style=\\"color: #ff3300\\">Custom<\\/strong>\\n\\t\\t\\t\\t\\t<ul style=\\"list-style: disc\\">\\n\\t\\t\\t\\t\\t\\t<li>Custom Slideshow Type required a set of images. All images must have the name in format [slideItemNo-typeOfImage.imageExt]. For ex: sl1-bg.png, sl1-first.png, sl1-second.png . The first part is the slide identity and should be the same for all 3 images for a slide item. The second part should be named to \\"bg\\", \\"first\\", \\"second\\". Each slide item required a \\"bg\\" image type and have two optional \\"first\\" or \\"second\\" image types.<\\/li>\\n\\t\\t\\t\\t\\t\\t<li><strong>Advanced Configuration<\\/strong>\\n\\t\\t\\t\\t\\t\\t\\t<ul style=\\"padding-left: 20px\\">\\n\\t\\t\\t\\t\\t\\t\\t\\t<li style=\\"list-style: disc\\">[img] property should point to \\"bg\\" image type.<\\/li>\\n\\t\\t\\t\\t\\t\\t\\t\\t<li style=\\"list-style: disc\\">[class] property should be one of [leftright, leftleft, rightright, updown, downdown, rupdown, rupup].<\\/li>\\n\\t\\t\\t\\t\\t\\t\\t\\t<li style=\\"list-style: disc\\">[HTML tags] you can use HTML Tags for description to style like: &lt;h3&gt;title&lt;\\/h3&gt;.<\\/li>\\n\\t\\t\\t\\t\\t\\t\\t\\t<li style=\\"list-style: disc\\">Examlpe: [desc img=\\"sl1-bg.jpg\\" url=\\"#\\" class=\\"rupup\\"]&lt;h3&gt;Title here&lt;\\/h3&gt;&lt;p&gt;description here.&lt;\\/p&gt;&lt;a class=\\"btn-action\\" href=\\"http:\\/\\/www.joomlart.com\\/\\"&gt;<span>View demo<\\/span><\\/a>[\\/desc]<\\/li>\\n\\t\\t\\t\\t\\t\\t\\t<\\/ul>\\n\\t\\t\\t\\t\\t\\t<\\/li>\\n\\t\\t\\t\\t\\t<\\/ul>\\n\\t\\t\\t\\t<\\/li>\\n\\t\\t\\t<\\/ul>\\n\\t\\t\\t<p>Copyright 2004 - 2014 <a href=\'http:\\/\\/www.joomlart.com\\/\' title=\'Visit Joomlart.com!\'>JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t","group":""}', '{"folder":"images\\/","type":"fade","autoplay":"1","navigation":"0","mainWidth":"auto","mainHeight":"auto","thumbnail":"0","thumbWidth":"60","thumbHeight":"60","moduleclass_sfx":"","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10013, 0, 'JA Facebook Like Box Module', 'module', 'mod_jafacebooklikebox', '', 0, 1, 0, 0, '{"name":"JA Facebook Like Box Module","type":"module","creationDate":"May 2014","author":"JoomlArt.com","copyright":"J.O.O.M Solutions Co., Ltd.","authorEmail":"webmaster@joomlart.com","authorUrl":"www.joomlart.com","version":"2.5.9","description":"\\n\\t \\n\\t\\t<div style=\'text-align: left;\'>\\n\\t \\t<span style=\\"color: #008000;\\"><strong>JA Facebook LikeBox Module for Joomla! 2.5 & 3,x<\\/strong><\\/span><br \\/>\\n\\t \\t<p><img alt=\\"JA Facebook LikeBox Module\\" src=\\"http:\\/\\/static.joomlart.com\\/images\\/stories\\/extensions\\/joomla\\/jaec_facebook_likebox_plg.png\\" \\/><\\/p>\\n\\t\\t<div style=\'font-weight:normal\'>\\n\\t \\tJA Facebook LikeBox Module, provides Facebook Page owners to attract and gain Likes from their own website content, it uses the <strong><a href=\\"http:\\/\\/developers.facebook.com\\/docs\\/reference\\/plugins\\/like-box\\" target=\\"_blank\\">FaceBook LikeBox<\\/a><\\/strong> API. \\n\\t \\t<p style=\\"clear:both\\"><span style=\\"color: #ff6600;\\"><strong>Features:<\\/strong><\\/span><\\/p>\\n\\t \\t<ol><li>Show how many users already like your page, and which of their friends like it too<\\/li>\\n\\t\\t<li>Like the page with one click.<\\/li><\\/ol>\\n\\t \\t\\n\\t\\t<p><strong><span style=\\"color: #ff0000;\\">Upgrade Methods:<\\/span><br \\/><\\/strong><\\/p>\\n\\t\\t<ol><li>You can install new version directly over this version. Uninstallation is not required. Backup any customized file before upgrading. OR<\\/li><li>Use <strong><a href=\\"http:\\/\\/extensions.joomla.org\\/extensions\\/core-enhancements\\/installers\\/12077\\" target=\\"_blank\\">JA Extensions Manager<\\/a><\\/strong> Component for easy upgrades and rollbacks. <strong><a href=\\"http:\\/\\/www.youtube.com\\/user\\/JoomlArt#p\\/c\\/BC9B0C0BFE98657E\\/2\\/mNAuJRmifG8\\" target=\\"_blank\\">Watch Video..<\\/a><\\/strong><\\/li><\\/ol>\\n\\t\\t<p><span style=\\"color: #008000;\\"><strong>Links:<\\/strong><\\/span><\\/p>\\n\\t\\t<ul><li><a target=\\"_blank\\" href=\\"http:\\/\\/www.joomlart.com\\/forums\\/showthread.php?49870\\">JA FaceBook LikeBox General Userguide<\\/a><\\/li><li><a target=\\"_blank\\" href=\\"http:\\/\\/pm.joomlart.com\\/browse\\/JAECMODFBLIKEBOXJIVI\\">Report Bug<\\/a><\\/li><li><a target=\\"_blank\\" href=\\"http:\\/\\/update.joomlart.com\\/\\">Updates &amp; Versions<\\/a><\\/li><\\/ul>\\n\\t\\t<p>Copyright 2004 - 2014 <a href=\\"http:\\/\\/www.joomlart.com\\/\\" title=\\"Visit Joomlart.com!\\">JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\t \\n\\t","group":""}', '{"jafacebookid":"123144964369587","connections":"10","stream":"1","header":"1","width":"300","height":"587","colorscheme":"1","cache":"1","cache_time":"900"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10014, 0, 'JA Masshead', 'module', 'mod_jamasshead', '', 0, 1, 0, 0, '{"name":"JA Masshead","type":"module","creationDate":"June 2014","author":"JoomlArt.com","copyright":"J.O.O.M Solutions Co., Ltd.","authorEmail":"webmaster@joomlart.com","authorUrl":"www.joomlart.com","version":"2.6.0","description":"\\n\\t\\t\\n\\t\\t<div align=\\"left\\">\\t\\t\\n\\t\\t\\t<h1>JA Masshead Module for Joomla 2.5 & 3.3<\\/h1>\\n\\t\\t\\t<div style=\'font-weight: normal\'>\\n\\t\\t\\t<p>Please refer to the backend settings of the demo template quickstart for usage examples and also refer to <a target=\'_blank\' href=\'http:\\/\\/www.joomlart.com\\/forums\\/showthread.php?64198\'>General Userguide<\\/a> for details.<\\/strong><\\/p>\\n\\t\\t\\t<p><span style=\'color: #ff6600;\'><strong>Features:<\\/strong><\\/span><\\/p>\\n\\t\\t\\tJA Masshead Module displays masshead title like the JoomlArt masshead. Title and description can be specifically configured for any pages.\\n\\t\\t\\t<p><strong><span style=\'color: #ff0000;\'>Usage Instruction:<\\/span><br \\/><\\/strong><\\/p>\\n\\t\\t\\t<strong>The configuration field use 2 formats:<\\/strong> <br \\/>\\n\\t\\t\\t\\t<ul>\\n\\t\\t\\t\\t\\t<li>Format 1: <code>[Masshead option=\\"com_name\\" view=\\"view_name\\" layout=\\"layout_name\\" task=\\"task_name\\" id=\\"id\\" title=\\"Title\\" ]Description here[\\/Masshead]<\\/code><\\/li>\\n      \\t\\t\\t\\t<li>Format 2: <code>[Masshead Itemid=\\"page_id_1,page_id_2,...\\" title=\\"Title\\" ]Description here[\\/Masshead]<\\/code><\\/li>\\n\\t\\t\\t\\t<\\/ul>\\n\\t\\t\\t<br \\/>\\n\\t\\t\\t<strong>If configuration field is empty:<\\/strong>\\t\\n\\t\\t\\t\\t<ul>\\n\\t\\t\\t\\t\\t<li>If this is an article view: use the Article title as Masshead title, Article metadesc as masshead description<\\/li>\\n      \\t\\t\\t\\t<li>If not: use the Page title as Mass title.<\\/li>\\n      \\t\\t\\t\\t<li>If no value for Title & Description, use default value.<\\/li>\\n\\t\\t\\t\\t<\\/ul>\\n\\t\\t\\t<br \\/>\\t\\n\\t\\t\\t<strong>If configuration field is updated:<\\/strong><br \\/> \\n\\t\\t\\t\\t<ol>\\n\\t\\t\\t\\t\\t<li>Use that value<\\/li>\\n\\t\\t\\t\\t\\t<li>Support multiple configs, each config on a line; eg: <br \\/>\\n\\t\\t\\t\\t\\t\\t<code>\\n\\t\\t\\t\\t\\t\\t[Masshead option=\\"com_name1\\" view=\\"view_name1\\" layout=\\"layout_name1\\" task=\\"task_name1\\" id=\\"id1\\" title=\\"Title1\\" ]Description 1 here[\\/Masshead]<br \\/>\\n\\t\\t\\t\\t\\t\\t[Masshead option=\\"com_name2\\" view=\\"view_name1\\" layout=\\"layout_name2\\" task=\\"task_name2\\" id=\\"id2\\" title=\\"Title2\\" ]Description 2 here[\\/Masshead]<br \\/>\\n\\t\\t\\t\\t\\t\\t[Masshead Itemid=\\"page_id1_1,page_id1_2,...\\" title=\\"Title page 1\\" ]Description page 1 here[\\/Masshead]<br \\/>\\n\\t\\t\\t\\t\\t\\t[Masshead Itemid=\\"page_id2_1,page_id2_2,...\\" title=\\"Title page 2\\" ]Description page 2 here[\\/Masshead]\\n\\t\\t\\t\\t\\t\\t<\\/code>\\n\\t\\t\\t\\t\\t<\\/li>\\n\\t\\t\\t\\t\\t<li>If config sets multiple conditions, then the module will prefer to the first condition only and ignore the rest.<\\/li>\\n\\t\\t\\t\\t<\\/ol>\\n\\t\\t\\t<br \\/>\\n\\t\\t\\t<strong>Use extra paramaters:<\\/strong><br \\/> \\t\\t\\t\\t\\n\\t\\t\\t<ol>\\n\\t\\t\\t\\t<li>Extra parameters can put in config as <b>name=\\"value\\"<\\/b> and access through variables <b>$masshead[\'params\'][\'name\']<\\/b> by overwritting module layout in the template<\\/li>\\n\\t\\t\\t\\t<li>Eg: <br ?>\\n\\t\\t\\t\\t\\t<code>[Masshead Itemid=\\"page_id\\" title=\\"Title\\" <span style=\\"color:red\\">background=\\"image url\\"<\\/span>]Description[\\/Masshead]<\\/code>\\n\\t\\t\\t\\t<br \\/>\\n\\t\\t\\t\\tAccess the param background: <br \\/>\\n\\t\\t\\t\\t<code>\\n\\t\\t\\t\\t\\t&lt;div class=&quot;jamasshead&quot; <span style=\\"color:red\\">&lt;?php if(isset($masshead[\'params\'][\'background\'])): ?&gt;<\\/span> style=&quot;background-image: url(<span style=\\"color:red\\">&lt;?php echo $masshead[\'params\'][\'background\'] ?&gt;<\\/span>)&quot; <span style=\\"color:red\\">&lt;?php endif; ?&gt;<\\/span>&gt;\\n\\t\\t\\t\\t<\\/code>\\n\\t\\t\\t\\t<\\/li>\\n\\t\\t\\t<\\/ol>\\n\\t\\t\\t\\n\\t\\t\\t<p><strong><span style=\'color: #ff0000;\'>Upgrade Method:<\\/span><br \\/><\\/strong><\\/p>\\n\\t\\t\\t\\t<ol><li>You can install new version directly over this version. Uninstallation is not required. <\\/li>\\n\\t\\t\\t\\t<li>Backup any customized files before upgrading.<\\/li><\\/ol>\\n\\t\\t\\t<p><span style=\'color: #008000;\'><strong>Links:<\\/strong><\\/span><\\/p>\\n\\t\\t\\t  <ul><li><a target=\'_blank\' href=\'http:\\/\\/update.joomlart.com\\/\'>Updates &amp; Versions<\\/a><\\/li><li><a target=\'_blank\' href=\'http:\\/\\/www.joomlart.com\\/forums\\/showthread.php?64198\'>General Userguide<\\/a><\\/li><\\/ul>\\t\\t\\t\\n\\t\\t\\t<p>Copyright 2004 - 2014 <a href=\'http:\\/\\/www.joomlart.com\\/\' title=\'Visit Joomlart.com!\'>JoomlArt.com<\\/a>.<\\/p>\\n\\t\\t\\t<\\/div>\\n\\t\\t<\\/div>\\n\\t\\t\\n\\t","group":""}', '{"default-title":"","default-description":"","config":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10015, 0, 'ja_sugite', 'template', 'ja_sugite', '', 0, 1, 1, 0, '{"name":"ja_sugite","type":"template","creationDate":"18 July 2014","author":"JoomlArt.com","copyright":"Copyright (C), J.O.O.M Solutions Co., Ltd. All Rights Reserved.","authorEmail":"webmaster@joomlart.com","authorUrl":"http:\\/\\/www.t3-framework.org","version":"1.1.1","description":"\\n\\t\\t\\n\\t\\t\\t<div class=\\"overview-header\\">\\n\\t\\t\\t<h2>\\n\\t\\t\\t  <small style=\\"display: block;\\">Responsive Joomla template for Designer Portfolio and corporate portfolio for both Joomla 2.5 and Joomla 3 - <strong>JA Sugite<\\/strong>.<\\/small>\\n\\t\\t\\t<\\/h2>\\n\\t\\t\\t<p>Together with Parallax design and the clean look, <strong>JA Sugite<\\/strong> is sure to impress just about anyone. This beautiful Joomla template supports the \\n\\t\\t\\tfavorite Joomla blogging component - EasyBlog, RTL language layout at default, Bootstrap 3 at core and stays stunning on all type of devices.<\\/p>\\n\\t\\t\\t<p>Thanks to the T3 Framework, <strong>JA Sugite<\\/strong> is highly compatible with numerous 3rd party Joomla templates. It has a \\n\\t\\t\\tflexible layout structure, and is easy to customize with ThemeMagic or via Layout Configuration - the crazy cool features of \\n\\t\\t\\tT3 Framework.<\\/p>\\n\\t\\t\\t<\\/div>\\n\\t\\t\\t\\t\\n\\t","group":""}', '[]', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10016, 0, 'isis', 'template', 'isis', '', 1, 1, 1, 0, '{"name":"isis","type":"template","creationDate":"3\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_ISIS_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"templateColor":"","logoFile":""}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10017, 0, 'protostar', 'template', 'protostar', '', 0, 1, 1, 0, '{"name":"protostar","type":"template","creationDate":"4\\/30\\/2012","author":"Kyle Ledbetter","copyright":"Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.","authorEmail":"admin@joomla.org","authorUrl":"","version":"1.0","description":"TPL_PROTOSTAR_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}', '', '', 0, '0000-00-00 00:00:00', 0, 0),
(10018, 0, 'beez3', 'template', 'beez3', '', 0, 1, 1, 0, '{"name":"beez3","type":"template","creationDate":"25 November 2009","author":"Angie Radtke","copyright":"Copyright (C) 2005 - 2017 Open Source Matters, Inc. All rights reserved.","authorEmail":"a.radtke@derauftritt.de","authorUrl":"http:\\/\\/www.der-auftritt.de","version":"3.1.0","description":"TPL_BEEZ3_XML_DESCRIPTION","group":"","filename":"templateDetails"}', '{"wrapperSmall":"53","wrapperLarge":"72","sitetitle":"","sitedescription":"","navposition":"center","templatecolor":"nature"}', '', '', 0, '0000-00-00 00:00:00', 0, 0);

DROP TABLE IF EXISTS `#__fields`;
CREATE TABLE `#__fields` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0',
  `context` varchar(255) NOT NULL DEFAULT '',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `name` varchar(255) NOT NULL DEFAULT '',
  `label` varchar(255) NOT NULL DEFAULT '',
  `default_value` text NOT NULL,
  `type` varchar(255) NOT NULL DEFAULT 'text',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `required` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `fieldparams` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_user_id` (`created_user_id`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__fields_categories`;
CREATE TABLE `#__fields_categories` (
  `field_id` int(11) NOT NULL DEFAULT '0',
  `category_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`field_id`,`category_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__fields_groups`;
CREATE TABLE `#__fields_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0',
  `context` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` text NOT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `language` char(7) NOT NULL DEFAULT '',
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `access` int(11) NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`state`),
  KEY `idx_created_by` (`created_by`),
  KEY `idx_access` (`access`),
  KEY `idx_context` (`context`(191)),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__fields_values`;
CREATE TABLE `#__fields_values` (
  `field_id` int(10) unsigned NOT NULL,
  `item_id` varchar(255) NOT NULL COMMENT 'Allow references to items which have strings as ids, eg. none db systems.',
  `value` text NOT NULL,
  KEY `idx_field_id` (`field_id`),
  KEY `idx_item_id` (`item_id`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__jaem_services`;
CREATE TABLE `#__jaem_services` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `ws_name` varchar(255) NOT NULL,
  `ws_mode` varchar(50) NOT NULL DEFAULT 'local',
  `ws_uri` varchar(255) NOT NULL,
  `ws_user` varchar(100) NOT NULL,
  `ws_pass` varchar(100) NOT NULL,
  `ws_default` tinyint(1) NOT NULL DEFAULT '0',
  `ws_core` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

INSERT INTO `#__jaem_services` (`id`, `ws_name`, `ws_mode`, `ws_uri`, `ws_user`, `ws_pass`, `ws_default`, `ws_core`) VALUES
(1, 'Local Service', 'local', '', '', '', 1, 1),
(2, 'JoomlArt Updates', 'remote', 'http://update.joomlart.com/service/', '', '', 0, 1);

DROP TABLE IF EXISTS `#__languages`;
CREATE TABLE `#__languages` (
  `lang_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lang_code` char(7) binary NOT NULL,
  `title` varchar(50) NOT NULL,
  `title_native` varchar(50) NOT NULL,
  `sef` varchar(50) NOT NULL,
  `image` varchar(50) NOT NULL,
  `description` varchar(512) NOT NULL,
  `metakey` mediumtext NOT NULL,
  `metadesc` mediumtext NOT NULL,
  `sitename` varchar(1024) NOT NULL DEFAULT '',
  `published` int(11) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `ordering` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`lang_id`),
  UNIQUE KEY `idx_sef` (`sef`),
  UNIQUE KEY `idx_langcode` (`lang_code`),
  KEY `idx_access` (`access`),
  KEY `idx_ordering` (`ordering`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

INSERT INTO `#__languages` (`lang_id`, `asset_id`, `lang_code`, `title`, `title_native`, `sef`, `image`, `description`, `metakey`, `metadesc`, `sitename`, `published`, `access`, `ordering`) VALUES
(1, 0, 'en-GB', 'English (UK)', 'English (UK)', 'en', 'en', '', '', '', '', 1, 1, 1);

DROP TABLE IF EXISTS `#__menu`;
CREATE TABLE `#__menu` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `menutype` varchar(24) NOT NULL COMMENT 'The type of menu this item belongs to. FK to #__menu_types.menutype',
  `title` varchar(255) NOT NULL COMMENT 'The display title of the menu item.',
  `alias` varchar(400) binary NOT NULL COMMENT 'The SEF alias of the menu item.',
  `note` varchar(255) NOT NULL DEFAULT '',
  `path` varchar(1024) NOT NULL COMMENT 'The computed path of the menu item based on the alias field.',
  `link` varchar(1024) NOT NULL COMMENT 'The actually link the menu item refers to.',
  `type` varchar(16) NOT NULL COMMENT 'The type of link: Component, URL, Alias, Separator',
  `published` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The published state of the menu link.',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '1' COMMENT 'The parent menu item in the menu tree.',
  `level` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The relative level in the tree.',
  `component_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__extensions.id',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to #__users.id',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'The time the menu item was checked out.',
  `browserNav` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'The click behaviour of the link.',
  `access` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'The access level required to view the menu item.',
  `img` varchar(255) NOT NULL COMMENT 'The image of the menu item.',
  `template_style_id` int(10) unsigned NOT NULL DEFAULT '0',
  `params` mediumtext NOT NULL COMMENT 'JSON encoded data for the menu item.',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `home` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'Indicates if this menu item is the home or default page.',
  `language` char(7) NOT NULL DEFAULT '',
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_client_id_parent_id_alias_language` (`client_id`,`parent_id`,`alias`(100),`language`),
  KEY `idx_componentid` (`component_id`,`menutype`,`published`,`access`),
  KEY `idx_menutype` (`menutype`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_language` (`language`),
  KEY `idx_alias` (`alias`(100)),
  KEY `idx_path` (`path`(100))
) ENGINE=InnoDB AUTO_INCREMENT=661 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(1, '', 'Menu_Item_Root', 'root', '', '', '', '', 1, 0, 0, 0, 0, '0000-00-00 00:00:00', 0, 0, '', 0, '', 0, 461, 0, '*', 0),
(2, 'main', 'com_banners', 'Banners', '', 'Banners', 'index.php?option=com_banners', 'component', 1, 1, 1, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 85, 94, 0, '*', 1),
(3, 'main', 'com_banners', 'Banners', '', 'Banners/Banners', 'index.php?option=com_banners', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners', 0, '', 86, 87, 0, '*', 1),
(4, 'main', 'com_banners_categories', 'Categories', '', 'Banners/Categories', 'index.php?option=com_categories&extension=com_banners', 'component', 1, 2, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-cat', 0, '', 88, 89, 0, '*', 1),
(5, 'main', 'com_banners_clients', 'Clients', '', 'Banners/Clients', 'index.php?option=com_banners&view=clients', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-clients', 0, '', 90, 91, 0, '*', 1),
(6, 'main', 'com_banners_tracks', 'Tracks', '', 'Banners/Tracks', 'index.php?option=com_banners&view=tracks', 'component', 1, 2, 2, 4, 0, '0000-00-00 00:00:00', 0, 0, 'class:banners-tracks', 0, '', 92, 93, 0, '*', 1),
(7, 'main', 'com_contact', 'Contacts', '', 'Contacts', 'index.php?option=com_contact', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 95, 100, 0, '*', 1),
(8, 'main', 'com_contact_contacts', 'Contacts', '', 'Contacts/Contacts', 'index.php?option=com_contact', 'component', 1, 7, 2, 8, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact', 0, '', 96, 97, 0, '*', 1),
(9, 'main', 'com_contact_categories', 'Categories', '', 'Contacts/Categories', 'index.php?option=com_categories&extension=com_contact', 'component', 1, 7, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:contact-cat', 0, '', 98, 99, 0, '*', 1),
(10, 'main', 'com_messages', 'Messaging', '', 'Messaging', 'index.php?option=com_messages', 'component', 1, 1, 1, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages', 0, '', 101, 104, 0, '*', 1),
(11, 'main', 'com_messages_add', 'New Private Message', '', 'Messaging/New Private Message', 'index.php?option=com_messages&task=message.add', 'component', 1, 10, 2, 15, 0, '0000-00-00 00:00:00', 0, 0, 'class:messages-add', 0, '', 102, 103, 0, '*', 1),
(13, 'main', 'com_newsfeeds', 'News Feeds', '', 'News Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 1, 1, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 105, 110, 0, '*', 1),
(14, 'main', 'com_newsfeeds_feeds', 'Feeds', '', 'News Feeds/Feeds', 'index.php?option=com_newsfeeds', 'component', 1, 13, 2, 17, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds', 0, '', 106, 107, 0, '*', 1),
(15, 'main', 'com_newsfeeds_categories', 'Categories', '', 'News Feeds/Categories', 'index.php?option=com_categories&extension=com_newsfeeds', 'component', 1, 13, 2, 6, 0, '0000-00-00 00:00:00', 0, 0, 'class:newsfeeds-cat', 0, '', 108, 109, 0, '*', 1),
(16, 'main', 'com_redirect', 'Redirect', '', 'Redirect', 'index.php?option=com_redirect', 'component', 1, 1, 1, 24, 0, '0000-00-00 00:00:00', 0, 0, 'class:redirect', 0, '', 119, 120, 0, '*', 1),
(17, 'main', 'com_search', 'Basic Search', '', 'Basic Search', 'index.php?option=com_search', 'component', 1, 1, 1, 19, 0, '0000-00-00 00:00:00', 0, 0, 'class:search', 0, '', 115, 116, 0, '*', 1),
(21, 'main', 'com_finder', 'Smart Search', '', 'Smart Search', 'index.php?option=com_finder', 'component', 1, 1, 1, 27, 0, '0000-00-00 00:00:00', 0, 0, 'class:finder', 0, '', 111, 112, 0, '*', 1),
(22, 'main', 'com_joomlaupdate', 'Joomla! Update', '', 'Joomla! Update', 'index.php?option=com_joomlaupdate', 'component', 1, 1, 1, 28, 0, '0000-00-00 00:00:00', 0, 0, 'class:joomlaupdate', 0, '', 113, 114, 0, '*', 1),
(201, 'usermenu', 'Your Profile', 'your-profile', '', 'your-profile', 'index.php?option=com_users&view=profile', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 2, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 303, 304, 0, '*', 0),
(207, 'top', 'Joomla.org', 'joomlaorg', '', 'joomlaorg', 'http://joomla.org', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 301, 302, 0, '*', 0),
(227, 'aboutjoomla', 'Weblinks Categories', 'weblinks-categories', '', 'using-joomla/extensions/components/weblinks-component/weblinks-categories', 'index.php?option=com_weblinks&view=categories&id=18', 'component', 1, 265, 5, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"-1","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_links_cat":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"-1","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 155, 156, 0, '*', 0),
(229, 'aboutjoomla', 'Single Contact', 'single-contact', '', 'using-joomla/extensions/components/contact-component/single-contact', 'index.php?option=com_contact&view=contact&id=1', 'component', 1, 270, 5, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_crumb":"","presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 145, 146, 0, '*', 0),
(233, 'mainmenu', 'Login', 'login', '', 'login', 'index.php?option=com_users&view=login', 'component', -2, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 83, 84, 0, '*', 0),
(234, 'parks', 'Park Blog', 'park-blog', '', 'park-blog', 'index.php?option=com_content&view=category&layout=blog&id=27', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"1","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"1","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 307, 308, 0, 'en-GB', 0),
(238, 'mainmenu', 'Sample Sites', 'sample-sites', '', 'sample-sites', 'index.php?option=com_content&view=article&id=38', 'component', -2, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 331, 336, 0, '*', 0),
(242, 'parks', 'Write a Blog Post', 'write-a-blog-post', '', 'write-a-blog-post', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 309, 310, 0, 'en-GB', 0),
(243, 'parks', 'Parks Home', 'parks-home', '', 'parks-home', 'index.php?option=com_content&view=article&id=6', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"0","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"0","show_email_icon":"0","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 305, 306, 0, 'en-GB', 0),
(244, 'parks', 'Image Gallery', 'image-gallery', '', 'image-gallery', 'index.php?option=com_content&view=categories&id=28', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"1","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","drill_down_layout":"1","show_category_title":"","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 311, 316, 0, 'en-GB', 0),
(249, 'aboutjoomla', 'Submit a Weblink', 'submit-a-weblink', '', 'using-joomla/extensions/components/weblinks-component/submit-a-weblink', 'index.php?option=com_weblinks&view=form&layout=edit', 'component', 1, 265, 5, 21, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 151, 152, 0, '*', 0),
(251, 'aboutjoomla', 'Contact Categories', 'contact-categories', '', 'using-joomla/extensions/components/contact-component/contact-categories', 'index.php?option=com_contact&view=categories&id=16', 'component', 1, 270, 5, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","filter_field":"","show_pagination":"","show_noauth":"","presentation_style":"sliders","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 141, 142, 0, '*', 0),
(252, 'aboutjoomla', 'News Feed Categories', 'new-feed-categories', '', 'using-joomla/extensions/components/news-feeds-component/new-feed-categories', 'index.php?option=com_newsfeeds&view=categories&id=0', 'component', 1, 267, 5, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"1","categories_description":"Because this links to the root category the "uncategorised" category is displayed. ","maxLevel":"-1","show_empty_categories":"1","show_description":"1","show_description_image":"1","show_cat_num_articles":"1","display_num":"","show_headings":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 159, 160, 0, '*', 0),
(253, 'aboutjoomla', 'News Feed Category', 'news-feed-category', '', 'using-joomla/extensions/components/news-feeds-component/news-feed-category', 'index.php?option=com_newsfeeds&view=category&id=17', 'component', 1, 267, 5, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 163, 164, 0, '*', 0),
(254, 'aboutjoomla', 'Single News Feed', 'single-news-feed', '', 'using-joomla/extensions/components/news-feeds-component/single-news-feed', 'index.php?option=com_newsfeeds&view=newsfeed&id=4', 'component', 1, 267, 5, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 161, 162, 0, '*', 0),
(255, 'aboutjoomla', 'Search', 'search', '', 'using-joomla/extensions/components/search-component/search', 'index.php?option=com_search&view=search', 'component', 1, 276, 5, 19, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"search_areas":"1","show_date":"1","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 181, 182, 0, '*', 0),
(256, 'aboutjoomla', 'Archived Articles', 'archived-articles', '', 'using-joomla/extensions/components/content-component/archived-articles', 'index.php?option=com_content&view=archive', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"orderby_sec":"","order_date":"","display_num":"","filter_field":"","show_category":"1","link_category":"1","show_title":"1","link_titles":"1","show_intro":"1","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_hits":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 135, 136, 0, '*', 0),
(257, 'aboutjoomla', 'Single Article', 'single-article', '', 'using-joomla/extensions/components/content-component/single-article', 'index.php?option=com_content&view=article&id=6', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 125, 126, 0, '*', 0),
(259, 'aboutjoomla', 'Article Category Blog', 'article-category-blog', '', 'using-joomla/extensions/components/content-component/article-category-blog', 'index.php?option=com_content&view=category&layout=blog&id=27', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"0","show_description_image":"0","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 129, 130, 0, '*', 0),
(260, 'aboutjoomla', 'Article Category List', 'article-category-list', '', 'using-joomla/extensions/components/content-component/article-category-list', 'index.php?option=com_content&view=category&id=19', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","orderby_pri":"","orderby_sec":"alpha","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 131, 132, 0, '*', 0),
(262, 'aboutjoomla', 'Featured Articles', 'featured-articles', '', 'using-joomla/extensions/components/content-component/featured-articles', 'index.php?option=com_content&view=featured', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 133, 134, 0, '*', 0),
(263, 'aboutjoomla', 'Submit Article', 'submit-article', '', 'using-joomla/extensions/components/content-component/submit-article', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 137, 138, 0, '*', 0),
(265, 'aboutjoomla', 'Weblinks Component', 'weblinks-component', '', 'using-joomla/extensions/components/weblinks-component', 'index.php?option=com_content&view=article&id=54', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 150, 157, 0, '*', 0),
(266, 'aboutjoomla', 'Content Component', 'content-component', '', 'using-joomla/extensions/components/content-component', 'index.php?option=com_content&view=article&id=10', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"article-allow_ratings":"","article-allow_comments":"","show_category":"","link_category":"","show_title":"","link_titles":"","show_intro":"","show_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 124, 139, 0, '*', 0),
(267, 'aboutjoomla', 'News Feeds Component', 'news-feeds-component', '', 'using-joomla/extensions/components/news-feeds-component', 'index.php?option=com_content&view=article&id=60', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"Newsfeeds Categories View ","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 158, 165, 0, '*', 0),
(268, 'aboutjoomla', 'Components', 'components', '', 'using-joomla/extensions/components', 'index.php?option=com_content&view=category&layout=blog&id=21', 'component', 1, 277, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"1","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"7","num_columns":"1","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"0","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_readmore":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 123, 188, 0, '*', 0),
(270, 'aboutjoomla', 'Contact Component', 'contact-component', '', 'using-joomla/extensions/components/contact-component', 'index.php?option=com_content&view=article&id=9', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 140, 149, 0, '*', 0),
(271, 'aboutjoomla', 'Users Component', 'users-component', '', 'using-joomla/extensions/components/users-component', 'index.php?option=com_content&view=article&id=52', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 166, 179, 0, '*', 0),
(272, 'aboutjoomla', 'Article Categories', 'article-categories', '', 'using-joomla/extensions/components/content-component/article-categories', 'index.php?option=com_content&view=categories&id=14', 'component', 1, 266, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","category_layout":"","show_headings":"","show_date":"","date_format":"","filter_field":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 127, 128, 0, '*', 0),
(273, 'aboutjoomla', 'Administrator Components', 'administrator-components', '', 'using-joomla/extensions/components/administrator-components', 'index.php?option=com_content&view=article&id=1', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 186, 187, 0, '*', 0),
(274, 'aboutjoomla', 'Weblinks Single Category', 'weblinks-single-category', '', 'using-joomla/extensions/components/weblinks-component/weblinks-single-category', 'index.php?option=com_weblinks&view=category&id=32', 'component', 1, 265, 5, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","orderby_pri":"","show_pagination":"","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 153, 154, 0, '*', 0),
(275, 'aboutjoomla', 'Contact Single Category', 'contact-single-category', '', 'using-joomla/extensions/components/contact-component/contact-single-category', 'index.php?option=com_contact&view=category&catid=26&id=36', 'component', 1, 270, 5, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"20","show_headings":"","filter_field":"","show_pagination":"","show_noauth":"","presentation_style":"sliders","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 143, 144, 0, '*', 0),
(276, 'aboutjoomla', 'Search Components', 'search-component', '', 'using-joomla/extensions/components/search-component', 'index.php?option=com_content&view=article&id=39', 'component', 1, 268, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 180, 185, 0, '*', 0),
(277, 'aboutjoomla', 'Using Extensions', 'extensions', '', 'using-joomla/extensions', 'index.php?option=com_content&view=categories&id=20', 'component', 1, 280, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"1","categories_description":"","maxLevelcat":"1","show_empty_categories_cat":"1","show_subcat_desc_cat":"1","show_cat_num_articles_cat":"0","drill_down_layout":"0","show_category_title":"","show_description":"1","show_description_image":"1","maxLevel":"1","show_empty_categories":"1","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 122, 287, 0, '*', 0),
(278, 'aboutjoomla', 'The Joomla! Project', 'the-joomla-project', '', 'the-joomla-project', 'index.php?option=com_content&view=article&id=48', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"1","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"1","show_print_icon":"","show_email_icon":"","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 295, 296, 0, '*', 0),
(279, 'aboutjoomla', 'The Joomla! Community', 'the-joomla-community', '', 'the-joomla-community', 'index.php?option=com_content&view=article&id=47', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"0","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 297, 298, 0, '*', 0),
(280, 'aboutjoomla', 'Using Joomla!', 'using-joomla', '', 'using-joomla', 'index.php?option=com_content&view=article&id=53', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"1","link_titles":"0","show_intro":"1","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"0","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 121, 292, 0, '*', 0),
(281, 'aboutjoomla', 'Modules', 'modules', '', 'using-joomla/extensions/modules', 'index.php?option=com_content&view=category&id=22', 'component', 1, 277, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"1","show_description_image":"1","maxLevel":"1","show_empty_categories":"1","show_no_articles":"0","show_subcat_desc":"1","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","show_pagination":"","show_pagination_results":"","show_title":"1","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 189, 248, 0, '*', 0),
(282, 'aboutjoomla', 'Templates', 'templates', '', 'using-joomla/extensions/templates', 'index.php?option=com_content&view=category&id=23', 'component', 1, 277, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"1","show_description_image":"","maxLevel":"2","show_empty_categories":"1","show_no_articles":"0","show_subcat_desc":"1","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"0","filter_field":"hide","show_headings":"0","list_show_date":"0","date_format":"","list_show_hits":"0","list_show_author":"0","show_pagination":"0","show_pagination_results":"","show_title":"1","link_titles":"1","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Templates","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 249, 268, 0, '*', 0),
(283, 'aboutjoomla', 'Languages', 'languages', '', 'using-joomla/extensions/languages', 'index.php?option=com_content&view=category&layout=blog&id=24', 'component', 1, 277, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"1","show_category_title":"1","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 269, 270, 0, '*', 0),
(284, 'aboutjoomla', 'Plugins', 'plugins', '', 'using-joomla/extensions/plugins', 'index.php?option=com_content&view=category&layout=blog&id=25', 'component', 1, 277, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"1","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"7","num_columns":"1","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"","show_readmore":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 271, 286, 0, '*', 0),
(285, 'aboutjoomla', 'Typography Atomic', 'typography-atomic', '', 'using-joomla/extensions/templates/atomic/typography-atomic', 'index.php?option=com_content&view=article&id=49', 'component', 1, 422, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 263, 264, 0, '*', 0),
(290, 'mainmenu', 'Articles', 'articles', '', 'site-map/articles', 'index.php?option=com_content&view=categories&id=0', 'component', -2, 294, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories_description":"","maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","category_layout":"","show_headings":"","show_date":"","date_format":"","filter_field":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","article-allow_ratings":"","article-allow_comments":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 4, 5, 0, '*', 0),
(294, 'mainmenu', 'Site Map', 'site-map', '', 'site-map', 'index.php?option=com_content&view=article&id=42', 'component', -2, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 3, 10, 0, '*', 0),
(296, 'parks', 'Park Links', 'park-links', '', 'park-links', 'index.php?option=com_weblinks&view=category&id=31', 'component', 1, 1, 1, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"1","show_description_image":"1","show_cat_num_articles":"","display_num":"","show_headings":"0","orderby_pri":"","show_pagination":"","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 317, 318, 0, 'en-GB', 0),
(300, 'aboutjoomla', 'Latest Users', 'latest-users', '', 'using-joomla/extensions/modules/user-modules/latest-users', 'index.php?option=com_content&view=article&id=66', 'component', 1, 412, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 213, 214, 0, '*', 0),
(301, 'aboutjoomla', 'Who\'s Online', 'whos-online', '', 'using-joomla/extensions/modules/user-modules/whos-online', 'index.php?option=com_content&view=article&id=56', 'component', 1, 412, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 215, 216, 0, '*', 0),
(302, 'aboutjoomla', 'Most Read', 'most-read', '', 'using-joomla/extensions/modules/content-modules/most-read', 'index.php?option=com_content&view=article&id=30', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 197, 198, 0, '*', 0),
(303, 'aboutjoomla', 'Menu', 'menu', '', 'using-joomla/extensions/modules/navigation-modules/menu', 'index.php?option=com_content&view=article&id=29', 'component', 1, 415, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 191, 192, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(304, 'aboutjoomla', 'Statistics', 'statistics', '', 'using-joomla/extensions/modules/utility-modules/statistics', 'index.php?option=com_content&view=article&id=44', 'component', 1, 414, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 237, 238, 0, '*', 0),
(305, 'aboutjoomla', 'Banner', 'banner', '', 'using-joomla/extensions/modules/display-modules/banner', 'index.php?option=com_content&view=article&id=7', 'component', 1, 413, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 223, 224, 0, '*', 0),
(306, 'aboutjoomla', 'Search', 'search', '', 'using-joomla/extensions/modules/utility-modules/search', 'index.php?option=com_content&view=article&id=40', 'component', 1, 414, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 239, 240, 0, '*', 0),
(307, 'aboutjoomla', 'Random Image', 'random-image', '', 'using-joomla/extensions/modules/display-modules/random-image', 'index.php?option=com_content&view=article&id=36', 'component', 1, 413, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 221, 222, 0, '*', 0),
(309, 'aboutjoomla', 'News Flash', 'news-flash', '', 'using-joomla/extensions/modules/content-modules/news-flash', 'index.php?option=com_content&view=article&id=31', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 199, 200, 0, '*', 0),
(310, 'aboutjoomla', 'Latest Articles', 'latest-articles', '', 'using-joomla/extensions/modules/content-modules/latest-articles', 'index.php?option=com_content&view=article&id=27', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 201, 202, 0, '*', 0),
(311, 'aboutjoomla', 'Syndicate', 'syndicate', '', 'using-joomla/extensions/modules/utility-modules/syndicate', 'index.php?option=com_content&view=article&id=45', 'component', 1, 414, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 235, 236, 0, '*', 0),
(312, 'aboutjoomla', 'Login', 'login', '', 'using-joomla/extensions/modules/user-modules/login', 'index.php?option=com_content&view=article&id=28', 'component', 1, 412, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 217, 218, 0, '*', 0),
(313, 'aboutjoomla', 'Wrapper', 'wrapper', '', 'using-joomla/extensions/modules/utility-modules/wrapper', 'index.php?option=com_content&view=article&id=59', 'component', 1, 414, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 243, 244, 0, '*', 0),
(316, 'aboutjoomla', 'Home Page Atomic', 'home-page-atomic', '', 'using-joomla/extensions/templates/atomic/home-page-atomic', 'index.php?option=com_content&view=featured', 'component', 1, 422, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 265, 266, 0, '*', 0),
(317, 'aboutjoomla', 'System', 'system', '', 'using-joomla/extensions/plugins/system', 'index.php?option=com_content&view=article&id=46', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 284, 285, 0, '*', 0),
(318, 'aboutjoomla', 'Authentication', 'authentication', '', 'using-joomla/extensions/plugins/authentication', 'index.php?option=com_content&view=article&id=5', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 272, 273, 0, '*', 0),
(319, 'aboutjoomla', 'Content', 'content', '', 'using-joomla/extensions/plugins/content', 'index.php?option=com_content&view=article&id=62', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 274, 275, 0, '*', 0),
(320, 'aboutjoomla', 'Editors', 'editors', '', 'using-joomla/extensions/plugins/editors', 'index.php?option=com_content&view=article&id=14', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 276, 277, 0, '*', 0),
(321, 'aboutjoomla', 'Editors Extended', 'editors-extended', '', 'using-joomla/extensions/plugins/editors-extended', 'index.php?option=com_content&view=article&id=15', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 278, 279, 0, '*', 0),
(322, 'aboutjoomla', 'Search', 'search', '', 'using-joomla/extensions/plugins/search', 'index.php?option=com_content&view=article&id=41', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 280, 281, 0, '*', 0),
(323, 'aboutjoomla', 'User', 'user', '', 'using-joomla/extensions/plugins/user', 'index.php?option=com_content&view=article&id=51', 'component', 1, 284, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 282, 283, 0, '*', 0),
(324, 'aboutjoomla', 'Footer', 'footer', '', 'using-joomla/extensions/modules/display-modules/footer', 'index.php?option=com_content&view=article&id=19', 'component', 1, 413, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 227, 228, 0, '*', 0),
(325, 'aboutjoomla', 'Archive', 'archive', '', 'using-joomla/extensions/modules/content-modules/archive', 'index.php?option=com_content&view=article&id=2', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 203, 204, 0, '*', 0),
(326, 'aboutjoomla', 'Related Items', 'related-items', '', 'using-joomla/extensions/modules/content-modules/related-items', 'index.php?option=com_content&view=article&id=37', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 205, 206, 0, '*', 0),
(399, 'parks', 'Animals', 'animals', '', 'image-gallery/animals', 'index.php?option=com_content&view=category&layout=blog&id=72', 'component', 1, 244, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"0","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"2","num_links":"4","multi_column_order":"1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"0","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"1","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 312, 313, 0, 'en-GB', 0),
(400, 'parks', 'Scenery', 'scenery', '', 'image-gallery/scenery', 'index.php?option=com_content&view=category&layout=blog&id=73', 'component', 1, 244, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"0","show_description_image":"0","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"0","show_category":"1","link_category":"","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"1","show_readmore":"1","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 314, 315, 0, 'en-GB', 0),
(402, 'aboutjoomla', 'Login Form', 'login-form', '', 'using-joomla/extensions/components/users-component/login-form', 'index.php?option=com_users&view=login', 'component', 1, 271, 5, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 167, 168, 0, '*', 0),
(403, 'aboutjoomla', 'User Profile', 'user-profile', '', 'using-joomla/extensions/components/users-component/user-profile', 'index.php?option=com_users&view=profile', 'component', 1, 271, 5, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 169, 170, 0, '*', 0),
(404, 'aboutjoomla', 'Edit User Profile', 'edit-user-profile', '', 'using-joomla/extensions/components/users-component/edit-user-profile', 'index.php?option=com_users&view=profile&layout=edit', 'component', 1, 271, 5, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 171, 172, 0, '*', 0),
(405, 'aboutjoomla', 'Registration Form', 'registration-form', '', 'using-joomla/extensions/components/users-component/registration-form', 'index.php?option=com_users&view=registration', 'component', 1, 271, 5, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 173, 174, 0, '*', 0),
(406, 'aboutjoomla', 'Username Reminder Request', 'username-reminder', '', 'using-joomla/extensions/components/users-component/username-reminder', 'index.php?option=com_users&view=remind', 'component', 1, 271, 5, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 175, 176, 0, '*', 0),
(409, 'aboutjoomla', 'Password Reset', 'password-reset', '', 'using-joomla/extensions/components/users-component/password-reset', 'index.php?option=com_users&view=reset', 'component', 1, 271, 5, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 177, 178, 0, '*', 0),
(410, 'aboutjoomla', 'Feed Display', 'feed-display', '', 'using-joomla/extensions/modules/display-modules/feed-display', 'index.php?option=com_content&view=article&id=16', 'component', 1, 413, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 225, 226, 0, '*', 0),
(411, 'aboutjoomla', 'Content Modules', 'content-modules', '', 'using-joomla/extensions/modules/content-modules', 'index.php?option=com_content&view=category&id=64', 'component', 1, 281, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"1","show_description":"1","show_description_image":"","show_cat_num_articles":"","display_num":"0","show_headings":"0","list_show_title":"1","list_show_date":"0","date_format":"","list_show_hits":"0","list_show_author":"0","filter_field":"hide","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_limit":"0","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 196, 211, 0, '*', 0),
(412, 'aboutjoomla', 'User Modules', 'user-modules', '', 'using-joomla/extensions/modules/user-modules', 'index.php?option=com_content&view=category&id=65', 'component', 1, 281, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_cat_num_articles":"","display_num":"0","show_headings":"0","list_show_title":"1","list_show_date":"","date_format":"","list_show_hits":"0","list_show_author":"0","filter_field":"hide","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_limit":"0","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 212, 219, 0, '*', 0),
(413, 'aboutjoomla', 'Display Modules', 'display-modules', '', 'using-joomla/extensions/modules/display-modules', 'index.php?option=com_content&view=category&id=66', 'component', 1, 281, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"","show_description":"1","show_description_image":"1","show_cat_num_articles":"","display_num":"0","show_headings":"0","list_show_title":"1","list_show_date":"","date_format":"","list_show_hits":"0","list_show_author":"0","filter_field":"hide","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_limit":"0","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 220, 233, 0, '*', 0),
(414, 'aboutjoomla', 'Utility Modules', 'utility-modules', '', 'using-joomla/extensions/modules/utility-modules', 'index.php?option=com_content&view=category&id=67', 'component', 1, 281, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"","show_description":"1","show_description_image":"1","show_cat_num_articles":"","display_num":"0","show_headings":"0","list_show_title":"0","list_show_date":"0","date_format":"","list_show_hits":"0","list_show_author":"0","filter_field":"","orderby_pri":"","orderby_sec":"order","order_date":"","show_pagination":"","show_pagination_limit":"0","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"1","link_category":"1","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 234, 247, 0, '*', 0),
(415, 'aboutjoomla', 'Navigation Modules', 'navigation-modules', '', 'using-joomla/extensions/modules/navigation-modules', 'index.php?option=com_content&view=category&id=75', 'component', 1, 281, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_category_title":"","page_subheading":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","list_show_title":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","filter_field":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_limit":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 190, 195, 0, '*', 0),
(416, 'aboutjoomla', 'Breadcrumbs', 'breadcrumbs', '', 'using-joomla/extensions/modules/navigation-modules/breadcrumbs', 'index.php?option=com_content&view=article&id=61', 'component', 1, 415, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 193, 194, 0, '*', 0),
(417, 'aboutjoomla', 'Weblinks', 'weblinks', '', 'using-joomla/extensions/modules/display-modules/weblinks', 'index.php?option=com_content&view=article&id=55', 'component', 1, 413, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 229, 230, 0, '*', 0),
(418, 'aboutjoomla', 'Custom HTML', 'custom-html', '', 'using-joomla/extensions/modules/display-modules/custom-html', 'index.php?option=com_content&view=article&id=12', 'component', 1, 413, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 231, 232, 0, '*', 0),
(419, 'aboutjoomla', 'Beez 2', 'beez-2', '', 'using-joomla/extensions/templates/beez-2', 'index.php?option=com_content&view=category&layout=blog&id=69', 'component', 1, 282, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 250, 255, 0, '*', 0),
(422, 'aboutjoomla', 'Atomic', 'atomic', '', 'using-joomla/extensions/templates/atomic', 'index.php?option=com_content&view=category&layout=blog&id=68', 'component', 1, 282, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"2","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 262, 267, 0, '*', 0),
(423, 'aboutjoomla', 'Typography Beez 2', 'typography-beez-2', '', 'using-joomla/extensions/templates/beez-2/typography-beez-2', 'index.php?option=com_content&view=article&id=49', 'component', 1, 419, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 251, 252, 0, '*', 0),
(424, 'aboutjoomla', 'Home Page Beez 2', 'home-page-beez-2', '', 'using-joomla/extensions/templates/beez-2/home-page-beez-2', 'index.php?option=com_content&view=featured', 'component', 1, 419, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 253, 254, 0, '*', 0),
(427, 'fruitshop', 'Fruit Encyclopedia', 'fruit-encyclopedia', '', 'fruit-encyclopedia', 'index.php?option=com_contact&view=categories&id=37', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"1","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_items_cat":"","show_category_title":"","show_description":"1","show_description_image":"1","maxLevel":"-1","show_empty_categories":"1","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"0","show_position_headings":"","show_email_headings":"0","show_telephone_headings":"0","show_mobile_headings":"0","show_fax_headings":"0","show_suburb_headings":"0","show_state_headings":"","show_country_headings":"","show_pagination":"","show_pagination_results":"","presentation_style":"","show_contact_category":"","show_contact_list":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" categories-listalphabet","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 321, 322, 0, '*', 0),
(429, 'fruitshop', 'Welcome', 'welcome', 'Fruit store front page', 'welcome', 'index.php?option=com_content&view=article&id=20', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"0","link_titles":"0","show_intro":"1","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 319, 320, 0, '*', 0),
(430, 'fruitshop', 'Contact Us', 'contact-us', '', 'contact-us', 'index.php?option=com_contact&view=category&catid=47&id=36', 'component', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"20","show_headings":"0","filter_field":"hide","show_pagination":"","show_noauth":"","presentation_style":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 325, 326, 0, '*', 0),
(431, 'fruitshop', 'Growers', 'growers', '', 'growers', 'index.php?option=com_content&view=category&layout=blog&id=30', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"1","show_cat_num_articles":"","num_leading_articles":"5","num_intro_articles":"0","num_columns":"1","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"alpha","order_date":"","show_pagination":"","show_noauth":"","show_title":"1","link_titles":"1","show_intro":"1","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"0","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 323, 324, 0, '*', 0),
(432, 'fruitshop', 'Login ', 'shop-login', '', 'shop-login', 'index.php?option=com_users&view=login', 'component', 1, 1, 1, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"","login_image":"","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 327, 328, 0, '*', 0),
(433, 'fruitshop', 'Directions', 'directions', '', 'directions', 'index.php?option=com_content&view=article&id=13', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 329, 330, 0, '*', 0),
(435, 'mainmenu', 'Home', 'homepage', '', 'homepage', 'index.php?option=com_content&view=featured', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 125, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_pagination_results":"","show_title":"1","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"Responsive Joomla template for Designer Portfolio and Corporate - JA Sugite","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"Responsive Joomla template for Designer Portfolio and Business Portfolio for Joomla 3 & Joomla 2.5 - JA Sugite. Supports RTL language layout, EasyBlog component, Bootstrap 3 and a beautiful corporate style design for YOU.","menu-meta_keywords":"joomla 2.5 template, joomla 3 template, responsive joomla template, joomla responsive template, joomla t3 template, responsive joomla business template, joomla business template, joomla bootstrap 3 template, Joomla blog extension, joomla portfolio template","robots":"","secure":0}', 1, 2, 1, '*', 0),
(436, 'aboutjoomla', 'Getting Help', 'getting-help', '', 'using-joomla/getting-help', 'index.php?option=com_content&view=article&id=21', 'component', 1, 280, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 290, 291, 0, '*', 0),
(437, 'aboutjoomla', 'Getting Started', 'getting-started', '', 'getting-started', 'index.php?option=com_content&view=article&id=22', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"1","link_titles":"0","show_intro":"","show_category":"0","link_category":"","show_parent_category":"0","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"0","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 117, 118, 0, '*', 0),
(438, 'mainmenu', 'Weblinks', 'weblinks', '', 'site-map/weblinks', 'index.php?option=com_weblinks&view=categories&id=0', 'component', -2, 294, 2, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories_description":"","maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","orderby_pri":"","show_pagination":"","show_noauth":"","article-allow_ratings":"","article-allow_comments":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 6, 7, 0, '*', 0),
(439, 'mainmenu', 'Contacts', 'contacts', '', 'site-map/contacts', 'index.php?option=com_contact&view=categories&id=0', 'component', -2, 294, 2, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"categories_description":"","maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","filter_field":"","show_pagination":"","show_noauth":"","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","article-allow_ratings":"","article-allow_comments":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 8, 9, 0, '*', 0),
(443, 'aboutjoomla', 'Article Categories', 'article-categories-view', '', 'using-joomla/extensions/modules/content-modules/article-categories-view', 'index.php?option=com_content&view=article&id=3', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 207, 208, 0, '*', 0),
(444, 'top', 'Sample Sites', 'sample-sites-2', '', 'sample-sites-2', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"238","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 299, 300, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(445, 'mainmenu', 'Parks', 'parks', '', 'sample-sites/parks', 'index.php?Itemid=', 'alias', -2, 238, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"243","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 332, 333, 0, '*', 0),
(446, 'mainmenu', 'Shop', 'shop', '', 'sample-sites/shop', 'index.php?Itemid=', 'alias', -2, 238, 2, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"429","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 334, 335, 0, '*', 0),
(447, 'aboutjoomla', 'Language Switcher', 'language-switcher', '', 'using-joomla/extensions/modules/utility-modules/language-switcher', 'index.php?option=com_content&view=article&id=26', 'component', 1, 414, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 241, 242, 0, '*', 0),
(448, 'mainmenu', 'Site Administrator', 'site-administrator', '', 'site-administrator', 'administrator', 'url', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 1, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 339, 340, 0, '*', 0),
(449, 'usermenu', 'Submit an Article', 'submit-an-article', '', 'submit-an-article', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 3, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 341, 342, 0, '*', 0),
(452, 'aboutjoomla', 'Featured Contacts', 'featured-contacts', '', 'using-joomla/extensions/components/contact-component/featured-contacts', 'index.php?option=com_contact&view=featured&id=16', 'component', 1, 270, 5, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"-1","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","filter_field":"","show_pagination":"","show_noauth":"","presentation_style":"sliders","show_name":"","show_position":"","show_email":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_misc":"","show_image":"","allow_vcard":"","show_articles":"","show_links":"1","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 147, 148, 0, '*', 0),
(453, 'aboutjoomla', 'Parameters', 'parameters', '', 'using-joomla/parameters', 'index.php?option=com_content&view=article&id=32', 'component', 1, 280, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"1","show_title":"1","link_titles":"1","show_intro":"1","show_category":"1","link_category":"1","show_parent_category":"1","link_parent_category":"1","show_author":"1","link_author":"1","show_create_date":"1","show_modify_date":"1","show_publish_date":"1","show_item_navigation":"1","show_icons":"1","show_print_icon":"1","show_email_icon":"1","show_hits":"1","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 288, 289, 0, '*', 0),
(455, 'mainmenu', 'Example Pages', 'example-pages', '', 'example-pages', 'index.php?Itemid=', 'alias', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"268","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 343, 344, 0, '*', 0),
(456, 'aboutjoomla', 'Beez5', 'beez5', '', 'using-joomla/extensions/templates/beez5', 'index.php?option=com_content&view=category&layout=blog&id=70', 'component', 1, 282, 4, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"1","show_description_image":"","show_category_title":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"4","num_columns":"2","num_links":"4","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 256, 261, 0, '*', 0),
(457, 'aboutjoomla', 'Typography Beez5', 'typography-beez-5', '', 'using-joomla/extensions/templates/beez5/typography-beez-5', 'index.php?option=com_content&view=article&id=49', 'component', 1, 456, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 257, 258, 0, '*', 0),
(458, 'aboutjoomla', 'Home Page Beez5', 'home-page-beez5', '', 'using-joomla/extensions/templates/beez5/home-page-beez5', 'index.php?option=com_content&view=featured', 'component', 1, 456, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"","show_empty_categories":"","show_description":"","show_description_image":"","show_cat_num_articles":"","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 259, 260, 0, '*', 0),
(459, 'aboutjoomla', 'Article Category', 'article-category', '', 'using-joomla/extensions/modules/content-modules/article-category', 'index.php?option=com_content&view=article&id=4', 'component', 1, 411, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","robots":"","rights":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","secure":0}', 209, 210, 0, '*', 0),
(462, 'fruitshop', 'Add a recipe', 'add-a-recipe', '', 'add-a-recipe', 'index.php?option=com_content&view=form&layout=edit', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 4, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":1,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 345, 346, 0, '*', 0),
(463, 'fruitshop', 'Recipes', 'recipes', '', 'recipes', 'index.php?option=com_content&view=category&id=76', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"maxLevel":"0","show_category_title":"1","page_subheading":"","show_empty_categories":"0","show_description":"1","show_description_image":"","show_cat_num_articles":"","display_num":"","show_headings":"","list_show_title":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","filter_field":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_limit":"","show_noauth":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_readmore":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","show_page_heading":0,"page_title":"","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 347, 348, 0, '*', 0),
(464, 'top', 'Home', 'home', '', 'home', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"435","menu-anchor_title":"","menu-anchor_css":"","menu_image":""}', 293, 294, 0, '*', 0),
(466, 'aboutjoomla', 'Smart Search', 'smart-search', '', 'using-joomla/extensions/components/search-component/smart-search', 'index.php?option=com_finder&view=search&q=&f=', 'component', 1, 276, 5, 27, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","search_order":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 183, 184, 0, '*', 0),
(467, 'aboutjoomla', 'Smart Search', 'smart-search', '', 'using-joomla/extensions/modules/utility-modules/smart-search', 'index.php?option=com_content&view=article&id=70', 'component', 1, 414, 5, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 245, 246, 0, '*', 0),
(468, 'main', 'COM_JAEXTMANAGER', 'com-jaextmanager', '', 'com-jaextmanager', 'index.php?option=com_jaextmanager', 'component', 1, 1, 1, 10000, 0, '0000-00-00 00:00:00', 0, 1, 'components/com_jaextmanager/assets/images/jauc.png', 0, '', 349, 350, 0, '', 1),
(469, 'mainmenu', 'Joomla! Page', 'joomla-page', '', 'joomla-page', 'index.php?option=com_content&view=article&id=22', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 31, 78, 0, '*', 0),
(470, 'mainmenu', 'J! Pages', 'j-pages', '', 'joomla-page/j-pages', 'index.php?option=com_content&view=article&id=48', 'component', 1, 469, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 32, 43, 0, '*', 0),
(471, 'mainmenu', 'Login page', 'login-page', '', 'joomla-page/j-pages/login-page', 'index.php?option=com_users&view=login', 'component', 1, 470, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"login_redirect_url":"","logindescription_show":"1","login_description":"If you have not an account, please click the below link to register an account.","login_image":"images\\/joomlart\\/logo.png","logout_redirect_url":"","logoutdescription_show":"1","logout_description":"","logout_image":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 33, 34, 0, '*', 0),
(472, 'mainmenu', 'Registration Page', 'registration-page', '', 'joomla-page/j-pages/registration-page', 'index.php?option=com_users&view=registration', 'component', 1, 470, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 35, 36, 0, '*', 0),
(473, 'mainmenu', 'Edit User Profile', 'edit-user-profile', '', 'joomla-page/j-pages/edit-user-profile', 'index.php?option=com_users&view=profile&layout=edit', 'component', 1, 470, 3, 25, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 37, 38, 0, '*', 0),
(474, 'mainmenu', 'News Feed', 'news-feed', '', 'joomla-page/j-pages/news-feed', 'index.php?option=com_newsfeeds&view=category&id=17', 'component', 1, 470, 3, 17, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_items":"","show_pagination_limit":"","show_headings":"","show_articles":"","show_link":"","show_pagination":"","show_pagination_results":"","show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","feed_display_order":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 39, 40, 0, '*', 0),
(491, 'mainmenu', 'Weblinks', 'weblinks', '', 'joomla-page/j-pages/weblinks', 'index.php?option=com_weblinks&view=category&id=33', 'component', -2, 470, 3, 21, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_subcat_desc":"","show_cat_num_links":"","show_pagination_limit":"","show_headings":"","show_link_description":"","show_link_hits":"","show_pagination":"","show_pagination_results":"","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 41, 42, 0, '*', 0),
(492, 'mainmenu', 'Other Pages', 'other-pages', '', 'joomla-page/other-pages', 'index.php?option=com_content&view=article&id=35', 'component', 1, 469, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 44, 57, 0, '*', 0),
(493, 'mainmenu', 'Contact us', 'contact-us', '', 'joomla-page/other-pages/contact-us', 'index.php?Itemid=', 'alias', -2, 492, 3, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"501","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 45, 46, 0, '*', 0),
(494, 'mainmenu', 'Smart Search', 'smart-search', '', 'joomla-page/other-pages/smart-search', 'index.php?option=com_finder&view=search&q=&f=', 'component', 1, 492, 3, 27, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_date_filters":"","show_advanced":"","expand_advanced":"","show_description":"","description_length":255,"show_url":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","allow_empty_query":"0","sort_order":"","sort_direction":"","show_feed":"0","show_feed_text":"0","show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 47, 48, 0, '*', 0),
(495, 'mainmenu', '404 Page', '404-page', '', 'joomla-page/other-pages/404-page', 'index.php?option=com_content&view=article&id=71', 'component', 1, 492, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 49, 50, 0, '*', 0),
(496, 'mainmenu', 'Offline Page', 'offline-page', '', 'joomla-page/other-pages/offline-page', 'index.php?option=com_content&view=article&id=72', 'component', 1, 492, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"","show_intro":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 51, 52, 0, '*', 0),
(497, 'mainmenu', 'Typography', 'typography', '', 'bonus-pages/typography', 'index.php?option=com_content&view=article&id=73', 'component', 1, 532, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 126, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 16, 17, 0, '*', 0),
(498, 'mainmenu', 'Portfolio page', 'portfolio-page', '', 'bonus-pages/portfolio-page', 'index.php?option=com_content&view=category&layout=ja_sugite:portfolio&id=94', 'component', 1, 532, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 128, '{"layout_type":"blog","category_layout":"portfoliolayout","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"-1","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"21","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"3","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"0","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 12, 13, 0, '*', 0),
(499, 'mainmenu', 'Blog style 1', 'blog-style-1', '', 'bonus-pages/blog-style-1', 'index.php?option=com_content&view=category&layout=ja_sugite:xblog&id=78', 'component', 1, 532, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 127, '{"display_num":"5","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","article_layout":"ja_sugite:blog2","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 22, 25, 0, '*', 0),
(500, 'mainmenu', 'About us', 'about-us', '', 'bonus-pages/about-us', 'index.php?option=com_content&view=article&id=74', 'component', 1, 532, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 18, 19, 0, '*', 0),
(501, 'mainmenu', 'Contact page', 'contact-page', '', 'joomla-page/other-pages/contact-page', 'index.php?option=com_contact&view=contact&id=1', 'component', 1, 492, 3, 8, 0, '0000-00-00 00:00:00', 0, 1, ' ', 0, '{"presentation_style":"plain","show_contact_category":"hide","show_contact_list":"","show_tags":"","show_info":"","show_name":"0","show_position":"","show_email":"","add_mailto_link":"","show_street_address":"","show_suburb":"","show_state":"","show_postcode":"","show_country":"","show_telephone":"","show_mobile":"","show_fax":"","show_webpage":"","show_image":"","allow_vcard":"","show_misc":"","show_articles":"","articles_display_num":"","show_links":"","linka_name":"","linkb_name":"","linkc_name":"","linkd_name":"","linke_name":"","show_email_form":"","show_email_copy":"","banned_email":"","banned_subject":"","banned_text":"","validate_session":"","custom_reply":"","redirect":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"menu_show":1,"page_title":"","show_page_heading":"0","page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 55, 56, 0, '*', 0),
(502, 'info', 'Our Company', 'our-company', '', 'our-company', 'index.php?option=com_content&view=article&id=74', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 351, 352, 0, '*', 0),
(503, 'info', 'Blog', 'blog', '', 'blog', 'index.php?Itemid=', 'alias', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"499","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 353, 354, 0, '*', 0),
(504, 'info', 'Contact us', 'contactus', '', 'contactus', 'index.php?Itemid=', 'alias', 1, 1, 1, 8, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"501","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 355, 356, 0, '*', 0),
(505, 'info', 'We\'re hiring', '2014-04-10-09-41-02', '', '2014-04-10-09-41-02', '', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 357, 358, 0, '*', 0),
(506, 'support', 'Documentation', '2014-04-10-09-42-04', '', '2014-04-10-09-42-04', '#', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 359, 360, 0, '*', 0),
(507, 'support', 'Support FAQ', '2014-04-10-09-42-20', '', '2014-04-10-09-42-20', '', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 361, 362, 0, '*', 0),
(508, 'support', 'Help Desk', '2014-04-10-09-42-37', '', '2014-04-10-09-42-37', '', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 363, 364, 0, '*', 0),
(509, 'support', 'Video', '2014-04-10-09-42-58', '', '2014-04-10-09-42-58', '', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 365, 366, 0, '*', 0),
(510, 'support', 'Support Policy', '2014-04-10-09-44-11', '', '2014-04-10-09-44-11', '', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 367, 368, 0, '*', 0),
(511, 'services', 'Consulting', 'consulting', '', 'consulting', 'index.php?option=com_content&view=article&id=200', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"0","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"1","link_author":"1","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 369, 370, 0, '*', 0),
(512, 'solutions', 'Updates', '2014-04-10-09-48-13', '', '2014-04-10-09-48-13', '', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 383, 384, 0, '*', 0),
(513, 'services', 'Creative', 'creative', '', 'creative', 'index.php?option=com_content&view=article&id=199', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"0","show_intro":"0","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 371, 372, 0, '*', 0),
(514, 'solutions', 'Promotions', '2014-04-10-09-48-51', '', '2014-04-10-09-48-51', '', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 381, 382, 0, '*', 0),
(515, 'services', 'Photo', 'photography-services', '', 'photography-services', 'index.php?option=com_content&view=article&id=198', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"0","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 379, 380, 0, '*', 0),
(516, 'solutions', 'Support', '2014-04-10-09-49-43', '', '2014-04-10-09-49-43', '', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 373, 374, 0, '*', 0),
(517, 'services', 'Graphic Design', 'graphic-design', '', 'graphic-design', 'index.php?option=com_content&view=article&id=102', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"0","show_intro":"0","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 377, 378, 0, '*', 0),
(518, 'solutions', 'Certificates', '2014-04-10-09-50-29', '', '2014-04-10-09-50-29', '', 'url', 1, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 375, 376, 0, '*', 0),
(519, 'mainmenu', 'Tag item', 'tag-item', '', 'joomla-page/other-pages/tag-item', 'index.php?option=com_tags&view=tag&id[0]=2', 'component', 1, 492, 3, 29, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_tag_title":"","tag_list_show_tag_image":"","tag_list_show_tag_description":"","tag_list_image":"","tag_list_description":"","show_tag_num_items":"","tag_list_orderby":"","tag_list_orderby_direction":"","tag_list_show_item_image":"","tag_list_show_item_description":"","tag_list_item_maximum_characters":0,"filter_field":"","show_pagination_limit":"","show_pagination":"","show_pagination_results":"","return_any_or_all":"","include_children":"","maximum":200,"show_feed_link":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 53, 54, 0, '*', 0),
(520, 'mainmenu', 'Design', 'design', '', 'bonus-pages/blog-style-1/design', 'index.php?option=com_content&view=category&layout=ja_sugite:xblog&id=89', 'component', -2, 499, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"display_num":"12","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","article_layout":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 23, 24, 0, '*', 0),
(521, 'mainmenu', 'Category Page', 'category-page', '', 'joomla-page/category-page', 'index.php?option=com_content&view=article&id=81', 'component', 1, 469, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 58, 77, 0, '*', 0),
(522, 'mainmenu', 'Sample Category 1', 'sample-category-1', '', 'joomla-page/category-page/sample-category-1', 'index.php?option=com_content&view=category&layout=blog&id=81', 'component', -2, 521, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 59, 60, 0, '*', 0),
(523, 'mainmenu', 'Sample Category 2', 'sample-category-2', '', 'joomla-page/category-page/sample-category-2', 'index.php?option=com_content&view=category&layout=blog&id=82', 'component', -2, 521, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 61, 62, 0, '*', 0),
(524, 'mainmenu', 'Sample Category 3', 'sample-category-3', '', 'joomla-page/category-page/sample-category-3', 'index.php?option=com_content&view=category&layout=blog&id=83', 'component', -2, 521, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 63, 64, 0, '*', 0),
(525, 'mainmenu', 'Sample Category 4', 'sample-category-4', '', 'joomla-page/category-page/sample-category-4', 'index.php?option=com_content&view=category&layout=blog&id=84', 'component', -2, 521, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 65, 66, 0, '*', 0),
(526, 'mainmenu', 'Sample Category 5', 'sample-category-5', '', 'joomla-page/category-page/sample-category-5', 'index.php?option=com_content&view=category&layout=blog&id=85', 'component', -2, 521, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 67, 68, 0, '*', 0),
(527, 'mainmenu', 'Sample Category 6', 'sample-category-6', '', 'joomla-page/category-page/sample-category-6', 'index.php?option=com_content&view=category&layout=blog&id=86', 'component', -2, 521, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"","num_intro_articles":"","num_columns":"","num_links":"","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 69, 70, 0, '*', 0),
(528, 'mainmenu', 'Blog style', '2014-04-14-03-02-07', '', '2014-04-14-03-02-07', 'index.php?option=com_content&view=article&id=78', 'component', -2, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 337, 338, 0, '*', 0),
(529, 'mainmenu', 'Blog style 2', 'blog-style-2', '', 'bonus-pages/blog-style-2', 'index.php?option=com_content&view=category&layout=ja_sugite:xblog2&id=95', 'component', 1, 532, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 128, '{"display_num":"5","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","article_layout":"ja_sugite:blog2","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"0","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 26, 27, 0, '*', 0),
(530, 'mainmenu', 'All Categories', 'all-categories', '', 'joomla-page/category-page/all-categories', 'index.php?option=com_content&view=categories&id=87', 'component', 1, 521, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_base_description":"","categories_description":"","maxLevelcat":"","show_empty_categories_cat":"","show_subcat_desc_cat":"","show_cat_num_articles_cat":"","show_category_title":"","show_description":"","show_description_image":"1","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","num_leading_articles":"0","num_intro_articles":"4","num_columns":"0","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"All Categories","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 71, 72, 0, '*', 0);
INSERT INTO `#__menu` (`id`, `menutype`, `title`, `alias`, `note`, `path`, `link`, `type`, `published`, `parent_id`, `level`, `component_id`, `checked_out`, `checked_out_time`, `browserNav`, `access`, `img`, `template_style_id`, `params`, `lft`, `rgt`, `home`, `language`, `client_id`) VALUES
(531, 'mainmenu', 'Category List', 'category-list', '', 'joomla-page/category-page/category-list', 'index.php?option=com_content&view=category&id=81', 'component', 1, 521, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_category_heading_title_text":"","show_category_title":"","show_description":"1","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","show_pagination_limit":"","filter_field":"","show_headings":"","list_show_date":"","date_format":"","list_show_hits":"","list_show_author":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","display_num":"10","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"Category list","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 73, 74, 0, '*', 0),
(532, 'mainmenu', 'Bonus pages', 'bonus-pages', '', 'bonus-pages', 'index.php?option=com_content&view=article&id=145', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"0","show_intro":"1","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_tags":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" bonus-pages","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 11, 30, 0, '*', 0),
(533, 'mainmenu', 'Pricing table', 'pricing-table', '', 'bonus-pages/pricing-table', 'index.php?option=com_content&view=article&id=146', 'component', 1, 532, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"0","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 20, 21, 0, '*', 0),
(534, 'mainmenu', 'Colors', 'colors', '', 'colors', 'index.php?option=com_content&view=article&id=201', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"0","link_author":"","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_tags":"0","show_icons":"","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 385, 394, 0, '*', 0),
(535, 'mainmenu', 'Category Blog', 'category-blog', '', 'joomla-page/category-page/category-blog', 'index.php?option=com_content&view=category&layout=blog&id=81', 'component', 1, 521, 3, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"3","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"0","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":1,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 75, 76, 0, '*', 0),
(536, 'mainmenu', 'Search', 'search', '', 'search', 'index.php?Itemid=', 'alias', -2, 1, 1, 0, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"aliasoptions":"494","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1}', 397, 398, 0, '*', 0),
(537, 'all-category', 'Sample Category 1', 'sample-category-1', '', 'sample-category-1', 'index.php?option=com_content&view=category&layout=blog&id=81', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"0","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"3","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 399, 400, 0, '*', 0),
(538, 'all-category', 'Sample Category 2', 'sample-category-2', '', 'sample-category-2', 'index.php?option=com_content&view=category&layout=blog&id=82', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"0","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"3","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 401, 402, 0, '*', 0),
(539, 'all-category', 'Sample Category 3', 'sample-category-3', '', 'sample-category-3', 'index.php?option=com_content&view=category&layout=blog&id=83', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"0","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"3","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 403, 404, 0, '*', 0),
(540, 'all-category', 'Sample Category 4', 'sample-category-4', '', 'sample-category-4', 'index.php?option=com_content&view=category&layout=blog&id=84', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"0","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"3","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 405, 406, 0, '*', 0),
(541, 'all-category', 'Sample Category 5', 'sample-category-5', '', 'sample-category-5', 'index.php?option=com_content&view=category&layout=blog&id=85', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"0","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"3","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 407, 408, 0, '*', 0),
(542, 'all-category', 'Sample Category 6', 'sample-category-6', '', 'sample-category-6', 'index.php?option=com_content&view=category&layout=blog&id=86', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"0","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"3","num_columns":"1","num_links":"0","multi_column_order":"","show_subcategory_content":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 409, 410, 0, '*', 0),
(549, 'mainmenu', 'Our Services', 'our-services', '', 'bonus-pages/our-services', 'index.php?option=com_content&view=category&layout=blog&id=88', 'component', 1, 532, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 127, '{"layout_type":"blog","show_category_heading_title_text":"","show_category_title":"","show_description":"","show_description_image":"","maxLevel":"","show_empty_categories":"","show_no_articles":"","show_subcat_desc":"","show_cat_num_articles":"","page_subheading":"","num_leading_articles":"0","num_intro_articles":"6","num_columns":"3","num_links":"0","multi_column_order":"","show_subcategory_content":"-1","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_readmore":"1","show_readmore_title":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":" services","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 14, 15, 0, '*', 0),
(550, 'services', 'Practising', 'practising', '', 'practising', 'index.php?option=com_content&view=article&id=104', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"0","show_intro":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 411, 412, 0, '*', 0),
(551, 'services', 'Developement', 'website-developement', '', 'website-developement', 'index.php?option=com_content&view=article&id=100', 'component', 1, 1, 1, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 0, '{"show_title":"","link_titles":"0","show_intro":"0","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"0","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"0","urls_position":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 413, 414, 0, '*', 0),
(552, 'mainmenu', 'Blue Color', 'blue-color', '', 'colors/blue-color', 'index.php?option=com_content&view=featured', 'component', 1, 534, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 130, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_pagination_results":"","show_title":"1","link_titles":"","show_intro":"","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 386, 387, 0, '*', 0),
(553, 'mainmenu', 'Red Color', 'red-color', '', 'colors/red-color', 'index.php?option=com_content&view=featured', 'component', 1, 534, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 129, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_pagination_results":"","show_title":"0","link_titles":"","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 388, 389, 0, '*', 0),
(554, 'mainmenu', 'Purple Color', 'purple-color', '', 'colors/purple-color', 'index.php?option=com_content&view=featured', 'component', 1, 534, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 131, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_pagination_results":"","show_title":"0","link_titles":"","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 390, 391, 0, '*', 0),
(555, 'mainmenu', 'Orange Color', 'orange-color', '', 'colors/orange-color', 'index.php?option=com_content&view=featured', 'component', 1, 534, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 132, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"1","num_intro_articles":"3","num_columns":"3","num_links":"0","multi_column_order":"1","orderby_pri":"","orderby_sec":"front","order_date":"","show_pagination":"2","show_pagination_results":"","show_title":"0","link_titles":"","show_intro":"0","info_block_position":"","show_category":"0","link_category":"0","show_parent_category":"0","link_parent_category":"0","show_author":"0","link_author":"0","show_create_date":"0","show_modify_date":"0","show_publish_date":"0","show_item_navigation":"0","show_vote":"","show_readmore":"1","show_readmore_title":"","show_icons":"0","show_print_icon":"0","show_email_icon":"0","show_hits":"0","show_noauth":"","show_feed_link":"1","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 392, 393, 0, '*', 0),
(556, 'main', 'com_tags', 'Tags', '', 'Tags', 'index.php?option=com_tags', 'component', 1, 1, 1, 29, 0, '0000-00-00 00:00:00', 0, 1, 'class:tags', 0, '', 79, 80, 0, '', 1),
(557, 'main', 'com_postinstall', 'Post-installation messages', '', 'Post-installation messages', 'index.php?option=com_postinstall', 'component', 1, 1, 1, 32, 0, '0000-00-00 00:00:00', 0, 1, 'class:postinstall', 0, '', 81, 82, 0, '*', 1),
(558, 'mainmenu', 'Features Intro', 'features-intro', '', 'bonus-pages/features-intro', 'index.php?option=com_content&view=featured', 'component', 1, 532, 2, 22, 0, '0000-00-00 00:00:00', 0, 1, '', 136, '{"featured_categories":[""],"layout_type":"blog","num_leading_articles":"0","num_intro_articles":"0","num_columns":"0","num_links":"0","multi_column_order":"","orderby_pri":"","orderby_sec":"","order_date":"","show_pagination":"","show_pagination_results":"","show_title":"","link_titles":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_vote":"","show_readmore":"","show_readmore_title":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_hits":"","show_noauth":"","show_feed_link":"","feed_summary":"","menu-anchor_title":"","menu-anchor_css":"","menu_image":"","menu_text":1,"page_title":"","show_page_heading":0,"page_heading":"","pageclass_sfx":"","menu-meta_description":"","menu-meta_keywords":"","robots":"","secure":0}', 28, 29, 0, '*', 0),
(616, 'main', 'com_associations', 'multilingual-associations', '', 'multilingual-associations', 'index.php?option=com_associations', 'component', 1, 1, 1, 34, 0, '0000-00-00 00:00:00', 0, 1, 'class:associations', 0, '{}', 415, 416, 0, '*', 1);

DROP TABLE IF EXISTS `#__menu_types`;
CREATE TABLE `#__menu_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0',
  `menutype` varchar(24) NOT NULL,
  `title` varchar(48) NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  `client_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_menutype` (`menutype`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

INSERT INTO `#__menu_types` (`id`, `asset_id`, `menutype`, `title`, `description`, `client_id`) VALUES
(2, 0, 'usermenu', 'User Menu', 'A Menu for logged-in Users', 0),
(3, 0, 'top', 'Top', 'Links for major types of users', 0),
(4, 0, 'aboutjoomla', 'About Joomla', 'All about Joomla!', 0),
(5, 0, 'parks', 'Australian Parks', 'Main menu for a site about Australian  parks', 0),
(6, 0, 'mainmenu', 'Main Menu', 'Simple Home Menu', 0),
(7, 0, 'fruitshop', 'Fruit Shop', 'Menu for the sample shop site.', 0),
(8, 0, 'info', 'Info', '', 0),
(9, 0, 'support', 'Support', '', 0),
(10, 0, 'services', 'Services', '', 0),
(11, 0, 'solutions', 'Solutions', '', 0),
(12, 0, 'all-category', 'All Categories', '', 0);

DROP TABLE IF EXISTS `#__messages`;
CREATE TABLE `#__messages` (
  `message_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id_from` int(10) unsigned NOT NULL DEFAULT '0',
  `user_id_to` int(10) unsigned NOT NULL DEFAULT '0',
  `folder_id` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `date_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `state` tinyint(1) NOT NULL DEFAULT '0',
  `priority` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(255) NOT NULL DEFAULT '',
  `message` mediumtext NOT NULL,
  PRIMARY KEY (`message_id`),
  KEY `useridto_state` (`user_id_to`,`state`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__messages_cfg`;
CREATE TABLE `#__messages_cfg` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `cfg_name` varchar(100) NOT NULL DEFAULT '',
  `cfg_value` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `idx_user_var_name` (`user_id`,`cfg_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__modules`;
CREATE TABLE `#__modules` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the jamay_assets table.',
  `title` varchar(100) NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `content` text NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  `position` varchar(50) NOT NULL DEFAULT '',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `module` varchar(50) DEFAULT NULL,
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `showtitle` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `params` mediumtext NOT NULL,
  `client_id` tinyint(4) NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `published` (`published`,`access`),
  KEY `newsfeeds` (`module`,`published`),
  KEY `idx_language` (`language`)
) ENGINE=InnoDB AUTO_INCREMENT=145 DEFAULT CHARSET=utf8;

INSERT INTO `#__modules` (`id`, `asset_id`, `title`, `note`, `content`, `ordering`, `position`, `checked_out`, `checked_out_time`, `publish_up`, `publish_down`, `published`, `module`, `access`, `showtitle`, `params`, `client_id`, `language`) VALUES
(1, 0, 'Off Canvas', '', '', 1, 'off-canvas', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{"menutype":"mainmenu","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"_menu","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(2, 0, 'Login', '', '', 1, 'login', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '', 1, '*'),
(3, 0, 'Popular Articles', '', '', 3, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_popular', 3, 1, '{"count":"5","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(4, 0, 'Recently Added Articles', '', '', 4, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_latest', 3, 1, '{"count":"5","ordering":"c_dsc","catid":"","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(8, 0, 'Toolbar', '', '', 1, 'toolbar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_toolbar', 3, 1, '', 1, '*'),
(9, 0, 'Quick Icons', '', '', 1, 'icon', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_quickicon', 3, 1, '', 1, '*'),
(10, 0, 'Logged-in Users', '', '', 2, 'cpanel', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_logged', 3, 1, '{"count":"5","name":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","automatic_title":"1"}', 1, '*'),
(12, 0, 'Admin Menu', '', '', 1, 'menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 3, 1, '{"layout":"","moduleclass_sfx":"","shownew":"1","showhelp":"1","cache":"0"}', 1, '*'),
(13, 0, 'Admin Submenu', '', '', 1, 'submenu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_submenu', 3, 1, '', 1, '*'),
(14, 0, 'User Status', '', '', 2, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_status', 3, 1, '', 1, '*'),
(15, 0, 'Title', '', '', 1, 'title', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_title', 3, 1, '', 1, '*'),
(16, 0, 'Login Form', '', '', 7, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"greeting":"1","name":"0"}', 0, '*'),
(17, 0, 'Breadcrumbs', '', '', 1, 'position-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_breadcrumbs', 1, 1, '{"moduleclass_sfx":"","showHome":"1","homeText":"Home","showComponent":"1","separator":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(18, 0, 'Book Store', '', '', 1, 'position-10', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_banners', 1, 0, '{"target":"1","count":"1","cid":"3","catid":[""],"tag_search":"0","ordering":"0","header_text":"","footer_text":"Books!","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, '*'),
(19, 0, 'User Menu', '', '', 10, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 2, 1, '{"menutype":"usermenu","startLevel":"1","endLevel":"0","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"_menu","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(27, 0, 'Archived Articles', '', '', 3, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_archive', 1, 1, '{"count":"12","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(28, 0, 'Latest News', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_latest', 1, 1, '{"catid":["19"],"count":"5","show_featured":"","ordering":"c_dsc","user_id":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(29, 0, 'Articles Most Read', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_popular', 1, 1, '{"catid":["26","29"],"count":"5","show_front":"1","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(30, 0, 'Feed Display', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_feed', 1, 1, '{"rssurl":"http:\\/\\/community.joomla.org\\/blogs\\/community.feed?type=rss","rssrtl":"0","rsstitle":"1","rssdesc":"1","rssimage":"1","rssitems":"3","rssitemdesc":"1","word_count":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, '*'),
(31, 0, 'News Flash', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_news', 1, 1, '{"catid":["19"],"image":"0","item_title":"0","link_titles":"","item_heading":"h4","showLastSeparator":"1","readmore":"1","count":"1","ordering":"a.publish_up","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(33, 0, 'Random Image', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_random_image', 1, 1, '{"type":"jpg","folder":"images\\/sampledata\\/parks\\/animals","link":"","width":"180","height":"","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(34, 0, 'Articles Related Items', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_related_items', 1, 1, '{"showDate":"0","layout":"_:default","moduleclass_sfx":"","owncache":"1"}', 0, '*'),
(35, 0, 'Search', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 1, '{"label":"","width":"20","text":"","button":"","button_pos":"right","imagebutton":"","button_text":"","opensearch":"1","opensearch_title":"","set_itemid":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(36, 0, 'Statistics', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_stats', 1, 1, '{"serverinfo":"1","siteinfo":"1","counter":"1","increase":"0","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(37, 0, 'Syndicate Feeds', '', '', 1, 'syndicateload', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_syndicate', 1, 1, '{"text":"Feed Entries","format":"rss","layout":"","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(38, 0, 'Users Latest', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_users_latest', 1, 1, '{"shownumber":"5","linknames":"0","layout":"_:default","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"static"}', 0, '*'),
(39, 0, 'Who\'s Online', '', '', 15, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_whosonline', 1, 1, '{"showmode":"1","layout":"_:default","moduleclass_sfx":"","cache":"0","filter_groups":"0"}', 0, '*'),
(40, 0, 'Wrapper', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_wrapper', 1, 1, '{"url":"http:\\/\\/www.youtube.com\\/embed\\/vb2eObvmvdI","add":"1","scrolling":"auto","width":"640","height":"390","height_auto":"1","target":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(41, 0, 'Footer', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_footer', 1, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(44, 0, 'Login', '', '', 8, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 1, '{"pretext":"","posttext":"","login":"280","logout":"280","greeting":"1","name":"0","usesecure":"0","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(47, 0, 'Latest Park Blogs', '', '', 6, 'position-7', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_latest', 1, 1, '{"count":"5","ordering":"c_dsc","user_id":"0","show_front":"1","catid":"35","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, 'en-GB'),
(52, 0, 'Breadcrumbs', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_breadcrumbs', 1, 1, '{"showHere":"1","showHome":"1","homeText":"Home","showLast":"1","separator":"","layout":"_:default","moduleclass_sfx":"","cache":"0","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(56, 0, 'Banners', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_banners', 1, 1, '{"target":"1","count":"1","cid":"1","catid":["15"],"tag_search":"0","ordering":"random","header_text":"","footer_text":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, '*'),
(58, 0, 'Special!', '', '<h1>This week we have a special, half price on delicious oranges!</h1><div>Only for our special customers!</div><div>Use the code: Joomla! when ordering</div><p><em>This module can only be seen by people in the customers group or higher.</em></p>', 1, 'position-12', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 4, 1, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(61, 0, 'Articles Categories', '', '', 1, '', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_categories', 1, 1, '{"parent":"29","show_description":"0","show_children":"0","count":"0","maxlevel":"0","layout":"_:default","item_heading":"4","moduleclass_sfx":"","owncache":"1","cache_time":"900"}', 0, '*'),
(62, 0, 'Language Switcher', '', '', 3, 'position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_languages', 1, 1, '{"header_text":"","footer_text":"","image":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(63, 0, 'Search', '', '', 1, 'position-0', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 1, '{"width":"20","text":"","button":"","button_pos":"right","imagebutton":"1","button_text":"","set_itemid":"","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(64, 0, 'Language Switcher', '', '', 1, 'languageswitcherload', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_languages', 1, 1, '{"header_text":"","footer_text":"","image":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(65, 0, 'About Fruit Shop', '', '<p>The Fruit Shop site shows a number of Joomla! features.</p><p>The template uses classes in cascading style sheets to change the layout of items, such as creating the horizontal alphabetical list in the Fruit Encyclopedia.</p><p> </p>', 1, 'position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(68, 0, 'About Parks', '', '<p>The Parks sample site is designed as a simple site that can be routinely updated from the front end of Joomla!.</p><p>As a site, it is largely focused on a blog which can be updated using the front end article submission.</p><p>New weblinks can also be added through the front end.</p><p>A simple image gallery uses com_content with thumbnails displayed in a blog layout and full size images shown in article layout.</p><p>The Parks site features the language switch module. All of the content and modules are tagged as English (en-GB). If a second language pack is added with sample data this can be filtered using the language switch.</p><p>Parks uses HTML5 which is a major web standard (along with XHTML which is used in other areas of sample data).</p>', 2, 'position-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(69, 346, 'Logo design, web design & more!', 'Learn from over 1000 videos created by our expert teachers on web design, coding, business, and much', '', 2, 'features-intro', 42, '2015-03-09 07:24:14', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":"1","show_front":"show","count":"3","category_filtering_type":"1","catid":["88"],"show_child_category_articles":"0","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","link_titles":"1","show_date":"0","show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":"0","show_hits":"0","show_author":"0","show_introtext":"1","introtext_limit":"200","show_readmore":"1","show_readmore_title":"0","readmore_limit":"15","layout":"ja_sugite:three-columns","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0","module-intro":"Feugiat accumsan Suspendisse eget Duis faucibus tempus pede pede augue pede. Dapibus mollis dignissim suscipit porta justo nisl amet Nunc quis semper."}', 0, '*'),
(70, 0, 'Search (Atomic Template)', '', '', 1, 'atomic-search', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_search', 1, 0, '{"width":"20","text":"","button":"","button_pos":"right","imagebutton":"","button_text":"","set_itemid":"","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(72, 0, 'Top Quote (Atomic Template)', '', '<hr />\r\n<h2 class="alt">Powerful Content Management and a Simple Extensible Framework.</h2>\r\n<hr />', 1, 'atomic-topquote', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(73, 0, 'Bottom Left Column (Atomic Template)', '', '<h6>This is a nested column</h6>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>', 1, 'atomic-bottomleft', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(74, 0, 'Bottom Middle Column (Atomic Template)', '', '<h6>This is another nested column</h6>\r\n<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>', 1, 'atomic-bottommiddle', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(75, 0, 'Sidebar (Atomic Template)', '', '<h3>A <span class="alt">Simple</span> Sidebar</h3>\r\n<p>Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue.</p>\r\n<p class="quiet">Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue.</p>\r\n<h5>Incremental leading</h5>\r\n<p class="incr">Vestibulum ante ipsum primis in faucibus orci luctus vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. sed aliquet vehicula, lectus tellus.</p>\r\n<p class="incr">Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae; Cras ornare mattis nunc. Mauris venenatis, pede sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue. sed aliquet vehicula, lectus tellus pulvinar neque, non cursus sem nisi vel augue.</p>', 1, 'atomic-sidebar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"1","layout":"","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(76, 0, 'Login (Atomic Template)', '', '', 2, 'atomic-sidebar', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_login', 1, 0, '{"pretext":"","posttext":"","login":"","logout":"","greeting":"1","name":"0","usesecure":"0","layout":"","moduleclass_sfx":"","cache":"0"}', 0, '*'),
(77, 0, 'Shop', '', '', 1, 'position-11', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_banners', 1, 0, '{"target":"1","count":"1","cid":"2","catid":["15"],"tag_search":"0","ordering":"0","header_text":"","footer_text":"Shop!","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, '*'),
(78, 0, 'Contribute', '', '', 1, 'position-9', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_banners', 1, 0, '{"target":"1","count":"1","cid":"1","catid":["15"],"tag_search":"0","ordering":"0","header_text":"","footer_text":"Contribute! ","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900"}', 0, '*'),
(79, 0, 'Multilanguage status', '', '', 1, 'status', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 0, 'mod_multilangstatus', 3, 1, '{"layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(86, 0, 'Joomla Version', '', '', 1, 'footer', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_version', 3, 1, '{"format":"short","product":"1","layout":"_:default","moduleclass_sfx":"","cache":"0"}', 1, '*'),
(92, 343, 'JA Slideshow', '', '', 1, 'slideshow', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jaslideshowlite', 1, 1, '{"folder":"images\\/joomlart\\/slideshow\\/","description":"[{\\"image\\":\\"sl1-bg.png\\",\\"imageSrc\\":\\"http:\\/\\/10.0.0.102\\/ja_works\\/ja_sugite_j3x\\/images\\/joomlart\\/slideshow\\/sl1-bg.png\\",\\"title\\":\\"4 Header types\\",\\"link\\":\\"#\\",\\"description\\":\\"Duis sed odio sit amet nibh vulputate cursus a sit amet mauris. Morbi accumsan ipsum velit. \\\\n<p><a href=\\\\\\"#\\\\\\" class=\\\\\\"btn btn-border btn-lg\\\\\\">View our work<\\/a><\\/p>\\",\\"class\\":\\"rightright\\",\\"show\\":true},{\\"image\\":\\"sl2-bg.jpg\\",\\"imageSrc\\":\\"http:\\/\\/10.0.0.102\\/ja_works\\/ja_sugite_j3x\\/images\\/joomlart\\/slideshow\\/sl2-bg.jpg\\",\\"title\\":\\"Off canvas Menu\\",\\"link\\":\\"#\\",\\"description\\":\\"Off-canvas are highlight features in T3 Framework. It allows you to build up a powerful menu system and you are full control.\\\\n<p><a href=\\\\\\"#\\\\\\" class=\\\\\\"btn btn-border btn-lg\\\\\\">View our work<\\/a><\\/p>\\",\\"class\\":\\"updown\\",\\"show\\":true},{\\"image\\":\\"sl3-bg.jpg\\",\\"imageSrc\\":\\"http:\\/\\/10.0.0.102\\/ja_works\\/ja_sugite_j3x\\/images\\/joomlart\\/slideshow\\/sl3-bg.jpg\\",\\"title\\":\\"We make things to help you make things.\\",\\"link\\":\\"#\\",\\"description\\":\\"We build websites & apps, write code or start a business.\\\\n<p><a href=\\\\\\"#\\\\\\" class=\\\\\\"btn btn-border btn-lg\\\\\\">View our work<\\/a><\\/p>\\",\\"class\\":\\"downdown\\",\\"show\\":true}]","type":"custom","autoplay":"0","navigation":"1","mainWidth":"1920","mainHeight":"740","thumbnail":"1","thumbWidth":"10","thumbHeight":"10","moduleclass_sfx":"","cache":"0","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(93, 0, 'Info', '', '', 1, 'footer-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"info","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(94, 0, 'Support', '', '', 1, 'footer-3', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"support","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(95, 0, 'Services', '', '', 1, 'footer-4', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"services","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(96, 0, 'Solutions', '', '', 1, 'footer-5', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"solutions","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(97, 0, 'About Us', '', 'Interaction, Web Design &amp; Digital Branding Based in Los Angeles.\r\n', 1, 'footer-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(98, 0, 'Most read', '', '', 16, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":"1","show_front":"show","count":"5","category_filtering_type":"1","catid":["78"],"show_child_category_articles":"1","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.hits","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","item_heading":"4","link_titles":"1","show_date":"1","show_date_field":"created","show_date_format":"d-M-Y","show_category":"1","show_hits":"1","show_author":"0","show_introtext":"0","introtext_limit":"100","show_readmore":"0","show_readmore_title":"0","readmore_limit":"15","layout":"ja_may:list","moduleclass_sfx":"","owncache":"1","cache_time":"900"}', 0, '*'),
(99, 0, 'Blog categories', '', '', 14, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_categories', 1, 1, '{"parent":"78","show_description":"0","show_children":"0","count":"0","maxlevel":"0","layout":"_:default","item_heading":"4","moduleclass_sfx":"","owncache":"1","cache_time":"900"}', 0, '*'),
(100, 347, 'Who are we?', '', '<div class="col-sm-12 col-md-6 about-us">\r\n<div class="ja-animate" data-animation="move-from-left">\r\n<h3>Who are we?</h3>\r\n<h4>A small, passionate, & powerful team.</h4>\r\n<p>Vitae malesuada pede quis lacinia ipsum et vestibulum in facilisi justo. Hendrerit eget id et convallis dapibus tortor elit id eu augue. Urna morbi tellus risus quis libero congue suscipit laoreet condimentum vitae. Pellentesque in ut eros nibh malesuada vel interdum et et vestibulum. Dui nibh quis pellentesque laoreet.</p>\r\n<a class="btn btn-border btn-lg" href="#">Meet the entire team </a>\r\n</div>\r\n</div>\r\n\r\n<div class="col-xs-12 col-sm-4 col-md-6 about-img" >\r\n <div class="ja-animate" data-animation="move-from-right"><img src="images/joomlart/demo/about-us.png" alt="" /></div>\r\n</div>', 3, 'features-intro', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" row-feature-secondary clearfix ","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(101, 0, 'We love our customers', '', '<h3 class="row row-feature-title" style="margin-bottom: 14px;"><span>We <i class="fa fa-heart"></i> our customers</span></h3>\r\n<p class="text-center box-center col-sm-8">"It\'s better to see something once that to hear about it a thousand times"\r\n…therefore do not torture but please the eyes of your clients. </p>\r\n<div class="ja-client-list text-center">\r\n<a href="#" class="ja-client ja-animate" data-animation="pop-up" data-delay="200"><img src="images/joomlart/clients/logo-1.png" alt="" /></a>\r\n<a href="#" class="ja-client ja-animate" data-animation="pop-up" data-delay="400"><img src="images/joomlart/clients/logo-2.png" alt="" /></a>\r\n<a href="#" class="ja-client ja-animate" data-animation="pop-up" data-delay="600"><img src="images/joomlart/clients/logo-3.png" alt="" /></a>\r\n<a href="#" class="ja-client ja-animate" data-animation="pop-up" data-delay="800"><img src="images/joomlart/clients/logo-4.png" alt="" /></a>\r\n<a href="#" class="ja-client ja-animate" data-animation="pop-up" data-delay="1000"><img src="images/joomlart/clients/logo-5.png" alt="" /></a>\r\n</div>', 4, 'features-intro', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" row-feature-border container","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(102, 338, 'Main Menu', '', '', 6, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 1, '{"menutype":"mainmenu","base":"","startLevel":"1","endLevel":"1","showAllChildren":"0","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(103, 344, 'Testimonials', '', '<div class="ja-testimonial-wrap">\r\n<ul id="ja-testimonial-list">\r\n<li class="col-xs-12 col-sm-2 col-md-1 active"><span><img src="images/joomlart/demo/testimonials/testimonials-1.jpg" alt="Donec ultrices quam at nunc molestie convallis. Donec justo tellus, euismod a ante at, dignissim feugiat nunc." title="Thornton Elias via Twitter" /></span><i class="fa fa-quote-left"></i></li>\r\n\r\n<li class="col-xs-12 col-sm-2 col-md-1"><span><img src="images/joomlart/demo/testimonials/testimonials-2.jpg" alt="Dunked is one of the simplest, easiest, and most versatile portfolio creation tools I’ve ever come across. Responsive, Retina &amp; Ready to go!" title="Stacy Sandford via Twitter" /></span><i class="fa fa-quote-left"></i></li>\r\n\r\n<li class="col-xs-12 col-sm-2 col-md-1"><span><img src="images/joomlart/demo/testimonials/testimonials-3.jpg" alt="Praesent nec lectus eu neque fringilla volutpat. Nulla tristique ullamcorper quam, ut dapibus massa hendrerit ac!" title="Delbert Barney via Twitter" /></span><i class="fa fa-quote-left"></i></li>\r\n\r\n<li class="col-xs-12 col-sm-2 col-md-1"><span><img src="images/joomlart/demo/testimonials/testimonials-4.jpg" alt="Ponec molestie nunc lacus, ut accumsan sem imperdiet eu. Maecenas semper erat vitae elit rutrum!" title="Ern Malakai via facebook" /></span><i class="fa fa-quote-left"></i></li>\r\n\r\n<li class="col-xs-12 col-sm-2 col-md-1"><span><img src="images/joomlart/demo/testimonials/testimonials-5.jpg" alt="Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas!" title="Sterling Irvine via Twitter" /></span><i class="fa fa-quote-left"></i></li>\r\n\r\n<li class="col-xs-12 col-sm-2 col-md-1"><span><img src="images/joomlart/demo/testimonials/testimonials-6.jpg" alt=" Aliquam eget ante massa. Donec eget ligula auctor, dapibus tellus et, pulvinar urna!" title="Carl Fulton via Twitter" /></span><i class="fa fa-quote-left"></i></li>\r\n\r\n<li class="col-xs-12 col-sm-2 col-md-1"><span><img src="images/joomlart/demo/testimonials/testimonials-7.jpg" alt="Donec ultrices quam at nunc molestie convallis. Donec justo tellus, euismod a ante at, dignissim feugiat nunc!" title="Lloyd Willis via facebook" /></span><i class="fa fa-quote-left"></i></li>\r\n\r\n<li class="col-xs-12 col-sm-2 col-md-1"><span><img src="images/joomlart/demo/testimonials/testimonials-8.jpg" alt="Sed nec ipsum at odio suscipit auctor. Cras quis quam dui. Vestibulum at urna condimentum, mattis dolor" /></span><i class="fa fa-quote-left"></i></li>\r\n\r\n<li class="col-xs-12 col-sm-2 col-md-1"><span><img src="images/joomlart/demo/testimonials/testimonials-9.jpg" alt="Morbi in sem quis dui placerat ornare. Pellentesque odio nisi, euismod in, pharetra a, ultricies." title="Mordikai Brenton via Twitter" /></span><i class="fa fa-quote-left"></i></li>\r\n\r\n<li class="col-xs-12 col-sm-2 col-md-1"><span><img src="images/joomlart/demo/testimonials/testimonials-10.jpg" alt="Praesent dapibus, neque id cursus faucibus, tortor neque egestas augue, eu vulputate magna eros eu erat!" title="Ashton Malcom via Twitter" /></span><i class="fa fa-quote-left"></i></li>\r\n\r\n<li class="col-xs-12 col-sm-2 col-md-1"><span><img src="images/joomlart/demo/testimonials/testimonials-11.jpg" alt="Aliquam erat volutpat. Nam dui mi, tincidunt quis, accumsan porttitor, facilisis luctus, metus" title="Avetis Garen via Twitter" /></span><i class="fa fa-quote-left"></i></li>\r\n</ul>\r\n</div>', 5, 'features-intro', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"ja_sugite:testimonials","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(104, 0, 'Recent Projects', '', '', 6, 'features-intro', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 0, '{"mode":"normal","show_on_article_page":"1","show_front":"show","count":"4","category_filtering_type":"1","catid":["94"],"show_child_category_articles":"0","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","item_heading":"5","link_titles":"1","show_date":"0","show_date_field":"created","show_date_format":"Y-m-d H:i:s","show_category":"0","show_hits":"0","show_author":"0","show_introtext":"0","introtext_limit":"100","show_readmore":"0","show_readmore_title":"1","readmore_limit":"15","layout":"ja_sugite:projects","moduleclass_sfx":" row-feature-full row-feature-secondary","owncache":"1","cache_time":"900","module-intro":""}', 0, '*'),
(106, 340, 'Video Background', '', '<div class="video-shuffle-wrap">\r\n <div class="video-shuffle" data-js-view="video-shuffle">\r\n  <div class="mask">&nbsp;</div>\r\n  <div class="content"><div class="inner">\r\n    <h3>Amazing video background</h3>\r\n    <p>Metus congue sodales vestibulum tellus eu Vivamus montes Pellentesque Cum pretium. Tellus metus nunc vel eu penatibus augue nibh id cursus consectetuer.</p> \r\n    <a id="btn-play" class="play-video" href="javascript:void(0);">Play video</a>\r\n</div></div>\r\n\r\n  <img class="poster" src="images/joomlart/videos/poster.png" alt="" />\r\n  <iframe width="560" height="315" src="//www.youtube.com/embed/qr1znPlfOxc"  allowfullscreen style="border:none"></iframe>\r\n </div>\r\n</div>', 7, 'features-intro', 42, '2016-04-19 08:51:22', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"ja_sugite:video.backgroud","moduleclass_sfx":" row-feature-full row-feature-video","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(108, 0, 'Latest blog posts', '', '', 1, 'position-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_category', 1, 1, '{"mode":"normal","show_on_article_page":"1","show_front":"show","count":"3","category_filtering_type":"1","catid":["94"],"show_child_category_articles":"0","levels":"1","author_filtering_type":"1","created_by":[""],"author_alias_filtering_type":"1","created_by_alias":[""],"excluded_articles":"","date_filtering":"off","date_field":"a.created","start_date_range":"","end_date_range":"","relative_date":"30","article_ordering":"a.title","article_ordering_direction":"ASC","article_grouping":"none","article_grouping_direction":"ksort","month_year_format":"F Y","item_heading":"4","link_titles":"1","show_date":"1","show_date_field":"created","show_date_format":"d-M-Y","show_category":"1","show_hits":"0","show_author":"0","show_introtext":"1","introtext_limit":"100","show_readmore":"0","show_readmore_title":"1","readmore_limit":"15","layout":"ja_sugite:list-has-animation","moduleclass_sfx":" featured","owncache":"1","cache_time":"900","module-intro":"Feugiat accumsan Suspendisse eget Duis faucibus tempus pede pede augue pede. Dapibus mollis dignissim suscipit porta justo"}', 0, '*'),
(111, 342, 'JA Facebook Like Box Module', '', '', 11, 'sidebar-2', 42, '2014-04-28 09:21:10', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jafacebooklikebox', 1, 0, '{"jafacebookid":"123144964369587","connections":30,"stream":"0","header":"0","width":235,"height":300,"colorscheme":"1","layout":"_:default","cache":"0","cache_time":900,"module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(112, 0, 'Want to be the first to try our new framework...', '', '<h3 style="margin-bottom: 14px;" class="row-feature-title"><span>Want to be the first to try our new framework...</span></h3>\r\n<p class="text-center box-center col-sm-8">He\'s the exact opposite of the hero. And most times they\'re friends, like you and me! I should\'ve known way back when... You know why, David? Because of the kids. They called me Mr Glass.</p>\r\n<p class="text-center box-center col-sm-8"><a class="btn btn-success btn-lg" href="#">Live Demo</a><a class="btn btn-info btn-lg" href="#">Download</a></p>', 6, 'features-intro', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 0, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":" row-feature-bg","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(113, 0, 'Footer Info', '', '<div class="row">\r\n<div class="col-sm-6 col-xs-12">\r\n<a href="index.php" alt="Welcome to JA May template" ><img src="images/joomlart/logo.png" alt="" /></a>\r\n<ul>\r\n<li><strong>Address:</strong> 123 Main st. Los Angeles,  91316, U.S.A</li>\r\n<li><strong>Phone:</strong>  1.818.555.1212</li>\r\n<li><strong>Email:</strong> info@joomsolutions.com</li>\r\n</ul>\r\n</div>\r\n<div class="col-sm-6 col-xs-12 addthis-wrap">\r\n<!-- AddThis Follow BEGIN -->\r\n<div class="addthis_toolbox addthis_32x32_style addthis_default_style">\r\n<a class="addthis_button_facebook_follow" addthis:userid="joomlart"></a>\r\n<a class="addthis_button_twitter_follow" addthis:userid="joomlart"></a>\r\n<a class="addthis_button_linkedin_follow" addthis:userid="joomlart.com" addthis:usertype="company"></a>\r\n<a class="addthis_button_google_follow" addthis:userid="+joomlart"></a>\r\n</div>\r\n<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-52c4eb2a034cad83"></script>\r\n<!-- AddThis Follow END -->\r\n\r\n</div>\r\n</div>', 1, 'footer-info', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static"}', 0, '*'),
(115, 0, 'Joomla! Categories', '', '', 1, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_categories', 1, 1, '{"parent":"87","show_description":"0","show_children":"0","count":"0","maxlevel":"0","layout":"_:default","item_heading":"4","moduleclass_sfx":"","owncache":"1","cache_time":"900"}', 0, '*'),
(117, 0, 'Smart Search Module', '', '', 1, 'head-search', 0, '0000-00-00 00:00:00', '2017-10-12 03:51:35', '0000-00-00 00:00:00', 1, 'mod_finder', 1, 0, '{"searchfilter":"","show_autosuggest":"1","show_advanced":"0","layout":"_:default","moduleclass_sfx":"","field_size":20,"alt_label":"","show_label":"0","label_pos":"top","show_button":"0","button_pos":"right","opensearch":"1","opensearch_title":""}', 0, '*'),
(118, 0, 'Services Sidebar', '', '', 1, 'sidebar-1', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_menu', 1, 0, '{"menutype":"services","startLevel":"1","endLevel":"0","showAllChildren":"1","tag_id":"","class_sfx":"","window_open":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"itemid"}', 0, '*'),
(119, 345, 'JA Masshead', '', '', 1, 'masthead', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_jamasshead', 1, 0, '{"default-title":"JA Masthead","default-description":"","config":"[Masshead Itemid=\\"549\\" title=\\"Our Services\\" background=\\"image url\\"]Yor description[\\/Masshead] \\r\\n[Masshead Itemid=\\"532\\" title=\\"Bonus Pages\\" background=\\"image url\\"]Yor description[\\/Masshead] ","layout":"_:default","moduleclass_sfx":"","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(120, 330, 'Portfolio Categories', '', '', 1, 'portfolio-menu', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_articles_categories', 1, 0, '{"parent":"94","show_description":"0","numitems":"0","show_children":"0","count":"0","maxlevel":"0","layout":"ja_sugite:portfolio","item_heading":"4","moduleclass_sfx":"","owncache":"1","cache_time":"900","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(121, 339, 'Popular Tags ', '', '', 7, 'sidebar-2', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_tags_popular', 1, 1, '{"maximum":"5","timeframe":"alltime","order_value":"count","order_direction":"1","display_count":0,"no_results_text":"0","minsize":1,"maxsize":2,"layout":"_:default","moduleclass_sfx":"","owncache":"1","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(123, 348, 'Fun facts', '', '<div class="funfacts-content col-sm-3 text-center">\r\n	<p><i class="fa fa-users"></i></p>\r\n	<div class="count-asset">\r\n		<div class="count-number" data-refresh-interval="20" data-speed="1000" data-from="0" data-to="280"></div>\r\n		<h6 class="count-subject" style="opacity: 0; bottom: 0px;">Clients worked</h6>\r\n	</div>\r\n</div>\r\n<div class="funfacts-content col-sm-3 text-center">\r\n	<p><i class="fa fa-location-arrow"></i></p>\r\n	<div class="count-asset">\r\n		<div class="count-number" data-refresh-interval="20" data-speed="1500" data-from="0" data-to="200"></div>\r\n		<h6 class="count-subject" style="opacity: 0; bottom: 0px;">Projects Complete</h6>\r\n	</div>\r\n</div>\r\n<div class="funfacts-content col-sm-3 text-center">\r\n	<p><i class="fa fa-pencil"></i></p>\r\n	<div class="count-asset">\r\n		<div class="count-number" data-refresh-interval="20" data-speed="2000" data-from="0" data-to="996688"></div>\r\n		<h6 class="count-subject" style="opacity: 0; bottom: 0px;">Lines of code written.</h6>\r\n	</div>\r\n</div>\r\n<div class="funfacts-content col-sm-3 text-center">\r\n	<p><i class="fa fa-lightbulb-o"></i></p>\r\n	<div class="count-asset">\r\n		<div class="count-number" data-refresh-interval="20" data-speed="2500" data-from="0" data-to="546"></div>\r\n		<h6 class="count-subject" style="opacity: 0; bottom: 0px;">Ideas created</h6>\r\n	</div>\r\n</div>', 8, 'features-intro', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"ja_sugite:funfacts","moduleclass_sfx":" row-feature-highlight-title","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*'),
(124, 349, 'Video Background', '', '<div class="video-shuffle-wrap">\r\n<div class="content"><div class="inner">\r\n    <h3>Amazing video background</h3>\r\n    <p>Metus congue sodales vestibulum tellus eu Vivamus montes Pellentesque Cum pretium. Tellus metus nunc vel eu penatibus augue nibh id cursus consectetuer.</p> \r\n    <a href="index.php?option=com_content&view=article&id=102&catid=88&Itemid=517" class="btn btn-border btn-lg">More Info</a>\r\n</div></div>\r\n  <div class="mask">&nbsp;</div>\r\n  <iframe src="//player.vimeo.com/video/94101559?title=0&amp;byline=0&amp;portrait=0&amp;autoplay=1&amp;loop=1" width="100%" height="100%" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>\r\n</div>', 1, 'video-background', 0, '0000-00-00 00:00:00', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 1, 'mod_custom', 1, 1, '{"prepare_content":"0","backgroundimage":"","layout":"_:default","moduleclass_sfx":"","cache":"1","cache_time":"900","cachemode":"static","module_tag":"div","bootstrap_size":"0","header_tag":"h3","header_class":"","style":"0"}', 0, '*');

DROP TABLE IF EXISTS `#__modules_menu`;
CREATE TABLE `#__modules_menu` (
  `moduleid` int(11) NOT NULL DEFAULT '0',
  `menuid` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`moduleid`,`menuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__modules_menu` (`moduleid`, `menuid`) VALUES
(1, 0),
(2, 0),
(3, 0),
(4, 0),
(6, 0),
(7, 0),
(8, 0),
(9, 0),
(10, 0),
(12, 0),
(13, 0),
(14, 0),
(15, 0),
(16, 205),
(16, 435),
(17, 0),
(18, 0),
(19, 473),
(27, 325),
(27, 499),
(27, 529),
(28, 310),
(29, 302),
(30, 410),
(31, 309),
(32, 309),
(33, 307),
(34, 326),
(35, 255),
(35, 306),
(35, 322),
(35, 466),
(35, 467),
(35, 494),
(36, 304),
(37, 311),
(38, 300),
(39, 531),
(40, 313),
(41, 0),
(44, 490),
(44, 535),
(44, 537),
(44, 538),
(44, 539),
(44, 540),
(44, 541),
(44, 542),
(47, 231),
(47, 234),
(47, 242),
(47, 243),
(47, 244),
(47, 296),
(47, 399),
(47, 400),
(52, 416),
(56, 305),
(58, 427),
(58, 429),
(58, 430),
(58, 431),
(58, 432),
(58, 433),
(58, 462),
(58, 463),
(61, 443),
(62, 231),
(62, 234),
(62, 242),
(62, 243),
(62, 244),
(62, 296),
(62, 399),
(62, 400),
(63, 0),
(64, 447),
(65, 427),
(65, 429),
(65, 430),
(65, 431),
(65, 432),
(65, 433),
(65, 462),
(65, 463),
(68, 243),
(69, 435),
(69, 552),
(69, 553),
(69, 554),
(69, 555),
(69, 558),
(70, 285),
(70, 316),
(72, 285),
(72, 316),
(73, 285),
(73, 316),
(74, 285),
(74, 316),
(75, 285),
(75, 316),
(76, 285),
(76, 316),
(77, 0),
(78, 0),
(79, 0),
(86, 0),
(87, 490),
(88, 490),
(89, 490),
(90, 490),
(91, 490),
(92, 435),
(92, 552),
(92, 553),
(92, 554),
(92, 555),
(93, 0),
(94, 0),
(95, 0),
(96, 0),
(97, 0),
(98, 499),
(98, 529),
(98, 535),
(98, 537),
(98, 538),
(98, 539),
(98, 540),
(98, 541),
(98, 542),
(99, 499),
(100, 435),
(100, 552),
(100, 553),
(100, 554),
(100, 555),
(100, 558),
(101, 435),
(101, 552),
(101, 553),
(101, 554),
(101, 555),
(102, 470),
(102, 492),
(102, 519),
(103, 435),
(103, 552),
(103, 553),
(103, 554),
(103, 555),
(104, 435),
(104, 552),
(104, 553),
(104, 554),
(104, 555),
(106, 435),
(106, 552),
(106, 553),
(106, 554),
(106, 555),
(107, 490),
(108, 435),
(108, 552),
(108, 553),
(108, 554),
(108, 555),
(111, 499),
(111, 529),
(112, 0),
(113, 0),
(115, 531),
(115, 535),
(115, 537),
(115, 538),
(115, 539),
(115, 540),
(115, 541),
(115, 542),
(116, 498),
(116, 543),
(116, 544),
(116, 545),
(116, 546),
(116, 547),
(117, 0),
(118, 511),
(118, 513),
(118, 515),
(118, 517),
(118, 550),
(118, 551),
(119, 532),
(119, 549),
(120, 0),
(121, 519),
(123, 558),
(124, 558),
(125, 0),
(126, 0),
(127, 0),
(128, 0),
(129, 0),
(130, 0),
(131, 0),
(132, 0),
(133, 0),
(134, 0),
(135, 0),
(136, 0),
(137, 0),
(138, 0),
(139, 0),
(140, 0),
(141, 0),
(142, 0),
(143, 0),
(144, 0);

DROP TABLE IF EXISTS `#__newsfeeds`;
CREATE TABLE `#__newsfeeds` (
  `catid` int(11) NOT NULL DEFAULT '0',
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL DEFAULT '',
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `link` varchar(2048) NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `numarticles` int(10) unsigned NOT NULL DEFAULT '1',
  `cache_time` int(10) unsigned NOT NULL DEFAULT '3600',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rtl` tinyint(4) NOT NULL DEFAULT '0',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL DEFAULT '',
  `params` mediumtext NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by` int(10) unsigned NOT NULL DEFAULT '0',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_by` int(10) unsigned NOT NULL DEFAULT '0',
  `metakey` mediumtext NOT NULL,
  `metadesc` mediumtext NOT NULL,
  `metadata` mediumtext NOT NULL,
  `xreference` varchar(50) NOT NULL DEFAULT '',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `description` mediumtext NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `images` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_state` (`published`),
  KEY `idx_catid` (`catid`),
  KEY `idx_createdby` (`created_by`),
  KEY `idx_language` (`language`),
  KEY `idx_xreference` (`xreference`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__newsfeeds` (`catid`, `id`, `name`, `alias`, `link`, `published`, `numarticles`, `cache_time`, `checked_out`, `checked_out_time`, `ordering`, `rtl`, `access`, `language`, `params`, `created`, `created_by`, `created_by_alias`, `modified`, `modified_by`, `metakey`, `metadesc`, `metadata`, `xreference`, `publish_up`, `publish_down`, `description`, `version`, `hits`, `images`) VALUES
(17, 1, 'Joomla! Announcements', 'joomla-announcements', 'http://www.joomla.org/announcements.feed?type=rss', 1, 5, 3600, 0, '0000-00-00 00:00:00', 1, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 0, ''),
(17, 2, 'New Joomla! Extensions', 'new-joomla-extensions', 'http://feeds.joomla.org/JoomlaExtensions', 1, 5, 3600, 0, '0000-00-00 00:00:00', 4, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 0, ''),
(17, 3, 'Joomla! Security News', 'joomla-security-news', 'http://feeds.joomla.org/JoomlaSecurityNews', 1, 5, 3600, 0, '0000-00-00 00:00:00', 2, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 0, ''),
(17, 4, 'Joomla! Connect', 'joomla-connect', 'http://feeds.joomla.org/JoomlaConnect', 1, 5, 3600, 0, '0000-00-00 00:00:00', 3, 1, 1, 'en-GB', '{"show_feed_image":"","show_feed_description":"","show_item_description":"","feed_character_count":"0","newsfeed_layout":"","feed_display_order":""}', '2017-10-12 03:51:35', 42, '', '2017-10-12 03:51:35', 42, '', '', '{"robots":"","rights":""}', '', '0000-00-00 00:00:00', '0000-00-00 00:00:00', '', 1, 0, '');

DROP TABLE IF EXISTS `#__overrider`;
CREATE TABLE `#__overrider` (
  `id` int(10) NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `constant` varchar(255) NOT NULL,
  `string` mediumtext NOT NULL,
  `file` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__postinstall_messages`;
CREATE TABLE `#__postinstall_messages` (
  `postinstall_message_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `extension_id` bigint(20) NOT NULL DEFAULT '700' COMMENT 'FK to jamay_extensions',
  `title_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for the title',
  `description_key` varchar(255) NOT NULL DEFAULT '' COMMENT 'Lang key for description',
  `action_key` varchar(255) NOT NULL DEFAULT '',
  `language_extension` varchar(255) NOT NULL DEFAULT 'com_postinstall' COMMENT 'Extension holding lang keys',
  `language_client_id` tinyint(3) NOT NULL DEFAULT '1',
  `type` varchar(10) NOT NULL DEFAULT 'link' COMMENT 'Message type - message, link, action',
  `action_file` varchar(255) DEFAULT '' COMMENT 'RAD URI to the PHP file containing action method',
  `action` varchar(255) DEFAULT '' COMMENT 'Action method name or URL',
  `condition_file` varchar(255) DEFAULT NULL COMMENT 'RAD URI to file holding display condition method',
  `condition_method` varchar(255) DEFAULT NULL COMMENT 'Display condition method, must return boolean',
  `version_introduced` varchar(50) NOT NULL DEFAULT '3.2.0' COMMENT 'Version when this message was introduced',
  `enabled` tinyint(3) NOT NULL DEFAULT '1',
  PRIMARY KEY (`postinstall_message_id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

INSERT INTO `#__postinstall_messages` (`postinstall_message_id`, `extension_id`, `title_key`, `description_key`, `action_key`, `language_extension`, `language_client_id`, `type`, `action_file`, `action`, `condition_file`, `condition_method`, `version_introduced`, `enabled`) VALUES
(1, 700, 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_TITLE', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_BODY', 'PLG_TWOFACTORAUTH_TOTP_POSTINSTALL_ACTION', 'plg_twofactorauth_totp', 1, 'action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_action', 'site://plugins/twofactorauth/totp/postinstall/actions.php', 'twofactorauth_postinstall_condition', '3.2.0', 1),
(2, 700, 'COM_CPANEL_MSG_EACCELERATOR_TITLE', 'COM_CPANEL_MSG_EACCELERATOR_BODY', 'COM_CPANEL_MSG_EACCELERATOR_BUTTON', 'com_cpanel', 1, 'action', 'admin://components/com_admin/postinstall/eaccelerator.php', 'admin_postinstall_eaccelerator_action', 'admin://components/com_admin/postinstall/eaccelerator.php', 'admin_postinstall_eaccelerator_condition', '3.2.0', 1),
(4, 700, 'COM_CPANEL_MSG_HTACCESS_TITLE', 'COM_CPANEL_MSG_HTACCESS_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/htaccess.php', 'admin_postinstall_htaccess_condition', '3.4.0', 1),
(5, 700, 'COM_CPANEL_MSG_ROBOTS_TITLE', 'COM_CPANEL_MSG_ROBOTS_BODY', '', 'com_cpanel', 1, 'message', '', '', '', '', '3.3.0', 1),
(6, 700, 'COM_CPANEL_MSG_STATS_COLLECTION_TITLE', 'COM_CPANEL_MSG_STATS_COLLECTION_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/statscollection.php', 'admin_postinstall_statscollection_condition', '3.5.0', 1),
(7, 700, 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_BODY', 'PLG_SYSTEM_UPDATENOTIFICATION_POSTINSTALL_UPDATECACHETIME_ACTION', 'plg_system_updatenotification', 1, 'action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_action', 'site://plugins/system/updatenotification/postinstall/updatecachetime.php', 'updatecachetime_postinstall_condition', '3.6.3', 1),
(8, 700, 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_TITLE', 'COM_CPANEL_MSG_JOOMLA40_PRE_CHECKS_BODY', '', 'com_cpanel', 1, 'message', '', '', 'admin://components/com_admin/postinstall/joomla40checks.php', 'admin_postinstall_joomla40checks_condition', '3.7.0', 1),
(9, 700, 'TPL_HATHOR_MESSAGE_POSTINSTALL_TITLE', 'TPL_HATHOR_MESSAGE_POSTINSTALL_BODY', 'TPL_HATHOR_MESSAGE_POSTINSTALL_ACTION', 'tpl_hathor', 1, 'action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_action', 'admin://templates/hathor/postinstall/hathormessage.php', 'hathormessage_postinstall_condition', '3.7.0', 1);

DROP TABLE IF EXISTS `#__schemas`;
CREATE TABLE `#__schemas` (
  `extension_id` int(11) NOT NULL,
  `version_id` varchar(20) NOT NULL,
  PRIMARY KEY (`extension_id`,`version_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__schemas` (`extension_id`, `version_id`) VALUES
(700, '3.8.0-2017-07-31'),
(10004, '3.9.16263');

DROP TABLE IF EXISTS `#__tags`;
CREATE TABLE `#__tags` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0',
  `lft` int(11) NOT NULL DEFAULT '0',
  `rgt` int(11) NOT NULL DEFAULT '0',
  `level` int(10) unsigned NOT NULL DEFAULT '0',
  `path` varchar(400) NOT NULL DEFAULT '',
  `title` varchar(255) NOT NULL,
  `alias` varchar(400) binary NOT NULL DEFAULT '',
  `note` varchar(255) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `published` tinyint(1) NOT NULL DEFAULT '0',
  `checked_out` int(11) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `access` int(10) unsigned NOT NULL DEFAULT '0',
  `params` mediumtext NOT NULL,
  `metadesc` varchar(1024) NOT NULL COMMENT 'The meta description for the page.',
  `metakey` varchar(1024) NOT NULL COMMENT 'The meta keywords for the page.',
  `metadata` varchar(2048) NOT NULL COMMENT 'JSON encoded metadata properties.',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `modified_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `images` mediumtext NOT NULL,
  `urls` mediumtext NOT NULL,
  `hits` int(10) unsigned NOT NULL DEFAULT '0',
  `language` char(7) NOT NULL,
  `version` int(10) unsigned NOT NULL DEFAULT '1',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `tag_idx` (`published`,`access`),
  KEY `idx_access` (`access`),
  KEY `idx_checkout` (`checked_out`),
  KEY `idx_left_right` (`lft`,`rgt`),
  KEY `idx_language` (`language`),
  KEY `idx_path` (`path`(100)),
  KEY `idx_alias` (`alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8;

INSERT INTO `#__tags` (`id`, `parent_id`, `lft`, `rgt`, `level`, `path`, `title`, `alias`, `note`, `description`, `published`, `checked_out`, `checked_out_time`, `access`, `params`, `metadesc`, `metakey`, `metadata`, `created_user_id`, `created_time`, `created_by_alias`, `modified_user_id`, `modified_time`, `images`, `urls`, `hits`, `language`, `version`, `publish_up`, `publish_down`) VALUES
(1, 0, 0, 19, 0, '', 'ROOT', 'root', '', '', 1, 0, '0000-00-00 00:00:00', 1, '{}', '', '', '', 42, '2017-10-12 03:51:35', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(2, 1, 1, 2, 1, 'category', 'category', 'category', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 42, '2017-10-12 03:51:35', '', 0, '0000-00-00 00:00:00', '', '', 16, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(3, 1, 3, 4, 1, 'studio', 'studio', 'studio', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 42, '2017-10-12 03:51:35', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(4, 1, 5, 6, 1, 'responsive', 'responsive', 'responsive', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 42, '2017-10-12 03:51:35', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(5, 1, 7, 8, 1, 'apps', 'apps', 'apps', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 42, '2017-10-12 03:51:35', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(6, 1, 9, 10, 1, 'school', 'school', 'school', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 42, '2017-10-12 03:51:35', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(7, 1, 11, 12, 1, 'study', 'study', 'study', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 42, '2017-10-12 03:51:35', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(8, 1, 13, 14, 1, 'success', 'success', 'success', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 42, '2017-10-12 03:51:35', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(9, 1, 15, 16, 1, 'iphone', 'iphone', 'iphone', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 42, '2017-10-12 03:51:35', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00'),
(10, 1, 17, 18, 1, 'small', 'small', 'small', '', '', 1, 0, '0000-00-00 00:00:00', 1, '', '', '', '', 42, '2017-10-12 03:51:35', '', 0, '0000-00-00 00:00:00', '', '', 0, '*', 1, '0000-00-00 00:00:00', '0000-00-00 00:00:00');

DROP TABLE IF EXISTS `#__template_styles`;
CREATE TABLE `#__template_styles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `template` varchar(50) NOT NULL DEFAULT '',
  `client_id` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `home` char(7) NOT NULL DEFAULT '0',
  `title` varchar(255) NOT NULL DEFAULT '',
  `params` mediumtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `idx_template` (`template`),
  KEY `idx_home` (`home`)
) ENGINE=InnoDB AUTO_INCREMENT=137 DEFAULT CHARSET=utf8;

INSERT INTO `#__template_styles` (`id`, `template`, `client_id`, `home`, `title`, `params`) VALUES
(5, 'hathor', 1, '0', 'Hathor - Default', '{"showSiteName":"0","colourChoice":"","boldText":"0"}'),
(124, 'ja_sugite', 0, '1', 'ja_sugite - Default', '{"itemlg":null,"itemmd":null,"itemsm":null,"itemsmx":null,"itemxs":null,"gutter":"40","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"1220px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":null,"theme":"","logotype":"text","sitename":"JA Sugite","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"default-content-left","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"elastic","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-532\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":498,\\"width\\":12}]]}},\\"item-469\\":{\\"sub\\":{\\"width\\":\\"660\\",\\"rows\\":[[{\\"item\\":470,\\"width\\":4},{\\"item\\":492,\\"width\\":4},{\\"item\\":521,\\"width\\":4}]]},\\"alignsub\\":\\"center\\"},\\"item-470\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":471,\\"width\\":12}]]},\\"group\\":1},\\"item-492\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":494,\\"width\\":12}]]},\\"group\\":1},\\"item-521\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":530,\\"width\\":12}]]},\\"group\\":1},\\"item-534\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":552,\\"width\\":12}]]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-2","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","mm_config_needupdate":"","link_titles":null}'),
(125, 'ja_sugite', 0, '0', 'ja_sugite - Features Intro', '{"itemlg":null,"itemmd":null,"itemsm":null,"itemsmx":null,"itemxs":null,"gutter":"40","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"1220px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":null,"theme":"","logotype":"image","sitename":"","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"features-intro","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"elastic","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-532\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":498,\\"width\\":12}]]}},\\"item-469\\":{\\"sub\\":{\\"width\\":\\"660\\",\\"rows\\":[[{\\"item\\":470,\\"width\\":4},{\\"item\\":492,\\"width\\":4},{\\"item\\":521,\\"width\\":4}]]},\\"alignsub\\":\\"center\\"},\\"item-470\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":471,\\"width\\":12}]]},\\"group\\":1},\\"item-492\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":494,\\"width\\":12}]]},\\"group\\":1},\\"item-521\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":530,\\"width\\":12}]]},\\"group\\":1},\\"item-534\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":552,\\"width\\":12}]]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-2","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","mm_config_needupdate":"","link_titles":null}'),
(126, 'ja_sugite', 0, '0', 'ja_sugite - Docs', '{"itemlg":null,"itemmd":null,"itemsm":null,"itemsmx":null,"itemxs":null,"gutter":"40","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"1220px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":null,"theme":"","logotype":"image","sitename":"","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"docs","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"elastic","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-532\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":498,\\"width\\":12}]]}},\\"item-469\\":{\\"sub\\":{\\"width\\":\\"660\\",\\"rows\\":[[{\\"item\\":470,\\"width\\":4},{\\"item\\":492,\\"width\\":4},{\\"item\\":521,\\"width\\":4}]]},\\"alignsub\\":\\"center\\"},\\"item-470\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":471,\\"width\\":12}]]},\\"group\\":1},\\"item-492\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":494,\\"width\\":12}]]},\\"group\\":1},\\"item-521\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":530,\\"width\\":12}]]},\\"group\\":1},\\"item-534\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":552,\\"width\\":12}]]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-2","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","mm_config_needupdate":"","link_titles":null}'),
(127, 'ja_sugite', 0, '0', 'ja_sugite - Blog', '{"itemlg":null,"itemmd":null,"itemsm":null,"itemsmx":null,"itemxs":null,"gutter":"40","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"1220px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":null,"theme":"","logotype":"image","sitename":"","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"blog","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"elastic","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-532\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":498,\\"width\\":12}]]}},\\"item-469\\":{\\"sub\\":{\\"width\\":\\"660\\",\\"rows\\":[[{\\"item\\":470,\\"width\\":4},{\\"item\\":492,\\"width\\":4},{\\"item\\":521,\\"width\\":4}]]},\\"alignsub\\":\\"center\\"},\\"item-470\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":471,\\"width\\":12}]]},\\"group\\":1},\\"item-492\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":494,\\"width\\":12}]]},\\"group\\":1},\\"item-521\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":530,\\"width\\":12}]]},\\"group\\":1},\\"item-534\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":552,\\"width\\":12}]]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-2","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","mm_config_needupdate":"","link_titles":null}'),
(128, 'ja_sugite', 0, '0', 'ja_sugite - Blog Style 2', '{"itemlg":null,"itemmd":null,"itemsm":null,"itemsmx":null,"itemxs":null,"gutter":"40","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"1220px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":null,"theme":"","logotype":"image","sitename":"","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"blog-2","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"elastic","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-532\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":498,\\"width\\":12}]]}},\\"item-469\\":{\\"sub\\":{\\"width\\":\\"660\\",\\"rows\\":[[{\\"item\\":470,\\"width\\":4},{\\"item\\":492,\\"width\\":4},{\\"item\\":521,\\"width\\":4}]]},\\"alignsub\\":\\"center\\"},\\"item-470\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":471,\\"width\\":12}]]},\\"group\\":1},\\"item-492\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":494,\\"width\\":12}]]},\\"group\\":1},\\"item-521\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":530,\\"width\\":12}]]},\\"group\\":1},\\"item-534\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":552,\\"width\\":12}]]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-2","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","mm_config_needupdate":"","link_titles":null}'),
(129, 'ja_sugite', 0, '0', 'ja_sugite - Red', '{"itemlg":null,"itemmd":null,"itemsm":null,"itemsmx":null,"itemxs":null,"gutter":"40","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"1220px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":null,"theme":"red","logotype":"image","sitename":"","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"features-intro","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"elastic","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-532\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":498,\\"width\\":12}]]}},\\"item-469\\":{\\"sub\\":{\\"width\\":\\"660\\",\\"rows\\":[[{\\"item\\":470,\\"width\\":4},{\\"item\\":492,\\"width\\":4},{\\"item\\":521,\\"width\\":4}]]},\\"alignsub\\":\\"center\\"},\\"item-470\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":471,\\"width\\":12}]]},\\"group\\":1},\\"item-492\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":494,\\"width\\":12}]]},\\"group\\":1},\\"item-521\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":530,\\"width\\":12}]]},\\"group\\":1},\\"item-534\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":552,\\"width\\":12}]]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-2","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","mm_config_needupdate":"","link_titles":null}'),
(130, 'ja_sugite', 0, '0', 'ja_sugite - Blue', '{"itemlg":null,"itemmd":null,"itemsm":null,"itemsmx":null,"itemxs":null,"gutter":"40","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"1220px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":null,"theme":"blue","logotype":"image","sitename":"","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"features-intro","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"elastic","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-532\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":498,\\"width\\":12}]]}},\\"item-469\\":{\\"sub\\":{\\"width\\":\\"660\\",\\"rows\\":[[{\\"item\\":470,\\"width\\":4},{\\"item\\":492,\\"width\\":4},{\\"item\\":521,\\"width\\":4}]]},\\"alignsub\\":\\"center\\"},\\"item-470\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":471,\\"width\\":12}]]},\\"group\\":1},\\"item-492\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":494,\\"width\\":12}]]},\\"group\\":1},\\"item-521\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":530,\\"width\\":12}]]},\\"group\\":1},\\"item-534\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":552,\\"width\\":12}]]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-2","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","mm_config_needupdate":"","link_titles":null}'),
(131, 'ja_sugite', 0, '0', 'ja_sugite - Purple', '{"itemlg":null,"itemmd":null,"itemsm":null,"itemsmx":null,"itemxs":null,"gutter":"40","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"1220px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":null,"theme":"purple","logotype":"image","sitename":"","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"features-intro","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"elastic","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-532\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":498,\\"width\\":12}]]}},\\"item-469\\":{\\"sub\\":{\\"width\\":\\"660\\",\\"rows\\":[[{\\"item\\":470,\\"width\\":4},{\\"item\\":492,\\"width\\":4},{\\"item\\":521,\\"width\\":4}]]},\\"alignsub\\":\\"center\\"},\\"item-470\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":471,\\"width\\":12}]]},\\"group\\":1},\\"item-492\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":494,\\"width\\":12}]]},\\"group\\":1},\\"item-521\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":530,\\"width\\":12}]]},\\"group\\":1},\\"item-534\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":552,\\"width\\":12}]]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-2","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","mm_config_needupdate":"","link_titles":null}'),
(132, 'ja_sugite', 0, '0', 'ja_sugite - Orange', '{"itemlg":"","itemmd":"","itemsm":"","itemsmx":"","itemxs":"","gutter":"40","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"1220px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":"","link_titles":"","theme":"orange","logotype":"image","sitename":"","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"features-intro","sublayout":"","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"elastic","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-532\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":498,\\"width\\":12}]]}},\\"item-469\\":{\\"sub\\":{\\"width\\":\\"660\\",\\"rows\\":[[{\\"item\\":470,\\"width\\":4},{\\"item\\":492,\\"width\\":4},{\\"item\\":521,\\"width\\":4}]]},\\"alignsub\\":\\"center\\"},\\"item-470\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":471,\\"width\\":12}]]},\\"group\\":1},\\"item-492\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":494,\\"width\\":12}]]},\\"group\\":1},\\"item-521\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":530,\\"width\\":12}]]},\\"group\\":1},\\"item-534\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":552,\\"width\\":12}]]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-2","snippet_open_head":"","snippet_close_head":"","snippet_open_body":"","snippet_close_body":"","snippet_debug":"0","mm_config_needupdate":""}'),
(133, 'protostar', 0, '0', 'protostar - Default', '{"templateColor":"","logoFile":"","googleFont":"1","googleFontName":"Open+Sans","fluidContainer":"0"}'),
(134, 'isis', 1, '1', 'isis - Default', '{"templateColor":"","logoFile":""}'),
(135, 'beez3', 0, '0', 'beez3 - Default', '{"wrapperSmall":53,"wrapperLarge":72,"logo":"","sitetitle":"","sitedescription":"","navposition":"center","bootstrap":"","templatecolor":"nature","headerImage":"","backgroundcolor":"#eee"}'),
(136, 'ja_sugite', 0, '0', 'ja_sugite - Features Intro 2', '{"itemlg":null,"itemmd":null,"itemsm":null,"itemsmx":null,"itemxs":null,"gutter":"40","t3_template":"1","devmode":"0","themermode":"1","legacy_css":"1","responsive":"1","non_responsive_width":"1220px","build_rtl":"0","t3-assets":"t3-assets","t3-rmvlogo":"1","minify":"1","minify_js":"1","minify_js_tool":"jsmin","minify_exclude":null,"theme":"","logotype":"text","sitename":"JA Sugite","slogan":"","logoimage":"","enable_logoimage_sm":"0","logoimage_sm":"","mainlayout":"features-intro-2","mm_type":"mainmenu","navigation_trigger":"hover","navigation_type":"megamenu","navigation_animation":"elastic","navigation_animation_duration":"400","mm_config":"{\\"mainmenu\\":{\\"item-532\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":498,\\"width\\":12}]]}},\\"item-469\\":{\\"sub\\":{\\"width\\":\\"660\\",\\"rows\\":[[{\\"item\\":470,\\"width\\":4},{\\"item\\":492,\\"width\\":4},{\\"item\\":521,\\"width\\":4}]]},\\"alignsub\\":\\"center\\"},\\"item-470\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":471,\\"width\\":12}]]},\\"group\\":1},\\"item-492\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":494,\\"width\\":12}]]},\\"group\\":1},\\"item-521\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":530,\\"width\\":12}]]},\\"group\\":1},\\"item-534\\":{\\"sub\\":{\\"rows\\":[[{\\"item\\":552,\\"width\\":12}]]}}}}","navigation_collapse_enable":"0","addon_offcanvas_enable":"1","addon_offcanvas_effect":"off-canvas-effect-2","snippet_open_head":null,"snippet_close_head":null,"snippet_open_body":null,"snippet_close_body":null,"snippet_debug":"0","mm_config_needupdate":"","link_titles":null}');

DROP TABLE IF EXISTS `#__ucm_base`;
CREATE TABLE `#__ucm_base` (
  `ucm_id` int(10) unsigned NOT NULL,
  `ucm_item_id` int(10) NOT NULL,
  `ucm_type_id` int(11) NOT NULL,
  `ucm_language_id` int(11) NOT NULL,
  PRIMARY KEY (`ucm_id`),
  KEY `idx_ucm_item_id` (`ucm_item_id`),
  KEY `idx_ucm_type_id` (`ucm_type_id`),
  KEY `idx_ucm_language_id` (`ucm_language_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_base` (`ucm_id`, `ucm_item_id`, `ucm_type_id`, `ucm_language_id`) VALUES
(1, 81, 1, 0),
(2, 83, 1, 0),
(3, 84, 1, 0),
(4, 85, 1, 0),
(5, 82, 1, 0),
(6, 86, 1, 0),
(7, 81, 6, 0);

DROP TABLE IF EXISTS `#__ucm_content`;
CREATE TABLE `#__ucm_content` (
  `core_content_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `core_type_alias` varchar(400) NOT NULL DEFAULT '' COMMENT 'FK to the content types table',
  `core_title` varchar(400) NOT NULL DEFAULT '',
  `core_alias` varchar(400) binary NOT NULL DEFAULT '',
  `core_body` mediumtext NOT NULL,
  `core_state` tinyint(1) NOT NULL DEFAULT '0',
  `core_checked_out_time` varchar(255) NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_checked_out_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_access` int(10) unsigned NOT NULL DEFAULT '0',
  `core_params` text NOT NULL,
  `core_featured` tinyint(4) unsigned NOT NULL DEFAULT '0',
  `core_metadata` varchar(2048) NOT NULL DEFAULT '' COMMENT 'JSON encoded metadata properties.',
  `core_created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `core_created_by_alias` varchar(255) NOT NULL DEFAULT '',
  `core_created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_modified_user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Most recent user that modified',
  `core_modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_language` char(7) NOT NULL DEFAULT '',
  `core_publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `core_content_item_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'ID from the individual type table',
  `asset_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'FK to the #__assets table.',
  `core_images` text NOT NULL,
  `core_urls` text NOT NULL,
  `core_hits` int(10) unsigned NOT NULL DEFAULT '0',
  `core_version` int(10) unsigned NOT NULL DEFAULT '1',
  `core_ordering` int(11) NOT NULL DEFAULT '0',
  `core_metakey` text NOT NULL,
  `core_metadesc` text NOT NULL,
  `core_catid` int(10) unsigned NOT NULL DEFAULT '0',
  `core_xreference` varchar(50) NOT NULL DEFAULT '' COMMENT 'A reference to enable linkages to external data sets.',
  `core_type_id` int(10) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`core_content_id`),
  KEY `tag_idx` (`core_state`,`core_access`),
  KEY `idx_access` (`core_access`),
  KEY `idx_language` (`core_language`),
  KEY `idx_modified_time` (`core_modified_time`),
  KEY `idx_created_time` (`core_created_time`),
  KEY `idx_core_modified_user_id` (`core_modified_user_id`),
  KEY `idx_core_checked_out_user_id` (`core_checked_out_user_id`),
  KEY `idx_core_created_user_id` (`core_created_user_id`),
  KEY `idx_core_type_id` (`core_type_id`),
  KEY `idx_alias` (`core_alias`(100)),
  KEY `idx_title` (`core_title`(100)),
  KEY `idx_content_type` (`core_type_alias`(100))
) ENGINE=InnoDB AUTO_INCREMENT=8 COMMENT='Contains core content data in name spaced fields' DEFAULT CHARSET=utf8;

INSERT INTO `#__ucm_content` (`core_content_id`, `core_type_alias`, `core_title`, `core_alias`, `core_body`, `core_state`, `core_checked_out_time`, `core_checked_out_user_id`, `core_access`, `core_params`, `core_featured`, `core_metadata`, `core_created_user_id`, `core_created_by_alias`, `core_created_time`, `core_modified_user_id`, `core_modified_time`, `core_language`, `core_publish_up`, `core_publish_down`, `core_content_item_id`, `asset_id`, `core_images`, `core_urls`, `core_hits`, `core_version`, `core_ordering`, `core_metakey`, `core_metadesc`, `core_catid`, `core_xreference`, `core_type_id`) VALUES
(1, 'com_content.article', 'Congress Might Re-Legalize Cellphone Unlocking', 'congress-might-re-legalize-cellphone-unlocking', '<img class="img-responsive" src="images/joomlart/demo/sam-6.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Praesent eget dui quam. Fusce id dolor a est venenatis fringilla id in erat. Sed eleifend lorem sit amet diam lacinia auctor. Aliquam sollicitudin nunc vel odio blandit commodo! Curabitur elementum ipsum eros, non semper nisl ultricies vehicula. <a href="#" title="Sample link">Vivamus pretium ornare est.</a></p>\r\n\r\n<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Vivamus magna. Cras in mi at felis aliquet congue. Ut a est eget ligula molestie gravida. Curabitur massa.</p>\r\n\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', '*', '2017-10-12 03:51:35', '0000-00-00 00:00:00', 81, 331, '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 4, 8, 5, '', '', 81, '', 1),
(2, 'com_content.article', 'Report: Facebook bought 750 patents from IBM', 'report-facebook-bought-750-patents-from-ibm', '<img class="img-responsive" src="images/joomlart/demo/sam-5.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Sed vitae ligula consectetur, molestie enim nec, molestie nisi. Sed faucibus purus sed mauris rhoncus, non blandit mauris lobortis. Nunc fringilla hendrerit ligula vestibulum.</p>\r\n\r\n<p>Donec malesuada convallis nisl, vitae tempor leo hendrerit sed. Sed vestibulum in nisl sit amet consequat. Nam et venenatis enim, vel varius nibh. Nulla a dui quis ipsum commodo lacinia? <strong>Duis mi tellus,</strong> tristique ac gravida ac; sodales non ante.</p>\r\n\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', '*', '2017-10-12 03:51:35', '0000-00-00 00:00:00', 83, 332, '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 8, 3, '', '', 81, '', 1),
(3, 'com_content.article', 'Ringya App Transforms Paper Lists Into', 'ringya-app-transforms-paper-lists-into', '<img class="img-responsive" src="images/joomlart/demo/sam-3.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra, Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. Quisque sit amet est et sapien</p>\r\n\r\n<p>Donec eu libero sit amet quam egestas semper. Aenean ultricies mi vitae est. <a href="#" title="Sample link">Mauris placerat eleifend leo.</a></p>\r\n\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', '*', '2017-10-12 03:51:35', '0000-00-00 00:00:00', 84, 333, '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 3, 7, 2, '', '', 81, '', 1),
(4, 'com_content.article', 'SXSW 2013: What Do You Want to See?', 'sxsw-2013-what-do-you-want-to-see', '<img class="img-responsive" src="images/joomlart/demo/sam-2.jpg" alt="Sample image" align="right" />\r\n\r\n<p>In ultricies adipiscing felis. Integer eu mauris arcu. Phasellus dapibus lorem leo, nec facilisis diam varius at. Quisque convallis lectus sit amet felis venenatis malesuada ac quis magna. Donec rhoncus neque felis, sed auctor tellus dignissim suscipit.</p>\r\n\r\n<p>Donec non enim in turpis pulvinar facilisis. Ut felis. Praesent dapibus, neque id cursus faucibus.</p>\r\n\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', '*', '2017-10-12 03:51:35', '0000-00-00 00:00:00', 85, 334, '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 10, 1, '', '', 81, '', 1),
(5, 'com_content.article', 'Use These 10 Apps During Downtime', 'use-these-10-apps-during-downtime', '<img class="img-responsive" src="images/joomlart/demo/sam-4.jpg" alt="Sample image" align="right" />\r\n\r\n<p>Praesent a nunc et ligula sodales tempor. Sed lobortis lorem arcu, at cursus massa dignissim et? Vivamus sapien mauris, mattis ut rhoncus vehicula, pharetra ac lectus. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas. Aliquam elementum porta erat, nec mattis justo eleifend nec!</p>\r\n\r\n<p><a href="#" title="Sample link">Quisque sit amet est et sapien.</a> Pellentesque habitant morbi tristique senectus et netus et malesuada fames.</p>\r\n\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', '*', '2017-10-12 03:51:35', '0000-00-00 00:00:00', 82, 335, '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 0, 6, 4, '', '', 81, '', 1),
(6, 'com_content.article', 'Windows Mobile 7 Theme SmartPhone ', 'windows-mobile-7-theme-smartphone', '<img class="img-responsive" src="images/joomlart/demo/sam-1.jpg" alt="Sample image" align="right" />\r\n\r\n<p><strong>Pellentesque habitant morbi tristique</strong> estibulum tortor quam, feugiat vitae, ultricies eget, tempor sit amet, ante. Donec eu libero sit amet quam egestas semper. <em>Aenean ultricies mi vitae est.</em> Mauris placerat eleifend leo. Quisque sit amet est et sapien ullamcorper pharetra.</p>\r\n\r\n<p>Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas, auris placerat eleifend leo. <a href="#" title="Sample link">Quisque sit amet est et sapien.</a></p>\r\n\r\n', 1, '', 0, 1, '{"show_title":"","link_titles":"","show_tags":"","show_intro":"","info_block_position":"","show_category":"","link_category":"","show_parent_category":"","link_parent_category":"","show_author":"","link_author":"","show_create_date":"","show_modify_date":"","show_publish_date":"","show_item_navigation":"","show_icons":"","show_print_icon":"","show_email_icon":"","show_vote":"","show_hits":"","show_noauth":"","urls_position":"","alternative_readmore":"","article_layout":"","show_publishing_options":"","show_article_options":"","show_urls_images_backend":"","show_urls_images_frontend":""}', 0, '{"robots":"","author":"","rights":"","xreference":""}', 42, '', '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', '*', '2017-10-12 03:51:35', '0000-00-00 00:00:00', 86, 336, '{"image_intro":"","float_intro":"","image_intro_alt":"","image_intro_caption":"","image_fulltext":"","float_fulltext":"","image_fulltext_alt":"","image_fulltext_caption":""}', '{"urla":false,"urlatext":"","targeta":"","urlb":false,"urlbtext":"","targetb":"","urlc":false,"urlctext":"","targetc":""}', 21, 11, 0, '', '', 81, '', 1),
(7, 'com_content.category', 'Sample Category 1', 'sample-category-1', '<p>Aliquet enim consectetuer leo at at venenatis nunc eget nascetur libero. Ligula cursus aenean amet sodales pulvinar morbi</p>', 1, '', 0, 1, '{"category_layout":"","image":"images\\/joomlart\\/demo\\/cat-1.jpg","t3_extrafields":""}', 0, '{"author":"","robots":""}', 42, '', '2017-10-12 03:51:35', 0, '2017-10-12 03:51:35', '*', '0000-00-00 00:00:00', '0000-00-00 00:00:00', 81, 337, '', '', 0, 1, 0, '', '', 87, '', 6);

DROP TABLE IF EXISTS `#__ucm_history`;
CREATE TABLE `#__ucm_history` (
  `version_id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ucm_item_id` int(10) unsigned NOT NULL,
  `ucm_type_id` int(10) unsigned NOT NULL,
  `version_note` varchar(255) NOT NULL DEFAULT '' COMMENT 'Optional version name',
  `save_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `editor_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `character_count` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Number of characters in this version.',
  `sha1_hash` varchar(50) NOT NULL DEFAULT '' COMMENT 'SHA1 hash of the version_data column.',
  `version_data` longtext NOT NULL COMMENT 'json-encoded string of version data',
  `keep_forever` tinyint(4) NOT NULL DEFAULT '0' COMMENT '0=auto delete; 1=keep',
  PRIMARY KEY (`version_id`),
  KEY `idx_ucm_item_id` (`ucm_type_id`,`ucm_item_id`),
  KEY `idx_save_date` (`save_date`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__update_sites`;
CREATE TABLE `#__update_sites` (
  `update_site_id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `location` mediumtext NOT NULL,
  `enabled` int(11) DEFAULT '0',
  `last_check_timestamp` bigint(20) DEFAULT '0',
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_site_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 COMMENT='Update Sites' DEFAULT CHARSET=utf8;

INSERT INTO `#__update_sites` (`update_site_id`, `name`, `type`, `location`, `enabled`, `last_check_timestamp`, `extra_query`) VALUES
(1, 'Joomla! Core', 'collection', 'https://update.joomla.org/core/list.xml', 1, 1507780745, ''),
(3, 'Accredited Joomla! Translations', 'collection', 'https://update.joomla.org/language/translationlist_3.xml', 1, 1507780758, ''),
(4, 'EasyBlog Update Site', 'extension', 'https://stackideas.com/jupdates/manifest/easyblog?apikey=95ba0fc9097498c7a5e847eec948d646', 1, 1507780760, '');

DROP TABLE IF EXISTS `#__update_sites_extensions`;
CREATE TABLE `#__update_sites_extensions` (
  `update_site_id` int(11) NOT NULL DEFAULT '0',
  `extension_id` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`update_site_id`,`extension_id`)
) ENGINE=InnoDB COMMENT='Links extensions to update sites' DEFAULT CHARSET=utf8;

INSERT INTO `#__update_sites_extensions` (`update_site_id`, `extension_id`) VALUES
(1, 700),
(2, 700),
(3, 600),
(3, 802),
(4, 10004);
INSERT IGNORE INTO `#__update_sites_extensions` VALUES
(1, 700),
(2, 700),
(3, 600);

DROP TABLE IF EXISTS `#__updates`;
CREATE TABLE `#__updates` (
  `update_id` int(11) NOT NULL AUTO_INCREMENT,
  `update_site_id` int(11) DEFAULT '0',
  `extension_id` int(11) DEFAULT '0',
  `name` varchar(100) DEFAULT '',
  `description` mediumtext NOT NULL,
  `element` varchar(100) DEFAULT '',
  `type` varchar(20) DEFAULT '',
  `folder` varchar(20) DEFAULT '',
  `client_id` tinyint(3) DEFAULT '0',
  `version` varchar(32) DEFAULT '',
  `data` mediumtext NOT NULL,
  `detailsurl` mediumtext NOT NULL,
  `infourl` mediumtext NOT NULL,
  `extra_query` varchar(1000) DEFAULT '',
  PRIMARY KEY (`update_id`)
) ENGINE=InnoDB AUTO_INCREMENT=76 COMMENT='Available Updates' DEFAULT CHARSET=utf8;

INSERT INTO `#__updates` (`update_id`, `update_site_id`, `extension_id`, `name`, `description`, `element`, `type`, `folder`, `client_id`, `version`, `data`, `detailsurl`, `infourl`, `extra_query`) VALUES
(2, 3, 0, 'Armenian', '', 'pkg_hy-AM', 'package', '', 0, '3.4.4.1', '', 'https://update.joomla.org/language/details3/hy-AM_details.xml', '', ''),
(3, 3, 0, 'Malay', '', 'pkg_ms-MY', 'package', '', 0, '3.4.1.2', '', 'https://update.joomla.org/language/details3/ms-MY_details.xml', '', ''),
(4, 3, 0, 'Romanian', '', 'pkg_ro-RO', 'package', '', 0, '3.7.3.1', '', 'https://update.joomla.org/language/details3/ro-RO_details.xml', '', ''),
(5, 3, 0, 'Flemish', '', 'pkg_nl-BE', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/nl-BE_details.xml', '', ''),
(6, 3, 0, 'Chinese Traditional', '', 'pkg_zh-TW', 'package', '', 0, '3.8.0.1', '', 'https://update.joomla.org/language/details3/zh-TW_details.xml', '', ''),
(7, 3, 0, 'French', '', 'pkg_fr-FR', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/fr-FR_details.xml', '', ''),
(8, 3, 0, 'Galician', '', 'pkg_gl-ES', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/gl-ES_details.xml', '', ''),
(9, 3, 0, 'Georgian', '', 'pkg_ka-GE', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/ka-GE_details.xml', '', ''),
(10, 3, 0, 'Greek', '', 'pkg_el-GR', 'package', '', 0, '3.6.3.2', '', 'https://update.joomla.org/language/details3/el-GR_details.xml', '', ''),
(11, 3, 0, 'Japanese', '', 'pkg_ja-JP', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/ja-JP_details.xml', '', ''),
(12, 3, 0, 'Hebrew', '', 'pkg_he-IL', 'package', '', 0, '3.1.1.1', '', 'https://update.joomla.org/language/details3/he-IL_details.xml', '', ''),
(13, 3, 0, 'Bengali', '', 'pkg_bn-BD', 'package', '', 0, '3.8.0.2', '', 'https://update.joomla.org/language/details3/bn-BD_details.xml', '', ''),
(14, 3, 0, 'Hungarian', '', 'pkg_hu-HU', 'package', '', 0, '3.7.5.2', '', 'https://update.joomla.org/language/details3/hu-HU_details.xml', '', ''),
(15, 3, 0, 'Afrikaans', '', 'pkg_af-ZA', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/af-ZA_details.xml', '', ''),
(16, 3, 0, 'Arabic Unitag', '', 'pkg_ar-AA', 'package', '', 0, '3.7.5.1', '', 'https://update.joomla.org/language/details3/ar-AA_details.xml', '', ''),
(17, 3, 0, 'Belarusian', '', 'pkg_be-BY', 'package', '', 0, '3.2.1.2', '', 'https://update.joomla.org/language/details3/be-BY_details.xml', '', ''),
(18, 3, 0, 'Bulgarian', '', 'pkg_bg-BG', 'package', '', 0, '3.6.5.2', '', 'https://update.joomla.org/language/details3/bg-BG_details.xml', '', ''),
(19, 3, 0, 'Catalan', '', 'pkg_ca-ES', 'package', '', 0, '3.7.3.3', '', 'https://update.joomla.org/language/details3/ca-ES_details.xml', '', ''),
(20, 3, 0, 'Chinese Simplified', '', 'pkg_zh-CN', 'package', '', 0, '3.8.0.1', '', 'https://update.joomla.org/language/details3/zh-CN_details.xml', '', ''),
(21, 3, 0, 'Croatian', '', 'pkg_hr-HR', 'package', '', 0, '3.7.5.1', '', 'https://update.joomla.org/language/details3/hr-HR_details.xml', '', ''),
(22, 3, 0, 'Czech', '', 'pkg_cs-CZ', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/cs-CZ_details.xml', '', ''),
(23, 3, 0, 'Danish', '', 'pkg_da-DK', 'package', '', 0, '3.8.1.2', '', 'https://update.joomla.org/language/details3/da-DK_details.xml', '', ''),
(24, 3, 0, 'Dutch', '', 'pkg_nl-NL', 'package', '', 0, '3.8.0.1', '', 'https://update.joomla.org/language/details3/nl-NL_details.xml', '', ''),
(25, 3, 0, 'Estonian', '', 'pkg_et-EE', 'package', '', 0, '3.7.0.1', '', 'https://update.joomla.org/language/details3/et-EE_details.xml', '', ''),
(26, 3, 0, 'Italian', '', 'pkg_it-IT', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/it-IT_details.xml', '', ''),
(27, 3, 0, 'Khmer', '', 'pkg_km-KH', 'package', '', 0, '3.4.5.1', '', 'https://update.joomla.org/language/details3/km-KH_details.xml', '', ''),
(28, 3, 0, 'Korean', '', 'pkg_ko-KR', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/ko-KR_details.xml', '', ''),
(29, 3, 0, 'Latvian', '', 'pkg_lv-LV', 'package', '', 0, '3.7.3.1', '', 'https://update.joomla.org/language/details3/lv-LV_details.xml', '', ''),
(30, 3, 0, 'Macedonian', '', 'pkg_mk-MK', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/mk-MK_details.xml', '', ''),
(31, 3, 0, 'Norwegian Bokmal', '', 'pkg_nb-NO', 'package', '', 0, '3.7.4.1', '', 'https://update.joomla.org/language/details3/nb-NO_details.xml', '', ''),
(32, 3, 0, 'Norwegian Nynorsk', '', 'pkg_nn-NO', 'package', '', 0, '3.4.2.1', '', 'https://update.joomla.org/language/details3/nn-NO_details.xml', '', ''),
(33, 3, 0, 'Persian', '', 'pkg_fa-IR', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/fa-IR_details.xml', '', ''),
(34, 3, 0, 'Polish', '', 'pkg_pl-PL', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/pl-PL_details.xml', '', ''),
(35, 3, 0, 'Portuguese', '', 'pkg_pt-PT', 'package', '', 0, '3.7.0.1', '', 'https://update.joomla.org/language/details3/pt-PT_details.xml', '', ''),
(36, 3, 0, 'Russian', '', 'pkg_ru-RU', 'package', '', 0, '3.7.0.1', '', 'https://update.joomla.org/language/details3/ru-RU_details.xml', '', ''),
(37, 3, 0, 'English AU', '', 'pkg_en-AU', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/en-AU_details.xml', '', ''),
(38, 3, 0, 'Slovak', '', 'pkg_sk-SK', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/sk-SK_details.xml', '', ''),
(39, 3, 0, 'English US', '', 'pkg_en-US', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/en-US_details.xml', '', ''),
(40, 3, 0, 'Swedish', '', 'pkg_sv-SE', 'package', '', 0, '3.8.0.1', '', 'https://update.joomla.org/language/details3/sv-SE_details.xml', '', ''),
(41, 3, 0, 'Syriac', '', 'pkg_sy-IQ', 'package', '', 0, '3.4.5.1', '', 'https://update.joomla.org/language/details3/sy-IQ_details.xml', '', ''),
(42, 3, 0, 'Tamil', '', 'pkg_ta-IN', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/ta-IN_details.xml', '', ''),
(43, 3, 0, 'Thai', '', 'pkg_th-TH', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/th-TH_details.xml', '', ''),
(44, 3, 0, 'Turkish', '', 'pkg_tr-TR', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/tr-TR_details.xml', '', ''),
(45, 3, 0, 'Ukrainian', '', 'pkg_uk-UA', 'package', '', 0, '3.7.1.1', '', 'https://update.joomla.org/language/details3/uk-UA_details.xml', '', ''),
(46, 3, 0, 'Uyghur', '', 'pkg_ug-CN', 'package', '', 0, '3.7.5.1', '', 'https://update.joomla.org/language/details3/ug-CN_details.xml', '', ''),
(47, 3, 0, 'Albanian', '', 'pkg_sq-AL', 'package', '', 0, '3.1.1.2', '', 'https://update.joomla.org/language/details3/sq-AL_details.xml', '', ''),
(48, 3, 0, 'Basque', '', 'pkg_eu-ES', 'package', '', 0, '3.7.5.1', '', 'https://update.joomla.org/language/details3/eu-ES_details.xml', '', ''),
(49, 3, 0, 'Hindi', '', 'pkg_hi-IN', 'package', '', 0, '3.3.6.2', '', 'https://update.joomla.org/language/details3/hi-IN_details.xml', '', ''),
(50, 3, 0, 'German DE', '', 'pkg_de-DE', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/de-DE_details.xml', '', ''),
(51, 3, 0, 'Portuguese Brazil', '', 'pkg_pt-BR', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/pt-BR_details.xml', '', ''),
(52, 3, 0, 'Serbian Latin', '', 'pkg_sr-YU', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/sr-YU_details.xml', '', ''),
(53, 3, 0, 'Spanish', '', 'pkg_es-ES', 'package', '', 0, '3.7.2.1', '', 'https://update.joomla.org/language/details3/es-ES_details.xml', '', ''),
(54, 3, 0, 'Bosnian', '', 'pkg_bs-BA', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/bs-BA_details.xml', '', ''),
(55, 3, 0, 'Serbian Cyrillic', '', 'pkg_sr-RS', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/sr-RS_details.xml', '', ''),
(56, 3, 0, 'Vietnamese', '', 'pkg_vi-VN', 'package', '', 0, '3.2.1.2', '', 'https://update.joomla.org/language/details3/vi-VN_details.xml', '', ''),
(57, 3, 0, 'Bahasa Indonesia', '', 'pkg_id-ID', 'package', '', 0, '3.6.2.1', '', 'https://update.joomla.org/language/details3/id-ID_details.xml', '', ''),
(58, 3, 0, 'Finnish', '', 'pkg_fi-FI', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/fi-FI_details.xml', '', ''),
(59, 3, 0, 'Swahili', '', 'pkg_sw-KE', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/sw-KE_details.xml', '', ''),
(60, 3, 0, 'Montenegrin', '', 'pkg_srp-ME', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/srp-ME_details.xml', '', ''),
(61, 3, 0, 'English CA', '', 'pkg_en-CA', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/en-CA_details.xml', '', ''),
(62, 3, 0, 'French CA', '', 'pkg_fr-CA', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/fr-CA_details.xml', '', ''),
(63, 3, 0, 'Welsh', '', 'pkg_cy-GB', 'package', '', 0, '3.7.0.1', '', 'https://update.joomla.org/language/details3/cy-GB_details.xml', '', ''),
(64, 3, 0, 'Sinhala', '', 'pkg_si-LK', 'package', '', 0, '3.3.1.2', '', 'https://update.joomla.org/language/details3/si-LK_details.xml', '', ''),
(65, 3, 0, 'Dari Persian', '', 'pkg_prs-AF', 'package', '', 0, '3.4.4.2', '', 'https://update.joomla.org/language/details3/prs-AF_details.xml', '', ''),
(66, 3, 0, 'Turkmen', '', 'pkg_tk-TM', 'package', '', 0, '3.5.0.2', '', 'https://update.joomla.org/language/details3/tk-TM_details.xml', '', ''),
(67, 3, 0, 'Irish', '', 'pkg_ga-IE', 'package', '', 0, '3.8.0.1', '', 'https://update.joomla.org/language/details3/ga-IE_details.xml', '', ''),
(68, 3, 0, 'Dzongkha', '', 'pkg_dz-BT', 'package', '', 0, '3.6.2.1', '', 'https://update.joomla.org/language/details3/dz-BT_details.xml', '', ''),
(69, 3, 0, 'Slovenian', '', 'pkg_sl-SI', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/sl-SI_details.xml', '', ''),
(70, 3, 0, 'Spanish CO', '', 'pkg_es-CO', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/es-CO_details.xml', '', ''),
(71, 3, 0, 'German CH', '', 'pkg_de-CH', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/de-CH_details.xml', '', ''),
(72, 3, 0, 'German AT', '', 'pkg_de-AT', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/de-AT_details.xml', '', ''),
(73, 3, 0, 'German LI', '', 'pkg_de-LI', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/de-LI_details.xml', '', ''),
(74, 3, 0, 'German LU', '', 'pkg_de-LU', 'package', '', 0, '3.8.1.1', '', 'https://update.joomla.org/language/details3/de-LU_details.xml', '', ''),
(75, 3, 0, 'English NZ', '', 'pkg_en-NZ', 'package', '', 0, '3.6.5.1', '', 'https://update.joomla.org/language/details3/en-NZ_details.xml', '', '');

DROP TABLE IF EXISTS `#__user_keys`;
CREATE TABLE `#__user_keys` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` varchar(150) NOT NULL,
  `token` varchar(255) NOT NULL,
  `series` varchar(191) NOT NULL,
  `invalid` tinyint(4) NOT NULL,
  `time` varchar(200) NOT NULL,
  `uastring` varchar(255) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `series` (`series`),
  UNIQUE KEY `series_2` (`series`),
  UNIQUE KEY `series_3` (`series`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__user_notes`;
CREATE TABLE `#__user_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `catid` int(10) unsigned NOT NULL DEFAULT '0',
  `subject` varchar(100) NOT NULL DEFAULT '',
  `body` mediumtext NOT NULL,
  `state` tinyint(3) NOT NULL DEFAULT '0',
  `checked_out` int(10) unsigned NOT NULL DEFAULT '0',
  `checked_out_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `created_user_id` int(10) unsigned NOT NULL DEFAULT '0',
  `created_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `modified_user_id` int(10) unsigned NOT NULL,
  `modified_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `review_time` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_up` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `publish_down` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `idx_user_id` (`user_id`),
  KEY `idx_category_id` (`catid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


DROP TABLE IF EXISTS `#__user_profiles`;
CREATE TABLE `#__user_profiles` (
  `user_id` int(11) NOT NULL,
  `profile_key` varchar(100) NOT NULL,
  `profile_value` mediumtext NOT NULL,
  `ordering` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY `idx_user_id_profile_key` (`user_id`,`profile_key`)
) ENGINE=InnoDB COMMENT='Simple user profile storage table' DEFAULT CHARSET=utf8;

INSERT INTO `#__user_profiles` (`user_id`, `profile_key`, `profile_value`, `ordering`) VALUES
(42, 'profile.aboutme', '""', 10),
(42, 'profile.address1', '""', 1),
(42, 'profile.address2', '""', 2),
(42, 'profile.city', '""', 3),
(42, 'profile.country', '""', 5),
(42, 'profile.dob', '""', 11),
(42, 'profile.favoritebook', '""', 9),
(42, 'profile.phone', '""', 7),
(42, 'profile.postal_code', '""', 6),
(42, 'profile.region', '""', 4),
(42, 'profile.website', '""', 8),
(50, 'profile.aboutme', '""', 10),
(50, 'profile.address1', '""', 1),
(50, 'profile.address2', '""', 2),
(50, 'profile.city', '""', 3),
(50, 'profile.country', '""', 5),
(50, 'profile.dob', '""', 11),
(50, 'profile.favoritebook', '""', 9),
(50, 'profile.phone', '""', 7),
(50, 'profile.postal_code', '""', 6),
(50, 'profile.region', '""', 4),
(50, 'profile.website', '""', 8),
(51, 'profile.aboutme', '""', 10),
(51, 'profile.address1', '""', 1),
(51, 'profile.address2', '""', 2),
(51, 'profile.city', '""', 3),
(51, 'profile.country', '""', 5),
(51, 'profile.dob', '""', 11),
(51, 'profile.favoritebook', '""', 9),
(51, 'profile.phone', '""', 7),
(51, 'profile.postal_code', '""', 6),
(51, 'profile.region', '""', 4),
(51, 'profile.website', '""', 8),
(52, 'profile.aboutme', '""', 10),
(52, 'profile.address1', '""', 1),
(52, 'profile.address2', '"sgfhearc"', 2),
(52, 'profile.city', '"xf"', 3),
(52, 'profile.country', '"r\\u00e9"', 5),
(52, 'profile.dob', '"2014-04-22"', 11),
(52, 'profile.favoritebook', '"fz\\u0111"', 9),
(52, 'profile.phone', '"f"', 7),
(52, 'profile.postal_code', '"sdfgs"', 6),
(52, 'profile.region', '"f4"', 4),
(52, 'profile.website', '"r\\u1ee9s"', 8);

DROP TABLE IF EXISTS `#__user_usergroup_map`;
CREATE TABLE `#__user_usergroup_map` (
  `user_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__users.id',
  `group_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Foreign Key to #__usergroups.id',
  PRIMARY KEY (`user_id`,`group_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__user_usergroup_map` (`user_id`, `group_id`) VALUES
(43, 2),
(44, 2),
(45, 2),
(46, 2),
(47, 2),
(48, 2),
(49, 2),
(51, 1),
(51, 2),
(51, 3),
(51, 4),
(51, 5),
(51, 6),
(51, 7),
(51, 10),
(51, 12),
(52, 2);

DROP TABLE IF EXISTS `#__usergroups`;
CREATE TABLE `#__usergroups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `parent_id` int(10) unsigned NOT NULL DEFAULT '0' COMMENT 'Adjacency List Reference Id',
  `lft` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set lft.',
  `rgt` int(11) NOT NULL DEFAULT '0' COMMENT 'Nested set rgt.',
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_usergroup_parent_title_lookup` (`parent_id`,`title`),
  KEY `idx_usergroup_title_lookup` (`title`),
  KEY `idx_usergroup_adjacency_lookup` (`parent_id`),
  KEY `idx_usergroup_nested_set_lookup` (`lft`,`rgt`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8;

INSERT INTO `#__usergroups` (`id`, `parent_id`, `lft`, `rgt`, `title`) VALUES
(1, 0, 1, 20, 'Public'),
(2, 1, 6, 17, 'Registered'),
(3, 2, 7, 14, 'Author'),
(4, 3, 8, 11, 'Editor'),
(5, 4, 9, 10, 'Publisher'),
(6, 1, 2, 5, 'Manager'),
(7, 6, 3, 4, 'Administrator'),
(8, 1, 18, 19, 'Super Users'),
(10, 3, 12, 13, 'Shop Suppliers (Example)'),
(12, 2, 15, 16, 'Customer Group (Example)');

DROP TABLE IF EXISTS `#__users`;
CREATE TABLE `#__users` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(400) NOT NULL DEFAULT '',
  `username` varchar(150) NOT NULL DEFAULT '',
  `email` varchar(100) NOT NULL DEFAULT '',
  `password` varchar(100) NOT NULL DEFAULT '',
  `block` tinyint(4) NOT NULL DEFAULT '0',
  `sendEmail` tinyint(4) DEFAULT '0',
  `registerDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `lastvisitDate` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `activation` varchar(100) NOT NULL DEFAULT '',
  `params` mediumtext NOT NULL,
  `lastResetTime` datetime NOT NULL DEFAULT '0000-00-00 00:00:00' COMMENT 'Date of last password reset',
  `resetCount` int(11) NOT NULL DEFAULT '0' COMMENT 'Count of password resets since lastResetTime',
  `otpKey` varchar(1000) NOT NULL DEFAULT '' COMMENT 'Two factor authentication encrypted keys',
  `otep` varchar(1000) NOT NULL DEFAULT '' COMMENT 'One time emergency passwords',
  `requireReset` tinyint(4) NOT NULL DEFAULT '0' COMMENT 'Require user to reset password on next login',
  PRIMARY KEY (`id`),
  KEY `idx_block` (`block`),
  KEY `username` (`username`),
  KEY `email` (`email`),
  KEY `idx_name` (`name`(100))
) ENGINE=InnoDB AUTO_INCREMENT=53 DEFAULT CHARSET=utf8;

INSERT INTO `#__users` (`id`, `name`, `username`, `email`, `password`, `block`, `sendEmail`, `registerDate`, `lastvisitDate`, `activation`, `params`, `lastResetTime`, `resetCount`, `otpKey`, `otep`, `requireReset`) VALUES
(43, 'Alexnader Mila', 'Alexnader Mila', 'alexnader.mila@gmail.com', '$P$DjW51uws7Xi2VXgbMJ6nuMzEL5TwV7/', 0, 0, '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}', '0000-00-00 00:00:00', 0, '', '', 0),
(44, 'Alice Novaxa', 'AliceNovaxa', 'alice.novaxa@gmail.com', '$P$DC3WmZDlwxJhdH73H7cAHtQo3Izaeu/', 0, 0, '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}', '0000-00-00 00:00:00', 0, '', '', 0),
(45, 'Aton Kovrop', 'Aton Kovrop', 'aton.kovrop@joomsolutions.com', '$P$DgwY0DPrs0P/KMAslpZFHDPIhwdwQf/', 0, 0, '2017-10-12 03:51:35', '0000-00-00 00:00:00', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}', '0000-00-00 00:00:00', 0, '', '', 0),
(46, 'Vladimir Pault', 'VladimirPault', 'vladimir.kavakop@joomsolutions.com', '$P$DJuYJwViWWAyMTdRfBu8p9HlJ5b90d.', 0, 0, '2017-10-12 03:51:35', '2017-10-12 03:51:35', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}', '0000-00-00 00:00:00', 0, '', '', 0),
(47, 'Gregory Kavakop', 'GregoryKavakop', 'gregory.kavakop@joomsolutions.com', '$P$Di5QDui7dCEQU63EeErHYRstvO0Bge.', 0, 0, '2017-10-12 03:51:35', '2017-10-12 03:51:35', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}', '0000-00-00 00:00:00', 0, '', '', 0),
(48, 'Steven John', 'StevenJohn', 'steven.chang@joomsolutions.com', '$P$DK3ocMcAdy9YPOD21ev9L.mGO0839I/', 0, 0, '2017-10-12 03:51:35', '2017-10-12 03:51:35', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}', '0000-00-00 00:00:00', 0, '', '', 0),
(49, 'Gregory Kovem', 'GregoryKovem', 'gregory.kovem@joomsolutions.com', '$P$DKgqdz8iCkriFNYReGF4mdaIisE9qx/', 0, 0, '2017-10-12 03:51:35', '2017-10-12 03:51:35', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}', '0000-00-00 00:00:00', 0, '', '', 0),
(50, 'Trungch', 'trungch', 'trungch@joomsolutions.com', '$P$Dd7Wfs1LSelgzjlrHrjebgM8h8QsRO.', 0, 0, '2017-10-12 03:51:35', '2017-10-12 03:51:35', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}', '0000-00-00 00:00:00', 0, '', '', 0),
(51, 'BinhNK', 'binhnk', 'binhnk@joomsolutions.com', '$P$D91ejVGVpAMStoFo4RAhvPnuOApcLn/', 0, 0, '2017-10-12 03:51:35', '2017-10-12 03:51:35', '', '{"admin_style":"","admin_language":"","language":"","editor":"","helpsite":"","timezone":""}', '0000-00-00 00:00:00', 0, '', '', 0),
(52, 'gg', 'fd', 'fffff@fff.ff', '$P$DEVT3aKPpqfJ6dUU415jkGYOh.8fUT.', 1, 0, '2017-10-12 03:51:35', '0000-00-00 00:00:00', '928b14f5c9022dca3b57c4b501ba5300', '{}', '0000-00-00 00:00:00', 0, '', '', 0);

DROP TABLE IF EXISTS `#__utf8_conversion`;
CREATE TABLE `#__utf8_conversion` (
  `converted` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

INSERT INTO `#__utf8_conversion` (`converted`) VALUES
(2);

DROP TABLE IF EXISTS `#__viewlevels`;
CREATE TABLE `#__viewlevels` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT COMMENT 'Primary Key',
  `title` varchar(100) NOT NULL DEFAULT '',
  `ordering` int(11) NOT NULL DEFAULT '0',
  `rules` varchar(5120) NOT NULL COMMENT 'JSON encoded access control.',
  PRIMARY KEY (`id`),
  UNIQUE KEY `idx_assetgroup_title_lookup` (`title`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

INSERT INTO `#__viewlevels` (`id`, `title`, `ordering`, `rules`) VALUES
(1, 'Public', 0, '[1]'),
(2, 'Registered', 1, '[6,2,8]'),
(3, 'Special', 2, '[6,3,8]'),
(4, 'Customer Access Level (Example)', 3, '[6,3,12]');

